
/* Copyright © 2015-2021 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

/* This file generated from vk_entrypoints_gen.py, don't edit directly. */

#include "anv_entrypoints.h"

/* Weak aliases for all potential implementations. These will resolve to
 * NULL if they're not defined, which lets the resolve_entrypoint() function
 * either pick the correct entry point.
 *
 * MSVC uses different decorated names for 32-bit versus 64-bit. Declare
 * all argument sizes for 32-bit because computing the actual size would be
 * difficult.
 */




#ifdef _MSC_VER
    VkResult (*anv_CreateInstance_Null)(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@4=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@8=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@12=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@16=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@20=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@24=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@28=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@32=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@36=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@40=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@44=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@48=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@60=_anv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateInstance@104=_anv_CreateInstance_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateInstance=anv_CreateInstance_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyInstance_Null)(VkInstance instance, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@4=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@8=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@12=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@16=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@20=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@24=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@28=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@32=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@36=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@40=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@44=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@48=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@60=_anv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyInstance@104=_anv_DestroyInstance_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyInstance=anv_DestroyInstance_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumeratePhysicalDevices_Null)(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@4=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@8=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@12=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@16=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@20=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@24=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@28=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@32=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@36=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@40=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@44=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@48=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@60=_anv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDevices@104=_anv_EnumeratePhysicalDevices_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumeratePhysicalDevices=anv_EnumeratePhysicalDevices_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*anv_GetInstanceProcAddr_Null)(VkInstance instance, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@4=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@8=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@12=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@16=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@20=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@24=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@28=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@32=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@36=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@40=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@44=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@48=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@60=_anv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetInstanceProcAddr@104=_anv_GetInstanceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetInstanceProcAddr=anv_GetInstanceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL anv_GetInstanceProcAddr(VkInstance instance, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumerateInstanceVersion_Null)(uint32_t* pApiVersion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@4=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@8=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@12=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@16=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@20=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@24=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@28=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@32=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@36=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@40=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@44=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@48=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@60=_anv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceVersion@104=_anv_EnumerateInstanceVersion_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumerateInstanceVersion=anv_EnumerateInstanceVersion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumerateInstanceVersion(uint32_t* pApiVersion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumerateInstanceLayerProperties_Null)(uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@4=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@8=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@12=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@16=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@20=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@24=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@28=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@32=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@36=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@40=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@44=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@48=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@60=_anv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceLayerProperties@104=_anv_EnumerateInstanceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumerateInstanceLayerProperties=anv_EnumerateInstanceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumerateInstanceLayerProperties(uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumerateInstanceExtensionProperties_Null)(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@4=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@8=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@12=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@16=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@20=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@24=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@28=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@32=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@36=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@40=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@44=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@48=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@60=_anv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateInstanceExtensionProperties@104=_anv_EnumerateInstanceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumerateInstanceExtensionProperties=anv_EnumerateInstanceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumerateInstanceExtensionProperties(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null)(VkRenderPass renderpass, VkExtent2D* pMaxWorkgroupSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@4=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@8=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@12=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@16=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@20=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@24=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@28=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@32=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@36=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@40=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@44=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@48=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@60=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@104=_anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI=anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI(VkRenderPass renderpass, VkExtent2D* pMaxWorkgroupSize) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_CreateAndroidSurfaceKHR_Null)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@4=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@8=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@12=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@16=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@20=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@24=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@28=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@32=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@36=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@40=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@44=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@48=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@60=_anv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAndroidSurfaceKHR@104=_anv_CreateAndroidSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateAndroidSurfaceKHR=anv_CreateAndroidSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_CreateDisplayPlaneSurfaceKHR_Null)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@4=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@8=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@12=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@16=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@20=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@24=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@28=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@32=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@36=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@40=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@44=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@48=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@60=_anv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayPlaneSurfaceKHR@104=_anv_CreateDisplayPlaneSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDisplayPlaneSurfaceKHR=anv_CreateDisplayPlaneSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroySurfaceKHR_Null)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@4=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@8=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@12=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@16=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@20=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@24=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@28=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@32=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@36=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@40=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@44=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@48=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@60=_anv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySurfaceKHR@104=_anv_DestroySurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroySurfaceKHR=anv_DestroySurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_VI_NN
#ifdef _MSC_VER
    VkResult (*anv_CreateViSurfaceNN_Null)(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@4=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@8=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@12=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@16=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@20=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@24=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@28=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@32=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@36=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@40=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@44=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@48=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@60=_anv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateViSurfaceNN@104=_anv_CreateViSurfaceNN_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateViSurfaceNN=anv_CreateViSurfaceNN_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkResult (*anv_CreateWaylandSurfaceKHR_Null)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@4=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@8=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@12=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@16=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@20=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@24=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@28=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@32=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@36=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@40=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@44=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@48=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@60=_anv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWaylandSurfaceKHR@104=_anv_CreateWaylandSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateWaylandSurfaceKHR=anv_CreateWaylandSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_CreateWin32SurfaceKHR_Null)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@4=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@8=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@12=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@16=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@20=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@24=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@28=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@32=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@36=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@40=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@44=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@48=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@60=_anv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateWin32SurfaceKHR@104=_anv_CreateWin32SurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateWin32SurfaceKHR=anv_CreateWin32SurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkResult (*anv_CreateXlibSurfaceKHR_Null)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@4=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@8=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@12=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@16=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@20=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@24=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@28=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@32=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@36=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@40=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@44=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@48=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@60=_anv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXlibSurfaceKHR@104=_anv_CreateXlibSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateXlibSurfaceKHR=anv_CreateXlibSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkResult (*anv_CreateXcbSurfaceKHR_Null)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@4=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@8=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@12=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@16=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@20=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@24=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@28=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@32=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@36=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@40=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@44=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@48=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@60=_anv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateXcbSurfaceKHR@104=_anv_CreateXcbSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateXcbSurfaceKHR=anv_CreateXcbSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkResult (*anv_CreateDirectFBSurfaceEXT_Null)(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@4=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@8=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@12=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@16=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@20=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@24=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@28=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@32=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@36=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@40=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@44=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@48=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@60=_anv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDirectFBSurfaceEXT@104=_anv_CreateDirectFBSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDirectFBSurfaceEXT=anv_CreateDirectFBSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDirectFBSurfaceEXT(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*anv_CreateImagePipeSurfaceFUCHSIA_Null)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@4=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@8=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@12=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@16=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@20=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@24=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@28=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@32=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@36=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@40=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@44=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@48=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@60=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImagePipeSurfaceFUCHSIA@104=_anv_CreateImagePipeSurfaceFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateImagePipeSurfaceFUCHSIA=anv_CreateImagePipeSurfaceFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    VkResult (*anv_CreateStreamDescriptorSurfaceGGP_Null)(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@4=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@8=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@12=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@16=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@20=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@24=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@28=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@32=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@36=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@40=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@44=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@48=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@60=_anv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateStreamDescriptorSurfaceGGP@104=_anv_CreateStreamDescriptorSurfaceGGP_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateStreamDescriptorSurfaceGGP=anv_CreateStreamDescriptorSurfaceGGP_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateStreamDescriptorSurfaceGGP(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_GGP
#ifdef VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*anv_CreateScreenSurfaceQNX_Null)(VkInstance instance, const VkScreenSurfaceCreateInfoQNX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@4=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@8=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@12=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@16=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@20=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@24=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@28=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@32=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@36=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@40=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@44=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@48=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@60=_anv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateScreenSurfaceQNX@104=_anv_CreateScreenSurfaceQNX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateScreenSurfaceQNX=anv_CreateScreenSurfaceQNX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateScreenSurfaceQNX(VkInstance instance, const VkScreenSurfaceCreateInfoQNX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*anv_CreateDebugReportCallbackEXT_Null)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@4=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@8=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@12=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@16=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@20=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@24=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@28=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@32=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@36=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@40=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@44=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@48=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@60=_anv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugReportCallbackEXT@104=_anv_CreateDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDebugReportCallbackEXT=anv_CreateDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDebugReportCallbackEXT_Null)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@4=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@8=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@12=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@16=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@20=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@24=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@28=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@32=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@36=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@40=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@44=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@48=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@60=_anv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugReportCallbackEXT@104=_anv_DestroyDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDebugReportCallbackEXT=anv_DestroyDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DebugReportMessageEXT_Null)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@4=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@8=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@12=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@16=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@20=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@24=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@28=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@32=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@36=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@40=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@44=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@48=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@60=_anv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugReportMessageEXT@104=_anv_DebugReportMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DebugReportMessageEXT=anv_DebugReportMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumeratePhysicalDeviceGroups_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@4=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@8=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@12=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@16=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@20=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@24=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@28=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@32=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@36=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@40=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@44=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@48=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@60=_anv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroups@104=_anv_EnumeratePhysicalDeviceGroups_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumeratePhysicalDeviceGroups=anv_EnumeratePhysicalDeviceGroups_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumeratePhysicalDeviceGroupsKHR_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@4=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@8=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@12=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@16=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@20=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@24=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@28=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@32=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@36=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@40=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@44=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@48=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@60=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceGroupsKHR@104=_anv_EnumeratePhysicalDeviceGroupsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumeratePhysicalDeviceGroupsKHR=anv_EnumeratePhysicalDeviceGroupsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_IOS_MVK
#ifdef _MSC_VER
    VkResult (*anv_CreateIOSSurfaceMVK_Null)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@4=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@8=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@12=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@16=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@20=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@24=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@28=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@32=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@36=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@40=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@44=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@48=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@60=_anv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIOSSurfaceMVK@104=_anv_CreateIOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateIOSSurfaceMVK=anv_CreateIOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
#ifdef _MSC_VER
    VkResult (*anv_CreateMacOSSurfaceMVK_Null)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@4=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@8=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@12=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@16=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@20=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@24=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@28=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@32=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@36=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@40=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@44=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@48=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@60=_anv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMacOSSurfaceMVK@104=_anv_CreateMacOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateMacOSSurfaceMVK=anv_CreateMacOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*anv_CreateMetalSurfaceEXT_Null)(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@4=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@8=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@12=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@16=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@20=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@24=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@28=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@32=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@36=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@40=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@44=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@48=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@60=_anv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateMetalSurfaceEXT@104=_anv_CreateMetalSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateMetalSurfaceEXT=anv_CreateMetalSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateMetalSurfaceEXT(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*anv_CreateDebugUtilsMessengerEXT_Null)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@4=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@8=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@12=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@16=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@20=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@24=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@28=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@32=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@36=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@40=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@44=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@48=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@60=_anv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDebugUtilsMessengerEXT@104=_anv_CreateDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDebugUtilsMessengerEXT=anv_CreateDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDebugUtilsMessengerEXT_Null)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@4=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@8=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@12=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@16=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@20=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@24=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@28=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@32=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@36=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@40=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@44=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@48=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@60=_anv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDebugUtilsMessengerEXT@104=_anv_DestroyDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDebugUtilsMessengerEXT=anv_DestroyDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_SubmitDebugUtilsMessageEXT_Null)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@4=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@8=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@12=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@16=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@20=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@24=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@28=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@32=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@36=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@40=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@44=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@48=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@60=_anv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SubmitDebugUtilsMessageEXT@104=_anv_SubmitDebugUtilsMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SubmitDebugUtilsMessageEXT=anv_SubmitDebugUtilsMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_SubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateHeadlessSurfaceEXT_Null)(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@4=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@8=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@12=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@16=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@20=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@24=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@28=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@32=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@36=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@40=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@44=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@48=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@60=_anv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateHeadlessSurfaceEXT@104=_anv_CreateHeadlessSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateHeadlessSurfaceEXT=anv_CreateHeadlessSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateHeadlessSurfaceEXT(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif

const struct vk_instance_entrypoint_table anv_instance_entrypoints = {
    .CreateInstance = anv_CreateInstance,
    .DestroyInstance = anv_DestroyInstance,
    .EnumeratePhysicalDevices = anv_EnumeratePhysicalDevices,
    .GetInstanceProcAddr = anv_GetInstanceProcAddr,
    .EnumerateInstanceVersion = anv_EnumerateInstanceVersion,
    .EnumerateInstanceLayerProperties = anv_EnumerateInstanceLayerProperties,
    .EnumerateInstanceExtensionProperties = anv_EnumerateInstanceExtensionProperties,
    .GetSubpassShadingMaxWorkgroupSizeHUAWEI = anv_GetSubpassShadingMaxWorkgroupSizeHUAWEI,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .CreateAndroidSurfaceKHR = anv_CreateAndroidSurfaceKHR,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CreateDisplayPlaneSurfaceKHR = anv_CreateDisplayPlaneSurfaceKHR,
    .DestroySurfaceKHR = anv_DestroySurfaceKHR,
#ifdef VK_USE_PLATFORM_VI_NN
    .CreateViSurfaceNN = anv_CreateViSurfaceNN,
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .CreateWaylandSurfaceKHR = anv_CreateWaylandSurfaceKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .CreateWin32SurfaceKHR = anv_CreateWin32SurfaceKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .CreateXlibSurfaceKHR = anv_CreateXlibSurfaceKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .CreateXcbSurfaceKHR = anv_CreateXcbSurfaceKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .CreateDirectFBSurfaceEXT = anv_CreateDirectFBSurfaceEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
    .CreateImagePipeSurfaceFUCHSIA = anv_CreateImagePipeSurfaceFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
    .CreateStreamDescriptorSurfaceGGP = anv_CreateStreamDescriptorSurfaceGGP,
#endif // VK_USE_PLATFORM_GGP
#ifdef VK_USE_PLATFORM_SCREEN_QNX
    .CreateScreenSurfaceQNX = anv_CreateScreenSurfaceQNX,
#endif // VK_USE_PLATFORM_SCREEN_QNX
    .CreateDebugReportCallbackEXT = anv_CreateDebugReportCallbackEXT,
    .DestroyDebugReportCallbackEXT = anv_DestroyDebugReportCallbackEXT,
    .DebugReportMessageEXT = anv_DebugReportMessageEXT,
    .EnumeratePhysicalDeviceGroups = anv_EnumeratePhysicalDeviceGroups,
    .EnumeratePhysicalDeviceGroupsKHR = anv_EnumeratePhysicalDeviceGroupsKHR,
#ifdef VK_USE_PLATFORM_IOS_MVK
    .CreateIOSSurfaceMVK = anv_CreateIOSSurfaceMVK,
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
    .CreateMacOSSurfaceMVK = anv_CreateMacOSSurfaceMVK,
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
    .CreateMetalSurfaceEXT = anv_CreateMetalSurfaceEXT,
#endif // VK_USE_PLATFORM_METAL_EXT
    .CreateDebugUtilsMessengerEXT = anv_CreateDebugUtilsMessengerEXT,
    .DestroyDebugUtilsMessengerEXT = anv_DestroyDebugUtilsMessengerEXT,
    .SubmitDebugUtilsMessageEXT = anv_SubmitDebugUtilsMessageEXT,
    .CreateHeadlessSurfaceEXT = anv_CreateHeadlessSurfaceEXT,
};


#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@4=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@8=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@12=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@16=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@20=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@24=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@28=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@32=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@36=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@40=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@44=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@48=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@60=_anv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties@104=_anv_GetPhysicalDeviceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceProperties=anv_GetPhysicalDeviceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceQueueFamilyProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@4=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@8=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@12=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@16=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@20=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@24=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@28=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@32=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@36=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@40=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@44=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@48=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@60=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties@104=_anv_GetPhysicalDeviceQueueFamilyProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceQueueFamilyProperties=anv_GetPhysicalDeviceQueueFamilyProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceMemoryProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@4=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@8=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@12=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@16=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@20=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@24=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@28=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@32=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@36=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@40=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@44=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@48=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@60=_anv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties@104=_anv_GetPhysicalDeviceMemoryProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceMemoryProperties=anv_GetPhysicalDeviceMemoryProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceFeatures_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@4=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@8=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@12=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@16=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@20=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@24=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@28=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@32=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@36=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@40=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@44=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@48=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@60=_anv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures@104=_anv_GetPhysicalDeviceFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFeatures=anv_GetPhysicalDeviceFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@4=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@8=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@12=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@16=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@20=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@24=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@28=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@32=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@36=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@40=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@44=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@48=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@60=_anv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties@104=_anv_GetPhysicalDeviceFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFormatProperties=anv_GetPhysicalDeviceFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@4=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@8=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@12=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@16=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@20=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@24=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@28=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@32=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@36=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@40=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@44=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@48=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@60=_anv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties@104=_anv_GetPhysicalDeviceImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceImageFormatProperties=anv_GetPhysicalDeviceImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDevice_Null)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@4=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@8=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@12=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@16=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@20=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@24=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@28=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@32=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@36=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@40=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@44=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@48=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@60=_anv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDevice@104=_anv_CreateDevice_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDevice=anv_CreateDevice_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumerateDeviceLayerProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@4=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@8=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@12=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@16=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@20=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@24=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@28=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@32=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@36=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@40=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@44=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@48=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@60=_anv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceLayerProperties@104=_anv_EnumerateDeviceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumerateDeviceLayerProperties=anv_EnumerateDeviceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EnumerateDeviceExtensionProperties_Null)(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@4=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@8=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@12=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@16=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@20=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@24=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@28=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@32=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@36=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@40=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@44=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@48=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@60=_anv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumerateDeviceExtensionProperties@104=_anv_EnumerateDeviceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumerateDeviceExtensionProperties=anv_EnumerateDeviceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceSparseImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@4=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@8=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@12=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@16=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@20=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@24=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@28=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@32=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@36=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@40=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@44=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@48=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@60=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties@104=_anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSparseImageFormatProperties=anv_GetPhysicalDeviceSparseImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceDisplayPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@4=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@8=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@12=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@16=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@20=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@24=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@28=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@32=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@36=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@40=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@44=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@48=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@60=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPropertiesKHR@104=_anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceDisplayPropertiesKHR=anv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@4=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@8=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@12=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@16=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@20=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@24=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@28=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@32=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@36=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@40=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@44=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@48=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@60=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR@104=_anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceDisplayPlanePropertiesKHR=anv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDisplayPlaneSupportedDisplaysKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@4=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@8=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@12=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@16=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@20=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@24=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@28=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@32=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@36=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@40=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@44=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@48=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@60=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneSupportedDisplaysKHR@104=_anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDisplayPlaneSupportedDisplaysKHR=anv_GetDisplayPlaneSupportedDisplaysKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDisplayModePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@4=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@8=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@12=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@16=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@20=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@24=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@28=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@32=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@36=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@40=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@44=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@48=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@60=_anv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModePropertiesKHR@104=_anv_GetDisplayModePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDisplayModePropertiesKHR=anv_GetDisplayModePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDisplayModeKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@4=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@8=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@12=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@16=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@20=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@24=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@28=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@32=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@36=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@40=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@44=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@48=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@60=_anv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDisplayModeKHR@104=_anv_CreateDisplayModeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDisplayModeKHR=anv_CreateDisplayModeKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDisplayPlaneCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@4=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@8=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@12=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@16=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@20=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@24=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@28=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@32=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@36=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@40=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@44=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@48=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@60=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilitiesKHR@104=_anv_GetDisplayPlaneCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDisplayPlaneCapabilitiesKHR=anv_GetDisplayPlaneCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfaceSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@4=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@8=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@12=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@16=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@20=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@24=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@28=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@32=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@36=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@40=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@44=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@48=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@60=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceSupportKHR@104=_anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfaceSupportKHR=anv_GetPhysicalDeviceSurfaceSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@4=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@8=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@12=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@16=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@20=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@24=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@28=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@32=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@36=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@40=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@44=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@48=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@60=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR@104=_anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfaceCapabilitiesKHR=anv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfaceFormatsKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@4=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@8=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@12=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@16=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@20=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@24=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@28=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@32=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@36=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@40=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@44=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@48=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@60=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormatsKHR@104=_anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfaceFormatsKHR=anv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfacePresentModesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@4=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@8=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@12=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@16=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@20=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@24=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@28=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@32=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@36=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@40=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@44=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@48=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@60=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModesKHR@104=_anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfacePresentModesKHR=anv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkBool32 (*anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@4=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@8=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@12=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@16=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@20=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@24=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@28=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@32=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@36=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@40=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@44=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@48=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@60=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWaylandPresentationSupportKHR@104=_anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceWaylandPresentationSupportKHR=anv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL anv_GetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkBool32 (*anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@4=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@8=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@12=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@16=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@20=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@24=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@28=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@32=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@36=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@40=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@44=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@48=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@60=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceWin32PresentationSupportKHR@104=_anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceWin32PresentationSupportKHR=anv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL anv_GetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkBool32 (*anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@4=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@8=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@12=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@16=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@20=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@24=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@28=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@32=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@36=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@40=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@44=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@48=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@60=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXlibPresentationSupportKHR@104=_anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceXlibPresentationSupportKHR=anv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL anv_GetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkBool32 (*anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@4=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@8=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@12=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@16=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@20=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@24=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@28=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@32=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@36=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@40=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@44=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@48=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@60=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceXcbPresentationSupportKHR@104=_anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceXcbPresentationSupportKHR=anv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL anv_GetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkBool32 (*anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@4=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@8=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@12=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@16=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@20=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@24=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@28=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@32=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@36=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@40=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@44=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@48=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@60=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT@104=_anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceDirectFBPresentationSupportEXT=anv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL anv_GetPhysicalDeviceDirectFBPresentationSupportEXT(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkBool32 (*anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct _screen_window* window) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@4=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@8=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@12=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@16=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@20=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@24=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@28=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@32=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@36=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@40=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@44=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@48=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@60=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceScreenPresentationSupportQNX@104=_anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceScreenPresentationSupportQNX=anv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL anv_GetPhysicalDeviceScreenPresentationSupportQNX(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct _screen_window* window) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@4=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@8=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@12=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@16=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@20=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@24=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@28=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@32=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@36=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@40=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@44=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@48=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@60=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV@104=_anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalImageFormatPropertiesNV=anv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceFeatures2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@4=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@8=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@12=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@16=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@20=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@24=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@28=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@32=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@36=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@40=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@44=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@48=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@60=_anv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2@104=_anv_GetPhysicalDeviceFeatures2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFeatures2=anv_GetPhysicalDeviceFeatures2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceFeatures2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@4=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@8=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@12=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@16=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@20=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@24=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@28=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@32=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@36=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@40=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@44=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@48=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@60=_anv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFeatures2KHR@104=_anv_GetPhysicalDeviceFeatures2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFeatures2KHR=anv_GetPhysicalDeviceFeatures2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@4=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@8=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@12=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@16=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@20=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@24=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@28=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@32=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@36=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@40=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@44=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@48=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@60=_anv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2@104=_anv_GetPhysicalDeviceProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceProperties2=anv_GetPhysicalDeviceProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@4=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@8=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@12=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@16=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@20=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@24=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@28=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@32=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@36=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@40=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@44=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@48=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@60=_anv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceProperties2KHR@104=_anv_GetPhysicalDeviceProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceProperties2KHR=anv_GetPhysicalDeviceProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceFormatProperties2_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@4=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@8=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@12=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@16=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@20=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@24=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@28=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@32=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@36=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@40=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@44=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@48=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@60=_anv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2@104=_anv_GetPhysicalDeviceFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFormatProperties2=anv_GetPhysicalDeviceFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@4=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@8=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@12=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@16=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@20=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@24=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@28=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@32=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@36=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@40=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@44=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@48=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@60=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFormatProperties2KHR@104=_anv_GetPhysicalDeviceFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFormatProperties2KHR=anv_GetPhysicalDeviceFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@4=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@8=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@12=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@16=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@20=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@24=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@28=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@32=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@36=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@40=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@44=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@48=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@60=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2@104=_anv_GetPhysicalDeviceImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceImageFormatProperties2=anv_GetPhysicalDeviceImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@4=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@8=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@12=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@16=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@20=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@24=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@28=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@32=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@36=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@40=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@44=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@48=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@60=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceImageFormatProperties2KHR@104=_anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceImageFormatProperties2KHR=anv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceQueueFamilyProperties2_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@4=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@8=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@12=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@16=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@20=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@24=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@28=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@32=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@36=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@40=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@44=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@48=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@60=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2@104=_anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceQueueFamilyProperties2=anv_GetPhysicalDeviceQueueFamilyProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@4=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@8=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@12=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@16=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@20=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@24=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@28=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@32=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@36=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@40=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@44=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@48=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@60=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyProperties2KHR@104=_anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceQueueFamilyProperties2KHR=anv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceMemoryProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@4=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@8=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@12=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@16=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@20=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@24=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@28=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@32=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@36=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@40=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@44=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@48=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@60=_anv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2@104=_anv_GetPhysicalDeviceMemoryProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceMemoryProperties2=anv_GetPhysicalDeviceMemoryProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceMemoryProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@4=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@8=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@12=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@16=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@20=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@24=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@28=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@32=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@36=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@40=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@44=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@48=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@60=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMemoryProperties2KHR@104=_anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceMemoryProperties2KHR=anv_GetPhysicalDeviceMemoryProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceSparseImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@4=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@8=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@12=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@16=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@20=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@24=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@28=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@32=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@36=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@40=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@44=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@48=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@60=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2@104=_anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSparseImageFormatProperties2=anv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@4=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@8=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@12=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@16=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@20=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@24=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@28=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@32=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@36=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@40=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@44=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@48=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@60=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR@104=_anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSparseImageFormatProperties2KHR=anv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceExternalBufferProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@4=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@8=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@12=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@16=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@20=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@24=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@28=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@32=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@36=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@40=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@44=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@48=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@60=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferProperties@104=_anv_GetPhysicalDeviceExternalBufferProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalBufferProperties=anv_GetPhysicalDeviceExternalBufferProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@4=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@8=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@12=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@16=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@20=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@24=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@28=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@32=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@36=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@40=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@44=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@48=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@60=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalBufferPropertiesKHR@104=_anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalBufferPropertiesKHR=anv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceExternalSemaphoreProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@4=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@8=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@12=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@16=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@20=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@24=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@28=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@32=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@36=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@40=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@44=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@48=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@60=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphoreProperties@104=_anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalSemaphoreProperties=anv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@4=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@8=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@12=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@16=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@20=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@24=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@28=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@32=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@36=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@40=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@44=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@48=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@60=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@104=_anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR=anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceExternalFenceProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@4=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@8=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@12=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@16=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@20=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@24=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@28=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@32=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@36=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@40=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@44=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@48=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@60=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFenceProperties@104=_anv_GetPhysicalDeviceExternalFenceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalFenceProperties=anv_GetPhysicalDeviceExternalFenceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@4=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@8=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@12=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@16=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@20=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@24=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@28=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@32=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@36=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@40=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@44=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@48=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@60=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceExternalFencePropertiesKHR@104=_anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceExternalFencePropertiesKHR=anv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ReleaseDisplayEXT_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@4=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@8=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@12=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@16=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@20=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@24=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@28=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@32=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@36=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@40=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@44=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@48=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@60=_anv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseDisplayEXT@104=_anv_ReleaseDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ReleaseDisplayEXT=anv_ReleaseDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*anv_AcquireXlibDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@4=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@8=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@12=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@16=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@20=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@24=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@28=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@32=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@36=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@40=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@44=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@48=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@60=_anv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireXlibDisplayEXT@104=_anv_AcquireXlibDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireXlibDisplayEXT=anv_AcquireXlibDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*anv_GetRandROutputDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@4=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@8=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@12=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@16=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@20=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@24=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@28=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@32=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@36=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@40=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@44=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@48=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@60=_anv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRandROutputDisplayEXT@104=_anv_GetRandROutputDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRandROutputDisplayEXT=anv_GetRandROutputDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_AcquireWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@4=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@8=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@12=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@16=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@20=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@24=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@28=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@32=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@36=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@40=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@44=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@48=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@60=_anv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireWinrtDisplayNV@104=_anv_AcquireWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireWinrtDisplayNV=anv_AcquireWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireWinrtDisplayNV(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@4=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@8=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@12=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@16=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@20=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@24=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@28=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@32=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@36=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@40=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@44=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@48=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@60=_anv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetWinrtDisplayNV@104=_anv_GetWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetWinrtDisplayNV=anv_GetWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetWinrtDisplayNV(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@4=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@8=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@12=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@16=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@20=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@24=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@28=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@32=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@36=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@40=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@44=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@48=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@60=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2EXT@104=_anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfaceCapabilities2EXT=anv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDevicePresentRectanglesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@4=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@8=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@12=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@16=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@20=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@24=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@28=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@32=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@36=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@40=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@44=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@48=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@60=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDevicePresentRectanglesKHR@104=_anv_GetPhysicalDevicePresentRectanglesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDevicePresentRectanglesKHR=anv_GetPhysicalDevicePresentRectanglesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@4=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@8=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@12=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@16=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@20=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@24=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@28=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@32=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@36=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@40=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@44=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@48=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@60=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceMultisamplePropertiesEXT@104=_anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceMultisamplePropertiesEXT=anv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@4=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@8=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@12=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@16=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@20=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@24=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@28=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@32=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@36=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@40=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@44=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@48=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@60=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceCapabilities2KHR@104=_anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfaceCapabilities2KHR=anv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfaceFormats2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@4=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@8=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@12=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@16=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@20=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@24=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@28=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@32=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@36=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@40=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@44=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@48=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@60=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfaceFormats2KHR@104=_anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfaceFormats2KHR=anv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceDisplayProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@4=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@8=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@12=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@16=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@20=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@24=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@28=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@32=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@36=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@40=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@44=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@48=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@60=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayProperties2KHR@104=_anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceDisplayProperties2KHR=anv_GetPhysicalDeviceDisplayProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@4=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@8=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@12=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@16=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@20=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@24=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@28=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@32=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@36=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@40=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@44=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@48=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@60=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR@104=_anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceDisplayPlaneProperties2KHR=anv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDisplayModeProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@4=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@8=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@12=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@16=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@20=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@24=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@28=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@32=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@36=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@40=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@44=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@48=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@60=_anv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayModeProperties2KHR@104=_anv_GetDisplayModeProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDisplayModeProperties2KHR=anv_GetDisplayModeProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDisplayPlaneCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@4=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@8=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@12=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@16=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@20=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@24=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@28=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@32=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@36=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@40=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@44=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@48=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@60=_anv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDisplayPlaneCapabilities2KHR@104=_anv_GetDisplayPlaneCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDisplayPlaneCapabilities2KHR=anv_GetDisplayPlaneCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@4=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@8=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@12=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@16=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@20=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@24=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@28=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@32=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@36=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@40=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@44=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@48=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@60=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@104=_anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT=anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@4=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@8=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@12=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@16=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@20=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@24=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@28=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@32=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@36=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@40=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@44=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@48=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@60=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@104=_anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV=anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@4=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@8=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@12=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@16=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@20=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@24=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@28=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@32=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@36=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@40=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@44=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@48=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@60=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSurfacePresentModes2EXT@104=_anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSurfacePresentModes2EXT=anv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSurfacePresentModes2EXT(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@4=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@8=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@12=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@16=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@20=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@24=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@28=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@32=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@36=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@40=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@44=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@48=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@60=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@104=_anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR=anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null)(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@4=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@8=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@12=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@16=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@20=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@24=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@28=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@32=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@36=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@40=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@44=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@48=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@60=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@104=_anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR=anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@4=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@8=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@12=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@16=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@20=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@24=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@28=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@32=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@36=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@40=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@44=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@48=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@60=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@104=_anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV=anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceToolPropertiesEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@4=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@8=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@12=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@16=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@20=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@24=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@28=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@32=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@36=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@40=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@44=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@48=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@60=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceToolPropertiesEXT@104=_anv_GetPhysicalDeviceToolPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceToolPropertiesEXT=anv_GetPhysicalDeviceToolPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceToolPropertiesEXT(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@4=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@8=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@12=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@16=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@20=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@24=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@28=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@32=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@36=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@40=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@44=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@48=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@60=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceFragmentShadingRatesKHR@104=_anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceFragmentShadingRatesKHR=anv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceFragmentShadingRatesKHR(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) __attribute__ ((weak));
#endif
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkVideoProfileKHR* pVideoProfile, VkVideoCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@4=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@8=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@12=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@16=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@20=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@24=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@28=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@32=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@36=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@40=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@44=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@48=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@60=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoCapabilitiesKHR@104=_anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceVideoCapabilitiesKHR=anv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceVideoCapabilitiesKHR(VkPhysicalDevice physicalDevice, const VkVideoProfileKHR* pVideoProfile, VkVideoCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceVideoFormatInfoKHR* pVideoFormatInfo, uint32_t* pVideoFormatPropertyCount, VkVideoFormatPropertiesKHR* pVideoFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@4=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@8=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@12=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@16=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@20=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@24=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@28=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@32=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@36=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@40=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@44=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@48=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@60=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPhysicalDeviceVideoFormatPropertiesKHR@104=_anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPhysicalDeviceVideoFormatPropertiesKHR=anv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPhysicalDeviceVideoFormatPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceVideoFormatInfoKHR* pVideoFormatInfo, uint32_t* pVideoFormatPropertyCount, VkVideoFormatPropertiesKHR* pVideoFormatProperties) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_AcquireDrmDisplayEXT_Null)(VkPhysicalDevice physicalDevice, int32_t drmFd, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@4=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@8=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@12=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@16=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@20=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@24=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@28=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@32=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@36=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@40=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@44=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@48=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@60=_anv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireDrmDisplayEXT@104=_anv_AcquireDrmDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireDrmDisplayEXT=anv_AcquireDrmDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireDrmDisplayEXT(VkPhysicalDevice physicalDevice, int32_t drmFd, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDrmDisplayEXT_Null)(VkPhysicalDevice physicalDevice, int32_t drmFd, uint32_t connectorId, VkDisplayKHR* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@4=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@8=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@12=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@16=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@20=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@24=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@28=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@32=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@36=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@40=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@44=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@48=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@60=_anv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDrmDisplayEXT@104=_anv_GetDrmDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDrmDisplayEXT=anv_GetDrmDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDrmDisplayEXT(VkPhysicalDevice physicalDevice, int32_t drmFd, uint32_t connectorId, VkDisplayKHR* display) __attribute__ ((weak));
#endif

const struct vk_physical_device_entrypoint_table anv_physical_device_entrypoints = {
    .GetPhysicalDeviceProperties = anv_GetPhysicalDeviceProperties,
    .GetPhysicalDeviceQueueFamilyProperties = anv_GetPhysicalDeviceQueueFamilyProperties,
    .GetPhysicalDeviceMemoryProperties = anv_GetPhysicalDeviceMemoryProperties,
    .GetPhysicalDeviceFeatures = anv_GetPhysicalDeviceFeatures,
    .GetPhysicalDeviceFormatProperties = anv_GetPhysicalDeviceFormatProperties,
    .GetPhysicalDeviceImageFormatProperties = anv_GetPhysicalDeviceImageFormatProperties,
    .CreateDevice = anv_CreateDevice,
    .EnumerateDeviceLayerProperties = anv_EnumerateDeviceLayerProperties,
    .EnumerateDeviceExtensionProperties = anv_EnumerateDeviceExtensionProperties,
    .GetPhysicalDeviceSparseImageFormatProperties = anv_GetPhysicalDeviceSparseImageFormatProperties,
    .GetPhysicalDeviceDisplayPropertiesKHR = anv_GetPhysicalDeviceDisplayPropertiesKHR,
    .GetPhysicalDeviceDisplayPlanePropertiesKHR = anv_GetPhysicalDeviceDisplayPlanePropertiesKHR,
    .GetDisplayPlaneSupportedDisplaysKHR = anv_GetDisplayPlaneSupportedDisplaysKHR,
    .GetDisplayModePropertiesKHR = anv_GetDisplayModePropertiesKHR,
    .CreateDisplayModeKHR = anv_CreateDisplayModeKHR,
    .GetDisplayPlaneCapabilitiesKHR = anv_GetDisplayPlaneCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceSupportKHR = anv_GetPhysicalDeviceSurfaceSupportKHR,
    .GetPhysicalDeviceSurfaceCapabilitiesKHR = anv_GetPhysicalDeviceSurfaceCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceFormatsKHR = anv_GetPhysicalDeviceSurfaceFormatsKHR,
    .GetPhysicalDeviceSurfacePresentModesKHR = anv_GetPhysicalDeviceSurfacePresentModesKHR,
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .GetPhysicalDeviceWaylandPresentationSupportKHR = anv_GetPhysicalDeviceWaylandPresentationSupportKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceWin32PresentationSupportKHR = anv_GetPhysicalDeviceWin32PresentationSupportKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .GetPhysicalDeviceXlibPresentationSupportKHR = anv_GetPhysicalDeviceXlibPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .GetPhysicalDeviceXcbPresentationSupportKHR = anv_GetPhysicalDeviceXcbPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceDirectFBPresentationSupportEXT = anv_GetPhysicalDeviceDirectFBPresentationSupportEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_SCREEN_QNX
    .GetPhysicalDeviceScreenPresentationSupportQNX = anv_GetPhysicalDeviceScreenPresentationSupportQNX,
#endif // VK_USE_PLATFORM_SCREEN_QNX
    .GetPhysicalDeviceExternalImageFormatPropertiesNV = anv_GetPhysicalDeviceExternalImageFormatPropertiesNV,
    .GetPhysicalDeviceFeatures2 = anv_GetPhysicalDeviceFeatures2,
    .GetPhysicalDeviceFeatures2KHR = anv_GetPhysicalDeviceFeatures2KHR,
    .GetPhysicalDeviceProperties2 = anv_GetPhysicalDeviceProperties2,
    .GetPhysicalDeviceProperties2KHR = anv_GetPhysicalDeviceProperties2KHR,
    .GetPhysicalDeviceFormatProperties2 = anv_GetPhysicalDeviceFormatProperties2,
    .GetPhysicalDeviceFormatProperties2KHR = anv_GetPhysicalDeviceFormatProperties2KHR,
    .GetPhysicalDeviceImageFormatProperties2 = anv_GetPhysicalDeviceImageFormatProperties2,
    .GetPhysicalDeviceImageFormatProperties2KHR = anv_GetPhysicalDeviceImageFormatProperties2KHR,
    .GetPhysicalDeviceQueueFamilyProperties2 = anv_GetPhysicalDeviceQueueFamilyProperties2,
    .GetPhysicalDeviceQueueFamilyProperties2KHR = anv_GetPhysicalDeviceQueueFamilyProperties2KHR,
    .GetPhysicalDeviceMemoryProperties2 = anv_GetPhysicalDeviceMemoryProperties2,
    .GetPhysicalDeviceMemoryProperties2KHR = anv_GetPhysicalDeviceMemoryProperties2KHR,
    .GetPhysicalDeviceSparseImageFormatProperties2 = anv_GetPhysicalDeviceSparseImageFormatProperties2,
    .GetPhysicalDeviceSparseImageFormatProperties2KHR = anv_GetPhysicalDeviceSparseImageFormatProperties2KHR,
    .GetPhysicalDeviceExternalBufferProperties = anv_GetPhysicalDeviceExternalBufferProperties,
    .GetPhysicalDeviceExternalBufferPropertiesKHR = anv_GetPhysicalDeviceExternalBufferPropertiesKHR,
    .GetPhysicalDeviceExternalSemaphoreProperties = anv_GetPhysicalDeviceExternalSemaphoreProperties,
    .GetPhysicalDeviceExternalSemaphorePropertiesKHR = anv_GetPhysicalDeviceExternalSemaphorePropertiesKHR,
    .GetPhysicalDeviceExternalFenceProperties = anv_GetPhysicalDeviceExternalFenceProperties,
    .GetPhysicalDeviceExternalFencePropertiesKHR = anv_GetPhysicalDeviceExternalFencePropertiesKHR,
    .ReleaseDisplayEXT = anv_ReleaseDisplayEXT,
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .AcquireXlibDisplayEXT = anv_AcquireXlibDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .GetRandROutputDisplayEXT = anv_GetRandROutputDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireWinrtDisplayNV = anv_AcquireWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetWinrtDisplayNV = anv_GetWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfaceCapabilities2EXT = anv_GetPhysicalDeviceSurfaceCapabilities2EXT,
    .GetPhysicalDevicePresentRectanglesKHR = anv_GetPhysicalDevicePresentRectanglesKHR,
    .GetPhysicalDeviceMultisamplePropertiesEXT = anv_GetPhysicalDeviceMultisamplePropertiesEXT,
    .GetPhysicalDeviceSurfaceCapabilities2KHR = anv_GetPhysicalDeviceSurfaceCapabilities2KHR,
    .GetPhysicalDeviceSurfaceFormats2KHR = anv_GetPhysicalDeviceSurfaceFormats2KHR,
    .GetPhysicalDeviceDisplayProperties2KHR = anv_GetPhysicalDeviceDisplayProperties2KHR,
    .GetPhysicalDeviceDisplayPlaneProperties2KHR = anv_GetPhysicalDeviceDisplayPlaneProperties2KHR,
    .GetDisplayModeProperties2KHR = anv_GetDisplayModeProperties2KHR,
    .GetDisplayPlaneCapabilities2KHR = anv_GetDisplayPlaneCapabilities2KHR,
    .GetPhysicalDeviceCalibrateableTimeDomainsEXT = anv_GetPhysicalDeviceCalibrateableTimeDomainsEXT,
    .GetPhysicalDeviceCooperativeMatrixPropertiesNV = anv_GetPhysicalDeviceCooperativeMatrixPropertiesNV,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfacePresentModes2EXT = anv_GetPhysicalDeviceSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = anv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR,
    .GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = anv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR,
    .GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = anv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV,
    .GetPhysicalDeviceToolPropertiesEXT = anv_GetPhysicalDeviceToolPropertiesEXT,
    .GetPhysicalDeviceFragmentShadingRatesKHR = anv_GetPhysicalDeviceFragmentShadingRatesKHR,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetPhysicalDeviceVideoCapabilitiesKHR = anv_GetPhysicalDeviceVideoCapabilitiesKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetPhysicalDeviceVideoFormatPropertiesKHR = anv_GetPhysicalDeviceVideoFormatPropertiesKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .AcquireDrmDisplayEXT = anv_AcquireDrmDisplayEXT,
    .GetDrmDisplayEXT = anv_GetDrmDisplayEXT,
};


#ifdef _MSC_VER
    PFN_vkVoidFunction (*anv_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@4=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@8=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@12=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@16=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@20=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@24=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@28=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@32=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@36=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@40=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@44=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@48=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@60=_anv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceProcAddr@104=_anv_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceProcAddr=anv_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL anv_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx7_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@4=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@8=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@12=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@16=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@20=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@24=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@28=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@32=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@36=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@40=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@44=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@48=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@60=_gfx7_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceProcAddr@104=_gfx7_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceProcAddr=gfx7_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx7_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx75_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@4=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@8=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@12=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@16=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@20=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@24=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@28=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@32=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@36=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@40=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@44=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@48=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@60=_gfx75_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceProcAddr@104=_gfx75_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceProcAddr=gfx75_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx75_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx8_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@4=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@8=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@12=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@16=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@20=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@24=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@28=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@32=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@36=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@40=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@44=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@48=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@60=_gfx8_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceProcAddr@104=_gfx8_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceProcAddr=gfx8_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx8_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx9_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@4=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@8=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@12=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@16=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@20=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@24=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@28=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@32=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@36=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@40=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@44=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@48=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@60=_gfx9_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceProcAddr@104=_gfx9_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceProcAddr=gfx9_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx9_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx11_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@4=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@8=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@12=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@16=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@20=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@24=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@28=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@32=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@36=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@40=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@44=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@48=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@60=_gfx11_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceProcAddr@104=_gfx11_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceProcAddr=gfx11_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx11_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx12_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@4=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@8=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@12=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@16=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@20=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@24=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@28=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@32=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@36=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@40=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@44=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@48=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@60=_gfx12_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceProcAddr@104=_gfx12_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceProcAddr=gfx12_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx12_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*gfx125_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@4=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@8=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@12=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@16=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@20=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@24=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@28=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@32=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@36=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@40=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@44=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@48=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@60=_gfx125_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceProcAddr@104=_gfx125_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceProcAddr=gfx125_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL gfx125_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@4=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@8=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@12=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@16=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@20=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@24=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@28=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@32=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@36=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@40=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@44=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@48=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@60=_anv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDevice@104=_anv_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDevice=anv_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@4=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@8=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@12=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@16=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@20=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@24=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@28=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@32=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@36=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@40=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@44=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@48=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@60=_gfx7_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDevice@104=_gfx7_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyDevice=gfx7_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@4=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@8=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@12=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@16=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@20=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@24=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@28=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@32=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@36=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@40=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@44=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@48=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@60=_gfx75_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDevice@104=_gfx75_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyDevice=gfx75_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@4=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@8=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@12=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@16=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@20=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@24=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@28=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@32=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@36=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@40=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@44=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@48=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@60=_gfx8_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDevice@104=_gfx8_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyDevice=gfx8_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@4=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@8=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@12=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@16=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@20=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@24=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@28=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@32=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@36=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@40=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@44=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@48=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@60=_gfx9_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDevice@104=_gfx9_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyDevice=gfx9_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@4=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@8=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@12=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@16=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@20=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@24=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@28=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@32=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@36=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@40=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@44=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@48=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@60=_gfx11_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDevice@104=_gfx11_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyDevice=gfx11_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@4=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@8=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@12=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@16=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@20=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@24=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@28=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@32=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@36=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@40=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@44=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@48=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@60=_gfx12_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDevice@104=_gfx12_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyDevice=gfx12_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@4=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@8=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@12=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@16=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@20=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@24=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@28=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@32=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@36=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@40=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@44=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@48=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@60=_gfx125_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDevice@104=_gfx125_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyDevice=gfx125_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@4=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@8=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@12=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@16=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@20=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@24=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@28=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@32=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@36=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@40=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@44=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@48=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@60=_anv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue@104=_anv_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceQueue=anv_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@4=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@8=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@12=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@16=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@20=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@24=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@28=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@32=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@36=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@40=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@44=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@48=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@60=_gfx7_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue@104=_gfx7_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceQueue=gfx7_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@4=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@8=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@12=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@16=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@20=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@24=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@28=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@32=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@36=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@40=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@44=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@48=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@60=_gfx75_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue@104=_gfx75_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceQueue=gfx75_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@4=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@8=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@12=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@16=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@20=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@24=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@28=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@32=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@36=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@40=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@44=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@48=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@60=_gfx8_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue@104=_gfx8_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceQueue=gfx8_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@4=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@8=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@12=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@16=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@20=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@24=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@28=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@32=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@36=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@40=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@44=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@48=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@60=_gfx9_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue@104=_gfx9_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceQueue=gfx9_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@4=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@8=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@12=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@16=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@20=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@24=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@28=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@32=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@36=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@40=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@44=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@48=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@60=_gfx11_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue@104=_gfx11_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceQueue=gfx11_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@4=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@8=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@12=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@16=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@20=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@24=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@28=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@32=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@36=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@40=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@44=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@48=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@60=_gfx12_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue@104=_gfx12_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceQueue=gfx12_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@4=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@8=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@12=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@16=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@20=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@24=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@28=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@32=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@36=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@40=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@44=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@48=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@60=_gfx125_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue@104=_gfx125_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceQueue=gfx125_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@4=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@8=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@12=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@16=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@20=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@24=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@28=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@32=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@36=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@40=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@44=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@48=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@60=_anv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit@104=_anv_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueSubmit=anv_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@4=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@8=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@12=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@16=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@20=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@24=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@28=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@32=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@36=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@40=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@44=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@48=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@60=_gfx7_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit@104=_gfx7_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueSubmit=gfx7_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@4=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@8=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@12=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@16=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@20=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@24=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@28=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@32=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@36=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@40=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@44=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@48=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@60=_gfx75_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit@104=_gfx75_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueSubmit=gfx75_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@4=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@8=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@12=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@16=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@20=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@24=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@28=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@32=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@36=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@40=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@44=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@48=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@60=_gfx8_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit@104=_gfx8_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueSubmit=gfx8_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@4=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@8=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@12=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@16=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@20=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@24=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@28=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@32=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@36=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@40=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@44=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@48=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@60=_gfx9_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit@104=_gfx9_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueSubmit=gfx9_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@4=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@8=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@12=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@16=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@20=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@24=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@28=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@32=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@36=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@40=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@44=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@48=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@60=_gfx11_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit@104=_gfx11_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueSubmit=gfx11_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@4=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@8=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@12=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@16=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@20=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@24=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@28=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@32=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@36=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@40=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@44=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@48=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@60=_gfx12_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit@104=_gfx12_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueSubmit=gfx12_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@4=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@8=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@12=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@16=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@20=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@24=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@28=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@32=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@36=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@40=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@44=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@48=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@60=_gfx125_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit@104=_gfx125_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueSubmit=gfx125_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@4=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@8=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@12=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@16=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@20=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@24=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@28=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@32=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@36=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@40=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@44=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@48=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@60=_anv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueWaitIdle@104=_anv_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueWaitIdle=anv_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@4=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@8=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@12=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@16=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@20=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@24=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@28=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@32=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@36=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@40=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@44=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@48=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@60=_gfx7_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueWaitIdle@104=_gfx7_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueWaitIdle=gfx7_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@4=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@8=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@12=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@16=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@20=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@24=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@28=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@32=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@36=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@40=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@44=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@48=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@60=_gfx75_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueWaitIdle@104=_gfx75_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueWaitIdle=gfx75_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@4=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@8=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@12=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@16=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@20=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@24=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@28=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@32=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@36=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@40=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@44=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@48=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@60=_gfx8_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueWaitIdle@104=_gfx8_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueWaitIdle=gfx8_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@4=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@8=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@12=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@16=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@20=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@24=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@28=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@32=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@36=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@40=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@44=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@48=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@60=_gfx9_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueWaitIdle@104=_gfx9_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueWaitIdle=gfx9_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@4=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@8=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@12=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@16=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@20=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@24=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@28=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@32=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@36=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@40=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@44=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@48=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@60=_gfx11_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueWaitIdle@104=_gfx11_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueWaitIdle=gfx11_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@4=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@8=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@12=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@16=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@20=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@24=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@28=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@32=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@36=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@40=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@44=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@48=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@60=_gfx12_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueWaitIdle@104=_gfx12_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueWaitIdle=gfx12_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@4=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@8=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@12=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@16=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@20=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@24=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@28=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@32=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@36=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@40=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@44=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@48=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@60=_gfx125_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueWaitIdle@104=_gfx125_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueWaitIdle=gfx125_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@4=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@8=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@12=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@16=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@20=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@24=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@28=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@32=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@36=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@40=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@44=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@48=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@60=_anv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_anv_DeviceWaitIdle@104=_anv_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DeviceWaitIdle=anv_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@4=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@8=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@12=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@16=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@20=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@24=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@28=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@32=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@36=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@40=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@44=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@48=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@60=_gfx7_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeviceWaitIdle@104=_gfx7_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DeviceWaitIdle=gfx7_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@4=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@8=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@12=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@16=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@20=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@24=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@28=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@32=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@36=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@40=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@44=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@48=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@60=_gfx75_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeviceWaitIdle@104=_gfx75_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DeviceWaitIdle=gfx75_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@4=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@8=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@12=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@16=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@20=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@24=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@28=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@32=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@36=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@40=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@44=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@48=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@60=_gfx8_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeviceWaitIdle@104=_gfx8_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DeviceWaitIdle=gfx8_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@4=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@8=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@12=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@16=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@20=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@24=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@28=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@32=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@36=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@40=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@44=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@48=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@60=_gfx9_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeviceWaitIdle@104=_gfx9_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DeviceWaitIdle=gfx9_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@4=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@8=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@12=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@16=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@20=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@24=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@28=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@32=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@36=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@40=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@44=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@48=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@60=_gfx11_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeviceWaitIdle@104=_gfx11_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DeviceWaitIdle=gfx11_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@4=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@8=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@12=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@16=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@20=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@24=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@28=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@32=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@36=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@40=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@44=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@48=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@60=_gfx12_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeviceWaitIdle@104=_gfx12_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DeviceWaitIdle=gfx12_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@4=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@8=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@12=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@16=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@20=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@24=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@28=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@32=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@36=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@40=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@44=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@48=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@60=_gfx125_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeviceWaitIdle@104=_gfx125_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DeviceWaitIdle=gfx125_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@4=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@8=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@12=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@16=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@20=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@24=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@28=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@32=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@36=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@40=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@44=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@48=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@60=_anv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateMemory@104=_anv_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AllocateMemory=anv_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@4=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@8=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@12=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@16=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@20=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@24=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@28=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@32=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@36=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@40=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@44=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@48=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@60=_gfx7_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateMemory@104=_gfx7_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AllocateMemory=gfx7_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@4=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@8=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@12=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@16=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@20=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@24=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@28=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@32=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@36=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@40=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@44=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@48=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@60=_gfx75_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateMemory@104=_gfx75_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AllocateMemory=gfx75_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@4=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@8=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@12=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@16=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@20=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@24=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@28=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@32=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@36=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@40=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@44=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@48=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@60=_gfx8_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateMemory@104=_gfx8_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AllocateMemory=gfx8_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@4=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@8=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@12=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@16=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@20=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@24=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@28=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@32=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@36=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@40=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@44=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@48=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@60=_gfx9_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateMemory@104=_gfx9_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AllocateMemory=gfx9_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@4=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@8=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@12=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@16=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@20=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@24=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@28=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@32=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@36=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@40=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@44=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@48=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@60=_gfx11_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateMemory@104=_gfx11_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AllocateMemory=gfx11_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@4=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@8=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@12=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@16=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@20=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@24=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@28=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@32=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@36=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@40=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@44=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@48=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@60=_gfx12_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateMemory@104=_gfx12_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AllocateMemory=gfx12_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@4=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@8=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@12=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@16=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@20=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@24=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@28=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@32=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@36=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@40=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@44=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@48=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@60=_gfx125_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateMemory@104=_gfx125_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AllocateMemory=gfx125_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@4=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@8=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@12=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@16=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@20=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@24=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@28=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@32=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@36=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@40=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@44=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@48=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@60=_anv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeMemory@104=_anv_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:anv_FreeMemory=anv_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@4=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@8=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@12=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@16=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@20=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@24=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@28=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@32=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@36=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@40=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@44=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@48=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@60=_gfx7_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeMemory@104=_gfx7_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_FreeMemory=gfx7_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@4=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@8=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@12=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@16=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@20=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@24=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@28=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@32=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@36=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@40=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@44=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@48=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@60=_gfx75_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeMemory@104=_gfx75_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_FreeMemory=gfx75_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@4=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@8=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@12=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@16=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@20=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@24=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@28=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@32=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@36=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@40=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@44=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@48=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@60=_gfx8_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeMemory@104=_gfx8_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_FreeMemory=gfx8_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@4=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@8=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@12=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@16=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@20=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@24=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@28=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@32=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@36=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@40=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@44=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@48=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@60=_gfx9_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeMemory@104=_gfx9_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_FreeMemory=gfx9_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@4=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@8=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@12=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@16=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@20=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@24=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@28=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@32=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@36=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@40=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@44=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@48=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@60=_gfx11_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeMemory@104=_gfx11_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_FreeMemory=gfx11_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@4=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@8=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@12=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@16=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@20=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@24=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@28=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@32=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@36=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@40=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@44=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@48=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@60=_gfx12_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeMemory@104=_gfx12_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_FreeMemory=gfx12_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@4=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@8=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@12=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@16=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@20=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@24=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@28=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@32=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@36=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@40=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@44=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@48=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@60=_gfx125_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeMemory@104=_gfx125_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_FreeMemory=gfx125_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_MapMemory@4=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@8=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@12=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@16=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@20=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@24=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@28=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@32=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@36=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@40=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@44=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@48=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@60=_anv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_MapMemory@104=_anv_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:anv_MapMemory=anv_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@4=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@8=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@12=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@16=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@20=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@24=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@28=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@32=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@36=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@40=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@44=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@48=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@60=_gfx7_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MapMemory@104=_gfx7_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_MapMemory=gfx7_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@4=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@8=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@12=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@16=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@20=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@24=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@28=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@32=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@36=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@40=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@44=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@48=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@60=_gfx75_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MapMemory@104=_gfx75_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_MapMemory=gfx75_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@4=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@8=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@12=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@16=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@20=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@24=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@28=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@32=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@36=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@40=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@44=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@48=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@60=_gfx8_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MapMemory@104=_gfx8_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_MapMemory=gfx8_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@4=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@8=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@12=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@16=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@20=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@24=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@28=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@32=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@36=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@40=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@44=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@48=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@60=_gfx9_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MapMemory@104=_gfx9_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_MapMemory=gfx9_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@4=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@8=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@12=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@16=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@20=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@24=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@28=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@32=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@36=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@40=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@44=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@48=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@60=_gfx11_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MapMemory@104=_gfx11_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_MapMemory=gfx11_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@4=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@8=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@12=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@16=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@20=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@24=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@28=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@32=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@36=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@40=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@44=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@48=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@60=_gfx12_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MapMemory@104=_gfx12_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_MapMemory=gfx12_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@4=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@8=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@12=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@16=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@20=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@24=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@28=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@32=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@36=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@40=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@44=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@48=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@60=_gfx125_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MapMemory@104=_gfx125_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_MapMemory=gfx125_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@4=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@8=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@12=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@16=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@20=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@24=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@28=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@32=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@36=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@40=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@44=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@48=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@60=_anv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_UnmapMemory@104=_anv_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:anv_UnmapMemory=anv_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@4=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@8=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@12=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@16=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@20=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@24=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@28=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@32=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@36=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@40=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@44=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@48=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@60=_gfx7_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UnmapMemory@104=_gfx7_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_UnmapMemory=gfx7_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@4=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@8=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@12=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@16=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@20=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@24=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@28=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@32=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@36=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@40=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@44=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@48=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@60=_gfx75_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UnmapMemory@104=_gfx75_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_UnmapMemory=gfx75_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@4=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@8=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@12=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@16=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@20=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@24=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@28=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@32=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@36=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@40=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@44=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@48=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@60=_gfx8_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UnmapMemory@104=_gfx8_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_UnmapMemory=gfx8_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@4=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@8=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@12=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@16=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@20=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@24=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@28=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@32=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@36=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@40=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@44=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@48=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@60=_gfx9_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UnmapMemory@104=_gfx9_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_UnmapMemory=gfx9_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@4=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@8=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@12=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@16=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@20=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@24=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@28=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@32=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@36=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@40=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@44=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@48=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@60=_gfx11_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UnmapMemory@104=_gfx11_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_UnmapMemory=gfx11_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@4=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@8=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@12=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@16=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@20=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@24=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@28=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@32=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@36=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@40=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@44=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@48=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@60=_gfx12_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UnmapMemory@104=_gfx12_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_UnmapMemory=gfx12_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@4=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@8=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@12=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@16=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@20=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@24=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@28=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@32=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@36=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@40=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@44=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@48=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@60=_gfx125_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UnmapMemory@104=_gfx125_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_UnmapMemory=gfx125_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@4=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@8=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@12=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@16=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@20=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@24=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@28=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@32=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@36=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@40=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@44=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@48=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@60=_anv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_FlushMappedMemoryRanges@104=_anv_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:anv_FlushMappedMemoryRanges=anv_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@4=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@8=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@12=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@16=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@20=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@24=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@28=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@32=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@36=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@40=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@44=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@48=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@60=_gfx7_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FlushMappedMemoryRanges@104=_gfx7_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_FlushMappedMemoryRanges=gfx7_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@4=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@8=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@12=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@16=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@20=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@24=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@28=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@32=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@36=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@40=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@44=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@48=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@60=_gfx75_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FlushMappedMemoryRanges@104=_gfx75_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_FlushMappedMemoryRanges=gfx75_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@4=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@8=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@12=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@16=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@20=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@24=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@28=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@32=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@36=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@40=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@44=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@48=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@60=_gfx8_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FlushMappedMemoryRanges@104=_gfx8_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_FlushMappedMemoryRanges=gfx8_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@4=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@8=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@12=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@16=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@20=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@24=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@28=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@32=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@36=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@40=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@44=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@48=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@60=_gfx9_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FlushMappedMemoryRanges@104=_gfx9_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_FlushMappedMemoryRanges=gfx9_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@4=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@8=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@12=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@16=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@20=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@24=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@28=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@32=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@36=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@40=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@44=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@48=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@60=_gfx11_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FlushMappedMemoryRanges@104=_gfx11_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_FlushMappedMemoryRanges=gfx11_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@4=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@8=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@12=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@16=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@20=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@24=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@28=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@32=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@36=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@40=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@44=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@48=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@60=_gfx12_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FlushMappedMemoryRanges@104=_gfx12_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_FlushMappedMemoryRanges=gfx12_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@4=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@8=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@12=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@16=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@20=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@24=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@28=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@32=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@36=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@40=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@44=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@48=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@60=_gfx125_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FlushMappedMemoryRanges@104=_gfx125_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_FlushMappedMemoryRanges=gfx125_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@4=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@8=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@12=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@16=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@20=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@24=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@28=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@32=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@36=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@40=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@44=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@48=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@60=_anv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_anv_InvalidateMappedMemoryRanges@104=_anv_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:anv_InvalidateMappedMemoryRanges=anv_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@4=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@8=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@12=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@16=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@20=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@24=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@28=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@32=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@36=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@40=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@44=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@48=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@60=_gfx7_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InvalidateMappedMemoryRanges@104=_gfx7_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_InvalidateMappedMemoryRanges=gfx7_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@4=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@8=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@12=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@16=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@20=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@24=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@28=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@32=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@36=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@40=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@44=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@48=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@60=_gfx75_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InvalidateMappedMemoryRanges@104=_gfx75_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_InvalidateMappedMemoryRanges=gfx75_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@4=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@8=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@12=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@16=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@20=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@24=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@28=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@32=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@36=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@40=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@44=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@48=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@60=_gfx8_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InvalidateMappedMemoryRanges@104=_gfx8_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_InvalidateMappedMemoryRanges=gfx8_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@4=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@8=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@12=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@16=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@20=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@24=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@28=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@32=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@36=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@40=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@44=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@48=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@60=_gfx9_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InvalidateMappedMemoryRanges@104=_gfx9_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_InvalidateMappedMemoryRanges=gfx9_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@4=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@8=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@12=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@16=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@20=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@24=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@28=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@32=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@36=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@40=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@44=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@48=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@60=_gfx11_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InvalidateMappedMemoryRanges@104=_gfx11_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_InvalidateMappedMemoryRanges=gfx11_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@4=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@8=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@12=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@16=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@20=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@24=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@28=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@32=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@36=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@40=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@44=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@48=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@60=_gfx12_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InvalidateMappedMemoryRanges@104=_gfx12_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_InvalidateMappedMemoryRanges=gfx12_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@4=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@8=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@12=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@16=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@20=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@24=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@28=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@32=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@36=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@40=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@44=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@48=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@60=_gfx125_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InvalidateMappedMemoryRanges@104=_gfx125_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_InvalidateMappedMemoryRanges=gfx125_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@4=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@8=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@12=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@16=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@20=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@24=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@28=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@32=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@36=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@40=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@44=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@48=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@60=_anv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryCommitment@104=_anv_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceMemoryCommitment=anv_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@4=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@8=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@12=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@16=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@20=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@24=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@28=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@32=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@36=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@40=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@44=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@48=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@60=_gfx7_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryCommitment@104=_gfx7_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceMemoryCommitment=gfx7_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@4=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@8=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@12=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@16=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@20=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@24=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@28=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@32=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@36=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@40=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@44=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@48=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@60=_gfx75_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryCommitment@104=_gfx75_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceMemoryCommitment=gfx75_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@4=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@8=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@12=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@16=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@20=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@24=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@28=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@32=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@36=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@40=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@44=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@48=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@60=_gfx8_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryCommitment@104=_gfx8_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceMemoryCommitment=gfx8_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@4=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@8=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@12=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@16=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@20=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@24=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@28=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@32=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@36=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@40=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@44=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@48=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@60=_gfx9_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryCommitment@104=_gfx9_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceMemoryCommitment=gfx9_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@4=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@8=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@12=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@16=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@20=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@24=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@28=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@32=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@36=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@40=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@44=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@48=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@60=_gfx11_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryCommitment@104=_gfx11_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceMemoryCommitment=gfx11_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@4=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@8=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@12=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@16=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@20=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@24=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@28=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@32=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@36=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@40=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@44=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@48=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@60=_gfx12_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryCommitment@104=_gfx12_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceMemoryCommitment=gfx12_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@4=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@8=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@12=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@16=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@20=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@24=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@28=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@32=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@36=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@40=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@44=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@48=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@60=_gfx125_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryCommitment@104=_gfx125_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceMemoryCommitment=gfx125_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@4=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@8=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@12=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@16=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@20=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@24=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@28=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@32=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@36=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@40=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@44=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@48=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@60=_anv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements@104=_anv_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferMemoryRequirements=anv_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@4=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@8=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@12=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@16=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@20=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@24=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@28=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@32=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@36=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@40=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@44=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@48=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@60=_gfx7_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements@104=_gfx7_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferMemoryRequirements=gfx7_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@4=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@8=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@12=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@16=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@20=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@24=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@28=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@32=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@36=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@40=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@44=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@48=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@60=_gfx75_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements@104=_gfx75_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferMemoryRequirements=gfx75_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@4=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@8=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@12=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@16=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@20=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@24=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@28=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@32=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@36=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@40=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@44=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@48=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@60=_gfx8_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements@104=_gfx8_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferMemoryRequirements=gfx8_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@4=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@8=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@12=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@16=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@20=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@24=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@28=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@32=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@36=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@40=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@44=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@48=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@60=_gfx9_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements@104=_gfx9_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferMemoryRequirements=gfx9_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@4=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@8=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@12=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@16=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@20=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@24=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@28=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@32=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@36=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@40=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@44=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@48=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@60=_gfx11_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements@104=_gfx11_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferMemoryRequirements=gfx11_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@4=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@8=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@12=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@16=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@20=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@24=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@28=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@32=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@36=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@40=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@44=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@48=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@60=_gfx12_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements@104=_gfx12_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferMemoryRequirements=gfx12_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@4=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@8=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@12=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@16=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@20=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@24=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@28=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@32=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@36=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@40=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@44=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@48=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@60=_gfx125_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements@104=_gfx125_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferMemoryRequirements=gfx125_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@4=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@8=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@12=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@16=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@20=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@24=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@28=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@32=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@36=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@40=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@44=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@48=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@60=_anv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory@104=_anv_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindBufferMemory=anv_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@4=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@8=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@12=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@16=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@20=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@24=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@28=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@32=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@36=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@40=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@44=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@48=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@60=_gfx7_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory@104=_gfx7_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindBufferMemory=gfx7_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@4=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@8=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@12=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@16=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@20=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@24=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@28=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@32=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@36=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@40=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@44=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@48=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@60=_gfx75_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory@104=_gfx75_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindBufferMemory=gfx75_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@4=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@8=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@12=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@16=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@20=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@24=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@28=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@32=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@36=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@40=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@44=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@48=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@60=_gfx8_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory@104=_gfx8_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindBufferMemory=gfx8_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@4=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@8=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@12=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@16=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@20=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@24=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@28=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@32=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@36=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@40=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@44=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@48=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@60=_gfx9_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory@104=_gfx9_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindBufferMemory=gfx9_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@4=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@8=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@12=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@16=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@20=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@24=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@28=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@32=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@36=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@40=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@44=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@48=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@60=_gfx11_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory@104=_gfx11_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindBufferMemory=gfx11_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@4=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@8=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@12=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@16=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@20=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@24=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@28=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@32=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@36=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@40=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@44=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@48=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@60=_gfx12_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory@104=_gfx12_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindBufferMemory=gfx12_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@4=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@8=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@12=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@16=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@20=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@24=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@28=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@32=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@36=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@40=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@44=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@48=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@60=_gfx125_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory@104=_gfx125_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindBufferMemory=gfx125_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@4=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@8=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@12=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@16=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@20=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@24=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@28=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@32=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@36=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@40=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@44=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@48=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@60=_anv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements@104=_anv_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageMemoryRequirements=anv_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@4=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@8=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@12=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@16=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@20=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@24=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@28=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@32=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@36=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@40=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@44=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@48=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@60=_gfx7_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements@104=_gfx7_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageMemoryRequirements=gfx7_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@4=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@8=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@12=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@16=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@20=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@24=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@28=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@32=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@36=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@40=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@44=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@48=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@60=_gfx75_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements@104=_gfx75_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageMemoryRequirements=gfx75_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@4=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@8=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@12=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@16=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@20=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@24=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@28=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@32=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@36=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@40=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@44=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@48=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@60=_gfx8_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements@104=_gfx8_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageMemoryRequirements=gfx8_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@4=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@8=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@12=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@16=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@20=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@24=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@28=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@32=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@36=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@40=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@44=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@48=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@60=_gfx9_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements@104=_gfx9_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageMemoryRequirements=gfx9_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@4=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@8=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@12=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@16=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@20=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@24=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@28=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@32=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@36=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@40=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@44=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@48=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@60=_gfx11_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements@104=_gfx11_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageMemoryRequirements=gfx11_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@4=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@8=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@12=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@16=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@20=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@24=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@28=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@32=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@36=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@40=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@44=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@48=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@60=_gfx12_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements@104=_gfx12_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageMemoryRequirements=gfx12_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@4=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@8=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@12=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@16=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@20=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@24=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@28=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@32=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@36=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@40=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@44=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@48=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@60=_gfx125_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements@104=_gfx125_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageMemoryRequirements=gfx125_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@4=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@8=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@12=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@16=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@20=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@24=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@28=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@32=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@36=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@40=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@44=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@48=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@60=_anv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory@104=_anv_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindImageMemory=anv_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@4=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@8=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@12=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@16=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@20=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@24=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@28=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@32=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@36=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@40=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@44=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@48=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@60=_gfx7_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory@104=_gfx7_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindImageMemory=gfx7_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@4=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@8=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@12=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@16=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@20=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@24=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@28=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@32=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@36=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@40=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@44=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@48=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@60=_gfx75_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory@104=_gfx75_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindImageMemory=gfx75_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@4=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@8=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@12=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@16=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@20=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@24=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@28=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@32=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@36=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@40=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@44=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@48=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@60=_gfx8_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory@104=_gfx8_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindImageMemory=gfx8_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@4=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@8=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@12=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@16=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@20=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@24=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@28=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@32=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@36=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@40=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@44=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@48=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@60=_gfx9_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory@104=_gfx9_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindImageMemory=gfx9_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@4=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@8=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@12=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@16=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@20=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@24=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@28=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@32=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@36=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@40=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@44=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@48=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@60=_gfx11_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory@104=_gfx11_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindImageMemory=gfx11_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@4=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@8=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@12=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@16=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@20=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@24=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@28=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@32=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@36=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@40=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@44=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@48=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@60=_gfx12_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory@104=_gfx12_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindImageMemory=gfx12_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@4=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@8=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@12=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@16=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@20=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@24=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@28=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@32=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@36=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@40=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@44=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@48=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@60=_gfx125_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory@104=_gfx125_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindImageMemory=gfx125_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@4=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@8=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@12=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@16=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@20=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@24=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@28=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@32=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@36=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@40=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@44=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@48=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@60=_anv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements@104=_anv_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageSparseMemoryRequirements=anv_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@4=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@8=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@12=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@16=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@20=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@24=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@28=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@32=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@36=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@40=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@44=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@48=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@60=_gfx7_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements@104=_gfx7_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageSparseMemoryRequirements=gfx7_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@4=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@8=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@12=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@16=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@20=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@24=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@28=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@32=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@36=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@40=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@44=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@48=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@60=_gfx75_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements@104=_gfx75_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageSparseMemoryRequirements=gfx75_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@4=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@8=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@12=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@16=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@20=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@24=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@28=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@32=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@36=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@40=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@44=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@48=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@60=_gfx8_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements@104=_gfx8_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageSparseMemoryRequirements=gfx8_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@4=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@8=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@12=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@16=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@20=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@24=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@28=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@32=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@36=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@40=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@44=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@48=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@60=_gfx9_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements@104=_gfx9_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageSparseMemoryRequirements=gfx9_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@4=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@8=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@12=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@16=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@20=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@24=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@28=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@32=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@36=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@40=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@44=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@48=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@60=_gfx11_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements@104=_gfx11_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageSparseMemoryRequirements=gfx11_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@4=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@8=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@12=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@16=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@20=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@24=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@28=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@32=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@36=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@40=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@44=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@48=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@60=_gfx12_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements@104=_gfx12_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageSparseMemoryRequirements=gfx12_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@4=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@8=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@12=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@16=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@20=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@24=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@28=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@32=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@36=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@40=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@44=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@48=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@60=_gfx125_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements@104=_gfx125_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageSparseMemoryRequirements=gfx125_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@4=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@8=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@12=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@16=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@20=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@24=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@28=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@32=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@36=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@40=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@44=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@48=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@60=_anv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBindSparse@104=_anv_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueBindSparse=anv_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@4=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@8=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@12=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@16=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@20=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@24=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@28=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@32=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@36=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@40=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@44=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@48=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@60=_gfx7_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBindSparse@104=_gfx7_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueBindSparse=gfx7_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@4=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@8=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@12=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@16=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@20=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@24=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@28=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@32=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@36=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@40=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@44=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@48=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@60=_gfx75_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBindSparse@104=_gfx75_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueBindSparse=gfx75_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@4=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@8=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@12=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@16=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@20=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@24=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@28=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@32=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@36=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@40=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@44=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@48=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@60=_gfx8_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBindSparse@104=_gfx8_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueBindSparse=gfx8_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@4=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@8=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@12=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@16=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@20=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@24=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@28=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@32=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@36=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@40=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@44=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@48=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@60=_gfx9_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBindSparse@104=_gfx9_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueBindSparse=gfx9_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@4=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@8=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@12=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@16=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@20=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@24=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@28=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@32=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@36=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@40=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@44=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@48=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@60=_gfx11_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBindSparse@104=_gfx11_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueBindSparse=gfx11_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@4=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@8=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@12=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@16=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@20=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@24=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@28=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@32=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@36=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@40=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@44=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@48=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@60=_gfx12_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBindSparse@104=_gfx12_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueBindSparse=gfx12_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@4=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@8=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@12=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@16=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@20=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@24=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@28=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@32=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@36=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@40=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@44=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@48=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@60=_gfx125_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBindSparse@104=_gfx125_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueBindSparse=gfx125_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateFence@4=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@8=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@12=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@16=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@20=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@24=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@28=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@32=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@36=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@40=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@44=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@48=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@60=_anv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFence@104=_anv_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateFence=anv_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@4=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@8=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@12=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@16=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@20=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@24=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@28=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@32=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@36=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@40=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@44=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@48=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@60=_gfx7_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFence@104=_gfx7_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateFence=gfx7_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@4=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@8=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@12=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@16=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@20=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@24=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@28=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@32=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@36=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@40=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@44=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@48=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@60=_gfx75_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFence@104=_gfx75_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateFence=gfx75_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@4=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@8=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@12=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@16=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@20=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@24=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@28=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@32=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@36=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@40=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@44=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@48=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@60=_gfx8_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFence@104=_gfx8_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateFence=gfx8_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@4=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@8=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@12=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@16=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@20=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@24=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@28=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@32=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@36=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@40=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@44=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@48=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@60=_gfx9_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFence@104=_gfx9_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateFence=gfx9_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@4=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@8=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@12=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@16=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@20=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@24=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@28=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@32=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@36=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@40=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@44=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@48=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@60=_gfx11_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFence@104=_gfx11_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateFence=gfx11_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@4=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@8=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@12=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@16=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@20=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@24=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@28=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@32=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@36=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@40=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@44=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@48=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@60=_gfx12_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFence@104=_gfx12_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateFence=gfx12_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@4=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@8=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@12=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@16=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@20=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@24=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@28=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@32=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@36=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@40=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@44=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@48=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@60=_gfx125_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFence@104=_gfx125_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateFence=gfx125_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@4=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@8=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@12=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@16=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@20=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@24=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@28=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@32=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@36=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@40=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@44=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@48=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@60=_anv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFence@104=_anv_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyFence=anv_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@4=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@8=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@12=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@16=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@20=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@24=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@28=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@32=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@36=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@40=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@44=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@48=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@60=_gfx7_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFence@104=_gfx7_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyFence=gfx7_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@4=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@8=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@12=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@16=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@20=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@24=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@28=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@32=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@36=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@40=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@44=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@48=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@60=_gfx75_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFence@104=_gfx75_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyFence=gfx75_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@4=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@8=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@12=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@16=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@20=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@24=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@28=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@32=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@36=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@40=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@44=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@48=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@60=_gfx8_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFence@104=_gfx8_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyFence=gfx8_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@4=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@8=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@12=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@16=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@20=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@24=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@28=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@32=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@36=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@40=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@44=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@48=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@60=_gfx9_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFence@104=_gfx9_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyFence=gfx9_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@4=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@8=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@12=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@16=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@20=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@24=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@28=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@32=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@36=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@40=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@44=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@48=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@60=_gfx11_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFence@104=_gfx11_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyFence=gfx11_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@4=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@8=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@12=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@16=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@20=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@24=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@28=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@32=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@36=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@40=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@44=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@48=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@60=_gfx12_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFence@104=_gfx12_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyFence=gfx12_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@4=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@8=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@12=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@16=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@20=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@24=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@28=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@32=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@36=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@40=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@44=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@48=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@60=_gfx125_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFence@104=_gfx125_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyFence=gfx125_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetFences@4=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@8=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@12=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@16=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@20=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@24=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@28=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@32=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@36=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@40=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@44=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@48=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@60=_anv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetFences@104=_anv_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetFences=anv_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@4=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@8=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@12=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@16=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@20=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@24=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@28=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@32=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@36=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@40=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@44=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@48=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@60=_gfx7_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetFences@104=_gfx7_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetFences=gfx7_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@4=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@8=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@12=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@16=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@20=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@24=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@28=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@32=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@36=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@40=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@44=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@48=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@60=_gfx75_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetFences@104=_gfx75_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetFences=gfx75_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@4=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@8=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@12=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@16=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@20=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@24=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@28=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@32=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@36=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@40=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@44=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@48=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@60=_gfx8_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetFences@104=_gfx8_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetFences=gfx8_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@4=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@8=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@12=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@16=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@20=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@24=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@28=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@32=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@36=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@40=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@44=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@48=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@60=_gfx9_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetFences@104=_gfx9_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetFences=gfx9_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@4=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@8=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@12=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@16=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@20=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@24=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@28=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@32=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@36=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@40=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@44=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@48=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@60=_gfx11_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetFences@104=_gfx11_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetFences=gfx11_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@4=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@8=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@12=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@16=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@20=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@24=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@28=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@32=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@36=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@40=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@44=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@48=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@60=_gfx12_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetFences@104=_gfx12_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetFences=gfx12_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@4=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@8=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@12=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@16=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@20=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@24=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@28=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@32=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@36=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@40=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@44=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@48=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@60=_gfx125_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetFences@104=_gfx125_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetFences=gfx125_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@4=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@8=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@12=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@16=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@20=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@24=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@28=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@32=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@36=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@40=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@44=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@48=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@60=_anv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceStatus@104=_anv_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetFenceStatus=anv_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@4=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@8=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@12=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@16=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@20=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@24=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@28=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@32=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@36=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@40=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@44=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@48=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@60=_gfx7_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceStatus@104=_gfx7_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetFenceStatus=gfx7_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@4=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@8=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@12=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@16=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@20=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@24=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@28=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@32=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@36=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@40=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@44=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@48=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@60=_gfx75_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceStatus@104=_gfx75_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetFenceStatus=gfx75_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@4=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@8=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@12=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@16=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@20=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@24=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@28=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@32=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@36=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@40=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@44=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@48=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@60=_gfx8_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceStatus@104=_gfx8_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetFenceStatus=gfx8_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@4=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@8=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@12=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@16=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@20=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@24=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@28=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@32=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@36=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@40=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@44=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@48=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@60=_gfx9_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceStatus@104=_gfx9_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetFenceStatus=gfx9_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@4=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@8=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@12=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@16=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@20=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@24=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@28=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@32=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@36=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@40=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@44=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@48=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@60=_gfx11_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceStatus@104=_gfx11_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetFenceStatus=gfx11_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@4=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@8=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@12=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@16=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@20=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@24=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@28=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@32=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@36=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@40=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@44=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@48=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@60=_gfx12_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceStatus@104=_gfx12_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetFenceStatus=gfx12_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@4=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@8=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@12=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@16=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@20=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@24=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@28=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@32=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@36=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@40=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@44=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@48=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@60=_gfx125_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceStatus@104=_gfx125_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetFenceStatus=gfx125_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@4=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@8=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@12=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@16=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@20=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@24=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@28=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@32=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@36=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@40=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@44=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@48=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@60=_anv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitForFences@104=_anv_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:anv_WaitForFences=anv_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@4=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@8=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@12=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@16=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@20=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@24=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@28=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@32=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@36=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@40=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@44=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@48=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@60=_gfx7_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitForFences@104=_gfx7_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_WaitForFences=gfx7_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@4=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@8=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@12=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@16=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@20=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@24=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@28=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@32=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@36=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@40=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@44=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@48=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@60=_gfx75_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitForFences@104=_gfx75_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_WaitForFences=gfx75_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@4=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@8=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@12=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@16=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@20=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@24=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@28=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@32=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@36=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@40=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@44=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@48=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@60=_gfx8_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitForFences@104=_gfx8_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_WaitForFences=gfx8_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@4=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@8=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@12=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@16=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@20=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@24=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@28=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@32=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@36=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@40=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@44=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@48=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@60=_gfx9_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitForFences@104=_gfx9_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_WaitForFences=gfx9_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@4=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@8=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@12=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@16=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@20=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@24=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@28=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@32=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@36=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@40=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@44=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@48=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@60=_gfx11_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitForFences@104=_gfx11_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_WaitForFences=gfx11_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@4=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@8=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@12=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@16=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@20=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@24=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@28=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@32=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@36=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@40=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@44=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@48=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@60=_gfx12_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitForFences@104=_gfx12_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_WaitForFences=gfx12_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@4=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@8=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@12=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@16=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@20=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@24=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@28=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@32=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@36=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@40=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@44=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@48=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@60=_gfx125_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitForFences@104=_gfx125_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_WaitForFences=gfx125_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@4=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@8=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@12=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@16=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@20=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@24=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@28=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@32=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@36=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@40=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@44=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@48=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@60=_anv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSemaphore@104=_anv_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateSemaphore=anv_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@4=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@8=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@12=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@16=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@20=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@24=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@28=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@32=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@36=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@40=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@44=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@48=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@60=_gfx7_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSemaphore@104=_gfx7_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateSemaphore=gfx7_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@4=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@8=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@12=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@16=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@20=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@24=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@28=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@32=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@36=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@40=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@44=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@48=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@60=_gfx75_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSemaphore@104=_gfx75_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateSemaphore=gfx75_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@4=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@8=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@12=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@16=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@20=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@24=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@28=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@32=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@36=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@40=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@44=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@48=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@60=_gfx8_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSemaphore@104=_gfx8_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateSemaphore=gfx8_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@4=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@8=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@12=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@16=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@20=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@24=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@28=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@32=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@36=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@40=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@44=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@48=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@60=_gfx9_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSemaphore@104=_gfx9_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateSemaphore=gfx9_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@4=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@8=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@12=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@16=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@20=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@24=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@28=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@32=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@36=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@40=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@44=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@48=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@60=_gfx11_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSemaphore@104=_gfx11_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateSemaphore=gfx11_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@4=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@8=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@12=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@16=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@20=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@24=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@28=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@32=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@36=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@40=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@44=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@48=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@60=_gfx12_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSemaphore@104=_gfx12_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateSemaphore=gfx12_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@4=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@8=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@12=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@16=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@20=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@24=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@28=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@32=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@36=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@40=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@44=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@48=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@60=_gfx125_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSemaphore@104=_gfx125_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateSemaphore=gfx125_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@4=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@8=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@12=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@16=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@20=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@24=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@28=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@32=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@36=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@40=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@44=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@48=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@60=_anv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySemaphore@104=_anv_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroySemaphore=anv_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@4=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@8=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@12=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@16=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@20=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@24=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@28=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@32=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@36=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@40=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@44=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@48=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@60=_gfx7_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySemaphore@104=_gfx7_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroySemaphore=gfx7_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@4=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@8=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@12=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@16=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@20=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@24=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@28=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@32=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@36=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@40=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@44=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@48=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@60=_gfx75_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySemaphore@104=_gfx75_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroySemaphore=gfx75_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@4=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@8=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@12=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@16=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@20=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@24=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@28=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@32=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@36=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@40=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@44=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@48=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@60=_gfx8_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySemaphore@104=_gfx8_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroySemaphore=gfx8_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@4=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@8=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@12=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@16=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@20=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@24=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@28=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@32=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@36=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@40=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@44=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@48=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@60=_gfx9_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySemaphore@104=_gfx9_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroySemaphore=gfx9_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@4=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@8=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@12=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@16=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@20=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@24=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@28=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@32=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@36=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@40=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@44=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@48=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@60=_gfx11_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySemaphore@104=_gfx11_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroySemaphore=gfx11_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@4=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@8=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@12=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@16=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@20=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@24=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@28=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@32=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@36=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@40=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@44=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@48=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@60=_gfx12_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySemaphore@104=_gfx12_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroySemaphore=gfx12_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@4=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@8=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@12=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@16=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@20=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@24=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@28=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@32=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@36=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@40=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@44=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@48=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@60=_gfx125_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySemaphore@104=_gfx125_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroySemaphore=gfx125_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@4=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@8=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@12=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@16=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@20=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@24=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@28=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@32=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@36=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@40=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@44=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@48=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@60=_anv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateEvent@104=_anv_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateEvent=anv_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@4=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@8=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@12=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@16=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@20=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@24=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@28=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@32=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@36=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@40=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@44=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@48=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@60=_gfx7_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateEvent@104=_gfx7_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateEvent=gfx7_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@4=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@8=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@12=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@16=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@20=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@24=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@28=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@32=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@36=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@40=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@44=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@48=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@60=_gfx75_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateEvent@104=_gfx75_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateEvent=gfx75_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@4=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@8=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@12=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@16=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@20=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@24=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@28=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@32=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@36=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@40=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@44=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@48=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@60=_gfx8_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateEvent@104=_gfx8_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateEvent=gfx8_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@4=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@8=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@12=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@16=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@20=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@24=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@28=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@32=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@36=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@40=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@44=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@48=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@60=_gfx9_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateEvent@104=_gfx9_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateEvent=gfx9_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@4=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@8=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@12=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@16=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@20=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@24=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@28=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@32=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@36=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@40=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@44=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@48=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@60=_gfx11_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateEvent@104=_gfx11_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateEvent=gfx11_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@4=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@8=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@12=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@16=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@20=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@24=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@28=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@32=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@36=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@40=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@44=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@48=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@60=_gfx12_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateEvent@104=_gfx12_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateEvent=gfx12_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@4=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@8=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@12=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@16=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@20=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@24=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@28=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@32=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@36=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@40=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@44=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@48=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@60=_gfx125_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateEvent@104=_gfx125_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateEvent=gfx125_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@4=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@8=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@12=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@16=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@20=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@24=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@28=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@32=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@36=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@40=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@44=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@48=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@60=_anv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyEvent@104=_anv_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyEvent=anv_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@4=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@8=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@12=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@16=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@20=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@24=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@28=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@32=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@36=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@40=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@44=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@48=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@60=_gfx7_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyEvent@104=_gfx7_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyEvent=gfx7_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@4=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@8=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@12=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@16=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@20=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@24=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@28=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@32=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@36=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@40=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@44=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@48=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@60=_gfx75_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyEvent@104=_gfx75_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyEvent=gfx75_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@4=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@8=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@12=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@16=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@20=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@24=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@28=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@32=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@36=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@40=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@44=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@48=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@60=_gfx8_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyEvent@104=_gfx8_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyEvent=gfx8_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@4=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@8=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@12=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@16=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@20=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@24=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@28=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@32=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@36=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@40=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@44=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@48=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@60=_gfx9_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyEvent@104=_gfx9_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyEvent=gfx9_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@4=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@8=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@12=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@16=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@20=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@24=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@28=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@32=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@36=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@40=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@44=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@48=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@60=_gfx11_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyEvent@104=_gfx11_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyEvent=gfx11_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@4=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@8=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@12=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@16=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@20=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@24=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@28=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@32=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@36=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@40=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@44=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@48=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@60=_gfx12_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyEvent@104=_gfx12_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyEvent=gfx12_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@4=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@8=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@12=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@16=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@20=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@24=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@28=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@32=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@36=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@40=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@44=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@48=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@60=_gfx125_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyEvent@104=_gfx125_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyEvent=gfx125_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@4=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@8=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@12=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@16=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@20=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@24=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@28=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@32=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@36=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@40=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@44=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@48=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@60=_anv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_anv_GetEventStatus@104=_anv_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetEventStatus=anv_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@4=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@8=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@12=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@16=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@20=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@24=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@28=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@32=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@36=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@40=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@44=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@48=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@60=_gfx7_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetEventStatus@104=_gfx7_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetEventStatus=gfx7_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@4=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@8=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@12=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@16=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@20=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@24=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@28=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@32=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@36=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@40=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@44=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@48=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@60=_gfx75_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetEventStatus@104=_gfx75_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetEventStatus=gfx75_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@4=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@8=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@12=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@16=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@20=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@24=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@28=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@32=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@36=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@40=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@44=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@48=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@60=_gfx8_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetEventStatus@104=_gfx8_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetEventStatus=gfx8_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@4=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@8=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@12=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@16=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@20=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@24=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@28=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@32=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@36=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@40=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@44=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@48=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@60=_gfx9_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetEventStatus@104=_gfx9_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetEventStatus=gfx9_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@4=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@8=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@12=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@16=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@20=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@24=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@28=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@32=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@36=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@40=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@44=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@48=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@60=_gfx11_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetEventStatus@104=_gfx11_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetEventStatus=gfx11_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@4=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@8=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@12=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@16=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@20=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@24=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@28=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@32=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@36=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@40=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@44=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@48=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@60=_gfx12_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetEventStatus@104=_gfx12_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetEventStatus=gfx12_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@4=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@8=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@12=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@16=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@20=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@24=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@28=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@32=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@36=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@40=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@44=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@48=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@60=_gfx125_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetEventStatus@104=_gfx125_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetEventStatus=gfx125_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SetEvent@4=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@8=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@12=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@16=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@20=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@24=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@28=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@32=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@36=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@40=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@44=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@48=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@60=_anv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_SetEvent@104=_anv_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SetEvent=anv_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@4=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@8=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@12=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@16=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@20=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@24=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@28=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@32=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@36=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@40=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@44=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@48=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@60=_gfx7_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetEvent@104=_gfx7_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SetEvent=gfx7_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@4=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@8=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@12=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@16=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@20=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@24=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@28=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@32=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@36=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@40=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@44=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@48=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@60=_gfx75_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetEvent@104=_gfx75_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SetEvent=gfx75_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@4=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@8=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@12=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@16=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@20=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@24=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@28=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@32=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@36=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@40=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@44=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@48=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@60=_gfx8_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetEvent@104=_gfx8_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SetEvent=gfx8_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@4=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@8=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@12=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@16=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@20=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@24=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@28=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@32=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@36=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@40=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@44=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@48=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@60=_gfx9_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetEvent@104=_gfx9_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SetEvent=gfx9_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@4=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@8=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@12=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@16=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@20=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@24=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@28=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@32=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@36=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@40=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@44=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@48=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@60=_gfx11_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetEvent@104=_gfx11_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SetEvent=gfx11_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@4=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@8=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@12=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@16=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@20=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@24=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@28=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@32=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@36=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@40=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@44=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@48=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@60=_gfx12_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetEvent@104=_gfx12_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SetEvent=gfx12_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@4=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@8=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@12=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@16=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@20=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@24=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@28=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@32=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@36=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@40=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@44=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@48=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@60=_gfx125_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetEvent@104=_gfx125_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SetEvent=gfx125_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@4=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@8=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@12=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@16=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@20=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@24=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@28=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@32=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@36=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@40=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@44=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@48=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@60=_anv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetEvent@104=_anv_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetEvent=anv_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@4=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@8=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@12=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@16=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@20=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@24=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@28=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@32=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@36=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@40=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@44=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@48=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@60=_gfx7_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetEvent@104=_gfx7_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetEvent=gfx7_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@4=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@8=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@12=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@16=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@20=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@24=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@28=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@32=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@36=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@40=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@44=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@48=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@60=_gfx75_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetEvent@104=_gfx75_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetEvent=gfx75_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@4=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@8=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@12=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@16=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@20=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@24=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@28=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@32=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@36=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@40=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@44=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@48=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@60=_gfx8_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetEvent@104=_gfx8_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetEvent=gfx8_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@4=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@8=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@12=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@16=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@20=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@24=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@28=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@32=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@36=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@40=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@44=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@48=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@60=_gfx9_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetEvent@104=_gfx9_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetEvent=gfx9_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@4=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@8=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@12=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@16=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@20=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@24=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@28=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@32=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@36=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@40=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@44=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@48=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@60=_gfx11_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetEvent@104=_gfx11_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetEvent=gfx11_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@4=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@8=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@12=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@16=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@20=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@24=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@28=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@32=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@36=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@40=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@44=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@48=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@60=_gfx12_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetEvent@104=_gfx12_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetEvent=gfx12_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@4=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@8=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@12=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@16=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@20=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@24=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@28=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@32=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@36=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@40=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@44=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@48=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@60=_gfx125_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetEvent@104=_gfx125_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetEvent=gfx125_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@4=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@8=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@12=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@16=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@20=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@24=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@28=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@32=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@36=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@40=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@44=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@48=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@60=_anv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateQueryPool@104=_anv_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateQueryPool=anv_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@4=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@8=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@12=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@16=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@20=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@24=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@28=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@32=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@36=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@40=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@44=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@48=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@60=_gfx7_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateQueryPool@104=_gfx7_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateQueryPool=gfx7_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@4=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@8=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@12=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@16=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@20=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@24=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@28=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@32=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@36=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@40=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@44=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@48=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@60=_gfx75_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateQueryPool@104=_gfx75_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateQueryPool=gfx75_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@4=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@8=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@12=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@16=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@20=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@24=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@28=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@32=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@36=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@40=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@44=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@48=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@60=_gfx8_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateQueryPool@104=_gfx8_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateQueryPool=gfx8_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@4=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@8=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@12=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@16=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@20=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@24=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@28=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@32=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@36=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@40=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@44=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@48=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@60=_gfx9_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateQueryPool@104=_gfx9_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateQueryPool=gfx9_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@4=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@8=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@12=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@16=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@20=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@24=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@28=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@32=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@36=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@40=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@44=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@48=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@60=_gfx11_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateQueryPool@104=_gfx11_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateQueryPool=gfx11_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@4=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@8=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@12=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@16=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@20=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@24=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@28=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@32=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@36=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@40=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@44=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@48=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@60=_gfx12_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateQueryPool@104=_gfx12_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateQueryPool=gfx12_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@4=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@8=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@12=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@16=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@20=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@24=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@28=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@32=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@36=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@40=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@44=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@48=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@60=_gfx125_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateQueryPool@104=_gfx125_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateQueryPool=gfx125_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@4=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@8=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@12=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@16=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@20=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@24=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@28=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@32=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@36=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@40=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@44=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@48=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@60=_anv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyQueryPool@104=_anv_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyQueryPool=anv_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@4=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@8=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@12=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@16=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@20=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@24=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@28=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@32=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@36=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@40=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@44=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@48=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@60=_gfx7_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyQueryPool@104=_gfx7_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyQueryPool=gfx7_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@4=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@8=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@12=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@16=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@20=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@24=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@28=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@32=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@36=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@40=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@44=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@48=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@60=_gfx75_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyQueryPool@104=_gfx75_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyQueryPool=gfx75_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@4=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@8=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@12=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@16=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@20=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@24=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@28=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@32=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@36=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@40=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@44=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@48=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@60=_gfx8_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyQueryPool@104=_gfx8_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyQueryPool=gfx8_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@4=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@8=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@12=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@16=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@20=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@24=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@28=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@32=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@36=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@40=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@44=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@48=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@60=_gfx9_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyQueryPool@104=_gfx9_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyQueryPool=gfx9_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@4=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@8=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@12=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@16=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@20=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@24=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@28=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@32=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@36=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@40=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@44=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@48=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@60=_gfx11_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyQueryPool@104=_gfx11_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyQueryPool=gfx11_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@4=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@8=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@12=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@16=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@20=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@24=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@28=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@32=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@36=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@40=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@44=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@48=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@60=_gfx12_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyQueryPool@104=_gfx12_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyQueryPool=gfx12_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@4=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@8=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@12=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@16=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@20=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@24=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@28=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@32=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@36=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@40=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@44=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@48=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@60=_gfx125_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyQueryPool@104=_gfx125_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyQueryPool=gfx125_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@4=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@8=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@12=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@16=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@20=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@24=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@28=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@32=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@36=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@40=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@44=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@48=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@60=_anv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueryPoolResults@104=_anv_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetQueryPoolResults=anv_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@4=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@8=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@12=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@16=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@20=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@24=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@28=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@32=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@36=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@40=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@44=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@48=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@60=_gfx7_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueryPoolResults@104=_gfx7_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetQueryPoolResults=gfx7_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@4=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@8=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@12=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@16=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@20=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@24=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@28=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@32=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@36=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@40=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@44=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@48=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@60=_gfx75_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueryPoolResults@104=_gfx75_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetQueryPoolResults=gfx75_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@4=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@8=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@12=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@16=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@20=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@24=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@28=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@32=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@36=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@40=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@44=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@48=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@60=_gfx8_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueryPoolResults@104=_gfx8_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetQueryPoolResults=gfx8_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@4=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@8=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@12=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@16=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@20=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@24=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@28=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@32=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@36=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@40=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@44=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@48=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@60=_gfx9_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueryPoolResults@104=_gfx9_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetQueryPoolResults=gfx9_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@4=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@8=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@12=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@16=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@20=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@24=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@28=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@32=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@36=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@40=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@44=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@48=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@60=_gfx11_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueryPoolResults@104=_gfx11_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetQueryPoolResults=gfx11_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@4=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@8=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@12=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@16=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@20=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@24=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@28=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@32=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@36=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@40=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@44=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@48=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@60=_gfx12_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueryPoolResults@104=_gfx12_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetQueryPoolResults=gfx12_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@4=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@8=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@12=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@16=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@20=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@24=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@28=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@32=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@36=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@40=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@44=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@48=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@60=_gfx125_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueryPoolResults@104=_gfx125_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetQueryPoolResults=gfx125_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@4=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@8=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@12=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@16=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@20=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@24=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@28=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@32=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@36=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@40=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@44=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@48=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@60=_anv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPool@104=_anv_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetQueryPool=anv_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@4=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@8=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@12=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@16=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@20=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@24=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@28=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@32=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@36=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@40=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@44=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@48=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@60=_gfx7_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPool@104=_gfx7_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetQueryPool=gfx7_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@4=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@8=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@12=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@16=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@20=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@24=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@28=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@32=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@36=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@40=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@44=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@48=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@60=_gfx75_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPool@104=_gfx75_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetQueryPool=gfx75_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@4=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@8=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@12=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@16=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@20=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@24=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@28=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@32=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@36=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@40=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@44=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@48=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@60=_gfx8_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPool@104=_gfx8_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetQueryPool=gfx8_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@4=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@8=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@12=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@16=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@20=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@24=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@28=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@32=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@36=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@40=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@44=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@48=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@60=_gfx9_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPool@104=_gfx9_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetQueryPool=gfx9_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@4=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@8=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@12=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@16=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@20=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@24=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@28=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@32=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@36=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@40=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@44=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@48=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@60=_gfx11_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPool@104=_gfx11_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetQueryPool=gfx11_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@4=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@8=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@12=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@16=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@20=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@24=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@28=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@32=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@36=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@40=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@44=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@48=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@60=_gfx12_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPool@104=_gfx12_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetQueryPool=gfx12_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@4=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@8=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@12=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@16=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@20=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@24=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@28=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@32=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@36=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@40=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@44=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@48=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@60=_gfx125_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPool@104=_gfx125_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetQueryPool=gfx125_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@4=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@8=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@12=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@16=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@20=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@24=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@28=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@32=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@36=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@40=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@44=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@48=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@60=_anv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetQueryPoolEXT@104=_anv_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetQueryPoolEXT=anv_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@4=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@8=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@12=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@16=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@20=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@24=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@28=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@32=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@36=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@40=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@44=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@48=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@60=_gfx7_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetQueryPoolEXT@104=_gfx7_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetQueryPoolEXT=gfx7_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@4=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@8=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@12=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@16=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@20=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@24=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@28=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@32=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@36=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@40=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@44=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@48=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@60=_gfx75_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetQueryPoolEXT@104=_gfx75_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetQueryPoolEXT=gfx75_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@4=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@8=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@12=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@16=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@20=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@24=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@28=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@32=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@36=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@40=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@44=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@48=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@60=_gfx8_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetQueryPoolEXT@104=_gfx8_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetQueryPoolEXT=gfx8_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@4=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@8=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@12=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@16=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@20=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@24=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@28=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@32=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@36=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@40=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@44=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@48=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@60=_gfx9_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetQueryPoolEXT@104=_gfx9_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetQueryPoolEXT=gfx9_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@4=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@8=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@12=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@16=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@20=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@24=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@28=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@32=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@36=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@40=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@44=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@48=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@60=_gfx11_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetQueryPoolEXT@104=_gfx11_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetQueryPoolEXT=gfx11_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@4=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@8=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@12=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@16=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@20=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@24=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@28=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@32=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@36=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@40=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@44=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@48=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@60=_gfx12_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetQueryPoolEXT@104=_gfx12_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetQueryPoolEXT=gfx12_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@4=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@8=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@12=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@16=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@20=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@24=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@28=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@32=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@36=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@40=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@44=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@48=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@60=_gfx125_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetQueryPoolEXT@104=_gfx125_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetQueryPoolEXT=gfx125_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@4=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@8=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@12=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@16=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@20=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@24=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@28=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@32=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@36=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@40=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@44=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@48=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@60=_anv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBuffer@104=_anv_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateBuffer=anv_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@4=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@8=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@12=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@16=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@20=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@24=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@28=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@32=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@36=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@40=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@44=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@48=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@60=_gfx7_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBuffer@104=_gfx7_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateBuffer=gfx7_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@4=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@8=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@12=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@16=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@20=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@24=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@28=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@32=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@36=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@40=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@44=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@48=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@60=_gfx75_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBuffer@104=_gfx75_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateBuffer=gfx75_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@4=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@8=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@12=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@16=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@20=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@24=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@28=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@32=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@36=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@40=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@44=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@48=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@60=_gfx8_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBuffer@104=_gfx8_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateBuffer=gfx8_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@4=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@8=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@12=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@16=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@20=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@24=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@28=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@32=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@36=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@40=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@44=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@48=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@60=_gfx9_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBuffer@104=_gfx9_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateBuffer=gfx9_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@4=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@8=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@12=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@16=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@20=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@24=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@28=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@32=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@36=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@40=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@44=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@48=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@60=_gfx11_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBuffer@104=_gfx11_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateBuffer=gfx11_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@4=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@8=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@12=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@16=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@20=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@24=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@28=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@32=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@36=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@40=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@44=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@48=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@60=_gfx12_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBuffer@104=_gfx12_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateBuffer=gfx12_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@4=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@8=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@12=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@16=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@20=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@24=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@28=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@32=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@36=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@40=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@44=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@48=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@60=_gfx125_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBuffer@104=_gfx125_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateBuffer=gfx125_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@4=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@8=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@12=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@16=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@20=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@24=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@28=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@32=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@36=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@40=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@44=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@48=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@60=_anv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBuffer@104=_anv_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyBuffer=anv_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@4=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@8=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@12=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@16=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@20=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@24=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@28=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@32=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@36=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@40=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@44=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@48=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@60=_gfx7_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBuffer@104=_gfx7_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyBuffer=gfx7_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@4=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@8=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@12=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@16=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@20=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@24=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@28=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@32=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@36=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@40=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@44=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@48=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@60=_gfx75_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBuffer@104=_gfx75_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyBuffer=gfx75_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@4=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@8=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@12=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@16=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@20=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@24=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@28=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@32=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@36=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@40=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@44=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@48=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@60=_gfx8_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBuffer@104=_gfx8_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyBuffer=gfx8_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@4=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@8=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@12=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@16=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@20=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@24=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@28=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@32=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@36=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@40=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@44=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@48=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@60=_gfx9_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBuffer@104=_gfx9_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyBuffer=gfx9_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@4=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@8=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@12=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@16=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@20=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@24=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@28=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@32=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@36=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@40=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@44=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@48=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@60=_gfx11_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBuffer@104=_gfx11_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyBuffer=gfx11_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@4=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@8=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@12=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@16=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@20=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@24=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@28=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@32=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@36=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@40=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@44=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@48=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@60=_gfx12_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBuffer@104=_gfx12_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyBuffer=gfx12_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@4=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@8=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@12=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@16=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@20=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@24=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@28=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@32=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@36=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@40=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@44=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@48=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@60=_gfx125_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBuffer@104=_gfx125_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyBuffer=gfx125_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@4=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@8=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@12=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@16=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@20=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@24=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@28=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@32=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@36=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@40=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@44=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@48=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@60=_anv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateBufferView@104=_anv_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateBufferView=anv_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@4=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@8=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@12=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@16=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@20=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@24=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@28=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@32=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@36=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@40=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@44=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@48=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@60=_gfx7_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateBufferView@104=_gfx7_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateBufferView=gfx7_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@4=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@8=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@12=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@16=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@20=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@24=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@28=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@32=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@36=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@40=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@44=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@48=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@60=_gfx75_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateBufferView@104=_gfx75_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateBufferView=gfx75_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@4=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@8=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@12=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@16=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@20=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@24=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@28=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@32=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@36=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@40=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@44=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@48=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@60=_gfx8_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateBufferView@104=_gfx8_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateBufferView=gfx8_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@4=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@8=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@12=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@16=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@20=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@24=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@28=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@32=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@36=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@40=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@44=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@48=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@60=_gfx9_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateBufferView@104=_gfx9_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateBufferView=gfx9_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@4=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@8=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@12=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@16=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@20=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@24=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@28=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@32=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@36=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@40=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@44=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@48=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@60=_gfx11_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateBufferView@104=_gfx11_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateBufferView=gfx11_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@4=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@8=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@12=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@16=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@20=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@24=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@28=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@32=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@36=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@40=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@44=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@48=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@60=_gfx12_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateBufferView@104=_gfx12_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateBufferView=gfx12_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@4=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@8=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@12=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@16=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@20=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@24=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@28=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@32=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@36=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@40=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@44=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@48=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@60=_gfx125_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateBufferView@104=_gfx125_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateBufferView=gfx125_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@4=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@8=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@12=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@16=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@20=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@24=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@28=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@32=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@36=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@40=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@44=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@48=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@60=_anv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyBufferView@104=_anv_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyBufferView=anv_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@4=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@8=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@12=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@16=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@20=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@24=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@28=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@32=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@36=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@40=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@44=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@48=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@60=_gfx7_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyBufferView@104=_gfx7_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyBufferView=gfx7_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@4=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@8=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@12=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@16=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@20=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@24=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@28=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@32=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@36=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@40=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@44=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@48=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@60=_gfx75_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyBufferView@104=_gfx75_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyBufferView=gfx75_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@4=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@8=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@12=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@16=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@20=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@24=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@28=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@32=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@36=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@40=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@44=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@48=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@60=_gfx8_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyBufferView@104=_gfx8_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyBufferView=gfx8_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@4=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@8=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@12=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@16=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@20=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@24=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@28=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@32=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@36=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@40=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@44=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@48=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@60=_gfx9_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyBufferView@104=_gfx9_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyBufferView=gfx9_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@4=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@8=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@12=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@16=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@20=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@24=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@28=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@32=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@36=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@40=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@44=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@48=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@60=_gfx11_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyBufferView@104=_gfx11_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyBufferView=gfx11_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@4=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@8=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@12=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@16=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@20=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@24=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@28=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@32=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@36=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@40=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@44=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@48=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@60=_gfx12_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyBufferView@104=_gfx12_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyBufferView=gfx12_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@4=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@8=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@12=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@16=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@20=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@24=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@28=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@32=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@36=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@40=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@44=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@48=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@60=_gfx125_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyBufferView@104=_gfx125_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyBufferView=gfx125_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateImage@4=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@8=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@12=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@16=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@20=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@24=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@28=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@32=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@36=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@40=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@44=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@48=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@60=_anv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImage@104=_anv_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateImage=anv_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@4=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@8=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@12=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@16=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@20=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@24=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@28=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@32=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@36=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@40=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@44=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@48=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@60=_gfx7_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImage@104=_gfx7_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateImage=gfx7_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@4=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@8=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@12=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@16=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@20=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@24=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@28=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@32=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@36=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@40=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@44=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@48=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@60=_gfx75_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImage@104=_gfx75_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateImage=gfx75_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@4=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@8=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@12=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@16=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@20=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@24=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@28=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@32=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@36=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@40=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@44=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@48=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@60=_gfx8_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImage@104=_gfx8_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateImage=gfx8_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@4=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@8=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@12=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@16=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@20=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@24=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@28=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@32=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@36=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@40=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@44=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@48=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@60=_gfx9_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImage@104=_gfx9_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateImage=gfx9_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@4=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@8=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@12=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@16=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@20=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@24=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@28=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@32=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@36=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@40=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@44=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@48=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@60=_gfx11_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImage@104=_gfx11_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateImage=gfx11_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@4=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@8=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@12=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@16=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@20=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@24=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@28=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@32=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@36=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@40=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@44=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@48=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@60=_gfx12_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImage@104=_gfx12_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateImage=gfx12_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@4=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@8=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@12=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@16=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@20=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@24=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@28=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@32=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@36=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@40=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@44=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@48=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@60=_gfx125_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImage@104=_gfx125_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateImage=gfx125_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@4=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@8=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@12=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@16=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@20=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@24=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@28=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@32=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@36=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@40=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@44=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@48=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@60=_anv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImage@104=_anv_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyImage=anv_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@4=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@8=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@12=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@16=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@20=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@24=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@28=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@32=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@36=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@40=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@44=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@48=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@60=_gfx7_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImage@104=_gfx7_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyImage=gfx7_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@4=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@8=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@12=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@16=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@20=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@24=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@28=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@32=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@36=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@40=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@44=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@48=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@60=_gfx75_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImage@104=_gfx75_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyImage=gfx75_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@4=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@8=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@12=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@16=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@20=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@24=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@28=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@32=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@36=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@40=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@44=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@48=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@60=_gfx8_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImage@104=_gfx8_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyImage=gfx8_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@4=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@8=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@12=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@16=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@20=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@24=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@28=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@32=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@36=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@40=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@44=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@48=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@60=_gfx9_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImage@104=_gfx9_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyImage=gfx9_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@4=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@8=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@12=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@16=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@20=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@24=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@28=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@32=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@36=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@40=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@44=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@48=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@60=_gfx11_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImage@104=_gfx11_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyImage=gfx11_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@4=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@8=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@12=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@16=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@20=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@24=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@28=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@32=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@36=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@40=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@44=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@48=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@60=_gfx12_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImage@104=_gfx12_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyImage=gfx12_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@4=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@8=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@12=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@16=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@20=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@24=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@28=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@32=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@36=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@40=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@44=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@48=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@60=_gfx125_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImage@104=_gfx125_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyImage=gfx125_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@4=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@8=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@12=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@16=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@20=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@24=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@28=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@32=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@36=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@40=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@44=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@48=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@60=_anv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSubresourceLayout@104=_anv_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageSubresourceLayout=anv_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@4=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@8=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@12=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@16=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@20=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@24=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@28=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@32=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@36=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@40=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@44=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@48=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@60=_gfx7_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSubresourceLayout@104=_gfx7_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageSubresourceLayout=gfx7_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@4=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@8=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@12=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@16=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@20=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@24=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@28=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@32=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@36=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@40=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@44=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@48=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@60=_gfx75_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSubresourceLayout@104=_gfx75_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageSubresourceLayout=gfx75_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@4=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@8=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@12=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@16=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@20=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@24=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@28=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@32=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@36=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@40=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@44=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@48=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@60=_gfx8_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSubresourceLayout@104=_gfx8_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageSubresourceLayout=gfx8_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@4=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@8=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@12=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@16=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@20=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@24=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@28=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@32=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@36=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@40=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@44=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@48=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@60=_gfx9_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSubresourceLayout@104=_gfx9_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageSubresourceLayout=gfx9_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@4=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@8=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@12=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@16=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@20=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@24=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@28=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@32=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@36=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@40=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@44=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@48=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@60=_gfx11_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSubresourceLayout@104=_gfx11_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageSubresourceLayout=gfx11_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@4=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@8=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@12=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@16=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@20=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@24=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@28=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@32=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@36=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@40=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@44=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@48=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@60=_gfx12_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSubresourceLayout@104=_gfx12_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageSubresourceLayout=gfx12_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@4=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@8=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@12=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@16=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@20=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@24=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@28=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@32=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@36=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@40=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@44=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@48=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@60=_gfx125_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSubresourceLayout@104=_gfx125_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageSubresourceLayout=gfx125_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@4=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@8=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@12=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@16=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@20=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@24=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@28=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@32=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@36=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@40=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@44=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@48=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@60=_anv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateImageView@104=_anv_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateImageView=anv_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@4=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@8=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@12=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@16=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@20=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@24=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@28=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@32=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@36=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@40=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@44=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@48=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@60=_gfx7_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateImageView@104=_gfx7_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateImageView=gfx7_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@4=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@8=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@12=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@16=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@20=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@24=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@28=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@32=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@36=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@40=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@44=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@48=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@60=_gfx75_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateImageView@104=_gfx75_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateImageView=gfx75_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@4=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@8=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@12=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@16=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@20=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@24=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@28=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@32=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@36=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@40=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@44=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@48=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@60=_gfx8_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateImageView@104=_gfx8_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateImageView=gfx8_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@4=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@8=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@12=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@16=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@20=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@24=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@28=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@32=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@36=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@40=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@44=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@48=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@60=_gfx9_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateImageView@104=_gfx9_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateImageView=gfx9_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@4=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@8=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@12=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@16=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@20=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@24=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@28=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@32=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@36=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@40=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@44=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@48=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@60=_gfx11_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateImageView@104=_gfx11_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateImageView=gfx11_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@4=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@8=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@12=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@16=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@20=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@24=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@28=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@32=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@36=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@40=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@44=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@48=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@60=_gfx12_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateImageView@104=_gfx12_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateImageView=gfx12_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@4=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@8=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@12=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@16=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@20=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@24=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@28=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@32=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@36=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@40=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@44=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@48=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@60=_gfx125_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateImageView@104=_gfx125_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateImageView=gfx125_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@4=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@8=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@12=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@16=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@20=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@24=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@28=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@32=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@36=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@40=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@44=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@48=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@60=_anv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyImageView@104=_anv_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyImageView=anv_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@4=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@8=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@12=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@16=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@20=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@24=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@28=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@32=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@36=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@40=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@44=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@48=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@60=_gfx7_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyImageView@104=_gfx7_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyImageView=gfx7_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@4=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@8=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@12=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@16=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@20=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@24=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@28=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@32=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@36=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@40=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@44=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@48=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@60=_gfx75_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyImageView@104=_gfx75_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyImageView=gfx75_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@4=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@8=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@12=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@16=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@20=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@24=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@28=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@32=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@36=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@40=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@44=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@48=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@60=_gfx8_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyImageView@104=_gfx8_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyImageView=gfx8_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@4=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@8=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@12=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@16=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@20=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@24=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@28=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@32=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@36=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@40=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@44=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@48=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@60=_gfx9_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyImageView@104=_gfx9_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyImageView=gfx9_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@4=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@8=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@12=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@16=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@20=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@24=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@28=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@32=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@36=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@40=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@44=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@48=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@60=_gfx11_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyImageView@104=_gfx11_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyImageView=gfx11_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@4=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@8=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@12=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@16=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@20=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@24=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@28=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@32=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@36=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@40=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@44=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@48=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@60=_gfx12_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyImageView@104=_gfx12_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyImageView=gfx12_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@4=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@8=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@12=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@16=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@20=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@24=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@28=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@32=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@36=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@40=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@44=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@48=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@60=_gfx125_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyImageView@104=_gfx125_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyImageView=gfx125_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@4=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@8=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@12=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@16=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@20=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@24=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@28=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@32=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@36=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@40=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@44=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@48=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@60=_anv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateShaderModule@104=_anv_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateShaderModule=anv_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@4=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@8=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@12=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@16=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@20=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@24=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@28=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@32=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@36=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@40=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@44=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@48=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@60=_gfx7_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateShaderModule@104=_gfx7_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateShaderModule=gfx7_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@4=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@8=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@12=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@16=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@20=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@24=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@28=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@32=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@36=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@40=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@44=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@48=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@60=_gfx75_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateShaderModule@104=_gfx75_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateShaderModule=gfx75_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@4=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@8=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@12=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@16=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@20=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@24=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@28=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@32=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@36=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@40=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@44=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@48=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@60=_gfx8_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateShaderModule@104=_gfx8_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateShaderModule=gfx8_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@4=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@8=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@12=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@16=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@20=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@24=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@28=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@32=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@36=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@40=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@44=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@48=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@60=_gfx9_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateShaderModule@104=_gfx9_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateShaderModule=gfx9_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@4=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@8=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@12=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@16=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@20=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@24=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@28=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@32=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@36=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@40=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@44=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@48=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@60=_gfx11_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateShaderModule@104=_gfx11_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateShaderModule=gfx11_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@4=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@8=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@12=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@16=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@20=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@24=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@28=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@32=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@36=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@40=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@44=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@48=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@60=_gfx12_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateShaderModule@104=_gfx12_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateShaderModule=gfx12_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@4=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@8=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@12=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@16=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@20=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@24=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@28=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@32=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@36=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@40=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@44=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@48=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@60=_gfx125_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateShaderModule@104=_gfx125_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateShaderModule=gfx125_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@4=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@8=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@12=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@16=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@20=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@24=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@28=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@32=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@36=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@40=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@44=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@48=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@60=_anv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyShaderModule@104=_anv_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyShaderModule=anv_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@4=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@8=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@12=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@16=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@20=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@24=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@28=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@32=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@36=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@40=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@44=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@48=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@60=_gfx7_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyShaderModule@104=_gfx7_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyShaderModule=gfx7_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@4=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@8=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@12=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@16=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@20=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@24=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@28=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@32=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@36=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@40=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@44=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@48=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@60=_gfx75_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyShaderModule@104=_gfx75_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyShaderModule=gfx75_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@4=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@8=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@12=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@16=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@20=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@24=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@28=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@32=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@36=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@40=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@44=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@48=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@60=_gfx8_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyShaderModule@104=_gfx8_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyShaderModule=gfx8_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@4=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@8=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@12=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@16=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@20=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@24=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@28=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@32=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@36=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@40=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@44=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@48=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@60=_gfx9_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyShaderModule@104=_gfx9_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyShaderModule=gfx9_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@4=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@8=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@12=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@16=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@20=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@24=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@28=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@32=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@36=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@40=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@44=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@48=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@60=_gfx11_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyShaderModule@104=_gfx11_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyShaderModule=gfx11_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@4=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@8=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@12=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@16=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@20=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@24=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@28=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@32=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@36=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@40=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@44=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@48=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@60=_gfx12_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyShaderModule@104=_gfx12_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyShaderModule=gfx12_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@4=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@8=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@12=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@16=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@20=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@24=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@28=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@32=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@36=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@40=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@44=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@48=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@60=_gfx125_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyShaderModule@104=_gfx125_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyShaderModule=gfx125_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@4=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@8=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@12=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@16=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@20=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@24=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@28=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@32=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@36=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@40=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@44=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@48=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@60=_anv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineCache@104=_anv_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreatePipelineCache=anv_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@4=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@8=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@12=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@16=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@20=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@24=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@28=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@32=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@36=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@40=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@44=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@48=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@60=_gfx7_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineCache@104=_gfx7_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreatePipelineCache=gfx7_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@4=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@8=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@12=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@16=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@20=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@24=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@28=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@32=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@36=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@40=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@44=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@48=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@60=_gfx75_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineCache@104=_gfx75_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreatePipelineCache=gfx75_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@4=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@8=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@12=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@16=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@20=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@24=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@28=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@32=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@36=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@40=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@44=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@48=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@60=_gfx8_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineCache@104=_gfx8_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreatePipelineCache=gfx8_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@4=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@8=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@12=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@16=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@20=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@24=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@28=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@32=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@36=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@40=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@44=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@48=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@60=_gfx9_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineCache@104=_gfx9_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreatePipelineCache=gfx9_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@4=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@8=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@12=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@16=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@20=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@24=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@28=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@32=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@36=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@40=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@44=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@48=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@60=_gfx11_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineCache@104=_gfx11_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreatePipelineCache=gfx11_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@4=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@8=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@12=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@16=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@20=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@24=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@28=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@32=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@36=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@40=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@44=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@48=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@60=_gfx12_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineCache@104=_gfx12_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreatePipelineCache=gfx12_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@4=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@8=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@12=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@16=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@20=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@24=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@28=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@32=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@36=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@40=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@44=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@48=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@60=_gfx125_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineCache@104=_gfx125_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreatePipelineCache=gfx125_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@4=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@8=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@12=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@16=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@20=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@24=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@28=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@32=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@36=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@40=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@44=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@48=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@60=_anv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineCache@104=_anv_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyPipelineCache=anv_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@4=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@8=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@12=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@16=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@20=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@24=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@28=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@32=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@36=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@40=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@44=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@48=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@60=_gfx7_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineCache@104=_gfx7_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyPipelineCache=gfx7_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@4=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@8=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@12=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@16=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@20=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@24=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@28=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@32=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@36=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@40=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@44=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@48=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@60=_gfx75_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineCache@104=_gfx75_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyPipelineCache=gfx75_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@4=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@8=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@12=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@16=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@20=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@24=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@28=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@32=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@36=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@40=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@44=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@48=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@60=_gfx8_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineCache@104=_gfx8_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyPipelineCache=gfx8_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@4=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@8=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@12=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@16=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@20=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@24=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@28=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@32=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@36=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@40=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@44=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@48=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@60=_gfx9_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineCache@104=_gfx9_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyPipelineCache=gfx9_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@4=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@8=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@12=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@16=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@20=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@24=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@28=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@32=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@36=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@40=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@44=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@48=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@60=_gfx11_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineCache@104=_gfx11_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyPipelineCache=gfx11_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@4=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@8=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@12=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@16=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@20=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@24=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@28=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@32=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@36=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@40=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@44=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@48=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@60=_gfx12_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineCache@104=_gfx12_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyPipelineCache=gfx12_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@4=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@8=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@12=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@16=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@20=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@24=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@28=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@32=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@36=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@40=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@44=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@48=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@60=_gfx125_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineCache@104=_gfx125_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyPipelineCache=gfx125_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@4=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@8=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@12=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@16=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@20=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@24=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@28=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@32=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@36=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@40=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@44=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@48=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@60=_anv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineCacheData@104=_anv_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPipelineCacheData=anv_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@4=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@8=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@12=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@16=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@20=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@24=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@28=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@32=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@36=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@40=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@44=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@48=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@60=_gfx7_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineCacheData@104=_gfx7_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPipelineCacheData=gfx7_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@4=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@8=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@12=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@16=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@20=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@24=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@28=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@32=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@36=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@40=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@44=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@48=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@60=_gfx75_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineCacheData@104=_gfx75_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPipelineCacheData=gfx75_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@4=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@8=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@12=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@16=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@20=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@24=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@28=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@32=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@36=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@40=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@44=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@48=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@60=_gfx8_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineCacheData@104=_gfx8_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPipelineCacheData=gfx8_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@4=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@8=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@12=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@16=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@20=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@24=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@28=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@32=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@36=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@40=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@44=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@48=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@60=_gfx9_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineCacheData@104=_gfx9_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPipelineCacheData=gfx9_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@4=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@8=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@12=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@16=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@20=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@24=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@28=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@32=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@36=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@40=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@44=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@48=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@60=_gfx11_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineCacheData@104=_gfx11_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPipelineCacheData=gfx11_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@4=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@8=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@12=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@16=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@20=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@24=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@28=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@32=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@36=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@40=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@44=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@48=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@60=_gfx12_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineCacheData@104=_gfx12_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPipelineCacheData=gfx12_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@4=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@8=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@12=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@16=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@20=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@24=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@28=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@32=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@36=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@40=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@44=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@48=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@60=_gfx125_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineCacheData@104=_gfx125_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPipelineCacheData=gfx125_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@4=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@8=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@12=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@16=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@20=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@24=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@28=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@32=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@36=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@40=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@44=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@48=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@60=_anv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_anv_MergePipelineCaches@104=_anv_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:anv_MergePipelineCaches=anv_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@4=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@8=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@12=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@16=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@20=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@24=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@28=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@32=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@36=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@40=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@44=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@48=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@60=_gfx7_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergePipelineCaches@104=_gfx7_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_MergePipelineCaches=gfx7_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@4=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@8=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@12=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@16=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@20=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@24=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@28=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@32=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@36=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@40=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@44=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@48=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@60=_gfx75_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergePipelineCaches@104=_gfx75_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_MergePipelineCaches=gfx75_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@4=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@8=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@12=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@16=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@20=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@24=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@28=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@32=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@36=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@40=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@44=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@48=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@60=_gfx8_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergePipelineCaches@104=_gfx8_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_MergePipelineCaches=gfx8_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@4=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@8=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@12=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@16=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@20=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@24=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@28=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@32=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@36=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@40=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@44=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@48=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@60=_gfx9_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergePipelineCaches@104=_gfx9_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_MergePipelineCaches=gfx9_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@4=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@8=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@12=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@16=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@20=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@24=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@28=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@32=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@36=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@40=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@44=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@48=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@60=_gfx11_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergePipelineCaches@104=_gfx11_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_MergePipelineCaches=gfx11_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@4=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@8=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@12=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@16=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@20=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@24=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@28=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@32=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@36=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@40=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@44=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@48=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@60=_gfx12_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergePipelineCaches@104=_gfx12_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_MergePipelineCaches=gfx12_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@4=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@8=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@12=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@16=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@20=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@24=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@28=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@32=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@36=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@40=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@44=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@48=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@60=_gfx125_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergePipelineCaches@104=_gfx125_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_MergePipelineCaches=gfx125_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@4=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@8=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@12=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@16=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@20=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@24=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@28=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@32=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@36=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@40=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@44=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@48=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@60=_anv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateGraphicsPipelines@104=_anv_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateGraphicsPipelines=anv_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@4=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@8=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@12=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@16=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@20=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@24=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@28=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@32=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@36=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@40=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@44=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@48=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@60=_gfx7_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateGraphicsPipelines@104=_gfx7_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateGraphicsPipelines=gfx7_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@4=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@8=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@12=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@16=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@20=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@24=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@28=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@32=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@36=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@40=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@44=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@48=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@60=_gfx75_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateGraphicsPipelines@104=_gfx75_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateGraphicsPipelines=gfx75_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@4=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@8=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@12=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@16=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@20=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@24=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@28=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@32=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@36=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@40=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@44=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@48=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@60=_gfx8_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateGraphicsPipelines@104=_gfx8_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateGraphicsPipelines=gfx8_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@4=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@8=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@12=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@16=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@20=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@24=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@28=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@32=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@36=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@40=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@44=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@48=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@60=_gfx9_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateGraphicsPipelines@104=_gfx9_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateGraphicsPipelines=gfx9_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@4=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@8=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@12=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@16=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@20=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@24=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@28=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@32=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@36=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@40=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@44=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@48=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@60=_gfx11_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateGraphicsPipelines@104=_gfx11_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateGraphicsPipelines=gfx11_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@4=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@8=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@12=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@16=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@20=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@24=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@28=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@32=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@36=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@40=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@44=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@48=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@60=_gfx12_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateGraphicsPipelines@104=_gfx12_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateGraphicsPipelines=gfx12_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@4=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@8=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@12=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@16=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@20=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@24=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@28=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@32=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@36=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@40=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@44=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@48=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@60=_gfx125_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateGraphicsPipelines@104=_gfx125_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateGraphicsPipelines=gfx125_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@4=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@8=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@12=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@16=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@20=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@24=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@28=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@32=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@36=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@40=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@44=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@48=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@60=_anv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateComputePipelines@104=_anv_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateComputePipelines=anv_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@4=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@8=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@12=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@16=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@20=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@24=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@28=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@32=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@36=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@40=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@44=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@48=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@60=_gfx7_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateComputePipelines@104=_gfx7_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateComputePipelines=gfx7_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@4=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@8=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@12=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@16=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@20=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@24=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@28=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@32=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@36=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@40=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@44=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@48=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@60=_gfx75_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateComputePipelines@104=_gfx75_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateComputePipelines=gfx75_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@4=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@8=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@12=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@16=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@20=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@24=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@28=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@32=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@36=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@40=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@44=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@48=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@60=_gfx8_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateComputePipelines@104=_gfx8_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateComputePipelines=gfx8_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@4=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@8=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@12=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@16=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@20=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@24=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@28=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@32=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@36=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@40=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@44=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@48=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@60=_gfx9_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateComputePipelines@104=_gfx9_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateComputePipelines=gfx9_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@4=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@8=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@12=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@16=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@20=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@24=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@28=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@32=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@36=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@40=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@44=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@48=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@60=_gfx11_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateComputePipelines@104=_gfx11_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateComputePipelines=gfx11_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@4=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@8=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@12=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@16=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@20=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@24=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@28=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@32=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@36=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@40=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@44=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@48=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@60=_gfx12_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateComputePipelines@104=_gfx12_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateComputePipelines=gfx12_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@4=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@8=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@12=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@16=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@20=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@24=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@28=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@32=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@36=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@40=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@44=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@48=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@60=_gfx125_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateComputePipelines@104=_gfx125_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateComputePipelines=gfx125_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@4=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@8=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@12=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@16=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@20=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@24=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@28=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@32=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@36=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@40=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@44=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@48=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@60=_anv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipeline@104=_anv_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyPipeline=anv_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@4=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@8=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@12=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@16=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@20=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@24=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@28=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@32=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@36=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@40=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@44=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@48=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@60=_gfx7_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipeline@104=_gfx7_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyPipeline=gfx7_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@4=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@8=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@12=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@16=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@20=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@24=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@28=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@32=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@36=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@40=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@44=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@48=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@60=_gfx75_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipeline@104=_gfx75_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyPipeline=gfx75_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@4=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@8=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@12=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@16=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@20=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@24=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@28=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@32=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@36=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@40=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@44=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@48=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@60=_gfx8_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipeline@104=_gfx8_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyPipeline=gfx8_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@4=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@8=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@12=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@16=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@20=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@24=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@28=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@32=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@36=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@40=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@44=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@48=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@60=_gfx9_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipeline@104=_gfx9_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyPipeline=gfx9_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@4=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@8=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@12=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@16=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@20=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@24=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@28=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@32=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@36=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@40=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@44=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@48=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@60=_gfx11_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipeline@104=_gfx11_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyPipeline=gfx11_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@4=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@8=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@12=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@16=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@20=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@24=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@28=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@32=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@36=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@40=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@44=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@48=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@60=_gfx12_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipeline@104=_gfx12_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyPipeline=gfx12_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@4=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@8=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@12=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@16=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@20=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@24=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@28=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@32=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@36=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@40=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@44=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@48=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@60=_gfx125_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipeline@104=_gfx125_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyPipeline=gfx125_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@4=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@8=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@12=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@16=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@20=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@24=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@28=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@32=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@36=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@40=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@44=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@48=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@60=_anv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePipelineLayout@104=_anv_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreatePipelineLayout=anv_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@4=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@8=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@12=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@16=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@20=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@24=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@28=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@32=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@36=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@40=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@44=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@48=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@60=_gfx7_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePipelineLayout@104=_gfx7_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreatePipelineLayout=gfx7_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@4=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@8=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@12=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@16=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@20=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@24=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@28=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@32=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@36=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@40=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@44=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@48=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@60=_gfx75_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePipelineLayout@104=_gfx75_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreatePipelineLayout=gfx75_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@4=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@8=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@12=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@16=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@20=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@24=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@28=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@32=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@36=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@40=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@44=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@48=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@60=_gfx8_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePipelineLayout@104=_gfx8_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreatePipelineLayout=gfx8_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@4=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@8=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@12=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@16=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@20=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@24=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@28=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@32=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@36=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@40=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@44=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@48=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@60=_gfx9_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePipelineLayout@104=_gfx9_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreatePipelineLayout=gfx9_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@4=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@8=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@12=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@16=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@20=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@24=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@28=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@32=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@36=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@40=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@44=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@48=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@60=_gfx11_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePipelineLayout@104=_gfx11_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreatePipelineLayout=gfx11_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@4=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@8=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@12=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@16=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@20=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@24=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@28=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@32=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@36=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@40=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@44=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@48=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@60=_gfx12_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePipelineLayout@104=_gfx12_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreatePipelineLayout=gfx12_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@4=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@8=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@12=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@16=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@20=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@24=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@28=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@32=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@36=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@40=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@44=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@48=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@60=_gfx125_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePipelineLayout@104=_gfx125_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreatePipelineLayout=gfx125_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@4=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@8=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@12=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@16=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@20=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@24=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@28=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@32=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@36=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@40=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@44=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@48=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@60=_anv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPipelineLayout@104=_anv_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyPipelineLayout=anv_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@4=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@8=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@12=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@16=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@20=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@24=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@28=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@32=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@36=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@40=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@44=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@48=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@60=_gfx7_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPipelineLayout@104=_gfx7_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyPipelineLayout=gfx7_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@4=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@8=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@12=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@16=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@20=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@24=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@28=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@32=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@36=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@40=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@44=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@48=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@60=_gfx75_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPipelineLayout@104=_gfx75_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyPipelineLayout=gfx75_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@4=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@8=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@12=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@16=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@20=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@24=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@28=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@32=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@36=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@40=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@44=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@48=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@60=_gfx8_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPipelineLayout@104=_gfx8_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyPipelineLayout=gfx8_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@4=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@8=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@12=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@16=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@20=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@24=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@28=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@32=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@36=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@40=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@44=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@48=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@60=_gfx9_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPipelineLayout@104=_gfx9_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyPipelineLayout=gfx9_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@4=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@8=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@12=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@16=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@20=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@24=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@28=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@32=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@36=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@40=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@44=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@48=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@60=_gfx11_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPipelineLayout@104=_gfx11_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyPipelineLayout=gfx11_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@4=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@8=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@12=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@16=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@20=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@24=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@28=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@32=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@36=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@40=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@44=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@48=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@60=_gfx12_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPipelineLayout@104=_gfx12_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyPipelineLayout=gfx12_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@4=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@8=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@12=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@16=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@20=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@24=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@28=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@32=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@36=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@40=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@44=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@48=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@60=_gfx125_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPipelineLayout@104=_gfx125_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyPipelineLayout=gfx125_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@4=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@8=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@12=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@16=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@20=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@24=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@28=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@32=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@36=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@40=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@44=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@48=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@60=_anv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSampler@104=_anv_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateSampler=anv_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@4=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@8=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@12=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@16=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@20=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@24=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@28=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@32=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@36=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@40=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@44=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@48=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@60=_gfx7_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSampler@104=_gfx7_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateSampler=gfx7_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@4=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@8=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@12=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@16=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@20=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@24=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@28=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@32=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@36=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@40=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@44=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@48=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@60=_gfx75_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSampler@104=_gfx75_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateSampler=gfx75_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@4=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@8=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@12=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@16=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@20=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@24=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@28=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@32=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@36=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@40=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@44=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@48=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@60=_gfx8_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSampler@104=_gfx8_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateSampler=gfx8_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@4=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@8=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@12=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@16=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@20=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@24=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@28=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@32=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@36=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@40=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@44=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@48=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@60=_gfx9_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSampler@104=_gfx9_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateSampler=gfx9_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@4=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@8=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@12=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@16=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@20=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@24=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@28=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@32=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@36=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@40=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@44=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@48=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@60=_gfx11_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSampler@104=_gfx11_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateSampler=gfx11_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@4=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@8=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@12=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@16=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@20=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@24=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@28=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@32=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@36=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@40=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@44=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@48=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@60=_gfx12_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSampler@104=_gfx12_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateSampler=gfx12_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@4=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@8=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@12=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@16=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@20=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@24=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@28=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@32=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@36=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@40=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@44=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@48=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@60=_gfx125_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSampler@104=_gfx125_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateSampler=gfx125_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@4=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@8=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@12=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@16=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@20=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@24=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@28=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@32=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@36=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@40=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@44=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@48=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@60=_anv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySampler@104=_anv_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroySampler=anv_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@4=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@8=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@12=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@16=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@20=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@24=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@28=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@32=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@36=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@40=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@44=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@48=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@60=_gfx7_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySampler@104=_gfx7_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroySampler=gfx7_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@4=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@8=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@12=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@16=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@20=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@24=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@28=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@32=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@36=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@40=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@44=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@48=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@60=_gfx75_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySampler@104=_gfx75_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroySampler=gfx75_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@4=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@8=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@12=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@16=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@20=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@24=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@28=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@32=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@36=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@40=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@44=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@48=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@60=_gfx8_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySampler@104=_gfx8_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroySampler=gfx8_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@4=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@8=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@12=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@16=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@20=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@24=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@28=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@32=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@36=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@40=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@44=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@48=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@60=_gfx9_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySampler@104=_gfx9_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroySampler=gfx9_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@4=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@8=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@12=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@16=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@20=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@24=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@28=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@32=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@36=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@40=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@44=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@48=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@60=_gfx11_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySampler@104=_gfx11_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroySampler=gfx11_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@4=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@8=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@12=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@16=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@20=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@24=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@28=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@32=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@36=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@40=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@44=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@48=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@60=_gfx12_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySampler@104=_gfx12_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroySampler=gfx12_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@4=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@8=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@12=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@16=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@20=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@24=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@28=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@32=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@36=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@40=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@44=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@48=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@60=_gfx125_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySampler@104=_gfx125_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroySampler=gfx125_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@4=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@8=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@12=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@16=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@20=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@24=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@28=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@32=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@36=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@40=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@44=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@48=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@60=_anv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorSetLayout@104=_anv_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDescriptorSetLayout=anv_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@4=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@8=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@12=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@16=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@20=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@24=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@28=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@32=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@36=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@40=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@44=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@48=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@60=_gfx7_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorSetLayout@104=_gfx7_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateDescriptorSetLayout=gfx7_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@4=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@8=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@12=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@16=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@20=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@24=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@28=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@32=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@36=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@40=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@44=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@48=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@60=_gfx75_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorSetLayout@104=_gfx75_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateDescriptorSetLayout=gfx75_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@4=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@8=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@12=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@16=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@20=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@24=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@28=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@32=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@36=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@40=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@44=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@48=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@60=_gfx8_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorSetLayout@104=_gfx8_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateDescriptorSetLayout=gfx8_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@4=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@8=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@12=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@16=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@20=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@24=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@28=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@32=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@36=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@40=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@44=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@48=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@60=_gfx9_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorSetLayout@104=_gfx9_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateDescriptorSetLayout=gfx9_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@4=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@8=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@12=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@16=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@20=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@24=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@28=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@32=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@36=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@40=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@44=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@48=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@60=_gfx11_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorSetLayout@104=_gfx11_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateDescriptorSetLayout=gfx11_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@4=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@8=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@12=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@16=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@20=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@24=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@28=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@32=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@36=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@40=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@44=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@48=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@60=_gfx12_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorSetLayout@104=_gfx12_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateDescriptorSetLayout=gfx12_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@4=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@8=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@12=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@16=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@20=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@24=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@28=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@32=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@36=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@40=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@44=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@48=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@60=_gfx125_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorSetLayout@104=_gfx125_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateDescriptorSetLayout=gfx125_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@4=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@8=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@12=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@16=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@20=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@24=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@28=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@32=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@36=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@40=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@44=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@48=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@60=_anv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorSetLayout@104=_anv_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDescriptorSetLayout=anv_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@4=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@8=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@12=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@16=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@20=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@24=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@28=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@32=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@36=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@40=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@44=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@48=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@60=_gfx7_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorSetLayout@104=_gfx7_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyDescriptorSetLayout=gfx7_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@4=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@8=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@12=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@16=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@20=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@24=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@28=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@32=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@36=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@40=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@44=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@48=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@60=_gfx75_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorSetLayout@104=_gfx75_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyDescriptorSetLayout=gfx75_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@4=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@8=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@12=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@16=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@20=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@24=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@28=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@32=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@36=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@40=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@44=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@48=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@60=_gfx8_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorSetLayout@104=_gfx8_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyDescriptorSetLayout=gfx8_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@4=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@8=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@12=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@16=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@20=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@24=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@28=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@32=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@36=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@40=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@44=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@48=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@60=_gfx9_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorSetLayout@104=_gfx9_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyDescriptorSetLayout=gfx9_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@4=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@8=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@12=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@16=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@20=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@24=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@28=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@32=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@36=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@40=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@44=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@48=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@60=_gfx11_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorSetLayout@104=_gfx11_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyDescriptorSetLayout=gfx11_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@4=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@8=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@12=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@16=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@20=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@24=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@28=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@32=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@36=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@40=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@44=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@48=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@60=_gfx12_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorSetLayout@104=_gfx12_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyDescriptorSetLayout=gfx12_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@4=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@8=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@12=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@16=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@20=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@24=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@28=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@32=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@36=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@40=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@44=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@48=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@60=_gfx125_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorSetLayout@104=_gfx125_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyDescriptorSetLayout=gfx125_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@4=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@8=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@12=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@16=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@20=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@24=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@28=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@32=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@36=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@40=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@44=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@48=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@60=_anv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorPool@104=_anv_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDescriptorPool=anv_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@4=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@8=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@12=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@16=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@20=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@24=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@28=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@32=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@36=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@40=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@44=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@48=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@60=_gfx7_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorPool@104=_gfx7_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateDescriptorPool=gfx7_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@4=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@8=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@12=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@16=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@20=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@24=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@28=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@32=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@36=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@40=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@44=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@48=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@60=_gfx75_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorPool@104=_gfx75_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateDescriptorPool=gfx75_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@4=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@8=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@12=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@16=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@20=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@24=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@28=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@32=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@36=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@40=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@44=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@48=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@60=_gfx8_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorPool@104=_gfx8_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateDescriptorPool=gfx8_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@4=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@8=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@12=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@16=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@20=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@24=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@28=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@32=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@36=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@40=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@44=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@48=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@60=_gfx9_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorPool@104=_gfx9_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateDescriptorPool=gfx9_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@4=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@8=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@12=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@16=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@20=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@24=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@28=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@32=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@36=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@40=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@44=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@48=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@60=_gfx11_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorPool@104=_gfx11_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateDescriptorPool=gfx11_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@4=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@8=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@12=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@16=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@20=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@24=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@28=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@32=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@36=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@40=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@44=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@48=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@60=_gfx12_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorPool@104=_gfx12_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateDescriptorPool=gfx12_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@4=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@8=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@12=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@16=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@20=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@24=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@28=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@32=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@36=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@40=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@44=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@48=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@60=_gfx125_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorPool@104=_gfx125_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateDescriptorPool=gfx125_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@4=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@8=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@12=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@16=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@20=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@24=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@28=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@32=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@36=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@40=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@44=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@48=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@60=_anv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorPool@104=_anv_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDescriptorPool=anv_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@4=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@8=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@12=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@16=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@20=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@24=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@28=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@32=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@36=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@40=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@44=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@48=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@60=_gfx7_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorPool@104=_gfx7_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyDescriptorPool=gfx7_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@4=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@8=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@12=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@16=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@20=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@24=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@28=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@32=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@36=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@40=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@44=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@48=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@60=_gfx75_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorPool@104=_gfx75_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyDescriptorPool=gfx75_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@4=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@8=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@12=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@16=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@20=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@24=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@28=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@32=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@36=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@40=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@44=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@48=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@60=_gfx8_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorPool@104=_gfx8_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyDescriptorPool=gfx8_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@4=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@8=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@12=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@16=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@20=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@24=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@28=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@32=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@36=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@40=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@44=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@48=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@60=_gfx9_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorPool@104=_gfx9_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyDescriptorPool=gfx9_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@4=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@8=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@12=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@16=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@20=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@24=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@28=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@32=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@36=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@40=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@44=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@48=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@60=_gfx11_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorPool@104=_gfx11_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyDescriptorPool=gfx11_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@4=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@8=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@12=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@16=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@20=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@24=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@28=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@32=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@36=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@40=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@44=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@48=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@60=_gfx12_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorPool@104=_gfx12_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyDescriptorPool=gfx12_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@4=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@8=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@12=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@16=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@20=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@24=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@28=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@32=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@36=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@40=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@44=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@48=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@60=_gfx125_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorPool@104=_gfx125_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyDescriptorPool=gfx125_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@4=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@8=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@12=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@16=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@20=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@24=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@28=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@32=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@36=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@40=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@44=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@48=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@60=_anv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetDescriptorPool@104=_anv_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetDescriptorPool=anv_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@4=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@8=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@12=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@16=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@20=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@24=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@28=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@32=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@36=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@40=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@44=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@48=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@60=_gfx7_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetDescriptorPool@104=_gfx7_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetDescriptorPool=gfx7_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@4=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@8=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@12=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@16=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@20=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@24=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@28=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@32=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@36=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@40=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@44=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@48=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@60=_gfx75_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetDescriptorPool@104=_gfx75_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetDescriptorPool=gfx75_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@4=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@8=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@12=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@16=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@20=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@24=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@28=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@32=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@36=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@40=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@44=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@48=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@60=_gfx8_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetDescriptorPool@104=_gfx8_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetDescriptorPool=gfx8_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@4=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@8=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@12=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@16=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@20=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@24=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@28=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@32=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@36=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@40=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@44=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@48=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@60=_gfx9_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetDescriptorPool@104=_gfx9_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetDescriptorPool=gfx9_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@4=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@8=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@12=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@16=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@20=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@24=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@28=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@32=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@36=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@40=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@44=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@48=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@60=_gfx11_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetDescriptorPool@104=_gfx11_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetDescriptorPool=gfx11_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@4=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@8=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@12=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@16=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@20=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@24=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@28=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@32=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@36=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@40=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@44=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@48=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@60=_gfx12_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetDescriptorPool@104=_gfx12_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetDescriptorPool=gfx12_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@4=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@8=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@12=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@16=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@20=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@24=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@28=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@32=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@36=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@40=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@44=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@48=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@60=_gfx125_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetDescriptorPool@104=_gfx125_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetDescriptorPool=gfx125_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@4=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@8=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@12=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@16=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@20=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@24=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@28=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@32=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@36=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@40=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@44=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@48=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@60=_anv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateDescriptorSets@104=_anv_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AllocateDescriptorSets=anv_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@4=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@8=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@12=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@16=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@20=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@24=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@28=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@32=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@36=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@40=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@44=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@48=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@60=_gfx7_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateDescriptorSets@104=_gfx7_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AllocateDescriptorSets=gfx7_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@4=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@8=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@12=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@16=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@20=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@24=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@28=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@32=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@36=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@40=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@44=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@48=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@60=_gfx75_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateDescriptorSets@104=_gfx75_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AllocateDescriptorSets=gfx75_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@4=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@8=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@12=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@16=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@20=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@24=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@28=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@32=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@36=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@40=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@44=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@48=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@60=_gfx8_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateDescriptorSets@104=_gfx8_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AllocateDescriptorSets=gfx8_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@4=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@8=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@12=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@16=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@20=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@24=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@28=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@32=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@36=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@40=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@44=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@48=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@60=_gfx9_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateDescriptorSets@104=_gfx9_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AllocateDescriptorSets=gfx9_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@4=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@8=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@12=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@16=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@20=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@24=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@28=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@32=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@36=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@40=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@44=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@48=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@60=_gfx11_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateDescriptorSets@104=_gfx11_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AllocateDescriptorSets=gfx11_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@4=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@8=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@12=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@16=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@20=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@24=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@28=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@32=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@36=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@40=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@44=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@48=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@60=_gfx12_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateDescriptorSets@104=_gfx12_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AllocateDescriptorSets=gfx12_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@4=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@8=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@12=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@16=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@20=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@24=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@28=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@32=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@36=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@40=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@44=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@48=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@60=_gfx125_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateDescriptorSets@104=_gfx125_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AllocateDescriptorSets=gfx125_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@4=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@8=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@12=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@16=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@20=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@24=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@28=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@32=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@36=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@40=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@44=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@48=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@60=_anv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeDescriptorSets@104=_anv_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:anv_FreeDescriptorSets=anv_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@4=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@8=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@12=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@16=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@20=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@24=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@28=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@32=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@36=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@40=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@44=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@48=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@60=_gfx7_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeDescriptorSets@104=_gfx7_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_FreeDescriptorSets=gfx7_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@4=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@8=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@12=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@16=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@20=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@24=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@28=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@32=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@36=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@40=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@44=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@48=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@60=_gfx75_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeDescriptorSets@104=_gfx75_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_FreeDescriptorSets=gfx75_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@4=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@8=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@12=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@16=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@20=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@24=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@28=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@32=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@36=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@40=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@44=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@48=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@60=_gfx8_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeDescriptorSets@104=_gfx8_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_FreeDescriptorSets=gfx8_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@4=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@8=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@12=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@16=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@20=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@24=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@28=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@32=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@36=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@40=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@44=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@48=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@60=_gfx9_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeDescriptorSets@104=_gfx9_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_FreeDescriptorSets=gfx9_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@4=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@8=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@12=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@16=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@20=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@24=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@28=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@32=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@36=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@40=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@44=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@48=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@60=_gfx11_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeDescriptorSets@104=_gfx11_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_FreeDescriptorSets=gfx11_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@4=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@8=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@12=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@16=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@20=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@24=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@28=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@32=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@36=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@40=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@44=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@48=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@60=_gfx12_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeDescriptorSets@104=_gfx12_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_FreeDescriptorSets=gfx12_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@4=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@8=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@12=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@16=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@20=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@24=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@28=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@32=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@36=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@40=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@44=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@48=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@60=_gfx125_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeDescriptorSets@104=_gfx125_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_FreeDescriptorSets=gfx125_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@4=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@8=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@12=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@16=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@20=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@24=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@28=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@32=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@36=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@40=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@44=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@48=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@60=_anv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSets@104=_anv_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:anv_UpdateDescriptorSets=anv_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@4=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@8=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@12=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@16=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@20=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@24=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@28=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@32=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@36=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@40=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@44=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@48=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@60=_gfx7_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSets@104=_gfx7_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_UpdateDescriptorSets=gfx7_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@4=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@8=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@12=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@16=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@20=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@24=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@28=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@32=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@36=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@40=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@44=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@48=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@60=_gfx75_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSets@104=_gfx75_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_UpdateDescriptorSets=gfx75_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@4=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@8=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@12=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@16=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@20=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@24=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@28=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@32=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@36=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@40=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@44=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@48=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@60=_gfx8_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSets@104=_gfx8_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_UpdateDescriptorSets=gfx8_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@4=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@8=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@12=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@16=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@20=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@24=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@28=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@32=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@36=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@40=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@44=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@48=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@60=_gfx9_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSets@104=_gfx9_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_UpdateDescriptorSets=gfx9_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@4=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@8=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@12=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@16=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@20=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@24=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@28=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@32=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@36=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@40=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@44=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@48=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@60=_gfx11_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSets@104=_gfx11_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_UpdateDescriptorSets=gfx11_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@4=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@8=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@12=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@16=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@20=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@24=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@28=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@32=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@36=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@40=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@44=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@48=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@60=_gfx12_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSets@104=_gfx12_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_UpdateDescriptorSets=gfx12_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@4=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@8=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@12=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@16=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@20=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@24=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@28=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@32=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@36=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@40=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@44=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@48=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@60=_gfx125_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSets@104=_gfx125_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_UpdateDescriptorSets=gfx125_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@4=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@8=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@12=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@16=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@20=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@24=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@28=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@32=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@36=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@40=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@44=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@48=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@60=_anv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateFramebuffer@104=_anv_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateFramebuffer=anv_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@4=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@8=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@12=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@16=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@20=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@24=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@28=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@32=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@36=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@40=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@44=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@48=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@60=_gfx7_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateFramebuffer@104=_gfx7_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateFramebuffer=gfx7_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@4=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@8=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@12=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@16=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@20=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@24=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@28=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@32=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@36=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@40=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@44=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@48=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@60=_gfx75_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateFramebuffer@104=_gfx75_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateFramebuffer=gfx75_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@4=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@8=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@12=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@16=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@20=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@24=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@28=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@32=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@36=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@40=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@44=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@48=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@60=_gfx8_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateFramebuffer@104=_gfx8_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateFramebuffer=gfx8_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@4=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@8=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@12=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@16=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@20=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@24=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@28=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@32=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@36=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@40=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@44=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@48=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@60=_gfx9_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateFramebuffer@104=_gfx9_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateFramebuffer=gfx9_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@4=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@8=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@12=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@16=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@20=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@24=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@28=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@32=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@36=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@40=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@44=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@48=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@60=_gfx11_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateFramebuffer@104=_gfx11_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateFramebuffer=gfx11_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@4=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@8=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@12=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@16=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@20=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@24=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@28=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@32=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@36=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@40=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@44=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@48=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@60=_gfx12_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateFramebuffer@104=_gfx12_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateFramebuffer=gfx12_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@4=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@8=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@12=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@16=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@20=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@24=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@28=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@32=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@36=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@40=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@44=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@48=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@60=_gfx125_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateFramebuffer@104=_gfx125_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateFramebuffer=gfx125_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@4=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@8=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@12=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@16=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@20=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@24=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@28=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@32=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@36=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@40=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@44=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@48=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@60=_anv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyFramebuffer@104=_anv_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyFramebuffer=anv_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@4=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@8=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@12=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@16=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@20=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@24=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@28=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@32=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@36=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@40=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@44=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@48=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@60=_gfx7_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyFramebuffer@104=_gfx7_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyFramebuffer=gfx7_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@4=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@8=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@12=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@16=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@20=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@24=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@28=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@32=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@36=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@40=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@44=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@48=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@60=_gfx75_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyFramebuffer@104=_gfx75_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyFramebuffer=gfx75_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@4=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@8=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@12=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@16=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@20=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@24=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@28=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@32=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@36=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@40=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@44=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@48=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@60=_gfx8_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyFramebuffer@104=_gfx8_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyFramebuffer=gfx8_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@4=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@8=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@12=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@16=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@20=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@24=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@28=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@32=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@36=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@40=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@44=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@48=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@60=_gfx9_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyFramebuffer@104=_gfx9_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyFramebuffer=gfx9_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@4=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@8=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@12=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@16=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@20=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@24=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@28=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@32=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@36=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@40=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@44=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@48=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@60=_gfx11_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyFramebuffer@104=_gfx11_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyFramebuffer=gfx11_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@4=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@8=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@12=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@16=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@20=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@24=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@28=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@32=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@36=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@40=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@44=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@48=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@60=_gfx12_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyFramebuffer@104=_gfx12_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyFramebuffer=gfx12_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@4=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@8=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@12=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@16=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@20=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@24=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@28=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@32=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@36=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@40=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@44=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@48=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@60=_gfx125_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyFramebuffer@104=_gfx125_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyFramebuffer=gfx125_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@4=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@8=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@12=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@16=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@20=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@24=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@28=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@32=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@36=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@40=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@44=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@48=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@60=_anv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass@104=_anv_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateRenderPass=anv_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@4=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@8=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@12=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@16=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@20=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@24=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@28=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@32=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@36=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@40=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@44=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@48=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@60=_gfx7_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass@104=_gfx7_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateRenderPass=gfx7_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@4=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@8=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@12=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@16=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@20=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@24=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@28=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@32=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@36=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@40=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@44=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@48=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@60=_gfx75_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass@104=_gfx75_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateRenderPass=gfx75_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@4=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@8=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@12=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@16=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@20=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@24=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@28=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@32=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@36=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@40=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@44=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@48=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@60=_gfx8_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass@104=_gfx8_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateRenderPass=gfx8_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@4=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@8=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@12=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@16=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@20=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@24=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@28=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@32=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@36=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@40=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@44=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@48=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@60=_gfx9_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass@104=_gfx9_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateRenderPass=gfx9_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@4=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@8=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@12=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@16=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@20=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@24=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@28=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@32=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@36=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@40=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@44=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@48=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@60=_gfx11_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass@104=_gfx11_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateRenderPass=gfx11_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@4=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@8=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@12=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@16=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@20=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@24=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@28=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@32=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@36=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@40=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@44=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@48=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@60=_gfx12_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass@104=_gfx12_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateRenderPass=gfx12_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@4=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@8=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@12=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@16=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@20=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@24=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@28=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@32=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@36=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@40=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@44=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@48=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@60=_gfx125_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass@104=_gfx125_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateRenderPass=gfx125_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@4=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@8=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@12=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@16=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@20=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@24=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@28=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@32=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@36=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@40=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@44=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@48=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@60=_anv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyRenderPass@104=_anv_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyRenderPass=anv_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@4=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@8=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@12=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@16=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@20=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@24=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@28=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@32=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@36=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@40=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@44=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@48=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@60=_gfx7_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyRenderPass@104=_gfx7_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyRenderPass=gfx7_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@4=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@8=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@12=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@16=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@20=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@24=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@28=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@32=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@36=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@40=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@44=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@48=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@60=_gfx75_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyRenderPass@104=_gfx75_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyRenderPass=gfx75_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@4=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@8=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@12=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@16=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@20=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@24=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@28=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@32=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@36=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@40=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@44=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@48=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@60=_gfx8_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyRenderPass@104=_gfx8_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyRenderPass=gfx8_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@4=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@8=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@12=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@16=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@20=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@24=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@28=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@32=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@36=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@40=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@44=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@48=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@60=_gfx9_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyRenderPass@104=_gfx9_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyRenderPass=gfx9_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@4=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@8=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@12=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@16=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@20=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@24=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@28=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@32=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@36=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@40=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@44=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@48=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@60=_gfx11_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyRenderPass@104=_gfx11_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyRenderPass=gfx11_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@4=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@8=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@12=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@16=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@20=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@24=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@28=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@32=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@36=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@40=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@44=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@48=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@60=_gfx12_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyRenderPass@104=_gfx12_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyRenderPass=gfx12_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@4=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@8=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@12=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@16=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@20=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@24=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@28=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@32=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@36=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@40=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@44=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@48=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@60=_gfx125_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyRenderPass@104=_gfx125_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyRenderPass=gfx125_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@4=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@8=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@12=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@16=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@20=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@24=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@28=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@32=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@36=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@40=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@44=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@48=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@60=_anv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRenderAreaGranularity@104=_anv_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRenderAreaGranularity=anv_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@4=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@8=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@12=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@16=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@20=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@24=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@28=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@32=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@36=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@40=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@44=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@48=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@60=_gfx7_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRenderAreaGranularity@104=_gfx7_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetRenderAreaGranularity=gfx7_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@4=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@8=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@12=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@16=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@20=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@24=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@28=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@32=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@36=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@40=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@44=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@48=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@60=_gfx75_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRenderAreaGranularity@104=_gfx75_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetRenderAreaGranularity=gfx75_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@4=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@8=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@12=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@16=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@20=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@24=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@28=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@32=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@36=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@40=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@44=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@48=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@60=_gfx8_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRenderAreaGranularity@104=_gfx8_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetRenderAreaGranularity=gfx8_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@4=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@8=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@12=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@16=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@20=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@24=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@28=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@32=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@36=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@40=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@44=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@48=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@60=_gfx9_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRenderAreaGranularity@104=_gfx9_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetRenderAreaGranularity=gfx9_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@4=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@8=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@12=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@16=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@20=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@24=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@28=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@32=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@36=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@40=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@44=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@48=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@60=_gfx11_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRenderAreaGranularity@104=_gfx11_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetRenderAreaGranularity=gfx11_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@4=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@8=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@12=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@16=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@20=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@24=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@28=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@32=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@36=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@40=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@44=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@48=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@60=_gfx12_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRenderAreaGranularity@104=_gfx12_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetRenderAreaGranularity=gfx12_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@4=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@8=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@12=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@16=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@20=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@24=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@28=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@32=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@36=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@40=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@44=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@48=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@60=_gfx125_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRenderAreaGranularity@104=_gfx125_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetRenderAreaGranularity=gfx125_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@4=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@8=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@12=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@16=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@20=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@24=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@28=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@32=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@36=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@40=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@44=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@48=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@60=_anv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCommandPool@104=_anv_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateCommandPool=anv_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@4=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@8=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@12=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@16=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@20=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@24=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@28=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@32=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@36=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@40=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@44=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@48=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@60=_gfx7_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCommandPool@104=_gfx7_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateCommandPool=gfx7_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@4=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@8=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@12=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@16=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@20=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@24=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@28=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@32=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@36=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@40=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@44=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@48=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@60=_gfx75_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCommandPool@104=_gfx75_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateCommandPool=gfx75_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@4=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@8=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@12=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@16=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@20=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@24=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@28=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@32=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@36=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@40=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@44=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@48=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@60=_gfx8_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCommandPool@104=_gfx8_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateCommandPool=gfx8_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@4=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@8=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@12=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@16=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@20=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@24=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@28=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@32=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@36=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@40=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@44=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@48=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@60=_gfx9_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCommandPool@104=_gfx9_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateCommandPool=gfx9_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@4=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@8=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@12=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@16=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@20=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@24=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@28=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@32=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@36=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@40=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@44=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@48=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@60=_gfx11_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCommandPool@104=_gfx11_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateCommandPool=gfx11_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@4=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@8=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@12=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@16=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@20=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@24=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@28=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@32=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@36=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@40=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@44=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@48=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@60=_gfx12_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCommandPool@104=_gfx12_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateCommandPool=gfx12_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@4=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@8=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@12=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@16=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@20=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@24=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@28=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@32=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@36=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@40=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@44=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@48=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@60=_gfx125_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCommandPool@104=_gfx125_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateCommandPool=gfx125_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@4=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@8=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@12=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@16=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@20=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@24=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@28=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@32=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@36=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@40=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@44=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@48=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@60=_anv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCommandPool@104=_anv_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyCommandPool=anv_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@4=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@8=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@12=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@16=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@20=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@24=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@28=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@32=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@36=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@40=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@44=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@48=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@60=_gfx7_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCommandPool@104=_gfx7_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyCommandPool=gfx7_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@4=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@8=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@12=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@16=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@20=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@24=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@28=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@32=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@36=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@40=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@44=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@48=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@60=_gfx75_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCommandPool@104=_gfx75_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyCommandPool=gfx75_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@4=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@8=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@12=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@16=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@20=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@24=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@28=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@32=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@36=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@40=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@44=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@48=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@60=_gfx8_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCommandPool@104=_gfx8_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyCommandPool=gfx8_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@4=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@8=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@12=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@16=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@20=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@24=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@28=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@32=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@36=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@40=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@44=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@48=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@60=_gfx9_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCommandPool@104=_gfx9_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyCommandPool=gfx9_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@4=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@8=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@12=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@16=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@20=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@24=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@28=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@32=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@36=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@40=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@44=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@48=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@60=_gfx11_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCommandPool@104=_gfx11_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyCommandPool=gfx11_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@4=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@8=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@12=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@16=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@20=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@24=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@28=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@32=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@36=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@40=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@44=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@48=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@60=_gfx12_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCommandPool@104=_gfx12_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyCommandPool=gfx12_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@4=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@8=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@12=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@16=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@20=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@24=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@28=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@32=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@36=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@40=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@44=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@48=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@60=_gfx125_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCommandPool@104=_gfx125_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyCommandPool=gfx125_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@4=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@8=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@12=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@16=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@20=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@24=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@28=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@32=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@36=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@40=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@44=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@48=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@60=_anv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandPool@104=_anv_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetCommandPool=anv_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@4=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@8=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@12=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@16=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@20=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@24=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@28=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@32=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@36=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@40=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@44=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@48=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@60=_gfx7_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandPool@104=_gfx7_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetCommandPool=gfx7_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@4=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@8=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@12=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@16=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@20=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@24=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@28=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@32=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@36=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@40=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@44=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@48=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@60=_gfx75_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandPool@104=_gfx75_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetCommandPool=gfx75_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@4=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@8=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@12=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@16=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@20=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@24=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@28=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@32=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@36=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@40=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@44=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@48=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@60=_gfx8_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandPool@104=_gfx8_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetCommandPool=gfx8_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@4=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@8=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@12=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@16=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@20=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@24=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@28=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@32=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@36=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@40=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@44=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@48=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@60=_gfx9_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandPool@104=_gfx9_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetCommandPool=gfx9_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@4=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@8=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@12=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@16=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@20=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@24=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@28=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@32=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@36=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@40=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@44=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@48=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@60=_gfx11_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandPool@104=_gfx11_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetCommandPool=gfx11_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@4=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@8=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@12=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@16=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@20=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@24=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@28=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@32=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@36=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@40=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@44=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@48=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@60=_gfx12_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandPool@104=_gfx12_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetCommandPool=gfx12_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@4=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@8=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@12=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@16=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@20=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@24=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@28=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@32=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@36=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@40=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@44=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@48=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@60=_gfx125_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandPool@104=_gfx125_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetCommandPool=gfx125_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@4=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@8=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@12=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@16=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@20=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@24=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@28=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@32=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@36=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@40=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@44=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@48=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@60=_anv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_AllocateCommandBuffers@104=_anv_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AllocateCommandBuffers=anv_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@4=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@8=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@12=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@16=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@20=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@24=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@28=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@32=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@36=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@40=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@44=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@48=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@60=_gfx7_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AllocateCommandBuffers@104=_gfx7_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AllocateCommandBuffers=gfx7_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@4=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@8=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@12=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@16=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@20=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@24=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@28=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@32=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@36=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@40=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@44=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@48=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@60=_gfx75_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AllocateCommandBuffers@104=_gfx75_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AllocateCommandBuffers=gfx75_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@4=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@8=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@12=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@16=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@20=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@24=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@28=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@32=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@36=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@40=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@44=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@48=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@60=_gfx8_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AllocateCommandBuffers@104=_gfx8_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AllocateCommandBuffers=gfx8_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@4=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@8=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@12=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@16=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@20=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@24=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@28=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@32=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@36=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@40=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@44=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@48=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@60=_gfx9_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AllocateCommandBuffers@104=_gfx9_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AllocateCommandBuffers=gfx9_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@4=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@8=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@12=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@16=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@20=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@24=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@28=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@32=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@36=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@40=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@44=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@48=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@60=_gfx11_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AllocateCommandBuffers@104=_gfx11_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AllocateCommandBuffers=gfx11_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@4=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@8=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@12=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@16=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@20=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@24=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@28=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@32=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@36=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@40=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@44=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@48=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@60=_gfx12_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AllocateCommandBuffers@104=_gfx12_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AllocateCommandBuffers=gfx12_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@4=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@8=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@12=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@16=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@20=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@24=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@28=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@32=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@36=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@40=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@44=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@48=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@60=_gfx125_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AllocateCommandBuffers@104=_gfx125_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AllocateCommandBuffers=gfx125_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@4=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@8=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@12=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@16=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@20=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@24=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@28=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@32=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@36=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@40=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@44=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@48=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@60=_anv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_FreeCommandBuffers@104=_anv_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:anv_FreeCommandBuffers=anv_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@4=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@8=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@12=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@16=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@20=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@24=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@28=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@32=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@36=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@40=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@44=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@48=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@60=_gfx7_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_FreeCommandBuffers@104=_gfx7_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_FreeCommandBuffers=gfx7_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@4=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@8=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@12=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@16=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@20=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@24=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@28=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@32=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@36=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@40=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@44=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@48=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@60=_gfx75_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_FreeCommandBuffers@104=_gfx75_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_FreeCommandBuffers=gfx75_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@4=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@8=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@12=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@16=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@20=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@24=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@28=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@32=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@36=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@40=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@44=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@48=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@60=_gfx8_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_FreeCommandBuffers@104=_gfx8_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_FreeCommandBuffers=gfx8_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@4=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@8=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@12=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@16=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@20=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@24=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@28=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@32=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@36=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@40=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@44=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@48=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@60=_gfx9_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_FreeCommandBuffers@104=_gfx9_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_FreeCommandBuffers=gfx9_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@4=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@8=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@12=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@16=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@20=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@24=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@28=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@32=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@36=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@40=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@44=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@48=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@60=_gfx11_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_FreeCommandBuffers@104=_gfx11_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_FreeCommandBuffers=gfx11_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@4=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@8=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@12=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@16=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@20=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@24=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@28=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@32=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@36=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@40=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@44=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@48=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@60=_gfx12_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_FreeCommandBuffers@104=_gfx12_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_FreeCommandBuffers=gfx12_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@4=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@8=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@12=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@16=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@20=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@24=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@28=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@32=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@36=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@40=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@44=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@48=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@60=_gfx125_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_FreeCommandBuffers@104=_gfx125_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_FreeCommandBuffers=gfx125_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@4=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@8=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@12=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@16=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@20=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@24=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@28=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@32=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@36=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@40=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@44=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@48=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@60=_anv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_BeginCommandBuffer@104=_anv_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BeginCommandBuffer=anv_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@4=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@8=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@12=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@16=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@20=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@24=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@28=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@32=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@36=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@40=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@44=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@48=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@60=_gfx7_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BeginCommandBuffer@104=_gfx7_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BeginCommandBuffer=gfx7_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@4=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@8=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@12=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@16=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@20=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@24=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@28=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@32=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@36=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@40=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@44=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@48=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@60=_gfx75_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BeginCommandBuffer@104=_gfx75_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BeginCommandBuffer=gfx75_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@4=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@8=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@12=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@16=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@20=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@24=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@28=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@32=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@36=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@40=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@44=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@48=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@60=_gfx8_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BeginCommandBuffer@104=_gfx8_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BeginCommandBuffer=gfx8_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@4=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@8=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@12=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@16=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@20=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@24=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@28=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@32=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@36=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@40=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@44=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@48=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@60=_gfx9_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BeginCommandBuffer@104=_gfx9_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BeginCommandBuffer=gfx9_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@4=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@8=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@12=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@16=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@20=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@24=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@28=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@32=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@36=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@40=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@44=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@48=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@60=_gfx11_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BeginCommandBuffer@104=_gfx11_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BeginCommandBuffer=gfx11_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@4=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@8=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@12=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@16=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@20=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@24=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@28=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@32=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@36=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@40=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@44=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@48=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@60=_gfx12_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BeginCommandBuffer@104=_gfx12_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BeginCommandBuffer=gfx12_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@4=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@8=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@12=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@16=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@20=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@24=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@28=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@32=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@36=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@40=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@44=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@48=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@60=_gfx125_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BeginCommandBuffer@104=_gfx125_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BeginCommandBuffer=gfx125_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@4=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@8=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@12=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@16=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@20=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@24=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@28=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@32=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@36=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@40=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@44=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@48=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@60=_anv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_EndCommandBuffer@104=_anv_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_EndCommandBuffer=anv_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@4=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@8=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@12=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@16=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@20=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@24=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@28=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@32=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@36=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@40=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@44=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@48=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@60=_gfx7_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_EndCommandBuffer@104=_gfx7_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_EndCommandBuffer=gfx7_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@4=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@8=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@12=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@16=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@20=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@24=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@28=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@32=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@36=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@40=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@44=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@48=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@60=_gfx75_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_EndCommandBuffer@104=_gfx75_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_EndCommandBuffer=gfx75_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@4=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@8=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@12=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@16=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@20=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@24=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@28=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@32=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@36=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@40=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@44=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@48=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@60=_gfx8_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_EndCommandBuffer@104=_gfx8_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_EndCommandBuffer=gfx8_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@4=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@8=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@12=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@16=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@20=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@24=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@28=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@32=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@36=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@40=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@44=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@48=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@60=_gfx9_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_EndCommandBuffer@104=_gfx9_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_EndCommandBuffer=gfx9_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@4=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@8=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@12=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@16=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@20=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@24=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@28=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@32=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@36=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@40=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@44=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@48=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@60=_gfx11_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_EndCommandBuffer@104=_gfx11_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_EndCommandBuffer=gfx11_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@4=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@8=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@12=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@16=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@20=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@24=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@28=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@32=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@36=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@40=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@44=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@48=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@60=_gfx12_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_EndCommandBuffer@104=_gfx12_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_EndCommandBuffer=gfx12_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@4=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@8=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@12=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@16=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@20=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@24=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@28=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@32=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@36=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@40=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@44=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@48=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@60=_gfx125_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_EndCommandBuffer@104=_gfx125_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_EndCommandBuffer=gfx125_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@4=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@8=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@12=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@16=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@20=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@24=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@28=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@32=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@36=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@40=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@44=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@48=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@60=_anv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_ResetCommandBuffer@104=_anv_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ResetCommandBuffer=anv_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@4=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@8=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@12=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@16=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@20=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@24=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@28=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@32=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@36=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@40=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@44=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@48=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@60=_gfx7_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ResetCommandBuffer@104=_gfx7_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ResetCommandBuffer=gfx7_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@4=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@8=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@12=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@16=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@20=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@24=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@28=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@32=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@36=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@40=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@44=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@48=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@60=_gfx75_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ResetCommandBuffer@104=_gfx75_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ResetCommandBuffer=gfx75_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@4=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@8=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@12=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@16=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@20=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@24=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@28=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@32=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@36=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@40=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@44=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@48=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@60=_gfx8_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ResetCommandBuffer@104=_gfx8_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ResetCommandBuffer=gfx8_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@4=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@8=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@12=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@16=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@20=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@24=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@28=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@32=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@36=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@40=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@44=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@48=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@60=_gfx9_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ResetCommandBuffer@104=_gfx9_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ResetCommandBuffer=gfx9_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@4=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@8=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@12=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@16=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@20=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@24=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@28=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@32=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@36=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@40=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@44=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@48=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@60=_gfx11_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ResetCommandBuffer@104=_gfx11_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ResetCommandBuffer=gfx11_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@4=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@8=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@12=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@16=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@20=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@24=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@28=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@32=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@36=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@40=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@44=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@48=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@60=_gfx12_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ResetCommandBuffer@104=_gfx12_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ResetCommandBuffer=gfx12_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@4=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@8=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@12=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@16=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@20=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@24=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@28=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@32=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@36=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@40=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@44=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@48=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@60=_gfx125_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ResetCommandBuffer@104=_gfx125_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ResetCommandBuffer=gfx125_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@4=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@8=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@12=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@16=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@20=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@24=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@28=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@32=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@36=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@40=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@44=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@48=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@60=_anv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipeline@104=_anv_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindPipeline=anv_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@4=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@8=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@12=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@16=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@20=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@24=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@28=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@32=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@36=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@40=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@44=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@48=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@60=_gfx7_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipeline@104=_gfx7_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindPipeline=gfx7_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@4=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@8=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@12=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@16=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@20=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@24=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@28=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@32=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@36=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@40=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@44=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@48=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@60=_gfx75_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipeline@104=_gfx75_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindPipeline=gfx75_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@4=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@8=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@12=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@16=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@20=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@24=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@28=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@32=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@36=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@40=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@44=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@48=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@60=_gfx8_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipeline@104=_gfx8_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindPipeline=gfx8_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@4=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@8=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@12=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@16=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@20=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@24=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@28=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@32=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@36=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@40=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@44=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@48=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@60=_gfx9_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipeline@104=_gfx9_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindPipeline=gfx9_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@4=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@8=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@12=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@16=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@20=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@24=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@28=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@32=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@36=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@40=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@44=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@48=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@60=_gfx11_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipeline@104=_gfx11_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindPipeline=gfx11_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@4=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@8=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@12=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@16=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@20=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@24=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@28=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@32=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@36=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@40=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@44=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@48=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@60=_gfx12_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipeline@104=_gfx12_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindPipeline=gfx12_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@4=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@8=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@12=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@16=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@20=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@24=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@28=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@32=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@36=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@40=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@44=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@48=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@60=_gfx125_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipeline@104=_gfx125_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindPipeline=gfx125_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@4=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@8=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@12=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@16=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@20=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@24=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@28=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@32=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@36=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@40=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@44=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@48=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@60=_anv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewport@104=_anv_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetViewport=anv_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@4=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@8=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@12=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@16=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@20=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@24=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@28=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@32=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@36=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@40=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@44=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@48=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@60=_gfx7_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewport@104=_gfx7_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetViewport=gfx7_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@4=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@8=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@12=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@16=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@20=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@24=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@28=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@32=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@36=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@40=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@44=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@48=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@60=_gfx75_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewport@104=_gfx75_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetViewport=gfx75_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@4=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@8=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@12=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@16=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@20=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@24=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@28=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@32=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@36=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@40=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@44=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@48=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@60=_gfx8_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewport@104=_gfx8_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetViewport=gfx8_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@4=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@8=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@12=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@16=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@20=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@24=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@28=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@32=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@36=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@40=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@44=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@48=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@60=_gfx9_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewport@104=_gfx9_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetViewport=gfx9_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@4=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@8=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@12=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@16=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@20=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@24=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@28=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@32=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@36=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@40=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@44=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@48=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@60=_gfx11_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewport@104=_gfx11_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetViewport=gfx11_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@4=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@8=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@12=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@16=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@20=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@24=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@28=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@32=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@36=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@40=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@44=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@48=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@60=_gfx12_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewport@104=_gfx12_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetViewport=gfx12_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@4=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@8=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@12=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@16=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@20=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@24=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@28=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@32=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@36=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@40=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@44=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@48=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@60=_gfx125_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewport@104=_gfx125_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetViewport=gfx125_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@4=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@8=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@12=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@16=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@20=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@24=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@28=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@32=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@36=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@40=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@44=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@48=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@60=_anv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissor@104=_anv_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetScissor=anv_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@4=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@8=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@12=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@16=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@20=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@24=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@28=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@32=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@36=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@40=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@44=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@48=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@60=_gfx7_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissor@104=_gfx7_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetScissor=gfx7_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@4=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@8=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@12=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@16=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@20=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@24=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@28=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@32=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@36=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@40=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@44=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@48=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@60=_gfx75_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissor@104=_gfx75_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetScissor=gfx75_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@4=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@8=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@12=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@16=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@20=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@24=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@28=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@32=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@36=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@40=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@44=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@48=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@60=_gfx8_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissor@104=_gfx8_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetScissor=gfx8_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@4=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@8=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@12=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@16=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@20=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@24=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@28=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@32=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@36=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@40=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@44=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@48=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@60=_gfx9_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissor@104=_gfx9_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetScissor=gfx9_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@4=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@8=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@12=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@16=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@20=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@24=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@28=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@32=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@36=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@40=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@44=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@48=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@60=_gfx11_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissor@104=_gfx11_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetScissor=gfx11_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@4=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@8=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@12=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@16=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@20=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@24=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@28=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@32=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@36=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@40=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@44=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@48=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@60=_gfx12_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissor@104=_gfx12_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetScissor=gfx12_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@4=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@8=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@12=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@16=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@20=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@24=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@28=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@32=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@36=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@40=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@44=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@48=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@60=_gfx125_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissor@104=_gfx125_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetScissor=gfx125_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@4=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@8=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@12=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@16=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@20=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@24=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@28=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@32=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@36=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@40=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@44=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@48=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@60=_anv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineWidth@104=_anv_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetLineWidth=anv_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@4=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@8=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@12=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@16=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@20=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@24=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@28=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@32=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@36=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@40=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@44=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@48=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@60=_gfx7_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineWidth@104=_gfx7_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetLineWidth=gfx7_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@4=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@8=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@12=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@16=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@20=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@24=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@28=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@32=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@36=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@40=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@44=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@48=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@60=_gfx75_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineWidth@104=_gfx75_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetLineWidth=gfx75_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@4=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@8=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@12=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@16=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@20=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@24=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@28=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@32=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@36=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@40=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@44=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@48=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@60=_gfx8_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineWidth@104=_gfx8_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetLineWidth=gfx8_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@4=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@8=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@12=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@16=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@20=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@24=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@28=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@32=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@36=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@40=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@44=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@48=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@60=_gfx9_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineWidth@104=_gfx9_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetLineWidth=gfx9_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@4=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@8=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@12=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@16=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@20=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@24=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@28=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@32=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@36=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@40=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@44=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@48=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@60=_gfx11_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineWidth@104=_gfx11_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetLineWidth=gfx11_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@4=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@8=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@12=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@16=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@20=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@24=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@28=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@32=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@36=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@40=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@44=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@48=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@60=_gfx12_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineWidth@104=_gfx12_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetLineWidth=gfx12_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@4=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@8=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@12=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@16=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@20=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@24=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@28=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@32=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@36=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@40=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@44=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@48=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@60=_gfx125_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineWidth@104=_gfx125_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetLineWidth=gfx125_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@4=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@8=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@12=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@16=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@20=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@24=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@28=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@32=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@36=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@40=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@44=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@48=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@60=_anv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBias@104=_anv_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthBias=anv_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@4=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@8=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@12=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@16=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@20=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@24=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@28=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@32=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@36=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@40=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@44=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@48=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@60=_gfx7_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBias@104=_gfx7_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthBias=gfx7_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@4=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@8=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@12=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@16=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@20=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@24=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@28=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@32=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@36=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@40=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@44=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@48=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@60=_gfx75_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBias@104=_gfx75_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthBias=gfx75_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@4=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@8=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@12=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@16=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@20=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@24=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@28=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@32=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@36=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@40=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@44=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@48=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@60=_gfx8_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBias@104=_gfx8_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthBias=gfx8_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@4=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@8=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@12=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@16=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@20=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@24=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@28=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@32=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@36=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@40=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@44=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@48=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@60=_gfx9_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBias@104=_gfx9_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthBias=gfx9_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@4=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@8=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@12=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@16=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@20=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@24=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@28=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@32=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@36=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@40=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@44=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@48=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@60=_gfx11_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBias@104=_gfx11_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthBias=gfx11_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@4=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@8=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@12=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@16=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@20=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@24=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@28=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@32=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@36=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@40=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@44=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@48=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@60=_gfx12_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBias@104=_gfx12_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthBias=gfx12_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@4=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@8=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@12=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@16=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@20=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@24=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@28=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@32=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@36=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@40=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@44=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@48=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@60=_gfx125_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBias@104=_gfx125_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthBias=gfx125_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@4=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@8=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@12=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@16=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@20=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@24=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@28=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@32=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@36=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@40=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@44=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@48=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@60=_anv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetBlendConstants@104=_anv_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetBlendConstants=anv_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@4=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@8=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@12=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@16=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@20=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@24=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@28=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@32=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@36=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@40=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@44=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@48=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@60=_gfx7_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetBlendConstants@104=_gfx7_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetBlendConstants=gfx7_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@4=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@8=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@12=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@16=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@20=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@24=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@28=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@32=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@36=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@40=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@44=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@48=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@60=_gfx75_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetBlendConstants@104=_gfx75_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetBlendConstants=gfx75_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@4=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@8=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@12=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@16=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@20=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@24=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@28=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@32=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@36=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@40=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@44=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@48=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@60=_gfx8_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetBlendConstants@104=_gfx8_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetBlendConstants=gfx8_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@4=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@8=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@12=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@16=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@20=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@24=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@28=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@32=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@36=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@40=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@44=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@48=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@60=_gfx9_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetBlendConstants@104=_gfx9_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetBlendConstants=gfx9_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@4=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@8=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@12=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@16=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@20=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@24=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@28=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@32=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@36=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@40=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@44=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@48=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@60=_gfx11_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetBlendConstants@104=_gfx11_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetBlendConstants=gfx11_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@4=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@8=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@12=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@16=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@20=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@24=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@28=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@32=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@36=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@40=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@44=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@48=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@60=_gfx12_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetBlendConstants@104=_gfx12_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetBlendConstants=gfx12_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@4=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@8=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@12=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@16=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@20=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@24=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@28=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@32=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@36=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@40=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@44=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@48=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@60=_gfx125_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetBlendConstants@104=_gfx125_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetBlendConstants=gfx125_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@4=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@8=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@12=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@16=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@20=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@24=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@28=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@32=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@36=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@40=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@44=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@48=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@60=_anv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBounds@104=_anv_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthBounds=anv_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@4=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@8=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@12=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@16=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@20=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@24=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@28=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@32=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@36=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@40=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@44=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@48=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@60=_gfx7_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBounds@104=_gfx7_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthBounds=gfx7_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@4=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@8=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@12=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@16=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@20=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@24=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@28=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@32=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@36=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@40=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@44=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@48=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@60=_gfx75_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBounds@104=_gfx75_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthBounds=gfx75_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@4=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@8=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@12=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@16=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@20=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@24=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@28=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@32=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@36=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@40=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@44=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@48=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@60=_gfx8_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBounds@104=_gfx8_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthBounds=gfx8_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@4=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@8=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@12=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@16=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@20=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@24=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@28=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@32=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@36=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@40=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@44=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@48=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@60=_gfx9_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBounds@104=_gfx9_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthBounds=gfx9_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@4=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@8=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@12=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@16=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@20=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@24=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@28=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@32=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@36=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@40=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@44=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@48=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@60=_gfx11_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBounds@104=_gfx11_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthBounds=gfx11_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@4=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@8=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@12=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@16=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@20=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@24=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@28=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@32=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@36=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@40=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@44=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@48=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@60=_gfx12_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBounds@104=_gfx12_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthBounds=gfx12_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@4=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@8=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@12=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@16=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@20=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@24=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@28=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@32=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@36=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@40=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@44=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@48=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@60=_gfx125_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBounds@104=_gfx125_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthBounds=gfx125_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@4=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@8=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@12=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@16=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@20=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@24=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@28=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@32=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@36=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@40=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@44=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@48=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@60=_anv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilCompareMask@104=_anv_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetStencilCompareMask=anv_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@4=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@8=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@12=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@16=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@20=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@24=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@28=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@32=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@36=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@40=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@44=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@48=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@60=_gfx7_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilCompareMask@104=_gfx7_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetStencilCompareMask=gfx7_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@4=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@8=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@12=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@16=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@20=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@24=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@28=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@32=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@36=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@40=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@44=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@48=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@60=_gfx75_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilCompareMask@104=_gfx75_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetStencilCompareMask=gfx75_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@4=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@8=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@12=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@16=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@20=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@24=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@28=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@32=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@36=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@40=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@44=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@48=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@60=_gfx8_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilCompareMask@104=_gfx8_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetStencilCompareMask=gfx8_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@4=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@8=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@12=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@16=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@20=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@24=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@28=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@32=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@36=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@40=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@44=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@48=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@60=_gfx9_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilCompareMask@104=_gfx9_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetStencilCompareMask=gfx9_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@4=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@8=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@12=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@16=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@20=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@24=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@28=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@32=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@36=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@40=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@44=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@48=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@60=_gfx11_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilCompareMask@104=_gfx11_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetStencilCompareMask=gfx11_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@4=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@8=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@12=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@16=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@20=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@24=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@28=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@32=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@36=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@40=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@44=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@48=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@60=_gfx12_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilCompareMask@104=_gfx12_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetStencilCompareMask=gfx12_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@4=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@8=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@12=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@16=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@20=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@24=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@28=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@32=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@36=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@40=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@44=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@48=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@60=_gfx125_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilCompareMask@104=_gfx125_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetStencilCompareMask=gfx125_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@4=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@8=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@12=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@16=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@20=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@24=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@28=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@32=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@36=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@40=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@44=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@48=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@60=_anv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilWriteMask@104=_anv_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetStencilWriteMask=anv_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@4=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@8=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@12=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@16=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@20=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@24=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@28=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@32=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@36=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@40=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@44=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@48=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@60=_gfx7_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilWriteMask@104=_gfx7_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetStencilWriteMask=gfx7_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@4=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@8=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@12=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@16=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@20=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@24=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@28=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@32=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@36=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@40=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@44=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@48=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@60=_gfx75_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilWriteMask@104=_gfx75_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetStencilWriteMask=gfx75_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@4=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@8=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@12=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@16=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@20=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@24=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@28=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@32=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@36=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@40=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@44=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@48=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@60=_gfx8_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilWriteMask@104=_gfx8_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetStencilWriteMask=gfx8_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@4=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@8=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@12=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@16=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@20=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@24=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@28=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@32=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@36=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@40=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@44=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@48=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@60=_gfx9_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilWriteMask@104=_gfx9_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetStencilWriteMask=gfx9_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@4=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@8=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@12=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@16=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@20=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@24=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@28=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@32=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@36=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@40=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@44=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@48=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@60=_gfx11_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilWriteMask@104=_gfx11_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetStencilWriteMask=gfx11_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@4=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@8=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@12=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@16=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@20=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@24=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@28=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@32=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@36=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@40=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@44=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@48=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@60=_gfx12_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilWriteMask@104=_gfx12_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetStencilWriteMask=gfx12_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@4=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@8=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@12=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@16=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@20=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@24=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@28=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@32=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@36=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@40=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@44=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@48=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@60=_gfx125_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilWriteMask@104=_gfx125_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetStencilWriteMask=gfx125_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@4=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@8=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@12=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@16=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@20=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@24=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@28=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@32=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@36=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@40=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@44=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@48=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@60=_anv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilReference@104=_anv_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetStencilReference=anv_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@4=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@8=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@12=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@16=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@20=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@24=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@28=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@32=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@36=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@40=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@44=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@48=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@60=_gfx7_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilReference@104=_gfx7_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetStencilReference=gfx7_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@4=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@8=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@12=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@16=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@20=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@24=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@28=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@32=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@36=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@40=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@44=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@48=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@60=_gfx75_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilReference@104=_gfx75_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetStencilReference=gfx75_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@4=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@8=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@12=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@16=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@20=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@24=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@28=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@32=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@36=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@40=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@44=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@48=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@60=_gfx8_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilReference@104=_gfx8_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetStencilReference=gfx8_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@4=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@8=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@12=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@16=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@20=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@24=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@28=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@32=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@36=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@40=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@44=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@48=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@60=_gfx9_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilReference@104=_gfx9_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetStencilReference=gfx9_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@4=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@8=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@12=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@16=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@20=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@24=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@28=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@32=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@36=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@40=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@44=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@48=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@60=_gfx11_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilReference@104=_gfx11_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetStencilReference=gfx11_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@4=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@8=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@12=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@16=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@20=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@24=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@28=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@32=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@36=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@40=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@44=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@48=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@60=_gfx12_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilReference@104=_gfx12_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetStencilReference=gfx12_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@4=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@8=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@12=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@16=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@20=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@24=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@28=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@32=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@36=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@40=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@44=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@48=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@60=_gfx125_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilReference@104=_gfx125_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetStencilReference=gfx125_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@4=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@8=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@12=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@16=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@20=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@24=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@28=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@32=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@36=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@40=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@44=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@48=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@60=_anv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindDescriptorSets@104=_anv_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindDescriptorSets=anv_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@4=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@8=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@12=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@16=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@20=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@24=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@28=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@32=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@36=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@40=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@44=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@48=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@60=_gfx7_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindDescriptorSets@104=_gfx7_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindDescriptorSets=gfx7_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@4=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@8=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@12=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@16=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@20=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@24=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@28=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@32=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@36=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@40=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@44=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@48=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@60=_gfx75_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindDescriptorSets@104=_gfx75_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindDescriptorSets=gfx75_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@4=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@8=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@12=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@16=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@20=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@24=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@28=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@32=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@36=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@40=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@44=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@48=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@60=_gfx8_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindDescriptorSets@104=_gfx8_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindDescriptorSets=gfx8_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@4=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@8=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@12=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@16=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@20=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@24=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@28=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@32=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@36=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@40=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@44=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@48=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@60=_gfx9_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindDescriptorSets@104=_gfx9_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindDescriptorSets=gfx9_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@4=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@8=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@12=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@16=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@20=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@24=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@28=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@32=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@36=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@40=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@44=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@48=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@60=_gfx11_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindDescriptorSets@104=_gfx11_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindDescriptorSets=gfx11_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@4=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@8=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@12=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@16=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@20=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@24=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@28=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@32=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@36=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@40=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@44=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@48=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@60=_gfx12_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindDescriptorSets@104=_gfx12_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindDescriptorSets=gfx12_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@4=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@8=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@12=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@16=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@20=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@24=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@28=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@32=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@36=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@40=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@44=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@48=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@60=_gfx125_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindDescriptorSets@104=_gfx125_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindDescriptorSets=gfx125_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@4=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@8=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@12=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@16=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@20=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@24=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@28=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@32=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@36=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@40=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@44=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@48=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@60=_anv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindIndexBuffer@104=_anv_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindIndexBuffer=anv_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@4=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@8=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@12=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@16=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@20=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@24=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@28=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@32=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@36=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@40=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@44=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@48=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@60=_gfx7_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindIndexBuffer@104=_gfx7_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindIndexBuffer=gfx7_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@4=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@8=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@12=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@16=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@20=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@24=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@28=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@32=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@36=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@40=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@44=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@48=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@60=_gfx75_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindIndexBuffer@104=_gfx75_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindIndexBuffer=gfx75_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@4=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@8=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@12=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@16=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@20=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@24=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@28=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@32=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@36=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@40=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@44=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@48=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@60=_gfx8_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindIndexBuffer@104=_gfx8_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindIndexBuffer=gfx8_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@4=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@8=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@12=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@16=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@20=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@24=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@28=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@32=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@36=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@40=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@44=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@48=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@60=_gfx9_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindIndexBuffer@104=_gfx9_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindIndexBuffer=gfx9_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@4=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@8=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@12=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@16=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@20=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@24=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@28=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@32=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@36=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@40=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@44=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@48=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@60=_gfx11_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindIndexBuffer@104=_gfx11_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindIndexBuffer=gfx11_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@4=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@8=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@12=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@16=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@20=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@24=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@28=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@32=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@36=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@40=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@44=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@48=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@60=_gfx12_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindIndexBuffer@104=_gfx12_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindIndexBuffer=gfx12_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@4=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@8=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@12=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@16=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@20=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@24=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@28=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@32=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@36=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@40=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@44=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@48=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@60=_gfx125_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindIndexBuffer@104=_gfx125_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindIndexBuffer=gfx125_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@4=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@8=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@12=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@16=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@20=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@24=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@28=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@32=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@36=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@40=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@44=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@48=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@60=_anv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers@104=_anv_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindVertexBuffers=anv_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@4=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@8=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@12=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@16=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@20=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@24=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@28=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@32=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@36=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@40=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@44=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@48=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@60=_gfx7_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers@104=_gfx7_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindVertexBuffers=gfx7_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@4=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@8=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@12=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@16=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@20=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@24=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@28=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@32=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@36=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@40=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@44=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@48=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@60=_gfx75_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers@104=_gfx75_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindVertexBuffers=gfx75_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@4=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@8=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@12=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@16=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@20=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@24=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@28=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@32=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@36=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@40=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@44=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@48=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@60=_gfx8_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers@104=_gfx8_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindVertexBuffers=gfx8_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@4=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@8=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@12=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@16=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@20=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@24=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@28=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@32=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@36=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@40=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@44=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@48=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@60=_gfx9_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers@104=_gfx9_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindVertexBuffers=gfx9_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@4=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@8=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@12=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@16=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@20=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@24=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@28=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@32=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@36=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@40=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@44=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@48=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@60=_gfx11_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers@104=_gfx11_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindVertexBuffers=gfx11_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@4=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@8=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@12=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@16=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@20=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@24=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@28=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@32=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@36=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@40=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@44=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@48=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@60=_gfx12_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers@104=_gfx12_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindVertexBuffers=gfx12_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@4=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@8=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@12=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@16=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@20=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@24=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@28=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@32=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@36=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@40=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@44=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@48=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@60=_gfx125_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers@104=_gfx125_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindVertexBuffers=gfx125_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@4=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@8=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@12=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@16=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@20=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@24=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@28=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@32=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@36=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@40=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@44=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@48=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@60=_anv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDraw@104=_anv_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDraw=anv_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@4=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@8=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@12=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@16=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@20=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@24=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@28=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@32=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@36=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@40=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@44=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@48=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@60=_gfx7_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDraw@104=_gfx7_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDraw=gfx7_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@4=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@8=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@12=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@16=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@20=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@24=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@28=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@32=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@36=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@40=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@44=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@48=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@60=_gfx75_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDraw@104=_gfx75_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDraw=gfx75_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@4=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@8=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@12=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@16=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@20=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@24=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@28=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@32=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@36=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@40=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@44=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@48=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@60=_gfx8_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDraw@104=_gfx8_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDraw=gfx8_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@4=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@8=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@12=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@16=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@20=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@24=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@28=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@32=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@36=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@40=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@44=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@48=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@60=_gfx9_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDraw@104=_gfx9_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDraw=gfx9_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@4=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@8=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@12=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@16=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@20=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@24=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@28=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@32=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@36=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@40=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@44=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@48=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@60=_gfx11_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDraw@104=_gfx11_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDraw=gfx11_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@4=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@8=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@12=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@16=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@20=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@24=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@28=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@32=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@36=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@40=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@44=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@48=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@60=_gfx12_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDraw@104=_gfx12_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDraw=gfx12_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@4=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@8=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@12=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@16=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@20=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@24=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@28=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@32=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@36=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@40=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@44=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@48=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@60=_gfx125_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDraw@104=_gfx125_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDraw=gfx125_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@4=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@8=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@12=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@16=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@20=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@24=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@28=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@32=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@36=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@40=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@44=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@48=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@60=_anv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexed@104=_anv_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndexed=anv_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@4=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@8=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@12=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@16=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@20=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@24=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@28=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@32=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@36=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@40=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@44=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@48=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@60=_gfx7_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexed@104=_gfx7_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndexed=gfx7_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@4=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@8=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@12=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@16=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@20=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@24=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@28=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@32=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@36=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@40=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@44=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@48=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@60=_gfx75_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexed@104=_gfx75_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndexed=gfx75_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@4=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@8=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@12=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@16=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@20=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@24=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@28=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@32=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@36=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@40=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@44=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@48=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@60=_gfx8_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexed@104=_gfx8_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndexed=gfx8_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@4=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@8=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@12=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@16=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@20=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@24=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@28=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@32=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@36=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@40=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@44=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@48=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@60=_gfx9_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexed@104=_gfx9_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndexed=gfx9_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@4=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@8=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@12=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@16=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@20=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@24=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@28=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@32=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@36=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@40=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@44=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@48=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@60=_gfx11_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexed@104=_gfx11_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndexed=gfx11_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@4=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@8=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@12=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@16=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@20=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@24=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@28=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@32=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@36=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@40=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@44=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@48=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@60=_gfx12_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexed@104=_gfx12_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndexed=gfx12_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@4=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@8=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@12=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@16=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@20=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@24=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@28=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@32=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@36=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@40=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@44=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@48=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@60=_gfx125_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexed@104=_gfx125_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndexed=gfx125_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@4=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@8=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@12=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@16=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@20=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@24=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@28=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@32=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@36=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@40=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@44=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@48=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@60=_anv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiEXT@104=_anv_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawMultiEXT=anv_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@4=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@8=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@12=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@16=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@20=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@24=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@28=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@32=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@36=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@40=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@44=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@48=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@60=_gfx7_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiEXT@104=_gfx7_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawMultiEXT=gfx7_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@4=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@8=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@12=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@16=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@20=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@24=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@28=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@32=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@36=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@40=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@44=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@48=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@60=_gfx75_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiEXT@104=_gfx75_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawMultiEXT=gfx75_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@4=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@8=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@12=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@16=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@20=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@24=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@28=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@32=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@36=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@40=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@44=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@48=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@60=_gfx8_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiEXT@104=_gfx8_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawMultiEXT=gfx8_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@4=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@8=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@12=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@16=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@20=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@24=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@28=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@32=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@36=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@40=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@44=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@48=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@60=_gfx9_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiEXT@104=_gfx9_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawMultiEXT=gfx9_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@4=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@8=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@12=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@16=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@20=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@24=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@28=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@32=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@36=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@40=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@44=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@48=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@60=_gfx11_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiEXT@104=_gfx11_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawMultiEXT=gfx11_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@4=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@8=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@12=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@16=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@20=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@24=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@28=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@32=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@36=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@40=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@44=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@48=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@60=_gfx12_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiEXT@104=_gfx12_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawMultiEXT=gfx12_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@4=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@8=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@12=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@16=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@20=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@24=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@28=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@32=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@36=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@40=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@44=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@48=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@60=_gfx125_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiEXT@104=_gfx125_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawMultiEXT=gfx125_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@4=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@8=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@12=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@16=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@20=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@24=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@28=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@32=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@36=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@40=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@44=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@48=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@60=_anv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMultiIndexedEXT@104=_anv_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawMultiIndexedEXT=anv_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@4=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@8=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@12=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@16=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@20=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@24=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@28=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@32=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@36=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@40=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@44=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@48=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@60=_gfx7_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMultiIndexedEXT@104=_gfx7_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawMultiIndexedEXT=gfx7_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@4=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@8=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@12=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@16=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@20=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@24=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@28=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@32=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@36=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@40=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@44=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@48=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@60=_gfx75_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMultiIndexedEXT@104=_gfx75_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawMultiIndexedEXT=gfx75_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@4=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@8=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@12=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@16=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@20=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@24=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@28=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@32=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@36=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@40=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@44=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@48=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@60=_gfx8_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMultiIndexedEXT@104=_gfx8_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawMultiIndexedEXT=gfx8_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@4=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@8=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@12=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@16=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@20=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@24=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@28=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@32=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@36=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@40=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@44=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@48=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@60=_gfx9_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMultiIndexedEXT@104=_gfx9_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawMultiIndexedEXT=gfx9_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@4=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@8=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@12=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@16=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@20=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@24=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@28=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@32=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@36=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@40=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@44=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@48=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@60=_gfx11_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMultiIndexedEXT@104=_gfx11_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawMultiIndexedEXT=gfx11_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@4=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@8=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@12=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@16=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@20=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@24=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@28=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@32=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@36=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@40=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@44=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@48=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@60=_gfx12_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMultiIndexedEXT@104=_gfx12_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawMultiIndexedEXT=gfx12_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@4=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@8=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@12=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@16=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@20=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@24=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@28=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@32=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@36=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@40=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@44=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@48=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@60=_gfx125_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMultiIndexedEXT@104=_gfx125_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawMultiIndexedEXT=gfx125_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@4=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@8=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@12=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@16=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@20=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@24=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@28=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@32=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@36=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@40=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@44=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@48=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@60=_anv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirect@104=_anv_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndirect=anv_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@4=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@8=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@12=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@16=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@20=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@24=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@28=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@32=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@36=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@40=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@44=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@48=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@60=_gfx7_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirect@104=_gfx7_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndirect=gfx7_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@4=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@8=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@12=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@16=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@20=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@24=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@28=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@32=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@36=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@40=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@44=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@48=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@60=_gfx75_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirect@104=_gfx75_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndirect=gfx75_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@4=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@8=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@12=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@16=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@20=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@24=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@28=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@32=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@36=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@40=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@44=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@48=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@60=_gfx8_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirect@104=_gfx8_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndirect=gfx8_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@4=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@8=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@12=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@16=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@20=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@24=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@28=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@32=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@36=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@40=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@44=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@48=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@60=_gfx9_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirect@104=_gfx9_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndirect=gfx9_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@4=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@8=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@12=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@16=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@20=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@24=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@28=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@32=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@36=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@40=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@44=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@48=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@60=_gfx11_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirect@104=_gfx11_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndirect=gfx11_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@4=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@8=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@12=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@16=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@20=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@24=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@28=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@32=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@36=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@40=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@44=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@48=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@60=_gfx12_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirect@104=_gfx12_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndirect=gfx12_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@4=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@8=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@12=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@16=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@20=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@24=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@28=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@32=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@36=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@40=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@44=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@48=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@60=_gfx125_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirect@104=_gfx125_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndirect=gfx125_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@4=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@8=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@12=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@16=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@20=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@24=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@28=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@32=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@36=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@40=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@44=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@48=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@60=_anv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirect@104=_anv_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndexedIndirect=anv_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@4=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@8=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@12=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@16=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@20=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@24=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@28=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@32=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@36=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@40=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@44=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@48=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@60=_gfx7_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirect@104=_gfx7_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndexedIndirect=gfx7_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@4=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@8=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@12=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@16=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@20=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@24=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@28=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@32=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@36=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@40=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@44=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@48=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@60=_gfx75_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirect@104=_gfx75_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndexedIndirect=gfx75_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@4=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@8=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@12=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@16=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@20=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@24=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@28=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@32=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@36=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@40=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@44=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@48=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@60=_gfx8_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirect@104=_gfx8_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndexedIndirect=gfx8_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@4=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@8=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@12=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@16=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@20=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@24=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@28=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@32=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@36=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@40=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@44=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@48=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@60=_gfx9_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirect@104=_gfx9_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndexedIndirect=gfx9_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@4=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@8=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@12=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@16=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@20=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@24=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@28=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@32=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@36=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@40=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@44=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@48=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@60=_gfx11_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirect@104=_gfx11_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndexedIndirect=gfx11_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@4=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@8=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@12=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@16=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@20=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@24=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@28=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@32=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@36=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@40=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@44=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@48=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@60=_gfx12_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirect@104=_gfx12_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndexedIndirect=gfx12_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@4=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@8=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@12=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@16=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@20=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@24=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@28=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@32=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@36=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@40=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@44=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@48=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@60=_gfx125_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirect@104=_gfx125_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndexedIndirect=gfx125_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@4=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@8=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@12=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@16=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@20=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@24=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@28=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@32=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@36=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@40=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@44=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@48=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@60=_anv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatch@104=_anv_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDispatch=anv_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@4=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@8=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@12=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@16=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@20=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@24=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@28=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@32=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@36=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@40=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@44=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@48=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@60=_gfx7_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatch@104=_gfx7_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDispatch=gfx7_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@4=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@8=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@12=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@16=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@20=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@24=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@28=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@32=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@36=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@40=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@44=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@48=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@60=_gfx75_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatch@104=_gfx75_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDispatch=gfx75_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@4=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@8=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@12=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@16=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@20=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@24=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@28=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@32=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@36=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@40=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@44=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@48=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@60=_gfx8_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatch@104=_gfx8_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDispatch=gfx8_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@4=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@8=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@12=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@16=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@20=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@24=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@28=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@32=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@36=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@40=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@44=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@48=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@60=_gfx9_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatch@104=_gfx9_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDispatch=gfx9_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@4=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@8=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@12=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@16=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@20=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@24=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@28=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@32=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@36=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@40=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@44=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@48=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@60=_gfx11_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatch@104=_gfx11_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDispatch=gfx11_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@4=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@8=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@12=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@16=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@20=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@24=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@28=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@32=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@36=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@40=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@44=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@48=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@60=_gfx12_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatch@104=_gfx12_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDispatch=gfx12_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@4=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@8=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@12=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@16=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@20=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@24=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@28=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@32=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@36=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@40=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@44=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@48=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@60=_gfx125_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatch@104=_gfx125_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDispatch=gfx125_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@4=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@8=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@12=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@16=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@20=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@24=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@28=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@32=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@36=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@40=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@44=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@48=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@60=_anv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchIndirect@104=_anv_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDispatchIndirect=anv_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@4=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@8=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@12=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@16=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@20=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@24=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@28=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@32=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@36=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@40=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@44=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@48=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@60=_gfx7_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchIndirect@104=_gfx7_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDispatchIndirect=gfx7_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@4=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@8=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@12=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@16=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@20=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@24=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@28=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@32=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@36=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@40=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@44=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@48=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@60=_gfx75_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchIndirect@104=_gfx75_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDispatchIndirect=gfx75_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@4=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@8=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@12=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@16=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@20=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@24=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@28=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@32=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@36=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@40=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@44=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@48=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@60=_gfx8_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchIndirect@104=_gfx8_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDispatchIndirect=gfx8_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@4=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@8=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@12=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@16=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@20=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@24=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@28=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@32=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@36=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@40=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@44=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@48=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@60=_gfx9_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchIndirect@104=_gfx9_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDispatchIndirect=gfx9_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@4=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@8=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@12=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@16=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@20=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@24=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@28=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@32=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@36=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@40=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@44=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@48=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@60=_gfx11_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchIndirect@104=_gfx11_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDispatchIndirect=gfx11_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@4=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@8=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@12=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@16=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@20=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@24=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@28=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@32=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@36=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@40=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@44=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@48=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@60=_gfx12_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchIndirect@104=_gfx12_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDispatchIndirect=gfx12_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@4=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@8=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@12=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@16=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@20=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@24=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@28=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@32=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@36=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@40=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@44=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@48=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@60=_gfx125_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchIndirect@104=_gfx125_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDispatchIndirect=gfx125_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@4=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@8=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@12=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@16=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@20=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@24=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@28=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@32=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@36=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@40=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@44=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@48=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@60=_anv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSubpassShadingHUAWEI@104=_anv_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSubpassShadingHUAWEI=anv_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@4=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@8=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@12=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@16=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@20=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@24=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@28=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@32=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@36=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@40=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@44=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@48=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@60=_gfx7_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSubpassShadingHUAWEI@104=_gfx7_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSubpassShadingHUAWEI=gfx7_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@4=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@8=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@12=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@16=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@20=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@24=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@28=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@32=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@36=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@40=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@44=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@48=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@60=_gfx75_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSubpassShadingHUAWEI@104=_gfx75_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSubpassShadingHUAWEI=gfx75_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@4=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@8=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@12=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@16=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@20=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@24=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@28=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@32=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@36=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@40=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@44=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@48=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@60=_gfx8_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSubpassShadingHUAWEI@104=_gfx8_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSubpassShadingHUAWEI=gfx8_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@4=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@8=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@12=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@16=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@20=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@24=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@28=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@32=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@36=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@40=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@44=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@48=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@60=_gfx9_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSubpassShadingHUAWEI@104=_gfx9_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSubpassShadingHUAWEI=gfx9_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@4=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@8=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@12=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@16=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@20=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@24=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@28=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@32=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@36=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@40=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@44=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@48=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@60=_gfx11_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSubpassShadingHUAWEI@104=_gfx11_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSubpassShadingHUAWEI=gfx11_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@4=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@8=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@12=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@16=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@20=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@24=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@28=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@32=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@36=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@40=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@44=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@48=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@60=_gfx12_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSubpassShadingHUAWEI@104=_gfx12_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSubpassShadingHUAWEI=gfx12_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@4=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@8=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@12=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@16=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@20=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@24=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@28=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@32=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@36=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@40=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@44=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@48=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@60=_gfx125_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSubpassShadingHUAWEI@104=_gfx125_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSubpassShadingHUAWEI=gfx125_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@4=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@8=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@12=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@16=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@20=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@24=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@28=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@32=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@36=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@40=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@44=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@48=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@60=_anv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer@104=_anv_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyBuffer=anv_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@4=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@8=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@12=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@16=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@20=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@24=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@28=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@32=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@36=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@40=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@44=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@48=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@60=_gfx7_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer@104=_gfx7_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyBuffer=gfx7_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@4=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@8=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@12=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@16=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@20=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@24=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@28=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@32=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@36=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@40=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@44=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@48=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@60=_gfx75_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer@104=_gfx75_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyBuffer=gfx75_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@4=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@8=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@12=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@16=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@20=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@24=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@28=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@32=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@36=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@40=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@44=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@48=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@60=_gfx8_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer@104=_gfx8_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyBuffer=gfx8_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@4=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@8=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@12=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@16=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@20=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@24=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@28=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@32=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@36=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@40=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@44=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@48=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@60=_gfx9_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer@104=_gfx9_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyBuffer=gfx9_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@4=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@8=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@12=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@16=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@20=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@24=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@28=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@32=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@36=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@40=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@44=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@48=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@60=_gfx11_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer@104=_gfx11_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyBuffer=gfx11_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@4=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@8=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@12=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@16=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@20=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@24=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@28=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@32=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@36=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@40=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@44=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@48=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@60=_gfx12_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer@104=_gfx12_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyBuffer=gfx12_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@4=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@8=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@12=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@16=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@20=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@24=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@28=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@32=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@36=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@40=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@44=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@48=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@60=_gfx125_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer@104=_gfx125_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyBuffer=gfx125_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@4=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@8=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@12=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@16=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@20=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@24=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@28=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@32=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@36=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@40=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@44=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@48=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@60=_anv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage@104=_anv_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyImage=anv_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@4=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@8=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@12=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@16=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@20=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@24=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@28=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@32=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@36=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@40=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@44=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@48=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@60=_gfx7_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage@104=_gfx7_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyImage=gfx7_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@4=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@8=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@12=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@16=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@20=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@24=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@28=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@32=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@36=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@40=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@44=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@48=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@60=_gfx75_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage@104=_gfx75_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyImage=gfx75_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@4=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@8=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@12=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@16=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@20=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@24=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@28=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@32=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@36=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@40=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@44=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@48=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@60=_gfx8_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage@104=_gfx8_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyImage=gfx8_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@4=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@8=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@12=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@16=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@20=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@24=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@28=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@32=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@36=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@40=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@44=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@48=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@60=_gfx9_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage@104=_gfx9_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyImage=gfx9_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@4=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@8=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@12=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@16=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@20=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@24=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@28=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@32=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@36=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@40=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@44=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@48=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@60=_gfx11_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage@104=_gfx11_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyImage=gfx11_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@4=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@8=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@12=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@16=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@20=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@24=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@28=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@32=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@36=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@40=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@44=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@48=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@60=_gfx12_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage@104=_gfx12_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyImage=gfx12_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@4=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@8=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@12=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@16=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@20=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@24=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@28=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@32=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@36=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@40=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@44=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@48=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@60=_gfx125_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage@104=_gfx125_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyImage=gfx125_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@4=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@8=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@12=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@16=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@20=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@24=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@28=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@32=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@36=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@40=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@44=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@48=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@60=_anv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage@104=_anv_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBlitImage=anv_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@4=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@8=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@12=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@16=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@20=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@24=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@28=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@32=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@36=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@40=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@44=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@48=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@60=_gfx7_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage@104=_gfx7_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBlitImage=gfx7_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@4=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@8=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@12=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@16=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@20=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@24=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@28=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@32=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@36=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@40=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@44=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@48=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@60=_gfx75_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage@104=_gfx75_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBlitImage=gfx75_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@4=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@8=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@12=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@16=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@20=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@24=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@28=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@32=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@36=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@40=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@44=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@48=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@60=_gfx8_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage@104=_gfx8_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBlitImage=gfx8_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@4=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@8=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@12=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@16=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@20=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@24=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@28=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@32=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@36=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@40=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@44=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@48=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@60=_gfx9_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage@104=_gfx9_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBlitImage=gfx9_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@4=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@8=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@12=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@16=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@20=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@24=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@28=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@32=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@36=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@40=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@44=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@48=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@60=_gfx11_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage@104=_gfx11_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBlitImage=gfx11_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@4=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@8=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@12=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@16=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@20=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@24=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@28=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@32=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@36=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@40=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@44=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@48=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@60=_gfx12_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage@104=_gfx12_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBlitImage=gfx12_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@4=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@8=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@12=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@16=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@20=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@24=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@28=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@32=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@36=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@40=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@44=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@48=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@60=_gfx125_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage@104=_gfx125_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBlitImage=gfx125_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@4=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@8=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@12=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@16=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@20=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@24=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@28=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@32=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@36=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@40=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@44=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@48=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@60=_anv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage@104=_anv_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyBufferToImage=anv_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@4=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@8=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@12=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@16=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@20=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@24=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@28=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@32=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@36=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@40=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@44=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@48=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@60=_gfx7_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage@104=_gfx7_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyBufferToImage=gfx7_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@4=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@8=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@12=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@16=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@20=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@24=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@28=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@32=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@36=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@40=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@44=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@48=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@60=_gfx75_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage@104=_gfx75_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyBufferToImage=gfx75_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@4=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@8=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@12=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@16=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@20=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@24=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@28=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@32=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@36=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@40=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@44=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@48=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@60=_gfx8_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage@104=_gfx8_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyBufferToImage=gfx8_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@4=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@8=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@12=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@16=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@20=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@24=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@28=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@32=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@36=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@40=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@44=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@48=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@60=_gfx9_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage@104=_gfx9_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyBufferToImage=gfx9_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@4=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@8=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@12=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@16=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@20=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@24=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@28=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@32=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@36=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@40=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@44=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@48=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@60=_gfx11_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage@104=_gfx11_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyBufferToImage=gfx11_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@4=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@8=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@12=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@16=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@20=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@24=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@28=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@32=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@36=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@40=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@44=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@48=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@60=_gfx12_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage@104=_gfx12_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyBufferToImage=gfx12_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@4=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@8=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@12=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@16=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@20=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@24=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@28=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@32=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@36=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@40=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@44=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@48=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@60=_gfx125_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage@104=_gfx125_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyBufferToImage=gfx125_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@4=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@8=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@12=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@16=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@20=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@24=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@28=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@32=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@36=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@40=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@44=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@48=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@60=_anv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer@104=_anv_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyImageToBuffer=anv_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@4=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@8=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@12=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@16=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@20=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@24=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@28=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@32=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@36=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@40=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@44=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@48=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@60=_gfx7_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer@104=_gfx7_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyImageToBuffer=gfx7_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@4=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@8=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@12=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@16=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@20=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@24=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@28=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@32=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@36=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@40=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@44=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@48=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@60=_gfx75_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer@104=_gfx75_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyImageToBuffer=gfx75_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@4=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@8=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@12=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@16=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@20=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@24=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@28=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@32=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@36=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@40=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@44=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@48=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@60=_gfx8_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer@104=_gfx8_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyImageToBuffer=gfx8_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@4=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@8=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@12=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@16=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@20=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@24=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@28=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@32=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@36=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@40=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@44=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@48=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@60=_gfx9_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer@104=_gfx9_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyImageToBuffer=gfx9_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@4=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@8=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@12=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@16=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@20=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@24=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@28=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@32=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@36=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@40=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@44=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@48=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@60=_gfx11_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer@104=_gfx11_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyImageToBuffer=gfx11_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@4=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@8=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@12=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@16=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@20=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@24=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@28=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@32=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@36=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@40=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@44=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@48=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@60=_gfx12_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer@104=_gfx12_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyImageToBuffer=gfx12_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@4=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@8=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@12=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@16=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@20=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@24=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@28=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@32=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@36=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@40=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@44=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@48=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@60=_gfx125_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer@104=_gfx125_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyImageToBuffer=gfx125_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@4=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@8=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@12=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@16=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@20=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@24=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@28=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@32=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@36=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@40=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@44=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@48=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@60=_anv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdUpdateBuffer@104=_anv_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdUpdateBuffer=anv_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@4=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@8=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@12=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@16=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@20=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@24=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@28=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@32=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@36=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@40=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@44=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@48=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@60=_gfx7_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdUpdateBuffer@104=_gfx7_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdUpdateBuffer=gfx7_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@4=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@8=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@12=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@16=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@20=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@24=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@28=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@32=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@36=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@40=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@44=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@48=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@60=_gfx75_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdUpdateBuffer@104=_gfx75_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdUpdateBuffer=gfx75_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@4=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@8=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@12=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@16=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@20=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@24=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@28=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@32=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@36=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@40=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@44=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@48=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@60=_gfx8_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdUpdateBuffer@104=_gfx8_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdUpdateBuffer=gfx8_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@4=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@8=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@12=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@16=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@20=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@24=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@28=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@32=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@36=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@40=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@44=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@48=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@60=_gfx9_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdUpdateBuffer@104=_gfx9_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdUpdateBuffer=gfx9_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@4=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@8=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@12=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@16=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@20=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@24=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@28=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@32=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@36=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@40=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@44=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@48=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@60=_gfx11_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdUpdateBuffer@104=_gfx11_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdUpdateBuffer=gfx11_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@4=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@8=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@12=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@16=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@20=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@24=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@28=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@32=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@36=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@40=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@44=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@48=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@60=_gfx12_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdUpdateBuffer@104=_gfx12_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdUpdateBuffer=gfx12_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@4=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@8=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@12=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@16=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@20=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@24=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@28=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@32=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@36=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@40=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@44=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@48=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@60=_gfx125_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdUpdateBuffer@104=_gfx125_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdUpdateBuffer=gfx125_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@4=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@8=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@12=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@16=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@20=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@24=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@28=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@32=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@36=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@40=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@44=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@48=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@60=_anv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdFillBuffer@104=_anv_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdFillBuffer=anv_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@4=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@8=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@12=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@16=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@20=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@24=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@28=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@32=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@36=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@40=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@44=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@48=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@60=_gfx7_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdFillBuffer@104=_gfx7_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdFillBuffer=gfx7_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@4=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@8=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@12=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@16=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@20=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@24=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@28=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@32=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@36=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@40=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@44=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@48=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@60=_gfx75_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdFillBuffer@104=_gfx75_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdFillBuffer=gfx75_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@4=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@8=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@12=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@16=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@20=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@24=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@28=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@32=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@36=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@40=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@44=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@48=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@60=_gfx8_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdFillBuffer@104=_gfx8_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdFillBuffer=gfx8_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@4=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@8=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@12=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@16=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@20=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@24=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@28=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@32=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@36=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@40=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@44=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@48=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@60=_gfx9_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdFillBuffer@104=_gfx9_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdFillBuffer=gfx9_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@4=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@8=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@12=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@16=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@20=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@24=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@28=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@32=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@36=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@40=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@44=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@48=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@60=_gfx11_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdFillBuffer@104=_gfx11_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdFillBuffer=gfx11_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@4=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@8=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@12=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@16=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@20=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@24=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@28=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@32=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@36=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@40=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@44=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@48=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@60=_gfx12_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdFillBuffer@104=_gfx12_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdFillBuffer=gfx12_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@4=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@8=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@12=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@16=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@20=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@24=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@28=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@32=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@36=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@40=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@44=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@48=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@60=_gfx125_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdFillBuffer@104=_gfx125_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdFillBuffer=gfx125_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@4=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@8=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@12=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@16=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@20=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@24=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@28=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@32=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@36=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@40=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@44=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@48=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@60=_anv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearColorImage@104=_anv_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdClearColorImage=anv_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@4=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@8=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@12=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@16=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@20=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@24=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@28=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@32=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@36=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@40=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@44=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@48=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@60=_gfx7_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearColorImage@104=_gfx7_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdClearColorImage=gfx7_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@4=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@8=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@12=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@16=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@20=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@24=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@28=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@32=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@36=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@40=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@44=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@48=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@60=_gfx75_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearColorImage@104=_gfx75_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdClearColorImage=gfx75_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@4=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@8=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@12=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@16=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@20=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@24=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@28=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@32=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@36=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@40=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@44=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@48=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@60=_gfx8_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearColorImage@104=_gfx8_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdClearColorImage=gfx8_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@4=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@8=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@12=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@16=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@20=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@24=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@28=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@32=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@36=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@40=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@44=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@48=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@60=_gfx9_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearColorImage@104=_gfx9_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdClearColorImage=gfx9_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@4=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@8=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@12=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@16=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@20=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@24=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@28=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@32=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@36=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@40=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@44=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@48=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@60=_gfx11_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearColorImage@104=_gfx11_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdClearColorImage=gfx11_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@4=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@8=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@12=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@16=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@20=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@24=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@28=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@32=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@36=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@40=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@44=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@48=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@60=_gfx12_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearColorImage@104=_gfx12_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdClearColorImage=gfx12_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@4=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@8=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@12=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@16=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@20=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@24=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@28=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@32=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@36=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@40=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@44=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@48=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@60=_gfx125_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearColorImage@104=_gfx125_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdClearColorImage=gfx125_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@4=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@8=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@12=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@16=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@20=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@24=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@28=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@32=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@36=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@40=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@44=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@48=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@60=_anv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearDepthStencilImage@104=_anv_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdClearDepthStencilImage=anv_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@4=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@8=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@12=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@16=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@20=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@24=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@28=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@32=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@36=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@40=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@44=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@48=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@60=_gfx7_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearDepthStencilImage@104=_gfx7_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdClearDepthStencilImage=gfx7_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@4=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@8=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@12=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@16=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@20=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@24=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@28=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@32=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@36=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@40=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@44=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@48=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@60=_gfx75_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearDepthStencilImage@104=_gfx75_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdClearDepthStencilImage=gfx75_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@4=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@8=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@12=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@16=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@20=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@24=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@28=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@32=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@36=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@40=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@44=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@48=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@60=_gfx8_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearDepthStencilImage@104=_gfx8_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdClearDepthStencilImage=gfx8_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@4=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@8=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@12=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@16=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@20=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@24=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@28=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@32=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@36=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@40=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@44=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@48=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@60=_gfx9_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearDepthStencilImage@104=_gfx9_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdClearDepthStencilImage=gfx9_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@4=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@8=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@12=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@16=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@20=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@24=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@28=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@32=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@36=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@40=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@44=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@48=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@60=_gfx11_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearDepthStencilImage@104=_gfx11_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdClearDepthStencilImage=gfx11_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@4=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@8=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@12=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@16=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@20=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@24=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@28=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@32=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@36=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@40=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@44=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@48=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@60=_gfx12_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearDepthStencilImage@104=_gfx12_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdClearDepthStencilImage=gfx12_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@4=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@8=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@12=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@16=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@20=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@24=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@28=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@32=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@36=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@40=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@44=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@48=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@60=_gfx125_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearDepthStencilImage@104=_gfx125_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdClearDepthStencilImage=gfx125_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@4=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@8=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@12=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@16=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@20=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@24=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@28=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@32=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@36=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@40=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@44=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@48=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@60=_anv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdClearAttachments@104=_anv_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdClearAttachments=anv_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@4=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@8=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@12=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@16=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@20=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@24=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@28=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@32=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@36=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@40=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@44=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@48=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@60=_gfx7_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdClearAttachments@104=_gfx7_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdClearAttachments=gfx7_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@4=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@8=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@12=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@16=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@20=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@24=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@28=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@32=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@36=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@40=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@44=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@48=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@60=_gfx75_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdClearAttachments@104=_gfx75_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdClearAttachments=gfx75_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@4=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@8=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@12=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@16=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@20=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@24=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@28=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@32=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@36=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@40=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@44=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@48=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@60=_gfx8_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdClearAttachments@104=_gfx8_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdClearAttachments=gfx8_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@4=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@8=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@12=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@16=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@20=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@24=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@28=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@32=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@36=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@40=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@44=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@48=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@60=_gfx9_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdClearAttachments@104=_gfx9_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdClearAttachments=gfx9_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@4=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@8=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@12=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@16=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@20=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@24=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@28=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@32=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@36=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@40=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@44=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@48=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@60=_gfx11_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdClearAttachments@104=_gfx11_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdClearAttachments=gfx11_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@4=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@8=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@12=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@16=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@20=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@24=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@28=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@32=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@36=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@40=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@44=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@48=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@60=_gfx12_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdClearAttachments@104=_gfx12_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdClearAttachments=gfx12_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@4=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@8=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@12=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@16=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@20=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@24=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@28=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@32=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@36=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@40=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@44=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@48=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@60=_gfx125_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdClearAttachments@104=_gfx125_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdClearAttachments=gfx125_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@4=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@8=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@12=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@16=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@20=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@24=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@28=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@32=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@36=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@40=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@44=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@48=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@60=_anv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage@104=_anv_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdResolveImage=anv_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@4=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@8=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@12=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@16=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@20=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@24=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@28=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@32=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@36=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@40=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@44=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@48=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@60=_gfx7_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage@104=_gfx7_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdResolveImage=gfx7_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@4=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@8=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@12=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@16=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@20=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@24=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@28=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@32=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@36=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@40=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@44=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@48=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@60=_gfx75_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage@104=_gfx75_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdResolveImage=gfx75_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@4=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@8=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@12=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@16=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@20=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@24=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@28=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@32=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@36=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@40=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@44=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@48=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@60=_gfx8_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage@104=_gfx8_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdResolveImage=gfx8_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@4=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@8=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@12=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@16=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@20=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@24=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@28=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@32=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@36=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@40=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@44=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@48=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@60=_gfx9_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage@104=_gfx9_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdResolveImage=gfx9_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@4=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@8=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@12=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@16=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@20=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@24=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@28=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@32=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@36=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@40=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@44=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@48=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@60=_gfx11_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage@104=_gfx11_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdResolveImage=gfx11_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@4=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@8=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@12=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@16=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@20=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@24=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@28=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@32=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@36=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@40=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@44=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@48=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@60=_gfx12_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage@104=_gfx12_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdResolveImage=gfx12_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@4=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@8=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@12=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@16=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@20=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@24=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@28=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@32=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@36=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@40=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@44=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@48=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@60=_gfx125_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage@104=_gfx125_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdResolveImage=gfx125_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@4=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@8=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@12=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@16=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@20=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@24=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@28=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@32=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@36=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@40=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@44=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@48=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@60=_anv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent@104=_anv_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetEvent=anv_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@4=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@8=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@12=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@16=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@20=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@24=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@28=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@32=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@36=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@40=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@44=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@48=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@60=_gfx7_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent@104=_gfx7_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetEvent=gfx7_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@4=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@8=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@12=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@16=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@20=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@24=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@28=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@32=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@36=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@40=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@44=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@48=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@60=_gfx75_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent@104=_gfx75_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetEvent=gfx75_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@4=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@8=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@12=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@16=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@20=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@24=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@28=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@32=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@36=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@40=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@44=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@48=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@60=_gfx8_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent@104=_gfx8_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetEvent=gfx8_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@4=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@8=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@12=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@16=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@20=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@24=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@28=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@32=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@36=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@40=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@44=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@48=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@60=_gfx9_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent@104=_gfx9_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetEvent=gfx9_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@4=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@8=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@12=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@16=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@20=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@24=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@28=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@32=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@36=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@40=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@44=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@48=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@60=_gfx11_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent@104=_gfx11_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetEvent=gfx11_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@4=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@8=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@12=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@16=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@20=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@24=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@28=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@32=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@36=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@40=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@44=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@48=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@60=_gfx12_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent@104=_gfx12_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetEvent=gfx12_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@4=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@8=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@12=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@16=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@20=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@24=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@28=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@32=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@36=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@40=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@44=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@48=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@60=_gfx125_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent@104=_gfx125_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetEvent=gfx125_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@4=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@8=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@12=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@16=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@20=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@24=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@28=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@32=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@36=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@40=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@44=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@48=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@60=_anv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent@104=_anv_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdResetEvent=anv_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@4=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@8=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@12=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@16=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@20=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@24=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@28=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@32=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@36=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@40=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@44=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@48=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@60=_gfx7_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent@104=_gfx7_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdResetEvent=gfx7_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@4=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@8=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@12=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@16=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@20=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@24=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@28=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@32=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@36=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@40=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@44=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@48=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@60=_gfx75_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent@104=_gfx75_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdResetEvent=gfx75_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@4=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@8=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@12=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@16=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@20=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@24=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@28=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@32=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@36=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@40=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@44=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@48=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@60=_gfx8_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent@104=_gfx8_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdResetEvent=gfx8_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@4=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@8=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@12=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@16=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@20=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@24=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@28=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@32=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@36=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@40=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@44=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@48=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@60=_gfx9_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent@104=_gfx9_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdResetEvent=gfx9_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@4=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@8=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@12=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@16=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@20=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@24=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@28=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@32=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@36=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@40=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@44=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@48=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@60=_gfx11_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent@104=_gfx11_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdResetEvent=gfx11_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@4=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@8=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@12=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@16=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@20=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@24=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@28=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@32=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@36=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@40=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@44=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@48=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@60=_gfx12_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent@104=_gfx12_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdResetEvent=gfx12_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@4=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@8=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@12=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@16=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@20=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@24=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@28=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@32=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@36=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@40=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@44=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@48=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@60=_gfx125_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent@104=_gfx125_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdResetEvent=gfx125_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@4=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@8=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@12=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@16=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@20=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@24=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@28=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@32=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@36=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@40=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@44=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@48=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@60=_anv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents@104=_anv_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWaitEvents=anv_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@4=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@8=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@12=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@16=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@20=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@24=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@28=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@32=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@36=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@40=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@44=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@48=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@60=_gfx7_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents@104=_gfx7_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWaitEvents=gfx7_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@4=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@8=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@12=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@16=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@20=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@24=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@28=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@32=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@36=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@40=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@44=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@48=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@60=_gfx75_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents@104=_gfx75_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWaitEvents=gfx75_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@4=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@8=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@12=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@16=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@20=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@24=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@28=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@32=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@36=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@40=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@44=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@48=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@60=_gfx8_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents@104=_gfx8_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWaitEvents=gfx8_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@4=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@8=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@12=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@16=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@20=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@24=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@28=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@32=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@36=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@40=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@44=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@48=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@60=_gfx9_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents@104=_gfx9_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWaitEvents=gfx9_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@4=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@8=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@12=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@16=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@20=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@24=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@28=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@32=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@36=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@40=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@44=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@48=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@60=_gfx11_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents@104=_gfx11_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWaitEvents=gfx11_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@4=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@8=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@12=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@16=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@20=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@24=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@28=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@32=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@36=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@40=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@44=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@48=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@60=_gfx12_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents@104=_gfx12_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWaitEvents=gfx12_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@4=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@8=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@12=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@16=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@20=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@24=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@28=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@32=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@36=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@40=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@44=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@48=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@60=_gfx125_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents@104=_gfx125_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWaitEvents=gfx125_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@4=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@8=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@12=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@16=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@20=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@24=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@28=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@32=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@36=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@40=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@44=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@48=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@60=_anv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier@104=_anv_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdPipelineBarrier=anv_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@4=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@8=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@12=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@16=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@20=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@24=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@28=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@32=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@36=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@40=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@44=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@48=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@60=_gfx7_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier@104=_gfx7_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdPipelineBarrier=gfx7_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@4=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@8=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@12=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@16=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@20=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@24=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@28=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@32=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@36=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@40=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@44=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@48=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@60=_gfx75_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier@104=_gfx75_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdPipelineBarrier=gfx75_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@4=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@8=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@12=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@16=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@20=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@24=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@28=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@32=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@36=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@40=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@44=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@48=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@60=_gfx8_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier@104=_gfx8_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdPipelineBarrier=gfx8_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@4=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@8=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@12=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@16=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@20=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@24=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@28=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@32=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@36=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@40=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@44=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@48=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@60=_gfx9_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier@104=_gfx9_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdPipelineBarrier=gfx9_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@4=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@8=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@12=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@16=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@20=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@24=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@28=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@32=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@36=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@40=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@44=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@48=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@60=_gfx11_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier@104=_gfx11_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdPipelineBarrier=gfx11_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@4=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@8=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@12=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@16=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@20=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@24=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@28=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@32=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@36=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@40=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@44=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@48=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@60=_gfx12_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier@104=_gfx12_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdPipelineBarrier=gfx12_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@4=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@8=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@12=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@16=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@20=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@24=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@28=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@32=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@36=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@40=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@44=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@48=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@60=_gfx125_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier@104=_gfx125_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdPipelineBarrier=gfx125_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@4=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@8=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@12=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@16=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@20=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@24=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@28=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@32=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@36=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@40=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@44=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@48=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@60=_anv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQuery@104=_anv_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginQuery=anv_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@4=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@8=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@12=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@16=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@20=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@24=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@28=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@32=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@36=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@40=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@44=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@48=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@60=_gfx7_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQuery@104=_gfx7_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginQuery=gfx7_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@4=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@8=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@12=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@16=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@20=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@24=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@28=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@32=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@36=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@40=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@44=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@48=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@60=_gfx75_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQuery@104=_gfx75_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginQuery=gfx75_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@4=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@8=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@12=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@16=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@20=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@24=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@28=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@32=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@36=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@40=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@44=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@48=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@60=_gfx8_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQuery@104=_gfx8_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginQuery=gfx8_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@4=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@8=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@12=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@16=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@20=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@24=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@28=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@32=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@36=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@40=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@44=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@48=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@60=_gfx9_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQuery@104=_gfx9_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginQuery=gfx9_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@4=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@8=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@12=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@16=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@20=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@24=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@28=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@32=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@36=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@40=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@44=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@48=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@60=_gfx11_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQuery@104=_gfx11_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginQuery=gfx11_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@4=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@8=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@12=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@16=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@20=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@24=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@28=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@32=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@36=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@40=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@44=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@48=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@60=_gfx12_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQuery@104=_gfx12_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginQuery=gfx12_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@4=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@8=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@12=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@16=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@20=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@24=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@28=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@32=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@36=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@40=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@44=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@48=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@60=_gfx125_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQuery@104=_gfx125_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginQuery=gfx125_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@4=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@8=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@12=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@16=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@20=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@24=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@28=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@32=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@36=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@40=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@44=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@48=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@60=_anv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQuery@104=_anv_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndQuery=anv_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@4=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@8=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@12=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@16=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@20=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@24=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@28=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@32=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@36=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@40=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@44=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@48=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@60=_gfx7_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQuery@104=_gfx7_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndQuery=gfx7_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@4=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@8=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@12=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@16=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@20=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@24=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@28=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@32=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@36=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@40=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@44=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@48=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@60=_gfx75_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQuery@104=_gfx75_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndQuery=gfx75_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@4=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@8=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@12=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@16=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@20=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@24=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@28=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@32=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@36=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@40=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@44=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@48=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@60=_gfx8_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQuery@104=_gfx8_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndQuery=gfx8_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@4=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@8=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@12=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@16=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@20=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@24=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@28=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@32=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@36=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@40=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@44=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@48=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@60=_gfx9_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQuery@104=_gfx9_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndQuery=gfx9_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@4=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@8=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@12=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@16=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@20=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@24=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@28=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@32=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@36=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@40=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@44=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@48=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@60=_gfx11_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQuery@104=_gfx11_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndQuery=gfx11_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@4=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@8=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@12=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@16=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@20=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@24=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@28=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@32=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@36=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@40=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@44=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@48=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@60=_gfx12_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQuery@104=_gfx12_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndQuery=gfx12_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@4=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@8=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@12=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@16=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@20=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@24=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@28=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@32=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@36=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@40=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@44=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@48=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@60=_gfx125_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQuery@104=_gfx125_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndQuery=gfx125_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@4=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@8=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@12=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@16=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@20=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@24=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@28=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@32=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@36=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@40=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@44=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@48=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@60=_anv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginConditionalRenderingEXT@104=_anv_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginConditionalRenderingEXT=anv_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@4=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@8=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@12=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@16=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@20=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@24=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@28=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@32=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@36=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@40=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@44=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@48=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@60=_gfx7_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginConditionalRenderingEXT@104=_gfx7_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginConditionalRenderingEXT=gfx7_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@4=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@8=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@12=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@16=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@20=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@24=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@28=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@32=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@36=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@40=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@44=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@48=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@60=_gfx75_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginConditionalRenderingEXT@104=_gfx75_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginConditionalRenderingEXT=gfx75_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@4=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@8=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@12=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@16=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@20=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@24=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@28=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@32=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@36=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@40=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@44=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@48=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@60=_gfx8_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginConditionalRenderingEXT@104=_gfx8_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginConditionalRenderingEXT=gfx8_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@4=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@8=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@12=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@16=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@20=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@24=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@28=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@32=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@36=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@40=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@44=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@48=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@60=_gfx9_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginConditionalRenderingEXT@104=_gfx9_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginConditionalRenderingEXT=gfx9_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@4=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@8=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@12=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@16=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@20=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@24=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@28=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@32=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@36=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@40=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@44=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@48=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@60=_gfx11_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginConditionalRenderingEXT@104=_gfx11_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginConditionalRenderingEXT=gfx11_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@4=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@8=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@12=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@16=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@20=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@24=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@28=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@32=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@36=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@40=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@44=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@48=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@60=_gfx12_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginConditionalRenderingEXT@104=_gfx12_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginConditionalRenderingEXT=gfx12_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@4=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@8=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@12=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@16=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@20=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@24=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@28=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@32=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@36=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@40=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@44=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@48=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@60=_gfx125_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginConditionalRenderingEXT@104=_gfx125_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginConditionalRenderingEXT=gfx125_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@4=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@8=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@12=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@16=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@20=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@24=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@28=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@32=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@36=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@40=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@44=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@48=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@60=_anv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndConditionalRenderingEXT@104=_anv_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndConditionalRenderingEXT=anv_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@4=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@8=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@12=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@16=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@20=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@24=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@28=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@32=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@36=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@40=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@44=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@48=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@60=_gfx7_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndConditionalRenderingEXT@104=_gfx7_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndConditionalRenderingEXT=gfx7_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@4=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@8=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@12=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@16=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@20=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@24=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@28=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@32=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@36=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@40=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@44=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@48=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@60=_gfx75_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndConditionalRenderingEXT@104=_gfx75_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndConditionalRenderingEXT=gfx75_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@4=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@8=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@12=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@16=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@20=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@24=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@28=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@32=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@36=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@40=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@44=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@48=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@60=_gfx8_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndConditionalRenderingEXT@104=_gfx8_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndConditionalRenderingEXT=gfx8_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@4=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@8=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@12=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@16=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@20=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@24=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@28=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@32=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@36=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@40=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@44=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@48=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@60=_gfx9_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndConditionalRenderingEXT@104=_gfx9_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndConditionalRenderingEXT=gfx9_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@4=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@8=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@12=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@16=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@20=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@24=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@28=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@32=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@36=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@40=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@44=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@48=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@60=_gfx11_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndConditionalRenderingEXT@104=_gfx11_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndConditionalRenderingEXT=gfx11_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@4=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@8=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@12=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@16=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@20=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@24=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@28=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@32=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@36=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@40=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@44=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@48=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@60=_gfx12_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndConditionalRenderingEXT@104=_gfx12_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndConditionalRenderingEXT=gfx12_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@4=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@8=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@12=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@16=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@20=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@24=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@28=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@32=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@36=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@40=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@44=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@48=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@60=_gfx125_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndConditionalRenderingEXT@104=_gfx125_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndConditionalRenderingEXT=gfx125_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@4=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@8=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@12=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@16=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@20=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@24=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@28=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@32=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@36=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@40=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@44=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@48=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@60=_anv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetQueryPool@104=_anv_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdResetQueryPool=anv_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@4=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@8=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@12=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@16=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@20=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@24=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@28=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@32=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@36=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@40=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@44=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@48=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@60=_gfx7_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetQueryPool@104=_gfx7_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdResetQueryPool=gfx7_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@4=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@8=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@12=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@16=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@20=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@24=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@28=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@32=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@36=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@40=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@44=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@48=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@60=_gfx75_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetQueryPool@104=_gfx75_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdResetQueryPool=gfx75_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@4=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@8=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@12=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@16=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@20=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@24=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@28=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@32=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@36=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@40=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@44=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@48=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@60=_gfx8_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetQueryPool@104=_gfx8_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdResetQueryPool=gfx8_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@4=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@8=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@12=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@16=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@20=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@24=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@28=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@32=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@36=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@40=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@44=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@48=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@60=_gfx9_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetQueryPool@104=_gfx9_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdResetQueryPool=gfx9_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@4=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@8=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@12=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@16=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@20=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@24=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@28=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@32=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@36=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@40=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@44=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@48=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@60=_gfx11_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetQueryPool@104=_gfx11_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdResetQueryPool=gfx11_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@4=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@8=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@12=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@16=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@20=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@24=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@28=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@32=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@36=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@40=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@44=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@48=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@60=_gfx12_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetQueryPool@104=_gfx12_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdResetQueryPool=gfx12_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@4=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@8=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@12=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@16=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@20=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@24=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@28=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@32=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@36=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@40=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@44=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@48=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@60=_gfx125_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetQueryPool@104=_gfx125_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdResetQueryPool=gfx125_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@4=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@8=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@12=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@16=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@20=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@24=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@28=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@32=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@36=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@40=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@44=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@48=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@60=_anv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp@104=_anv_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWriteTimestamp=anv_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@4=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@8=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@12=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@16=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@20=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@24=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@28=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@32=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@36=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@40=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@44=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@48=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@60=_gfx7_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp@104=_gfx7_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWriteTimestamp=gfx7_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@4=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@8=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@12=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@16=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@20=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@24=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@28=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@32=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@36=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@40=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@44=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@48=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@60=_gfx75_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp@104=_gfx75_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWriteTimestamp=gfx75_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@4=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@8=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@12=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@16=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@20=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@24=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@28=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@32=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@36=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@40=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@44=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@48=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@60=_gfx8_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp@104=_gfx8_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWriteTimestamp=gfx8_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@4=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@8=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@12=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@16=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@20=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@24=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@28=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@32=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@36=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@40=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@44=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@48=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@60=_gfx9_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp@104=_gfx9_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWriteTimestamp=gfx9_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@4=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@8=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@12=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@16=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@20=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@24=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@28=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@32=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@36=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@40=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@44=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@48=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@60=_gfx11_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp@104=_gfx11_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWriteTimestamp=gfx11_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@4=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@8=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@12=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@16=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@20=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@24=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@28=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@32=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@36=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@40=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@44=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@48=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@60=_gfx12_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp@104=_gfx12_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWriteTimestamp=gfx12_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@4=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@8=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@12=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@16=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@20=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@24=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@28=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@32=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@36=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@40=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@44=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@48=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@60=_gfx125_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp@104=_gfx125_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWriteTimestamp=gfx125_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@4=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@8=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@12=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@16=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@20=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@24=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@28=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@32=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@36=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@40=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@44=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@48=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@60=_anv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyQueryPoolResults@104=_anv_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyQueryPoolResults=anv_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@4=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@8=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@12=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@16=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@20=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@24=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@28=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@32=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@36=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@40=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@44=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@48=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@60=_gfx7_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyQueryPoolResults@104=_gfx7_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyQueryPoolResults=gfx7_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@4=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@8=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@12=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@16=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@20=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@24=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@28=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@32=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@36=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@40=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@44=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@48=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@60=_gfx75_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyQueryPoolResults@104=_gfx75_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyQueryPoolResults=gfx75_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@4=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@8=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@12=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@16=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@20=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@24=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@28=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@32=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@36=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@40=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@44=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@48=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@60=_gfx8_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyQueryPoolResults@104=_gfx8_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyQueryPoolResults=gfx8_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@4=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@8=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@12=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@16=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@20=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@24=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@28=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@32=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@36=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@40=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@44=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@48=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@60=_gfx9_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyQueryPoolResults@104=_gfx9_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyQueryPoolResults=gfx9_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@4=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@8=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@12=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@16=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@20=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@24=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@28=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@32=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@36=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@40=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@44=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@48=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@60=_gfx11_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyQueryPoolResults@104=_gfx11_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyQueryPoolResults=gfx11_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@4=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@8=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@12=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@16=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@20=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@24=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@28=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@32=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@36=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@40=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@44=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@48=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@60=_gfx12_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyQueryPoolResults@104=_gfx12_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyQueryPoolResults=gfx12_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@4=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@8=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@12=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@16=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@20=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@24=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@28=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@32=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@36=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@40=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@44=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@48=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@60=_gfx125_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyQueryPoolResults@104=_gfx125_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyQueryPoolResults=gfx125_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@4=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@8=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@12=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@16=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@20=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@24=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@28=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@32=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@36=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@40=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@44=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@48=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@60=_anv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushConstants@104=_anv_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdPushConstants=anv_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@4=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@8=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@12=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@16=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@20=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@24=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@28=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@32=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@36=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@40=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@44=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@48=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@60=_gfx7_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushConstants@104=_gfx7_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdPushConstants=gfx7_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@4=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@8=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@12=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@16=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@20=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@24=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@28=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@32=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@36=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@40=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@44=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@48=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@60=_gfx75_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushConstants@104=_gfx75_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdPushConstants=gfx75_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@4=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@8=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@12=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@16=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@20=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@24=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@28=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@32=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@36=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@40=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@44=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@48=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@60=_gfx8_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushConstants@104=_gfx8_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdPushConstants=gfx8_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@4=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@8=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@12=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@16=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@20=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@24=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@28=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@32=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@36=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@40=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@44=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@48=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@60=_gfx9_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushConstants@104=_gfx9_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdPushConstants=gfx9_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@4=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@8=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@12=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@16=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@20=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@24=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@28=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@32=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@36=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@40=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@44=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@48=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@60=_gfx11_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushConstants@104=_gfx11_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdPushConstants=gfx11_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@4=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@8=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@12=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@16=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@20=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@24=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@28=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@32=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@36=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@40=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@44=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@48=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@60=_gfx12_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushConstants@104=_gfx12_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdPushConstants=gfx12_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@4=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@8=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@12=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@16=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@20=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@24=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@28=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@32=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@36=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@40=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@44=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@48=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@60=_gfx125_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushConstants@104=_gfx125_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdPushConstants=gfx125_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@4=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@8=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@12=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@16=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@20=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@24=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@28=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@32=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@36=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@40=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@44=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@48=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@60=_anv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass@104=_anv_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginRenderPass=anv_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@4=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@8=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@12=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@16=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@20=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@24=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@28=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@32=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@36=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@40=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@44=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@48=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@60=_gfx7_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass@104=_gfx7_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginRenderPass=gfx7_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@4=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@8=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@12=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@16=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@20=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@24=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@28=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@32=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@36=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@40=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@44=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@48=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@60=_gfx75_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass@104=_gfx75_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginRenderPass=gfx75_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@4=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@8=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@12=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@16=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@20=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@24=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@28=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@32=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@36=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@40=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@44=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@48=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@60=_gfx8_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass@104=_gfx8_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginRenderPass=gfx8_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@4=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@8=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@12=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@16=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@20=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@24=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@28=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@32=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@36=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@40=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@44=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@48=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@60=_gfx9_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass@104=_gfx9_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginRenderPass=gfx9_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@4=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@8=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@12=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@16=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@20=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@24=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@28=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@32=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@36=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@40=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@44=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@48=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@60=_gfx11_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass@104=_gfx11_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginRenderPass=gfx11_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@4=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@8=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@12=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@16=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@20=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@24=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@28=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@32=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@36=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@40=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@44=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@48=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@60=_gfx12_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass@104=_gfx12_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginRenderPass=gfx12_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@4=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@8=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@12=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@16=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@20=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@24=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@28=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@32=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@36=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@40=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@44=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@48=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@60=_gfx125_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass@104=_gfx125_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginRenderPass=gfx125_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@4=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@8=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@12=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@16=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@20=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@24=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@28=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@32=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@36=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@40=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@44=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@48=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@60=_anv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass@104=_anv_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdNextSubpass=anv_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@4=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@8=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@12=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@16=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@20=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@24=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@28=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@32=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@36=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@40=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@44=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@48=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@60=_gfx7_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass@104=_gfx7_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdNextSubpass=gfx7_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@4=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@8=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@12=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@16=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@20=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@24=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@28=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@32=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@36=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@40=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@44=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@48=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@60=_gfx75_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass@104=_gfx75_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdNextSubpass=gfx75_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@4=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@8=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@12=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@16=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@20=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@24=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@28=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@32=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@36=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@40=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@44=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@48=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@60=_gfx8_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass@104=_gfx8_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdNextSubpass=gfx8_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@4=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@8=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@12=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@16=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@20=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@24=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@28=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@32=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@36=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@40=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@44=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@48=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@60=_gfx9_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass@104=_gfx9_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdNextSubpass=gfx9_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@4=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@8=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@12=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@16=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@20=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@24=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@28=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@32=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@36=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@40=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@44=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@48=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@60=_gfx11_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass@104=_gfx11_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdNextSubpass=gfx11_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@4=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@8=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@12=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@16=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@20=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@24=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@28=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@32=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@36=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@40=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@44=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@48=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@60=_gfx12_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass@104=_gfx12_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdNextSubpass=gfx12_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@4=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@8=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@12=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@16=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@20=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@24=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@28=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@32=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@36=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@40=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@44=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@48=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@60=_gfx125_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass@104=_gfx125_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdNextSubpass=gfx125_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@4=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@8=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@12=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@16=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@20=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@24=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@28=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@32=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@36=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@40=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@44=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@48=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@60=_anv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass@104=_anv_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndRenderPass=anv_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@4=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@8=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@12=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@16=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@20=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@24=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@28=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@32=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@36=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@40=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@44=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@48=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@60=_gfx7_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass@104=_gfx7_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndRenderPass=gfx7_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@4=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@8=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@12=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@16=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@20=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@24=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@28=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@32=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@36=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@40=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@44=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@48=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@60=_gfx75_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass@104=_gfx75_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndRenderPass=gfx75_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@4=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@8=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@12=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@16=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@20=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@24=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@28=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@32=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@36=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@40=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@44=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@48=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@60=_gfx8_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass@104=_gfx8_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndRenderPass=gfx8_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@4=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@8=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@12=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@16=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@20=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@24=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@28=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@32=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@36=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@40=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@44=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@48=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@60=_gfx9_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass@104=_gfx9_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndRenderPass=gfx9_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@4=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@8=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@12=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@16=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@20=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@24=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@28=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@32=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@36=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@40=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@44=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@48=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@60=_gfx11_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass@104=_gfx11_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndRenderPass=gfx11_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@4=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@8=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@12=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@16=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@20=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@24=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@28=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@32=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@36=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@40=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@44=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@48=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@60=_gfx12_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass@104=_gfx12_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndRenderPass=gfx12_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@4=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@8=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@12=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@16=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@20=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@24=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@28=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@32=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@36=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@40=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@44=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@48=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@60=_gfx125_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass@104=_gfx125_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndRenderPass=gfx125_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@4=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@8=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@12=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@16=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@20=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@24=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@28=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@32=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@36=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@40=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@44=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@48=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@60=_anv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteCommands@104=_anv_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdExecuteCommands=anv_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@4=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@8=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@12=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@16=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@20=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@24=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@28=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@32=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@36=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@40=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@44=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@48=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@60=_gfx7_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteCommands@104=_gfx7_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdExecuteCommands=gfx7_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@4=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@8=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@12=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@16=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@20=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@24=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@28=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@32=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@36=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@40=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@44=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@48=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@60=_gfx75_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteCommands@104=_gfx75_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdExecuteCommands=gfx75_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@4=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@8=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@12=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@16=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@20=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@24=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@28=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@32=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@36=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@40=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@44=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@48=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@60=_gfx8_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteCommands@104=_gfx8_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdExecuteCommands=gfx8_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@4=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@8=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@12=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@16=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@20=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@24=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@28=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@32=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@36=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@40=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@44=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@48=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@60=_gfx9_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteCommands@104=_gfx9_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdExecuteCommands=gfx9_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@4=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@8=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@12=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@16=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@20=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@24=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@28=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@32=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@36=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@40=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@44=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@48=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@60=_gfx11_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteCommands@104=_gfx11_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdExecuteCommands=gfx11_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@4=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@8=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@12=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@16=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@20=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@24=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@28=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@32=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@36=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@40=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@44=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@48=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@60=_gfx12_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteCommands@104=_gfx12_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdExecuteCommands=gfx12_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@4=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@8=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@12=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@16=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@20=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@24=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@28=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@32=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@36=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@40=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@44=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@48=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@60=_gfx125_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteCommands@104=_gfx125_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdExecuteCommands=gfx125_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@4=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@8=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@12=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@16=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@20=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@24=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@28=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@32=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@36=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@40=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@44=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@48=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@60=_anv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSharedSwapchainsKHR@104=_anv_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateSharedSwapchainsKHR=anv_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@4=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@8=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@12=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@16=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@20=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@24=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@28=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@32=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@36=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@40=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@44=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@48=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@60=_gfx7_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSharedSwapchainsKHR@104=_gfx7_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateSharedSwapchainsKHR=gfx7_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@4=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@8=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@12=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@16=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@20=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@24=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@28=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@32=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@36=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@40=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@44=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@48=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@60=_gfx75_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSharedSwapchainsKHR@104=_gfx75_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateSharedSwapchainsKHR=gfx75_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@4=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@8=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@12=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@16=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@20=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@24=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@28=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@32=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@36=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@40=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@44=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@48=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@60=_gfx8_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSharedSwapchainsKHR@104=_gfx8_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateSharedSwapchainsKHR=gfx8_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@4=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@8=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@12=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@16=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@20=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@24=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@28=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@32=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@36=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@40=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@44=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@48=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@60=_gfx9_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSharedSwapchainsKHR@104=_gfx9_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateSharedSwapchainsKHR=gfx9_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@4=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@8=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@12=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@16=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@20=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@24=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@28=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@32=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@36=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@40=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@44=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@48=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@60=_gfx11_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSharedSwapchainsKHR@104=_gfx11_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateSharedSwapchainsKHR=gfx11_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@4=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@8=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@12=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@16=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@20=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@24=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@28=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@32=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@36=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@40=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@44=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@48=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@60=_gfx12_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSharedSwapchainsKHR@104=_gfx12_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateSharedSwapchainsKHR=gfx12_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@4=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@8=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@12=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@16=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@20=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@24=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@28=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@32=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@36=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@40=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@44=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@48=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@60=_gfx125_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSharedSwapchainsKHR@104=_gfx125_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateSharedSwapchainsKHR=gfx125_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@4=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@8=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@12=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@16=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@20=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@24=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@28=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@32=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@36=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@40=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@44=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@48=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@60=_anv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSwapchainKHR@104=_anv_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateSwapchainKHR=anv_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@4=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@8=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@12=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@16=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@20=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@24=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@28=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@32=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@36=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@40=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@44=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@48=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@60=_gfx7_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSwapchainKHR@104=_gfx7_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateSwapchainKHR=gfx7_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@4=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@8=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@12=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@16=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@20=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@24=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@28=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@32=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@36=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@40=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@44=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@48=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@60=_gfx75_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSwapchainKHR@104=_gfx75_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateSwapchainKHR=gfx75_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@4=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@8=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@12=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@16=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@20=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@24=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@28=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@32=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@36=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@40=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@44=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@48=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@60=_gfx8_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSwapchainKHR@104=_gfx8_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateSwapchainKHR=gfx8_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@4=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@8=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@12=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@16=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@20=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@24=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@28=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@32=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@36=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@40=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@44=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@48=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@60=_gfx9_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSwapchainKHR@104=_gfx9_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateSwapchainKHR=gfx9_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@4=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@8=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@12=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@16=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@20=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@24=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@28=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@32=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@36=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@40=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@44=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@48=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@60=_gfx11_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSwapchainKHR@104=_gfx11_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateSwapchainKHR=gfx11_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@4=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@8=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@12=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@16=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@20=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@24=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@28=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@32=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@36=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@40=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@44=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@48=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@60=_gfx12_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSwapchainKHR@104=_gfx12_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateSwapchainKHR=gfx12_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@4=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@8=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@12=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@16=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@20=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@24=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@28=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@32=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@36=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@40=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@44=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@48=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@60=_gfx125_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSwapchainKHR@104=_gfx125_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateSwapchainKHR=gfx125_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@4=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@8=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@12=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@16=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@20=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@24=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@28=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@32=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@36=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@40=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@44=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@48=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@60=_anv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySwapchainKHR@104=_anv_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroySwapchainKHR=anv_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@4=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@8=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@12=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@16=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@20=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@24=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@28=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@32=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@36=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@40=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@44=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@48=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@60=_gfx7_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySwapchainKHR@104=_gfx7_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroySwapchainKHR=gfx7_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@4=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@8=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@12=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@16=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@20=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@24=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@28=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@32=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@36=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@40=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@44=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@48=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@60=_gfx75_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySwapchainKHR@104=_gfx75_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroySwapchainKHR=gfx75_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@4=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@8=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@12=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@16=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@20=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@24=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@28=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@32=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@36=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@40=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@44=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@48=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@60=_gfx8_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySwapchainKHR@104=_gfx8_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroySwapchainKHR=gfx8_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@4=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@8=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@12=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@16=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@20=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@24=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@28=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@32=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@36=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@40=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@44=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@48=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@60=_gfx9_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySwapchainKHR@104=_gfx9_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroySwapchainKHR=gfx9_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@4=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@8=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@12=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@16=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@20=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@24=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@28=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@32=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@36=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@40=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@44=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@48=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@60=_gfx11_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySwapchainKHR@104=_gfx11_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroySwapchainKHR=gfx11_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@4=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@8=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@12=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@16=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@20=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@24=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@28=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@32=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@36=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@40=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@44=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@48=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@60=_gfx12_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySwapchainKHR@104=_gfx12_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroySwapchainKHR=gfx12_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@4=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@8=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@12=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@16=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@20=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@24=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@28=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@32=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@36=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@40=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@44=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@48=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@60=_gfx125_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySwapchainKHR@104=_gfx125_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroySwapchainKHR=gfx125_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@4=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@8=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@12=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@16=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@20=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@24=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@28=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@32=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@36=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@40=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@44=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@48=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@60=_anv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainImagesKHR@104=_anv_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSwapchainImagesKHR=anv_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@4=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@8=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@12=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@16=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@20=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@24=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@28=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@32=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@36=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@40=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@44=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@48=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@60=_gfx7_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainImagesKHR@104=_gfx7_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSwapchainImagesKHR=gfx7_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@4=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@8=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@12=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@16=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@20=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@24=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@28=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@32=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@36=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@40=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@44=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@48=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@60=_gfx75_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainImagesKHR@104=_gfx75_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSwapchainImagesKHR=gfx75_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@4=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@8=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@12=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@16=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@20=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@24=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@28=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@32=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@36=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@40=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@44=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@48=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@60=_gfx8_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainImagesKHR@104=_gfx8_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSwapchainImagesKHR=gfx8_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@4=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@8=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@12=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@16=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@20=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@24=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@28=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@32=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@36=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@40=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@44=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@48=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@60=_gfx9_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainImagesKHR@104=_gfx9_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSwapchainImagesKHR=gfx9_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@4=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@8=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@12=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@16=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@20=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@24=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@28=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@32=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@36=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@40=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@44=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@48=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@60=_gfx11_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainImagesKHR@104=_gfx11_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSwapchainImagesKHR=gfx11_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@4=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@8=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@12=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@16=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@20=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@24=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@28=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@32=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@36=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@40=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@44=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@48=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@60=_gfx12_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainImagesKHR@104=_gfx12_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSwapchainImagesKHR=gfx12_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@4=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@8=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@12=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@16=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@20=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@24=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@28=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@32=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@36=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@40=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@44=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@48=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@60=_gfx125_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainImagesKHR@104=_gfx125_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSwapchainImagesKHR=gfx125_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@4=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@8=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@12=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@16=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@20=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@24=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@28=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@32=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@36=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@40=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@44=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@48=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@60=_anv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImageKHR@104=_anv_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireNextImageKHR=anv_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@4=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@8=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@12=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@16=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@20=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@24=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@28=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@32=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@36=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@40=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@44=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@48=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@60=_gfx7_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImageKHR@104=_gfx7_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AcquireNextImageKHR=gfx7_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@4=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@8=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@12=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@16=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@20=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@24=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@28=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@32=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@36=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@40=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@44=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@48=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@60=_gfx75_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImageKHR@104=_gfx75_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AcquireNextImageKHR=gfx75_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@4=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@8=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@12=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@16=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@20=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@24=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@28=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@32=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@36=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@40=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@44=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@48=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@60=_gfx8_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImageKHR@104=_gfx8_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AcquireNextImageKHR=gfx8_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@4=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@8=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@12=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@16=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@20=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@24=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@28=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@32=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@36=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@40=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@44=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@48=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@60=_gfx9_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImageKHR@104=_gfx9_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AcquireNextImageKHR=gfx9_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@4=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@8=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@12=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@16=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@20=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@24=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@28=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@32=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@36=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@40=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@44=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@48=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@60=_gfx11_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImageKHR@104=_gfx11_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AcquireNextImageKHR=gfx11_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@4=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@8=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@12=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@16=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@20=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@24=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@28=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@32=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@36=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@40=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@44=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@48=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@60=_gfx12_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImageKHR@104=_gfx12_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AcquireNextImageKHR=gfx12_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@4=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@8=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@12=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@16=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@20=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@24=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@28=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@32=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@36=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@40=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@44=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@48=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@60=_gfx125_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImageKHR@104=_gfx125_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AcquireNextImageKHR=gfx125_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@4=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@8=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@12=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@16=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@20=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@24=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@28=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@32=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@36=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@40=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@44=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@48=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@60=_anv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueuePresentKHR@104=_anv_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueuePresentKHR=anv_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@4=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@8=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@12=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@16=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@20=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@24=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@28=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@32=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@36=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@40=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@44=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@48=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@60=_gfx7_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueuePresentKHR@104=_gfx7_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueuePresentKHR=gfx7_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@4=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@8=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@12=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@16=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@20=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@24=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@28=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@32=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@36=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@40=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@44=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@48=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@60=_gfx75_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueuePresentKHR@104=_gfx75_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueuePresentKHR=gfx75_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@4=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@8=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@12=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@16=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@20=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@24=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@28=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@32=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@36=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@40=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@44=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@48=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@60=_gfx8_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueuePresentKHR@104=_gfx8_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueuePresentKHR=gfx8_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@4=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@8=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@12=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@16=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@20=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@24=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@28=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@32=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@36=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@40=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@44=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@48=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@60=_gfx9_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueuePresentKHR@104=_gfx9_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueuePresentKHR=gfx9_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@4=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@8=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@12=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@16=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@20=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@24=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@28=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@32=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@36=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@40=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@44=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@48=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@60=_gfx11_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueuePresentKHR@104=_gfx11_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueuePresentKHR=gfx11_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@4=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@8=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@12=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@16=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@20=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@24=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@28=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@32=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@36=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@40=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@44=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@48=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@60=_gfx12_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueuePresentKHR@104=_gfx12_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueuePresentKHR=gfx12_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@4=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@8=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@12=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@16=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@20=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@24=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@28=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@32=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@36=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@40=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@44=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@48=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@60=_gfx125_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueuePresentKHR@104=_gfx125_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueuePresentKHR=gfx125_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@4=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@8=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@12=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@16=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@20=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@24=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@28=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@32=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@36=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@40=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@44=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@48=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@60=_anv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectNameEXT@104=_anv_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DebugMarkerSetObjectNameEXT=anv_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@4=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@8=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@12=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@16=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@20=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@24=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@28=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@32=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@36=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@40=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@44=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@48=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@60=_gfx7_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectNameEXT@104=_gfx7_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DebugMarkerSetObjectNameEXT=gfx7_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@4=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@8=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@12=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@16=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@20=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@24=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@28=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@32=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@36=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@40=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@44=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@48=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@60=_gfx75_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectNameEXT@104=_gfx75_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DebugMarkerSetObjectNameEXT=gfx75_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@4=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@8=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@12=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@16=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@20=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@24=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@28=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@32=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@36=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@40=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@44=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@48=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@60=_gfx8_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectNameEXT@104=_gfx8_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DebugMarkerSetObjectNameEXT=gfx8_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@4=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@8=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@12=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@16=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@20=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@24=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@28=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@32=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@36=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@40=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@44=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@48=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@60=_gfx9_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectNameEXT@104=_gfx9_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DebugMarkerSetObjectNameEXT=gfx9_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@4=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@8=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@12=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@16=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@20=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@24=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@28=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@32=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@36=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@40=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@44=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@48=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@60=_gfx11_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectNameEXT@104=_gfx11_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DebugMarkerSetObjectNameEXT=gfx11_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@4=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@8=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@12=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@16=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@20=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@24=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@28=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@32=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@36=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@40=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@44=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@48=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@60=_gfx12_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectNameEXT@104=_gfx12_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DebugMarkerSetObjectNameEXT=gfx12_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@4=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@8=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@12=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@16=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@20=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@24=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@28=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@32=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@36=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@40=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@44=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@48=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@60=_gfx125_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectNameEXT@104=_gfx125_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DebugMarkerSetObjectNameEXT=gfx125_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@4=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@8=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@12=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@16=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@20=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@24=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@28=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@32=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@36=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@40=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@44=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@48=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@60=_anv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DebugMarkerSetObjectTagEXT@104=_anv_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DebugMarkerSetObjectTagEXT=anv_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@4=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@8=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@12=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@16=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@20=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@24=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@28=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@32=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@36=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@40=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@44=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@48=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@60=_gfx7_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DebugMarkerSetObjectTagEXT@104=_gfx7_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DebugMarkerSetObjectTagEXT=gfx7_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@4=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@8=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@12=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@16=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@20=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@24=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@28=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@32=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@36=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@40=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@44=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@48=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@60=_gfx75_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DebugMarkerSetObjectTagEXT@104=_gfx75_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DebugMarkerSetObjectTagEXT=gfx75_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@4=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@8=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@12=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@16=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@20=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@24=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@28=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@32=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@36=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@40=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@44=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@48=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@60=_gfx8_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DebugMarkerSetObjectTagEXT@104=_gfx8_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DebugMarkerSetObjectTagEXT=gfx8_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@4=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@8=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@12=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@16=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@20=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@24=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@28=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@32=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@36=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@40=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@44=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@48=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@60=_gfx9_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DebugMarkerSetObjectTagEXT@104=_gfx9_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DebugMarkerSetObjectTagEXT=gfx9_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@4=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@8=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@12=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@16=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@20=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@24=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@28=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@32=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@36=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@40=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@44=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@48=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@60=_gfx11_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DebugMarkerSetObjectTagEXT@104=_gfx11_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DebugMarkerSetObjectTagEXT=gfx11_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@4=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@8=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@12=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@16=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@20=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@24=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@28=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@32=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@36=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@40=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@44=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@48=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@60=_gfx12_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DebugMarkerSetObjectTagEXT@104=_gfx12_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DebugMarkerSetObjectTagEXT=gfx12_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@4=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@8=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@12=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@16=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@20=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@24=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@28=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@32=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@36=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@40=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@44=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@48=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@60=_gfx125_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DebugMarkerSetObjectTagEXT@104=_gfx125_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DebugMarkerSetObjectTagEXT=gfx125_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@4=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@8=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@12=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@16=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@20=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@24=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@28=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@32=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@36=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@40=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@44=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@48=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@60=_anv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerBeginEXT@104=_anv_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDebugMarkerBeginEXT=anv_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@4=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@8=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@12=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@16=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@20=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@24=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@28=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@32=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@36=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@40=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@44=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@48=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@60=_gfx7_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerBeginEXT@104=_gfx7_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDebugMarkerBeginEXT=gfx7_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@4=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@8=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@12=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@16=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@20=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@24=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@28=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@32=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@36=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@40=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@44=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@48=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@60=_gfx75_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerBeginEXT@104=_gfx75_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDebugMarkerBeginEXT=gfx75_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@4=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@8=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@12=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@16=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@20=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@24=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@28=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@32=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@36=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@40=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@44=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@48=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@60=_gfx8_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerBeginEXT@104=_gfx8_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDebugMarkerBeginEXT=gfx8_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@4=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@8=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@12=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@16=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@20=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@24=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@28=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@32=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@36=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@40=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@44=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@48=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@60=_gfx9_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerBeginEXT@104=_gfx9_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDebugMarkerBeginEXT=gfx9_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@4=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@8=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@12=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@16=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@20=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@24=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@28=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@32=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@36=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@40=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@44=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@48=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@60=_gfx11_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerBeginEXT@104=_gfx11_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDebugMarkerBeginEXT=gfx11_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@4=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@8=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@12=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@16=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@20=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@24=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@28=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@32=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@36=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@40=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@44=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@48=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@60=_gfx12_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerBeginEXT@104=_gfx12_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDebugMarkerBeginEXT=gfx12_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@4=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@8=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@12=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@16=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@20=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@24=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@28=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@32=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@36=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@40=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@44=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@48=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@60=_gfx125_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerBeginEXT@104=_gfx125_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDebugMarkerBeginEXT=gfx125_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@4=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@8=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@12=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@16=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@20=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@24=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@28=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@32=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@36=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@40=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@44=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@48=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@60=_anv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerEndEXT@104=_anv_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDebugMarkerEndEXT=anv_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@4=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@8=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@12=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@16=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@20=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@24=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@28=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@32=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@36=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@40=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@44=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@48=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@60=_gfx7_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerEndEXT@104=_gfx7_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDebugMarkerEndEXT=gfx7_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@4=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@8=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@12=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@16=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@20=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@24=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@28=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@32=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@36=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@40=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@44=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@48=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@60=_gfx75_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerEndEXT@104=_gfx75_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDebugMarkerEndEXT=gfx75_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@4=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@8=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@12=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@16=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@20=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@24=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@28=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@32=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@36=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@40=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@44=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@48=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@60=_gfx8_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerEndEXT@104=_gfx8_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDebugMarkerEndEXT=gfx8_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@4=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@8=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@12=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@16=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@20=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@24=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@28=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@32=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@36=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@40=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@44=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@48=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@60=_gfx9_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerEndEXT@104=_gfx9_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDebugMarkerEndEXT=gfx9_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@4=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@8=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@12=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@16=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@20=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@24=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@28=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@32=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@36=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@40=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@44=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@48=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@60=_gfx11_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerEndEXT@104=_gfx11_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDebugMarkerEndEXT=gfx11_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@4=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@8=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@12=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@16=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@20=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@24=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@28=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@32=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@36=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@40=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@44=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@48=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@60=_gfx12_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerEndEXT@104=_gfx12_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDebugMarkerEndEXT=gfx12_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@4=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@8=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@12=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@16=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@20=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@24=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@28=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@32=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@36=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@40=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@44=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@48=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@60=_gfx125_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerEndEXT@104=_gfx125_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDebugMarkerEndEXT=gfx125_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@4=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@8=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@12=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@16=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@20=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@24=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@28=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@32=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@36=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@40=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@44=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@48=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@60=_anv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDebugMarkerInsertEXT@104=_anv_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDebugMarkerInsertEXT=anv_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@4=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@8=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@12=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@16=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@20=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@24=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@28=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@32=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@36=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@40=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@44=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@48=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@60=_gfx7_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDebugMarkerInsertEXT@104=_gfx7_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDebugMarkerInsertEXT=gfx7_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@4=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@8=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@12=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@16=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@20=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@24=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@28=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@32=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@36=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@40=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@44=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@48=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@60=_gfx75_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDebugMarkerInsertEXT@104=_gfx75_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDebugMarkerInsertEXT=gfx75_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@4=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@8=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@12=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@16=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@20=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@24=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@28=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@32=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@36=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@40=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@44=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@48=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@60=_gfx8_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDebugMarkerInsertEXT@104=_gfx8_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDebugMarkerInsertEXT=gfx8_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@4=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@8=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@12=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@16=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@20=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@24=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@28=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@32=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@36=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@40=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@44=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@48=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@60=_gfx9_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDebugMarkerInsertEXT@104=_gfx9_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDebugMarkerInsertEXT=gfx9_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@4=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@8=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@12=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@16=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@20=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@24=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@28=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@32=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@36=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@40=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@44=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@48=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@60=_gfx11_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDebugMarkerInsertEXT@104=_gfx11_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDebugMarkerInsertEXT=gfx11_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@4=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@8=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@12=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@16=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@20=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@24=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@28=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@32=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@36=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@40=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@44=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@48=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@60=_gfx12_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDebugMarkerInsertEXT@104=_gfx12_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDebugMarkerInsertEXT=gfx12_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@4=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@8=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@12=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@16=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@20=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@24=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@28=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@32=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@36=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@40=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@44=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@48=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@60=_gfx125_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDebugMarkerInsertEXT@104=_gfx125_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDebugMarkerInsertEXT=gfx125_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@4=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@8=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@12=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@16=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@20=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@24=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@28=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@32=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@36=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@40=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@44=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@48=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@60=_anv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleNV@104=_anv_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryWin32HandleNV=anv_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@4=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@8=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@12=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@16=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@20=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@24=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@28=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@32=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@36=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@40=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@44=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@48=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@60=_gfx7_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleNV@104=_gfx7_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryWin32HandleNV=gfx7_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@4=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@8=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@12=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@16=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@20=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@24=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@28=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@32=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@36=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@40=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@44=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@48=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@60=_gfx75_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleNV@104=_gfx75_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryWin32HandleNV=gfx75_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@4=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@8=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@12=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@16=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@20=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@24=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@28=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@32=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@36=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@40=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@44=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@48=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@60=_gfx8_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleNV@104=_gfx8_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryWin32HandleNV=gfx8_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@4=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@8=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@12=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@16=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@20=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@24=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@28=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@32=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@36=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@40=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@44=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@48=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@60=_gfx9_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleNV@104=_gfx9_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryWin32HandleNV=gfx9_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@4=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@8=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@12=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@16=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@20=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@24=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@28=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@32=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@36=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@40=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@44=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@48=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@60=_gfx11_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleNV@104=_gfx11_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryWin32HandleNV=gfx11_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@4=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@8=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@12=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@16=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@20=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@24=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@28=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@32=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@36=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@40=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@44=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@48=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@60=_gfx12_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleNV@104=_gfx12_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryWin32HandleNV=gfx12_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@4=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@8=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@12=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@16=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@20=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@24=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@28=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@32=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@36=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@40=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@44=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@48=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@60=_gfx125_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleNV@104=_gfx125_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryWin32HandleNV=gfx125_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    void (*anv_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@4=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@8=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@12=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@16=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@20=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@24=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@28=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@32=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@36=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@40=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@44=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@48=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@60=_anv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdExecuteGeneratedCommandsNV@104=_anv_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdExecuteGeneratedCommandsNV=anv_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@4=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@8=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@12=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@16=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@20=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@24=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@28=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@32=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@36=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@40=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@44=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@48=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@60=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdExecuteGeneratedCommandsNV@104=_gfx7_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdExecuteGeneratedCommandsNV=gfx7_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@4=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@8=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@12=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@16=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@20=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@24=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@28=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@32=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@36=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@40=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@44=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@48=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@60=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdExecuteGeneratedCommandsNV@104=_gfx75_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdExecuteGeneratedCommandsNV=gfx75_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@4=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@8=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@12=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@16=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@20=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@24=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@28=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@32=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@36=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@40=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@44=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@48=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@60=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdExecuteGeneratedCommandsNV@104=_gfx8_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdExecuteGeneratedCommandsNV=gfx8_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@4=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@8=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@12=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@16=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@20=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@24=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@28=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@32=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@36=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@40=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@44=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@48=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@60=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdExecuteGeneratedCommandsNV@104=_gfx9_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdExecuteGeneratedCommandsNV=gfx9_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@4=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@8=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@12=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@16=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@20=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@24=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@28=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@32=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@36=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@40=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@44=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@48=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@60=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdExecuteGeneratedCommandsNV@104=_gfx11_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdExecuteGeneratedCommandsNV=gfx11_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@4=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@8=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@12=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@16=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@20=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@24=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@28=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@32=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@36=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@40=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@44=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@48=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@60=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdExecuteGeneratedCommandsNV@104=_gfx12_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdExecuteGeneratedCommandsNV=gfx12_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@4=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@8=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@12=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@16=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@20=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@24=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@28=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@32=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@36=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@40=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@44=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@48=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@60=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdExecuteGeneratedCommandsNV@104=_gfx125_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdExecuteGeneratedCommandsNV=gfx125_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@4=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@8=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@12=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@16=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@20=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@24=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@28=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@32=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@36=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@40=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@44=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@48=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@60=_anv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPreprocessGeneratedCommandsNV@104=_anv_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdPreprocessGeneratedCommandsNV=anv_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@4=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@8=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@12=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@16=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@20=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@24=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@28=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@32=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@36=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@40=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@44=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@48=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@60=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPreprocessGeneratedCommandsNV@104=_gfx7_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdPreprocessGeneratedCommandsNV=gfx7_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@4=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@8=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@12=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@16=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@20=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@24=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@28=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@32=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@36=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@40=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@44=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@48=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@60=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPreprocessGeneratedCommandsNV@104=_gfx75_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdPreprocessGeneratedCommandsNV=gfx75_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@4=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@8=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@12=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@16=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@20=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@24=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@28=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@32=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@36=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@40=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@44=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@48=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@60=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPreprocessGeneratedCommandsNV@104=_gfx8_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdPreprocessGeneratedCommandsNV=gfx8_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@4=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@8=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@12=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@16=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@20=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@24=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@28=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@32=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@36=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@40=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@44=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@48=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@60=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPreprocessGeneratedCommandsNV@104=_gfx9_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdPreprocessGeneratedCommandsNV=gfx9_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@4=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@8=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@12=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@16=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@20=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@24=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@28=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@32=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@36=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@40=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@44=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@48=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@60=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPreprocessGeneratedCommandsNV@104=_gfx11_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdPreprocessGeneratedCommandsNV=gfx11_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@4=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@8=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@12=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@16=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@20=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@24=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@28=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@32=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@36=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@40=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@44=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@48=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@60=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPreprocessGeneratedCommandsNV@104=_gfx12_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdPreprocessGeneratedCommandsNV=gfx12_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@4=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@8=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@12=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@16=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@20=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@24=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@28=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@32=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@36=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@40=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@44=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@48=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@60=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPreprocessGeneratedCommandsNV@104=_gfx125_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdPreprocessGeneratedCommandsNV=gfx125_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@4=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@8=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@12=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@16=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@20=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@24=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@28=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@32=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@36=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@40=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@44=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@48=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@60=_anv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindPipelineShaderGroupNV@104=_anv_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindPipelineShaderGroupNV=anv_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@4=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@8=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@12=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@16=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@20=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@24=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@28=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@32=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@36=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@40=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@44=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@48=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@60=_gfx7_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindPipelineShaderGroupNV@104=_gfx7_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindPipelineShaderGroupNV=gfx7_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@4=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@8=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@12=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@16=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@20=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@24=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@28=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@32=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@36=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@40=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@44=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@48=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@60=_gfx75_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindPipelineShaderGroupNV@104=_gfx75_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindPipelineShaderGroupNV=gfx75_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@4=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@8=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@12=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@16=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@20=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@24=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@28=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@32=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@36=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@40=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@44=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@48=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@60=_gfx8_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindPipelineShaderGroupNV@104=_gfx8_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindPipelineShaderGroupNV=gfx8_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@4=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@8=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@12=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@16=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@20=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@24=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@28=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@32=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@36=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@40=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@44=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@48=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@60=_gfx9_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindPipelineShaderGroupNV@104=_gfx9_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindPipelineShaderGroupNV=gfx9_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@4=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@8=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@12=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@16=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@20=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@24=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@28=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@32=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@36=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@40=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@44=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@48=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@60=_gfx11_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindPipelineShaderGroupNV@104=_gfx11_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindPipelineShaderGroupNV=gfx11_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@4=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@8=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@12=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@16=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@20=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@24=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@28=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@32=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@36=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@40=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@44=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@48=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@60=_gfx12_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindPipelineShaderGroupNV@104=_gfx12_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindPipelineShaderGroupNV=gfx12_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@4=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@8=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@12=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@16=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@20=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@24=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@28=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@32=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@36=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@40=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@44=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@48=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@60=_gfx125_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindPipelineShaderGroupNV@104=_gfx125_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindPipelineShaderGroupNV=gfx125_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@4=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@8=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@12=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@16=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@20=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@24=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@28=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@32=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@36=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@40=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@44=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@48=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@60=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetGeneratedCommandsMemoryRequirementsNV@104=_anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetGeneratedCommandsMemoryRequirementsNV=anv_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetGeneratedCommandsMemoryRequirementsNV=gfx7_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetGeneratedCommandsMemoryRequirementsNV=gfx75_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetGeneratedCommandsMemoryRequirementsNV=gfx8_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetGeneratedCommandsMemoryRequirementsNV=gfx9_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetGeneratedCommandsMemoryRequirementsNV=gfx11_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetGeneratedCommandsMemoryRequirementsNV=gfx12_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@4=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@8=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@12=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@16=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@20=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@24=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@28=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@32=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@36=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@40=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@44=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@48=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@60=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetGeneratedCommandsMemoryRequirementsNV@104=_gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetGeneratedCommandsMemoryRequirementsNV=gfx125_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@4=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@8=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@12=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@16=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@20=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@24=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@28=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@32=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@36=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@40=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@44=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@48=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@60=_anv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateIndirectCommandsLayoutNV@104=_anv_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateIndirectCommandsLayoutNV=anv_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@4=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@8=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@12=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@16=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@20=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@24=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@28=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@32=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@36=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@40=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@44=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@48=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@60=_gfx7_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateIndirectCommandsLayoutNV@104=_gfx7_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateIndirectCommandsLayoutNV=gfx7_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@4=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@8=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@12=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@16=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@20=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@24=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@28=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@32=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@36=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@40=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@44=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@48=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@60=_gfx75_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateIndirectCommandsLayoutNV@104=_gfx75_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateIndirectCommandsLayoutNV=gfx75_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@4=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@8=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@12=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@16=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@20=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@24=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@28=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@32=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@36=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@40=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@44=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@48=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@60=_gfx8_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateIndirectCommandsLayoutNV@104=_gfx8_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateIndirectCommandsLayoutNV=gfx8_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@4=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@8=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@12=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@16=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@20=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@24=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@28=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@32=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@36=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@40=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@44=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@48=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@60=_gfx9_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateIndirectCommandsLayoutNV@104=_gfx9_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateIndirectCommandsLayoutNV=gfx9_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@4=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@8=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@12=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@16=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@20=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@24=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@28=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@32=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@36=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@40=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@44=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@48=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@60=_gfx11_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateIndirectCommandsLayoutNV@104=_gfx11_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateIndirectCommandsLayoutNV=gfx11_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@4=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@8=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@12=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@16=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@20=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@24=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@28=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@32=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@36=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@40=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@44=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@48=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@60=_gfx12_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateIndirectCommandsLayoutNV@104=_gfx12_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateIndirectCommandsLayoutNV=gfx12_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@4=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@8=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@12=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@16=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@20=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@24=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@28=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@32=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@36=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@40=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@44=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@48=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@60=_gfx125_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateIndirectCommandsLayoutNV@104=_gfx125_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateIndirectCommandsLayoutNV=gfx125_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@4=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@8=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@12=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@16=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@20=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@24=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@28=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@32=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@36=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@40=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@44=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@48=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@60=_anv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyIndirectCommandsLayoutNV@104=_anv_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyIndirectCommandsLayoutNV=anv_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@4=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@8=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@12=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@16=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@20=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@24=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@28=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@32=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@36=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@40=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@44=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@48=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@60=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyIndirectCommandsLayoutNV@104=_gfx7_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyIndirectCommandsLayoutNV=gfx7_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@4=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@8=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@12=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@16=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@20=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@24=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@28=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@32=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@36=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@40=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@44=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@48=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@60=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyIndirectCommandsLayoutNV@104=_gfx75_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyIndirectCommandsLayoutNV=gfx75_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@4=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@8=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@12=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@16=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@20=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@24=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@28=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@32=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@36=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@40=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@44=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@48=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@60=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyIndirectCommandsLayoutNV@104=_gfx8_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyIndirectCommandsLayoutNV=gfx8_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@4=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@8=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@12=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@16=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@20=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@24=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@28=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@32=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@36=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@40=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@44=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@48=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@60=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyIndirectCommandsLayoutNV@104=_gfx9_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyIndirectCommandsLayoutNV=gfx9_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@4=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@8=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@12=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@16=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@20=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@24=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@28=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@32=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@36=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@40=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@44=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@48=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@60=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyIndirectCommandsLayoutNV@104=_gfx11_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyIndirectCommandsLayoutNV=gfx11_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@4=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@8=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@12=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@16=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@20=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@24=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@28=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@32=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@36=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@40=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@44=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@48=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@60=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyIndirectCommandsLayoutNV@104=_gfx12_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyIndirectCommandsLayoutNV=gfx12_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@4=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@8=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@12=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@16=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@20=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@24=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@28=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@32=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@36=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@40=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@44=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@48=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@60=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyIndirectCommandsLayoutNV@104=_gfx125_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyIndirectCommandsLayoutNV=gfx125_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@4=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@8=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@12=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@16=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@20=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@24=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@28=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@32=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@36=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@40=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@44=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@48=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@60=_anv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetKHR@104=_anv_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdPushDescriptorSetKHR=anv_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@4=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@8=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@12=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@16=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@20=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@24=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@28=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@32=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@36=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@40=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@44=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@48=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@60=_gfx7_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetKHR@104=_gfx7_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdPushDescriptorSetKHR=gfx7_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@4=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@8=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@12=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@16=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@20=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@24=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@28=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@32=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@36=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@40=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@44=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@48=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@60=_gfx75_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetKHR@104=_gfx75_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdPushDescriptorSetKHR=gfx75_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@4=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@8=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@12=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@16=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@20=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@24=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@28=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@32=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@36=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@40=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@44=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@48=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@60=_gfx8_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetKHR@104=_gfx8_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdPushDescriptorSetKHR=gfx8_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@4=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@8=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@12=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@16=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@20=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@24=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@28=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@32=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@36=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@40=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@44=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@48=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@60=_gfx9_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetKHR@104=_gfx9_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdPushDescriptorSetKHR=gfx9_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@4=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@8=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@12=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@16=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@20=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@24=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@28=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@32=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@36=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@40=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@44=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@48=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@60=_gfx11_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetKHR@104=_gfx11_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdPushDescriptorSetKHR=gfx11_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@4=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@8=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@12=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@16=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@20=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@24=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@28=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@32=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@36=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@40=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@44=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@48=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@60=_gfx12_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetKHR@104=_gfx12_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdPushDescriptorSetKHR=gfx12_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@4=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@8=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@12=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@16=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@20=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@24=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@28=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@32=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@36=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@40=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@44=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@48=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@60=_gfx125_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetKHR@104=_gfx125_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdPushDescriptorSetKHR=gfx125_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@4=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@8=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@12=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@16=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@20=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@24=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@28=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@32=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@36=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@40=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@44=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@48=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@60=_anv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPool@104=_anv_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:anv_TrimCommandPool=anv_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@4=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@8=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@12=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@16=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@20=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@24=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@28=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@32=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@36=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@40=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@44=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@48=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@60=_gfx7_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPool@104=_gfx7_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_TrimCommandPool=gfx7_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@4=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@8=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@12=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@16=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@20=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@24=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@28=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@32=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@36=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@40=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@44=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@48=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@60=_gfx75_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPool@104=_gfx75_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_TrimCommandPool=gfx75_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@4=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@8=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@12=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@16=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@20=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@24=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@28=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@32=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@36=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@40=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@44=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@48=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@60=_gfx8_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPool@104=_gfx8_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_TrimCommandPool=gfx8_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@4=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@8=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@12=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@16=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@20=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@24=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@28=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@32=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@36=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@40=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@44=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@48=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@60=_gfx9_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPool@104=_gfx9_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_TrimCommandPool=gfx9_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@4=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@8=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@12=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@16=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@20=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@24=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@28=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@32=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@36=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@40=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@44=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@48=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@60=_gfx11_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPool@104=_gfx11_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_TrimCommandPool=gfx11_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@4=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@8=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@12=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@16=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@20=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@24=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@28=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@32=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@36=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@40=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@44=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@48=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@60=_gfx12_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPool@104=_gfx12_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_TrimCommandPool=gfx12_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@4=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@8=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@12=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@16=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@20=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@24=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@28=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@32=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@36=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@40=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@44=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@48=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@60=_gfx125_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPool@104=_gfx125_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_TrimCommandPool=gfx125_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@4=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@8=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@12=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@16=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@20=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@24=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@28=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@32=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@36=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@40=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@44=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@48=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@60=_anv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_TrimCommandPoolKHR@104=_anv_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_TrimCommandPoolKHR=anv_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@4=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@8=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@12=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@16=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@20=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@24=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@28=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@32=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@36=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@40=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@44=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@48=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@60=_gfx7_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_TrimCommandPoolKHR@104=_gfx7_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_TrimCommandPoolKHR=gfx7_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@4=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@8=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@12=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@16=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@20=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@24=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@28=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@32=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@36=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@40=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@44=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@48=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@60=_gfx75_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_TrimCommandPoolKHR@104=_gfx75_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_TrimCommandPoolKHR=gfx75_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@4=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@8=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@12=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@16=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@20=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@24=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@28=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@32=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@36=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@40=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@44=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@48=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@60=_gfx8_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_TrimCommandPoolKHR@104=_gfx8_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_TrimCommandPoolKHR=gfx8_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@4=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@8=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@12=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@16=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@20=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@24=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@28=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@32=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@36=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@40=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@44=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@48=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@60=_gfx9_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_TrimCommandPoolKHR@104=_gfx9_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_TrimCommandPoolKHR=gfx9_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@4=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@8=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@12=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@16=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@20=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@24=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@28=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@32=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@36=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@40=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@44=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@48=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@60=_gfx11_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_TrimCommandPoolKHR@104=_gfx11_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_TrimCommandPoolKHR=gfx11_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@4=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@8=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@12=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@16=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@20=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@24=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@28=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@32=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@36=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@40=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@44=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@48=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@60=_gfx12_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_TrimCommandPoolKHR@104=_gfx12_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_TrimCommandPoolKHR=gfx12_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@4=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@8=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@12=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@16=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@20=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@24=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@28=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@32=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@36=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@40=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@44=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@48=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@60=_gfx125_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_TrimCommandPoolKHR@104=_gfx125_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_TrimCommandPoolKHR=gfx125_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@4=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@8=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@12=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@16=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@20=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@24=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@28=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@32=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@36=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@40=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@44=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@48=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@60=_anv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandleKHR@104=_anv_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryWin32HandleKHR=anv_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@4=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@8=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@12=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@16=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@20=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@24=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@28=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@32=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@36=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@40=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@44=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@48=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@60=_gfx7_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandleKHR@104=_gfx7_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryWin32HandleKHR=gfx7_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@4=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@8=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@12=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@16=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@20=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@24=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@28=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@32=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@36=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@40=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@44=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@48=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@60=_gfx75_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandleKHR@104=_gfx75_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryWin32HandleKHR=gfx75_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@4=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@8=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@12=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@16=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@20=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@24=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@28=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@32=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@36=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@40=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@44=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@48=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@60=_gfx8_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandleKHR@104=_gfx8_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryWin32HandleKHR=gfx8_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@4=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@8=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@12=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@16=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@20=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@24=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@28=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@32=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@36=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@40=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@44=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@48=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@60=_gfx9_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandleKHR@104=_gfx9_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryWin32HandleKHR=gfx9_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@4=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@8=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@12=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@16=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@20=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@24=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@28=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@32=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@36=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@40=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@44=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@48=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@60=_gfx11_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandleKHR@104=_gfx11_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryWin32HandleKHR=gfx11_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@4=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@8=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@12=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@16=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@20=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@24=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@28=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@32=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@36=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@40=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@44=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@48=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@60=_gfx12_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandleKHR@104=_gfx12_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryWin32HandleKHR=gfx12_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@4=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@8=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@12=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@16=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@20=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@24=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@28=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@32=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@36=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@40=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@44=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@48=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@60=_gfx125_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandleKHR@104=_gfx125_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryWin32HandleKHR=gfx125_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@4=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@8=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@12=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@16=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@20=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@24=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@28=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@32=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@36=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@40=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@44=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@48=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@60=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryWin32HandlePropertiesKHR@104=_anv_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryWin32HandlePropertiesKHR=anv_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@4=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@8=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@12=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@16=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@20=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@24=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@28=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@32=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@36=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@40=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@44=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@48=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@60=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryWin32HandlePropertiesKHR@104=_gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryWin32HandlePropertiesKHR=gfx7_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@4=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@8=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@12=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@16=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@20=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@24=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@28=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@32=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@36=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@40=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@44=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@48=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@60=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryWin32HandlePropertiesKHR@104=_gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryWin32HandlePropertiesKHR=gfx75_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@4=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@8=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@12=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@16=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@20=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@24=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@28=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@32=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@36=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@40=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@44=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@48=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@60=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryWin32HandlePropertiesKHR@104=_gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryWin32HandlePropertiesKHR=gfx8_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@4=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@8=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@12=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@16=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@20=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@24=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@28=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@32=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@36=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@40=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@44=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@48=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@60=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryWin32HandlePropertiesKHR@104=_gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryWin32HandlePropertiesKHR=gfx9_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@4=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@8=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@12=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@16=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@20=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@24=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@28=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@32=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@36=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@40=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@44=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@48=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@60=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryWin32HandlePropertiesKHR@104=_gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryWin32HandlePropertiesKHR=gfx11_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@4=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@8=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@12=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@16=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@20=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@24=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@28=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@32=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@36=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@40=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@44=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@48=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@60=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryWin32HandlePropertiesKHR@104=_gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryWin32HandlePropertiesKHR=gfx12_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@4=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@8=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@12=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@16=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@20=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@24=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@28=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@32=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@36=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@40=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@44=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@48=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@60=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryWin32HandlePropertiesKHR@104=_gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryWin32HandlePropertiesKHR=gfx125_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@4=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@8=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@12=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@16=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@20=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@24=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@28=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@32=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@36=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@40=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@44=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@48=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@60=_anv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdKHR@104=_anv_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryFdKHR=anv_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@4=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@8=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@12=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@16=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@20=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@24=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@28=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@32=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@36=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@40=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@44=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@48=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@60=_gfx7_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdKHR@104=_gfx7_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryFdKHR=gfx7_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@4=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@8=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@12=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@16=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@20=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@24=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@28=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@32=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@36=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@40=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@44=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@48=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@60=_gfx75_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdKHR@104=_gfx75_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryFdKHR=gfx75_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@4=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@8=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@12=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@16=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@20=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@24=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@28=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@32=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@36=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@40=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@44=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@48=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@60=_gfx8_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdKHR@104=_gfx8_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryFdKHR=gfx8_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@4=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@8=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@12=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@16=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@20=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@24=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@28=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@32=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@36=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@40=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@44=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@48=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@60=_gfx9_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdKHR@104=_gfx9_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryFdKHR=gfx9_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@4=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@8=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@12=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@16=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@20=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@24=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@28=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@32=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@36=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@40=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@44=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@48=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@60=_gfx11_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdKHR@104=_gfx11_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryFdKHR=gfx11_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@4=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@8=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@12=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@16=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@20=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@24=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@28=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@32=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@36=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@40=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@44=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@48=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@60=_gfx12_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdKHR@104=_gfx12_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryFdKHR=gfx12_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@4=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@8=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@12=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@16=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@20=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@24=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@28=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@32=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@36=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@40=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@44=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@48=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@60=_gfx125_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdKHR@104=_gfx125_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryFdKHR=gfx125_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@4=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@8=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@12=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@16=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@20=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@24=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@28=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@32=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@36=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@40=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@44=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@48=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@60=_anv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryFdPropertiesKHR@104=_anv_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryFdPropertiesKHR=anv_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@4=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@8=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@12=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@16=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@20=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@24=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@28=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@32=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@36=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@40=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@44=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@48=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@60=_gfx7_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryFdPropertiesKHR@104=_gfx7_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryFdPropertiesKHR=gfx7_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@4=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@8=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@12=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@16=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@20=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@24=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@28=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@32=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@36=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@40=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@44=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@48=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@60=_gfx75_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryFdPropertiesKHR@104=_gfx75_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryFdPropertiesKHR=gfx75_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@4=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@8=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@12=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@16=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@20=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@24=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@28=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@32=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@36=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@40=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@44=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@48=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@60=_gfx8_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryFdPropertiesKHR@104=_gfx8_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryFdPropertiesKHR=gfx8_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@4=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@8=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@12=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@16=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@20=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@24=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@28=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@32=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@36=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@40=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@44=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@48=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@60=_gfx9_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryFdPropertiesKHR@104=_gfx9_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryFdPropertiesKHR=gfx9_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@4=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@8=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@12=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@16=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@20=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@24=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@28=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@32=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@36=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@40=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@44=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@48=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@60=_gfx11_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryFdPropertiesKHR@104=_gfx11_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryFdPropertiesKHR=gfx11_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@4=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@8=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@12=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@16=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@20=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@24=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@28=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@32=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@36=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@40=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@44=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@48=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@60=_gfx12_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryFdPropertiesKHR@104=_gfx12_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryFdPropertiesKHR=gfx12_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@4=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@8=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@12=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@16=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@20=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@24=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@28=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@32=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@36=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@40=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@44=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@48=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@60=_gfx125_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryFdPropertiesKHR@104=_gfx125_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryFdPropertiesKHR=gfx125_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@4=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@8=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@12=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@16=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@20=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@24=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@28=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@32=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@36=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@40=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@44=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@48=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@60=_anv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandleFUCHSIA@104=_anv_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryZirconHandleFUCHSIA=anv_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@4=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@8=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@12=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@16=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@20=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@24=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@28=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@32=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@36=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@40=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@44=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@48=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@60=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandleFUCHSIA@104=_gfx7_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryZirconHandleFUCHSIA=gfx7_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@4=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@8=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@12=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@16=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@20=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@24=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@28=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@32=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@36=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@40=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@44=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@48=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@60=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandleFUCHSIA@104=_gfx75_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryZirconHandleFUCHSIA=gfx75_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@4=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@8=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@12=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@16=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@20=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@24=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@28=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@32=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@36=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@40=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@44=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@48=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@60=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandleFUCHSIA@104=_gfx8_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryZirconHandleFUCHSIA=gfx8_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@4=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@8=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@12=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@16=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@20=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@24=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@28=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@32=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@36=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@40=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@44=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@48=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@60=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandleFUCHSIA@104=_gfx9_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryZirconHandleFUCHSIA=gfx9_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@4=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@8=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@12=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@16=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@20=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@24=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@28=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@32=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@36=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@40=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@44=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@48=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@60=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandleFUCHSIA@104=_gfx11_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryZirconHandleFUCHSIA=gfx11_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@4=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@8=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@12=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@16=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@20=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@24=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@28=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@32=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@36=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@40=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@44=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@48=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@60=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandleFUCHSIA@104=_gfx12_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryZirconHandleFUCHSIA=gfx12_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@4=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@8=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@12=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@16=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@20=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@24=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@28=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@32=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@36=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@40=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@44=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@48=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@60=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandleFUCHSIA@104=_gfx125_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryZirconHandleFUCHSIA=gfx125_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@4=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@8=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@12=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@16=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@20=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@24=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@28=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@32=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@36=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@40=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@44=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@48=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@60=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryZirconHandlePropertiesFUCHSIA@104=_anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryZirconHandlePropertiesFUCHSIA=anv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryZirconHandlePropertiesFUCHSIA=gfx7_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryZirconHandlePropertiesFUCHSIA=gfx75_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryZirconHandlePropertiesFUCHSIA=gfx8_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryZirconHandlePropertiesFUCHSIA=gfx9_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryZirconHandlePropertiesFUCHSIA=gfx11_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryZirconHandlePropertiesFUCHSIA=gfx12_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@4=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@8=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@12=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@16=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@20=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@24=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@28=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@32=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@36=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@40=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@44=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@48=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@60=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA@104=_gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryZirconHandlePropertiesFUCHSIA=gfx125_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@4=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@8=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@12=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@16=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@20=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@24=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@28=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@32=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@36=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@40=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@44=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@48=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@60=_anv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreWin32HandleKHR@104=_anv_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSemaphoreWin32HandleKHR=anv_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@4=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@8=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@12=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@16=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@20=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@24=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@28=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@32=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@36=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@40=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@44=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@48=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@60=_gfx7_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreWin32HandleKHR@104=_gfx7_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSemaphoreWin32HandleKHR=gfx7_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@4=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@8=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@12=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@16=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@20=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@24=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@28=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@32=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@36=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@40=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@44=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@48=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@60=_gfx75_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreWin32HandleKHR@104=_gfx75_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSemaphoreWin32HandleKHR=gfx75_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@4=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@8=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@12=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@16=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@20=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@24=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@28=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@32=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@36=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@40=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@44=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@48=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@60=_gfx8_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreWin32HandleKHR@104=_gfx8_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSemaphoreWin32HandleKHR=gfx8_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@4=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@8=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@12=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@16=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@20=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@24=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@28=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@32=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@36=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@40=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@44=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@48=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@60=_gfx9_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreWin32HandleKHR@104=_gfx9_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSemaphoreWin32HandleKHR=gfx9_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@4=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@8=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@12=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@16=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@20=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@24=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@28=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@32=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@36=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@40=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@44=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@48=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@60=_gfx11_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreWin32HandleKHR@104=_gfx11_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSemaphoreWin32HandleKHR=gfx11_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@4=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@8=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@12=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@16=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@20=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@24=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@28=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@32=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@36=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@40=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@44=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@48=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@60=_gfx12_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreWin32HandleKHR@104=_gfx12_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSemaphoreWin32HandleKHR=gfx12_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@4=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@8=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@12=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@16=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@20=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@24=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@28=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@32=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@36=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@40=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@44=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@48=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@60=_gfx125_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreWin32HandleKHR@104=_gfx125_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSemaphoreWin32HandleKHR=gfx125_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@4=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@8=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@12=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@16=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@20=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@24=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@28=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@32=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@36=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@40=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@44=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@48=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@60=_anv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreWin32HandleKHR@104=_anv_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ImportSemaphoreWin32HandleKHR=anv_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@4=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@8=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@12=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@16=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@20=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@24=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@28=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@32=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@36=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@40=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@44=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@48=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@60=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreWin32HandleKHR@104=_gfx7_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ImportSemaphoreWin32HandleKHR=gfx7_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@4=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@8=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@12=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@16=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@20=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@24=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@28=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@32=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@36=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@40=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@44=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@48=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@60=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreWin32HandleKHR@104=_gfx75_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ImportSemaphoreWin32HandleKHR=gfx75_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@4=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@8=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@12=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@16=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@20=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@24=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@28=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@32=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@36=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@40=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@44=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@48=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@60=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreWin32HandleKHR@104=_gfx8_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ImportSemaphoreWin32HandleKHR=gfx8_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@4=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@8=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@12=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@16=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@20=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@24=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@28=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@32=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@36=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@40=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@44=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@48=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@60=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreWin32HandleKHR@104=_gfx9_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ImportSemaphoreWin32HandleKHR=gfx9_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@4=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@8=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@12=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@16=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@20=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@24=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@28=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@32=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@36=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@40=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@44=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@48=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@60=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreWin32HandleKHR@104=_gfx11_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ImportSemaphoreWin32HandleKHR=gfx11_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@4=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@8=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@12=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@16=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@20=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@24=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@28=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@32=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@36=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@40=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@44=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@48=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@60=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreWin32HandleKHR@104=_gfx12_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ImportSemaphoreWin32HandleKHR=gfx12_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@4=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@8=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@12=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@16=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@20=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@24=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@28=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@32=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@36=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@40=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@44=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@48=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@60=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreWin32HandleKHR@104=_gfx125_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ImportSemaphoreWin32HandleKHR=gfx125_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@4=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@8=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@12=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@16=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@20=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@24=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@28=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@32=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@36=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@40=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@44=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@48=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@60=_anv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreFdKHR@104=_anv_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSemaphoreFdKHR=anv_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@4=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@8=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@12=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@16=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@20=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@24=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@28=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@32=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@36=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@40=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@44=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@48=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@60=_gfx7_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreFdKHR@104=_gfx7_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSemaphoreFdKHR=gfx7_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@4=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@8=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@12=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@16=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@20=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@24=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@28=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@32=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@36=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@40=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@44=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@48=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@60=_gfx75_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreFdKHR@104=_gfx75_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSemaphoreFdKHR=gfx75_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@4=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@8=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@12=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@16=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@20=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@24=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@28=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@32=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@36=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@40=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@44=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@48=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@60=_gfx8_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreFdKHR@104=_gfx8_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSemaphoreFdKHR=gfx8_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@4=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@8=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@12=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@16=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@20=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@24=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@28=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@32=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@36=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@40=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@44=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@48=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@60=_gfx9_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreFdKHR@104=_gfx9_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSemaphoreFdKHR=gfx9_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@4=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@8=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@12=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@16=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@20=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@24=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@28=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@32=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@36=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@40=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@44=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@48=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@60=_gfx11_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreFdKHR@104=_gfx11_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSemaphoreFdKHR=gfx11_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@4=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@8=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@12=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@16=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@20=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@24=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@28=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@32=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@36=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@40=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@44=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@48=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@60=_gfx12_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreFdKHR@104=_gfx12_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSemaphoreFdKHR=gfx12_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@4=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@8=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@12=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@16=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@20=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@24=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@28=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@32=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@36=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@40=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@44=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@48=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@60=_gfx125_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreFdKHR@104=_gfx125_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSemaphoreFdKHR=gfx125_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@4=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@8=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@12=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@16=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@20=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@24=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@28=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@32=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@36=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@40=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@44=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@48=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@60=_anv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreFdKHR@104=_anv_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ImportSemaphoreFdKHR=anv_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@4=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@8=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@12=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@16=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@20=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@24=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@28=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@32=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@36=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@40=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@44=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@48=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@60=_gfx7_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreFdKHR@104=_gfx7_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ImportSemaphoreFdKHR=gfx7_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@4=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@8=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@12=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@16=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@20=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@24=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@28=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@32=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@36=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@40=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@44=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@48=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@60=_gfx75_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreFdKHR@104=_gfx75_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ImportSemaphoreFdKHR=gfx75_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@4=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@8=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@12=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@16=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@20=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@24=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@28=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@32=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@36=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@40=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@44=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@48=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@60=_gfx8_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreFdKHR@104=_gfx8_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ImportSemaphoreFdKHR=gfx8_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@4=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@8=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@12=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@16=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@20=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@24=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@28=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@32=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@36=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@40=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@44=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@48=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@60=_gfx9_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreFdKHR@104=_gfx9_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ImportSemaphoreFdKHR=gfx9_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@4=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@8=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@12=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@16=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@20=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@24=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@28=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@32=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@36=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@40=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@44=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@48=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@60=_gfx11_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreFdKHR@104=_gfx11_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ImportSemaphoreFdKHR=gfx11_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@4=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@8=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@12=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@16=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@20=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@24=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@28=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@32=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@36=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@40=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@44=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@48=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@60=_gfx12_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreFdKHR@104=_gfx12_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ImportSemaphoreFdKHR=gfx12_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@4=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@8=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@12=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@16=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@20=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@24=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@28=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@32=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@36=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@40=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@44=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@48=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@60=_gfx125_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreFdKHR@104=_gfx125_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ImportSemaphoreFdKHR=gfx125_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*anv_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@4=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@8=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@12=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@16=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@20=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@24=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@28=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@32=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@36=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@40=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@44=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@48=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@60=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreZirconHandleFUCHSIA@104=_anv_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSemaphoreZirconHandleFUCHSIA=anv_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@4=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@8=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@12=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@16=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@20=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@24=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@28=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@32=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@36=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@40=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@44=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@48=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@60=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreZirconHandleFUCHSIA@104=_gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSemaphoreZirconHandleFUCHSIA=gfx7_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@4=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@8=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@12=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@16=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@20=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@24=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@28=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@32=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@36=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@40=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@44=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@48=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@60=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreZirconHandleFUCHSIA@104=_gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSemaphoreZirconHandleFUCHSIA=gfx75_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@4=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@8=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@12=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@16=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@20=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@24=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@28=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@32=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@36=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@40=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@44=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@48=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@60=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreZirconHandleFUCHSIA@104=_gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSemaphoreZirconHandleFUCHSIA=gfx8_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@4=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@8=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@12=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@16=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@20=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@24=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@28=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@32=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@36=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@40=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@44=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@48=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@60=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreZirconHandleFUCHSIA@104=_gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSemaphoreZirconHandleFUCHSIA=gfx9_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@4=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@8=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@12=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@16=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@20=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@24=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@28=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@32=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@36=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@40=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@44=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@48=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@60=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreZirconHandleFUCHSIA@104=_gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSemaphoreZirconHandleFUCHSIA=gfx11_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@4=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@8=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@12=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@16=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@20=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@24=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@28=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@32=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@36=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@40=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@44=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@48=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@60=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreZirconHandleFUCHSIA@104=_gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSemaphoreZirconHandleFUCHSIA=gfx12_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@4=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@8=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@12=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@16=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@20=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@24=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@28=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@32=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@36=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@40=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@44=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@48=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@60=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreZirconHandleFUCHSIA@104=_gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSemaphoreZirconHandleFUCHSIA=gfx125_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*anv_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@4=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@8=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@12=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@16=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@20=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@24=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@28=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@32=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@36=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@40=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@44=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@48=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@60=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportSemaphoreZirconHandleFUCHSIA@104=_anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ImportSemaphoreZirconHandleFUCHSIA=anv_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ImportSemaphoreZirconHandleFUCHSIA=gfx7_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ImportSemaphoreZirconHandleFUCHSIA=gfx75_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ImportSemaphoreZirconHandleFUCHSIA=gfx8_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ImportSemaphoreZirconHandleFUCHSIA=gfx9_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ImportSemaphoreZirconHandleFUCHSIA=gfx11_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ImportSemaphoreZirconHandleFUCHSIA=gfx12_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@4=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@8=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@12=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@16=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@20=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@24=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@28=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@32=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@36=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@40=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@44=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@48=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@60=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportSemaphoreZirconHandleFUCHSIA@104=_gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ImportSemaphoreZirconHandleFUCHSIA=gfx125_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@4=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@8=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@12=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@16=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@20=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@24=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@28=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@32=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@36=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@40=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@44=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@48=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@60=_anv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceWin32HandleKHR@104=_anv_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetFenceWin32HandleKHR=anv_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@4=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@8=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@12=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@16=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@20=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@24=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@28=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@32=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@36=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@40=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@44=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@48=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@60=_gfx7_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceWin32HandleKHR@104=_gfx7_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetFenceWin32HandleKHR=gfx7_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@4=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@8=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@12=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@16=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@20=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@24=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@28=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@32=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@36=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@40=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@44=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@48=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@60=_gfx75_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceWin32HandleKHR@104=_gfx75_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetFenceWin32HandleKHR=gfx75_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@4=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@8=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@12=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@16=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@20=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@24=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@28=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@32=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@36=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@40=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@44=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@48=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@60=_gfx8_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceWin32HandleKHR@104=_gfx8_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetFenceWin32HandleKHR=gfx8_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@4=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@8=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@12=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@16=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@20=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@24=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@28=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@32=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@36=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@40=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@44=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@48=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@60=_gfx9_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceWin32HandleKHR@104=_gfx9_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetFenceWin32HandleKHR=gfx9_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@4=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@8=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@12=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@16=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@20=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@24=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@28=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@32=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@36=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@40=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@44=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@48=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@60=_gfx11_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceWin32HandleKHR@104=_gfx11_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetFenceWin32HandleKHR=gfx11_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@4=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@8=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@12=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@16=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@20=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@24=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@28=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@32=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@36=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@40=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@44=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@48=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@60=_gfx12_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceWin32HandleKHR@104=_gfx12_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetFenceWin32HandleKHR=gfx12_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@4=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@8=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@12=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@16=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@20=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@24=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@28=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@32=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@36=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@40=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@44=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@48=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@60=_gfx125_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceWin32HandleKHR@104=_gfx125_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetFenceWin32HandleKHR=gfx125_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@4=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@8=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@12=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@16=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@20=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@24=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@28=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@32=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@36=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@40=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@44=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@48=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@60=_anv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceWin32HandleKHR@104=_anv_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ImportFenceWin32HandleKHR=anv_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@4=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@8=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@12=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@16=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@20=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@24=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@28=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@32=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@36=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@40=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@44=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@48=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@60=_gfx7_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceWin32HandleKHR@104=_gfx7_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ImportFenceWin32HandleKHR=gfx7_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@4=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@8=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@12=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@16=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@20=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@24=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@28=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@32=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@36=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@40=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@44=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@48=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@60=_gfx75_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceWin32HandleKHR@104=_gfx75_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ImportFenceWin32HandleKHR=gfx75_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@4=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@8=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@12=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@16=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@20=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@24=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@28=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@32=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@36=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@40=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@44=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@48=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@60=_gfx8_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceWin32HandleKHR@104=_gfx8_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ImportFenceWin32HandleKHR=gfx8_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@4=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@8=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@12=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@16=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@20=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@24=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@28=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@32=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@36=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@40=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@44=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@48=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@60=_gfx9_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceWin32HandleKHR@104=_gfx9_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ImportFenceWin32HandleKHR=gfx9_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@4=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@8=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@12=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@16=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@20=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@24=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@28=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@32=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@36=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@40=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@44=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@48=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@60=_gfx11_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceWin32HandleKHR@104=_gfx11_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ImportFenceWin32HandleKHR=gfx11_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@4=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@8=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@12=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@16=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@20=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@24=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@28=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@32=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@36=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@40=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@44=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@48=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@60=_gfx12_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceWin32HandleKHR@104=_gfx12_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ImportFenceWin32HandleKHR=gfx12_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@4=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@8=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@12=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@16=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@20=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@24=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@28=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@32=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@36=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@40=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@44=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@48=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@60=_gfx125_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceWin32HandleKHR@104=_gfx125_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ImportFenceWin32HandleKHR=gfx125_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@4=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@8=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@12=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@16=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@20=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@24=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@28=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@32=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@36=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@40=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@44=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@48=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@60=_anv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetFenceFdKHR@104=_anv_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetFenceFdKHR=anv_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@4=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@8=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@12=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@16=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@20=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@24=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@28=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@32=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@36=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@40=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@44=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@48=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@60=_gfx7_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetFenceFdKHR@104=_gfx7_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetFenceFdKHR=gfx7_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@4=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@8=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@12=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@16=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@20=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@24=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@28=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@32=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@36=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@40=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@44=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@48=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@60=_gfx75_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetFenceFdKHR@104=_gfx75_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetFenceFdKHR=gfx75_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@4=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@8=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@12=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@16=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@20=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@24=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@28=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@32=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@36=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@40=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@44=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@48=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@60=_gfx8_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetFenceFdKHR@104=_gfx8_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetFenceFdKHR=gfx8_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@4=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@8=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@12=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@16=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@20=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@24=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@28=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@32=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@36=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@40=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@44=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@48=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@60=_gfx9_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetFenceFdKHR@104=_gfx9_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetFenceFdKHR=gfx9_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@4=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@8=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@12=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@16=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@20=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@24=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@28=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@32=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@36=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@40=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@44=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@48=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@60=_gfx11_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetFenceFdKHR@104=_gfx11_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetFenceFdKHR=gfx11_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@4=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@8=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@12=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@16=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@20=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@24=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@28=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@32=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@36=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@40=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@44=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@48=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@60=_gfx12_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetFenceFdKHR@104=_gfx12_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetFenceFdKHR=gfx12_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@4=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@8=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@12=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@16=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@20=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@24=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@28=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@32=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@36=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@40=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@44=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@48=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@60=_gfx125_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetFenceFdKHR@104=_gfx125_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetFenceFdKHR=gfx125_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@4=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@8=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@12=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@16=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@20=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@24=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@28=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@32=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@36=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@40=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@44=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@48=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@60=_anv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ImportFenceFdKHR@104=_anv_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ImportFenceFdKHR=anv_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@4=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@8=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@12=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@16=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@20=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@24=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@28=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@32=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@36=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@40=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@44=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@48=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@60=_gfx7_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ImportFenceFdKHR@104=_gfx7_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ImportFenceFdKHR=gfx7_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@4=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@8=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@12=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@16=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@20=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@24=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@28=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@32=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@36=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@40=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@44=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@48=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@60=_gfx75_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ImportFenceFdKHR@104=_gfx75_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ImportFenceFdKHR=gfx75_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@4=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@8=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@12=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@16=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@20=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@24=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@28=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@32=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@36=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@40=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@44=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@48=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@60=_gfx8_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ImportFenceFdKHR@104=_gfx8_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ImportFenceFdKHR=gfx8_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@4=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@8=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@12=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@16=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@20=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@24=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@28=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@32=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@36=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@40=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@44=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@48=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@60=_gfx9_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ImportFenceFdKHR@104=_gfx9_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ImportFenceFdKHR=gfx9_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@4=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@8=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@12=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@16=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@20=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@24=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@28=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@32=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@36=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@40=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@44=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@48=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@60=_gfx11_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ImportFenceFdKHR@104=_gfx11_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ImportFenceFdKHR=gfx11_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@4=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@8=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@12=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@16=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@20=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@24=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@28=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@32=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@36=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@40=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@44=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@48=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@60=_gfx12_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ImportFenceFdKHR@104=_gfx12_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ImportFenceFdKHR=gfx12_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@4=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@8=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@12=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@16=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@20=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@24=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@28=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@32=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@36=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@40=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@44=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@48=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@60=_gfx125_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ImportFenceFdKHR@104=_gfx125_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ImportFenceFdKHR=gfx125_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@4=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@8=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@12=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@16=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@20=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@24=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@28=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@32=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@36=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@40=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@44=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@48=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@60=_anv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DisplayPowerControlEXT@104=_anv_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DisplayPowerControlEXT=anv_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@4=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@8=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@12=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@16=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@20=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@24=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@28=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@32=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@36=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@40=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@44=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@48=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@60=_gfx7_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DisplayPowerControlEXT@104=_gfx7_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DisplayPowerControlEXT=gfx7_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@4=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@8=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@12=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@16=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@20=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@24=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@28=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@32=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@36=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@40=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@44=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@48=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@60=_gfx75_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DisplayPowerControlEXT@104=_gfx75_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DisplayPowerControlEXT=gfx75_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@4=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@8=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@12=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@16=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@20=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@24=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@28=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@32=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@36=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@40=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@44=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@48=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@60=_gfx8_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DisplayPowerControlEXT@104=_gfx8_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DisplayPowerControlEXT=gfx8_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@4=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@8=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@12=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@16=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@20=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@24=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@28=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@32=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@36=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@40=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@44=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@48=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@60=_gfx9_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DisplayPowerControlEXT@104=_gfx9_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DisplayPowerControlEXT=gfx9_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@4=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@8=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@12=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@16=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@20=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@24=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@28=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@32=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@36=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@40=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@44=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@48=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@60=_gfx11_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DisplayPowerControlEXT@104=_gfx11_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DisplayPowerControlEXT=gfx11_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@4=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@8=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@12=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@16=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@20=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@24=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@28=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@32=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@36=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@40=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@44=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@48=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@60=_gfx12_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DisplayPowerControlEXT@104=_gfx12_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DisplayPowerControlEXT=gfx12_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@4=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@8=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@12=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@16=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@20=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@24=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@28=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@32=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@36=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@40=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@44=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@48=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@60=_gfx125_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DisplayPowerControlEXT@104=_gfx125_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DisplayPowerControlEXT=gfx125_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@4=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@8=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@12=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@16=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@20=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@24=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@28=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@32=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@36=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@40=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@44=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@48=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@60=_anv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDeviceEventEXT@104=_anv_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_RegisterDeviceEventEXT=anv_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@4=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@8=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@12=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@16=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@20=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@24=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@28=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@32=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@36=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@40=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@44=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@48=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@60=_gfx7_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDeviceEventEXT@104=_gfx7_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_RegisterDeviceEventEXT=gfx7_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@4=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@8=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@12=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@16=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@20=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@24=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@28=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@32=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@36=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@40=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@44=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@48=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@60=_gfx75_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDeviceEventEXT@104=_gfx75_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_RegisterDeviceEventEXT=gfx75_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@4=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@8=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@12=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@16=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@20=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@24=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@28=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@32=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@36=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@40=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@44=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@48=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@60=_gfx8_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDeviceEventEXT@104=_gfx8_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_RegisterDeviceEventEXT=gfx8_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@4=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@8=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@12=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@16=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@20=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@24=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@28=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@32=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@36=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@40=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@44=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@48=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@60=_gfx9_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDeviceEventEXT@104=_gfx9_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_RegisterDeviceEventEXT=gfx9_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@4=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@8=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@12=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@16=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@20=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@24=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@28=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@32=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@36=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@40=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@44=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@48=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@60=_gfx11_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDeviceEventEXT@104=_gfx11_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_RegisterDeviceEventEXT=gfx11_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@4=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@8=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@12=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@16=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@20=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@24=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@28=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@32=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@36=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@40=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@44=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@48=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@60=_gfx12_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDeviceEventEXT@104=_gfx12_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_RegisterDeviceEventEXT=gfx12_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@4=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@8=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@12=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@16=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@20=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@24=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@28=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@32=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@36=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@40=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@44=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@48=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@60=_gfx125_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDeviceEventEXT@104=_gfx125_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_RegisterDeviceEventEXT=gfx125_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@4=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@8=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@12=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@16=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@20=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@24=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@28=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@32=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@36=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@40=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@44=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@48=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@60=_anv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_RegisterDisplayEventEXT@104=_anv_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_RegisterDisplayEventEXT=anv_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@4=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@8=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@12=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@16=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@20=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@24=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@28=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@32=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@36=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@40=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@44=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@48=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@60=_gfx7_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_RegisterDisplayEventEXT@104=_gfx7_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_RegisterDisplayEventEXT=gfx7_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@4=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@8=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@12=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@16=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@20=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@24=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@28=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@32=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@36=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@40=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@44=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@48=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@60=_gfx75_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_RegisterDisplayEventEXT@104=_gfx75_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_RegisterDisplayEventEXT=gfx75_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@4=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@8=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@12=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@16=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@20=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@24=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@28=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@32=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@36=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@40=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@44=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@48=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@60=_gfx8_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_RegisterDisplayEventEXT@104=_gfx8_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_RegisterDisplayEventEXT=gfx8_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@4=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@8=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@12=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@16=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@20=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@24=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@28=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@32=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@36=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@40=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@44=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@48=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@60=_gfx9_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_RegisterDisplayEventEXT@104=_gfx9_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_RegisterDisplayEventEXT=gfx9_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@4=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@8=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@12=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@16=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@20=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@24=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@28=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@32=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@36=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@40=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@44=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@48=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@60=_gfx11_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_RegisterDisplayEventEXT@104=_gfx11_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_RegisterDisplayEventEXT=gfx11_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@4=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@8=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@12=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@16=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@20=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@24=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@28=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@32=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@36=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@40=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@44=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@48=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@60=_gfx12_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_RegisterDisplayEventEXT@104=_gfx12_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_RegisterDisplayEventEXT=gfx12_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@4=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@8=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@12=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@16=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@20=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@24=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@28=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@32=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@36=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@40=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@44=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@48=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@60=_gfx125_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_RegisterDisplayEventEXT@104=_gfx125_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_RegisterDisplayEventEXT=gfx125_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@4=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@8=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@12=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@16=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@20=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@24=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@28=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@32=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@36=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@40=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@44=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@48=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@60=_anv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainCounterEXT@104=_anv_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSwapchainCounterEXT=anv_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@4=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@8=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@12=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@16=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@20=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@24=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@28=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@32=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@36=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@40=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@44=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@48=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@60=_gfx7_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainCounterEXT@104=_gfx7_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSwapchainCounterEXT=gfx7_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@4=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@8=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@12=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@16=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@20=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@24=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@28=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@32=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@36=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@40=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@44=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@48=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@60=_gfx75_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainCounterEXT@104=_gfx75_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSwapchainCounterEXT=gfx75_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@4=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@8=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@12=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@16=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@20=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@24=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@28=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@32=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@36=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@40=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@44=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@48=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@60=_gfx8_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainCounterEXT@104=_gfx8_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSwapchainCounterEXT=gfx8_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@4=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@8=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@12=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@16=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@20=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@24=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@28=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@32=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@36=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@40=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@44=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@48=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@60=_gfx9_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainCounterEXT@104=_gfx9_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSwapchainCounterEXT=gfx9_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@4=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@8=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@12=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@16=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@20=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@24=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@28=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@32=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@36=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@40=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@44=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@48=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@60=_gfx11_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainCounterEXT@104=_gfx11_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSwapchainCounterEXT=gfx11_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@4=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@8=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@12=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@16=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@20=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@24=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@28=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@32=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@36=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@40=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@44=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@48=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@60=_gfx12_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainCounterEXT@104=_gfx12_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSwapchainCounterEXT=gfx12_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@4=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@8=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@12=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@16=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@20=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@24=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@28=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@32=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@36=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@40=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@44=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@48=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@60=_gfx125_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainCounterEXT@104=_gfx125_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSwapchainCounterEXT=gfx125_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@4=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@8=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@12=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@16=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@20=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@24=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@28=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@32=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@36=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@40=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@44=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@48=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@60=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeatures@104=_anv_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceGroupPeerMemoryFeatures=anv_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@4=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@8=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@12=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@16=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@20=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@24=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@28=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@32=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@36=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@40=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@44=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@48=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@60=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeatures@104=_gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceGroupPeerMemoryFeatures=gfx7_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@4=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@8=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@12=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@16=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@20=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@24=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@28=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@32=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@36=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@40=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@44=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@48=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@60=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeatures@104=_gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceGroupPeerMemoryFeatures=gfx75_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@4=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@8=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@12=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@16=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@20=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@24=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@28=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@32=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@36=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@40=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@44=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@48=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@60=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeatures@104=_gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceGroupPeerMemoryFeatures=gfx8_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@4=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@8=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@12=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@16=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@20=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@24=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@28=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@32=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@36=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@40=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@44=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@48=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@60=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeatures@104=_gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceGroupPeerMemoryFeatures=gfx9_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@4=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@8=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@12=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@16=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@20=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@24=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@28=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@32=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@36=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@40=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@44=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@48=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@60=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeatures@104=_gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceGroupPeerMemoryFeatures=gfx11_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@4=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@8=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@12=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@16=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@20=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@24=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@28=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@32=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@36=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@40=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@44=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@48=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@60=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeatures@104=_gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceGroupPeerMemoryFeatures=gfx12_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@4=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@8=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@12=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@16=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@20=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@24=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@28=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@32=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@36=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@40=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@44=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@48=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@60=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeatures@104=_gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceGroupPeerMemoryFeatures=gfx125_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@4=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@8=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@12=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@16=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@20=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@24=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@28=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@32=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@36=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@40=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@44=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@48=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@60=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPeerMemoryFeaturesKHR@104=_anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceGroupPeerMemoryFeaturesKHR=anv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceGroupPeerMemoryFeaturesKHR=gfx7_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceGroupPeerMemoryFeaturesKHR=gfx75_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceGroupPeerMemoryFeaturesKHR=gfx8_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceGroupPeerMemoryFeaturesKHR=gfx9_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceGroupPeerMemoryFeaturesKHR=gfx11_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceGroupPeerMemoryFeaturesKHR=gfx12_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@4=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@8=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@12=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@16=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@20=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@24=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@28=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@32=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@36=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@40=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@44=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@48=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@60=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR@104=_gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceGroupPeerMemoryFeaturesKHR=gfx125_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@4=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@8=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@12=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@16=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@20=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@24=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@28=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@32=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@36=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@40=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@44=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@48=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@60=_anv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2@104=_anv_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindBufferMemory2=anv_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@4=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@8=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@12=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@16=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@20=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@24=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@28=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@32=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@36=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@40=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@44=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@48=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@60=_gfx7_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2@104=_gfx7_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindBufferMemory2=gfx7_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@4=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@8=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@12=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@16=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@20=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@24=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@28=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@32=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@36=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@40=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@44=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@48=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@60=_gfx75_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2@104=_gfx75_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindBufferMemory2=gfx75_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@4=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@8=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@12=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@16=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@20=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@24=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@28=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@32=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@36=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@40=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@44=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@48=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@60=_gfx8_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2@104=_gfx8_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindBufferMemory2=gfx8_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@4=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@8=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@12=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@16=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@20=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@24=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@28=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@32=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@36=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@40=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@44=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@48=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@60=_gfx9_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2@104=_gfx9_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindBufferMemory2=gfx9_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@4=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@8=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@12=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@16=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@20=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@24=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@28=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@32=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@36=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@40=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@44=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@48=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@60=_gfx11_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2@104=_gfx11_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindBufferMemory2=gfx11_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@4=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@8=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@12=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@16=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@20=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@24=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@28=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@32=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@36=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@40=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@44=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@48=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@60=_gfx12_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2@104=_gfx12_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindBufferMemory2=gfx12_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@4=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@8=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@12=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@16=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@20=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@24=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@28=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@32=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@36=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@40=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@44=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@48=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@60=_gfx125_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2@104=_gfx125_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindBufferMemory2=gfx125_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@4=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@8=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@12=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@16=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@20=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@24=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@28=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@32=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@36=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@40=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@44=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@48=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@60=_anv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindBufferMemory2KHR@104=_anv_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindBufferMemory2KHR=anv_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@4=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@8=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@12=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@16=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@20=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@24=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@28=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@32=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@36=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@40=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@44=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@48=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@60=_gfx7_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindBufferMemory2KHR@104=_gfx7_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindBufferMemory2KHR=gfx7_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@4=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@8=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@12=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@16=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@20=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@24=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@28=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@32=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@36=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@40=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@44=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@48=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@60=_gfx75_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindBufferMemory2KHR@104=_gfx75_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindBufferMemory2KHR=gfx75_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@4=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@8=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@12=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@16=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@20=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@24=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@28=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@32=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@36=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@40=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@44=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@48=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@60=_gfx8_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindBufferMemory2KHR@104=_gfx8_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindBufferMemory2KHR=gfx8_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@4=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@8=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@12=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@16=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@20=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@24=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@28=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@32=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@36=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@40=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@44=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@48=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@60=_gfx9_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindBufferMemory2KHR@104=_gfx9_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindBufferMemory2KHR=gfx9_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@4=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@8=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@12=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@16=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@20=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@24=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@28=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@32=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@36=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@40=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@44=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@48=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@60=_gfx11_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindBufferMemory2KHR@104=_gfx11_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindBufferMemory2KHR=gfx11_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@4=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@8=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@12=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@16=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@20=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@24=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@28=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@32=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@36=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@40=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@44=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@48=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@60=_gfx12_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindBufferMemory2KHR@104=_gfx12_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindBufferMemory2KHR=gfx12_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@4=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@8=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@12=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@16=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@20=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@24=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@28=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@32=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@36=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@40=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@44=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@48=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@60=_gfx125_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindBufferMemory2KHR@104=_gfx125_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindBufferMemory2KHR=gfx125_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@4=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@8=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@12=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@16=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@20=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@24=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@28=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@32=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@36=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@40=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@44=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@48=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@60=_anv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2@104=_anv_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindImageMemory2=anv_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@4=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@8=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@12=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@16=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@20=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@24=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@28=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@32=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@36=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@40=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@44=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@48=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@60=_gfx7_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2@104=_gfx7_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindImageMemory2=gfx7_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@4=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@8=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@12=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@16=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@20=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@24=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@28=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@32=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@36=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@40=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@44=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@48=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@60=_gfx75_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2@104=_gfx75_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindImageMemory2=gfx75_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@4=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@8=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@12=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@16=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@20=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@24=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@28=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@32=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@36=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@40=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@44=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@48=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@60=_gfx8_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2@104=_gfx8_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindImageMemory2=gfx8_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@4=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@8=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@12=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@16=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@20=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@24=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@28=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@32=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@36=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@40=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@44=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@48=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@60=_gfx9_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2@104=_gfx9_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindImageMemory2=gfx9_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@4=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@8=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@12=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@16=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@20=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@24=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@28=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@32=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@36=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@40=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@44=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@48=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@60=_gfx11_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2@104=_gfx11_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindImageMemory2=gfx11_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@4=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@8=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@12=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@16=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@20=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@24=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@28=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@32=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@36=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@40=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@44=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@48=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@60=_gfx12_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2@104=_gfx12_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindImageMemory2=gfx12_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@4=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@8=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@12=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@16=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@20=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@24=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@28=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@32=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@36=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@40=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@44=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@48=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@60=_gfx125_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2@104=_gfx125_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindImageMemory2=gfx125_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@4=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@8=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@12=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@16=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@20=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@24=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@28=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@32=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@36=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@40=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@44=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@48=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@60=_anv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindImageMemory2KHR@104=_anv_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindImageMemory2KHR=anv_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@4=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@8=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@12=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@16=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@20=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@24=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@28=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@32=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@36=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@40=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@44=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@48=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@60=_gfx7_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindImageMemory2KHR@104=_gfx7_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindImageMemory2KHR=gfx7_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@4=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@8=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@12=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@16=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@20=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@24=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@28=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@32=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@36=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@40=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@44=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@48=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@60=_gfx75_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindImageMemory2KHR@104=_gfx75_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindImageMemory2KHR=gfx75_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@4=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@8=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@12=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@16=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@20=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@24=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@28=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@32=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@36=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@40=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@44=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@48=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@60=_gfx8_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindImageMemory2KHR@104=_gfx8_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindImageMemory2KHR=gfx8_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@4=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@8=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@12=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@16=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@20=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@24=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@28=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@32=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@36=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@40=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@44=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@48=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@60=_gfx9_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindImageMemory2KHR@104=_gfx9_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindImageMemory2KHR=gfx9_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@4=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@8=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@12=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@16=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@20=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@24=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@28=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@32=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@36=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@40=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@44=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@48=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@60=_gfx11_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindImageMemory2KHR@104=_gfx11_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindImageMemory2KHR=gfx11_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@4=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@8=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@12=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@16=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@20=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@24=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@28=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@32=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@36=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@40=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@44=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@48=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@60=_gfx12_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindImageMemory2KHR@104=_gfx12_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindImageMemory2KHR=gfx12_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@4=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@8=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@12=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@16=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@20=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@24=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@28=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@32=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@36=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@40=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@44=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@48=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@60=_gfx125_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindImageMemory2KHR@104=_gfx125_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindImageMemory2KHR=gfx125_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@4=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@8=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@12=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@16=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@20=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@24=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@28=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@32=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@36=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@40=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@44=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@48=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@60=_anv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMask@104=_anv_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDeviceMask=anv_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@4=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@8=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@12=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@16=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@20=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@24=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@28=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@32=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@36=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@40=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@44=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@48=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@60=_gfx7_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMask@104=_gfx7_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDeviceMask=gfx7_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@4=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@8=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@12=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@16=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@20=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@24=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@28=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@32=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@36=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@40=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@44=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@48=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@60=_gfx75_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMask@104=_gfx75_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDeviceMask=gfx75_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@4=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@8=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@12=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@16=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@20=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@24=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@28=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@32=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@36=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@40=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@44=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@48=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@60=_gfx8_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMask@104=_gfx8_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDeviceMask=gfx8_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@4=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@8=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@12=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@16=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@20=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@24=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@28=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@32=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@36=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@40=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@44=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@48=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@60=_gfx9_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMask@104=_gfx9_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDeviceMask=gfx9_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@4=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@8=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@12=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@16=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@20=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@24=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@28=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@32=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@36=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@40=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@44=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@48=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@60=_gfx11_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMask@104=_gfx11_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDeviceMask=gfx11_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@4=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@8=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@12=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@16=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@20=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@24=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@28=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@32=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@36=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@40=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@44=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@48=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@60=_gfx12_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMask@104=_gfx12_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDeviceMask=gfx12_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@4=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@8=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@12=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@16=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@20=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@24=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@28=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@32=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@36=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@40=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@44=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@48=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@60=_gfx125_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMask@104=_gfx125_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDeviceMask=gfx125_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@4=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@8=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@12=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@16=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@20=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@24=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@28=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@32=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@36=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@40=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@44=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@48=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@60=_anv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDeviceMaskKHR@104=_anv_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDeviceMaskKHR=anv_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@4=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@8=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@12=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@16=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@20=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@24=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@28=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@32=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@36=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@40=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@44=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@48=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@60=_gfx7_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDeviceMaskKHR@104=_gfx7_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDeviceMaskKHR=gfx7_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@4=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@8=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@12=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@16=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@20=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@24=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@28=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@32=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@36=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@40=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@44=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@48=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@60=_gfx75_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDeviceMaskKHR@104=_gfx75_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDeviceMaskKHR=gfx75_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@4=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@8=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@12=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@16=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@20=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@24=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@28=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@32=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@36=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@40=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@44=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@48=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@60=_gfx8_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDeviceMaskKHR@104=_gfx8_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDeviceMaskKHR=gfx8_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@4=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@8=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@12=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@16=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@20=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@24=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@28=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@32=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@36=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@40=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@44=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@48=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@60=_gfx9_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDeviceMaskKHR@104=_gfx9_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDeviceMaskKHR=gfx9_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@4=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@8=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@12=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@16=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@20=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@24=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@28=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@32=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@36=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@40=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@44=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@48=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@60=_gfx11_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDeviceMaskKHR@104=_gfx11_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDeviceMaskKHR=gfx11_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@4=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@8=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@12=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@16=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@20=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@24=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@28=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@32=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@36=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@40=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@44=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@48=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@60=_gfx12_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDeviceMaskKHR@104=_gfx12_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDeviceMaskKHR=gfx12_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@4=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@8=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@12=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@16=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@20=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@24=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@28=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@32=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@36=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@40=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@44=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@48=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@60=_gfx125_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDeviceMaskKHR@104=_gfx125_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDeviceMaskKHR=gfx125_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@4=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@8=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@12=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@16=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@20=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@24=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@28=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@32=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@36=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@40=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@44=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@48=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@60=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupPresentCapabilitiesKHR@104=_anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceGroupPresentCapabilitiesKHR=anv_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceGroupPresentCapabilitiesKHR=gfx7_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceGroupPresentCapabilitiesKHR=gfx75_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceGroupPresentCapabilitiesKHR=gfx8_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceGroupPresentCapabilitiesKHR=gfx9_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceGroupPresentCapabilitiesKHR=gfx11_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceGroupPresentCapabilitiesKHR=gfx12_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@4=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@8=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@12=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@16=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@20=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@24=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@28=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@32=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@36=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@40=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@44=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@48=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@60=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupPresentCapabilitiesKHR@104=_gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceGroupPresentCapabilitiesKHR=gfx125_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@4=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@8=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@12=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@16=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@20=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@24=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@28=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@32=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@36=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@40=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@44=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@48=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@60=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModesKHR@104=_anv_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceGroupSurfacePresentModesKHR=anv_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@4=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@8=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@12=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@16=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@20=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@24=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@28=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@32=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@36=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@40=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@44=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@48=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@60=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModesKHR@104=_gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceGroupSurfacePresentModesKHR=gfx7_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@4=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@8=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@12=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@16=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@20=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@24=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@28=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@32=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@36=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@40=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@44=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@48=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@60=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModesKHR@104=_gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceGroupSurfacePresentModesKHR=gfx75_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@4=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@8=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@12=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@16=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@20=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@24=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@28=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@32=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@36=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@40=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@44=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@48=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@60=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModesKHR@104=_gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceGroupSurfacePresentModesKHR=gfx8_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@4=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@8=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@12=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@16=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@20=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@24=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@28=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@32=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@36=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@40=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@44=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@48=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@60=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModesKHR@104=_gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceGroupSurfacePresentModesKHR=gfx9_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@4=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@8=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@12=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@16=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@20=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@24=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@28=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@32=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@36=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@40=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@44=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@48=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@60=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModesKHR@104=_gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceGroupSurfacePresentModesKHR=gfx11_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@4=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@8=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@12=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@16=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@20=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@24=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@28=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@32=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@36=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@40=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@44=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@48=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@60=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModesKHR@104=_gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceGroupSurfacePresentModesKHR=gfx12_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@4=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@8=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@12=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@16=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@20=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@24=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@28=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@32=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@36=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@40=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@44=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@48=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@60=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModesKHR@104=_gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceGroupSurfacePresentModesKHR=gfx125_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@4=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@8=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@12=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@16=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@20=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@24=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@28=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@32=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@36=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@40=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@44=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@48=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@60=_anv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireNextImage2KHR@104=_anv_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireNextImage2KHR=anv_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@4=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@8=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@12=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@16=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@20=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@24=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@28=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@32=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@36=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@40=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@44=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@48=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@60=_gfx7_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireNextImage2KHR@104=_gfx7_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AcquireNextImage2KHR=gfx7_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@4=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@8=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@12=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@16=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@20=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@24=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@28=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@32=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@36=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@40=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@44=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@48=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@60=_gfx75_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireNextImage2KHR@104=_gfx75_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AcquireNextImage2KHR=gfx75_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@4=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@8=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@12=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@16=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@20=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@24=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@28=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@32=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@36=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@40=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@44=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@48=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@60=_gfx8_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireNextImage2KHR@104=_gfx8_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AcquireNextImage2KHR=gfx8_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@4=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@8=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@12=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@16=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@20=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@24=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@28=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@32=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@36=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@40=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@44=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@48=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@60=_gfx9_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireNextImage2KHR@104=_gfx9_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AcquireNextImage2KHR=gfx9_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@4=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@8=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@12=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@16=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@20=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@24=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@28=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@32=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@36=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@40=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@44=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@48=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@60=_gfx11_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireNextImage2KHR@104=_gfx11_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AcquireNextImage2KHR=gfx11_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@4=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@8=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@12=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@16=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@20=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@24=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@28=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@32=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@36=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@40=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@44=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@48=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@60=_gfx12_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireNextImage2KHR@104=_gfx12_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AcquireNextImage2KHR=gfx12_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@4=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@8=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@12=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@16=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@20=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@24=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@28=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@32=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@36=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@40=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@44=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@48=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@60=_gfx125_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireNextImage2KHR@104=_gfx125_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AcquireNextImage2KHR=gfx125_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@4=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@8=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@12=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@16=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@20=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@24=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@28=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@32=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@36=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@40=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@44=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@48=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@60=_anv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBase@104=_anv_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDispatchBase=anv_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@4=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@8=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@12=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@16=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@20=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@24=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@28=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@32=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@36=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@40=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@44=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@48=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@60=_gfx7_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBase@104=_gfx7_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDispatchBase=gfx7_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@4=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@8=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@12=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@16=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@20=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@24=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@28=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@32=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@36=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@40=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@44=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@48=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@60=_gfx75_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBase@104=_gfx75_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDispatchBase=gfx75_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@4=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@8=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@12=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@16=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@20=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@24=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@28=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@32=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@36=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@40=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@44=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@48=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@60=_gfx8_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBase@104=_gfx8_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDispatchBase=gfx8_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@4=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@8=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@12=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@16=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@20=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@24=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@28=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@32=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@36=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@40=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@44=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@48=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@60=_gfx9_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBase@104=_gfx9_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDispatchBase=gfx9_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@4=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@8=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@12=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@16=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@20=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@24=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@28=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@32=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@36=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@40=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@44=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@48=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@60=_gfx11_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBase@104=_gfx11_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDispatchBase=gfx11_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@4=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@8=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@12=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@16=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@20=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@24=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@28=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@32=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@36=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@40=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@44=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@48=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@60=_gfx12_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBase@104=_gfx12_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDispatchBase=gfx12_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@4=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@8=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@12=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@16=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@20=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@24=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@28=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@32=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@36=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@40=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@44=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@48=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@60=_gfx125_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBase@104=_gfx125_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDispatchBase=gfx125_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@4=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@8=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@12=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@16=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@20=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@24=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@28=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@32=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@36=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@40=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@44=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@48=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@60=_anv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDispatchBaseKHR@104=_anv_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDispatchBaseKHR=anv_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@4=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@8=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@12=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@16=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@20=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@24=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@28=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@32=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@36=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@40=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@44=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@48=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@60=_gfx7_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDispatchBaseKHR@104=_gfx7_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDispatchBaseKHR=gfx7_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@4=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@8=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@12=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@16=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@20=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@24=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@28=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@32=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@36=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@40=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@44=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@48=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@60=_gfx75_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDispatchBaseKHR@104=_gfx75_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDispatchBaseKHR=gfx75_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@4=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@8=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@12=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@16=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@20=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@24=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@28=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@32=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@36=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@40=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@44=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@48=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@60=_gfx8_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDispatchBaseKHR@104=_gfx8_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDispatchBaseKHR=gfx8_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@4=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@8=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@12=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@16=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@20=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@24=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@28=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@32=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@36=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@40=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@44=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@48=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@60=_gfx9_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDispatchBaseKHR@104=_gfx9_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDispatchBaseKHR=gfx9_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@4=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@8=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@12=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@16=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@20=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@24=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@28=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@32=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@36=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@40=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@44=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@48=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@60=_gfx11_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDispatchBaseKHR@104=_gfx11_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDispatchBaseKHR=gfx11_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@4=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@8=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@12=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@16=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@20=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@24=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@28=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@32=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@36=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@40=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@44=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@48=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@60=_gfx12_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDispatchBaseKHR@104=_gfx12_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDispatchBaseKHR=gfx12_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@4=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@8=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@12=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@16=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@20=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@24=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@28=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@32=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@36=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@40=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@44=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@48=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@60=_gfx125_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDispatchBaseKHR@104=_gfx125_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDispatchBaseKHR=gfx125_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@4=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@8=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@12=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@16=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@20=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@24=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@28=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@32=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@36=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@40=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@44=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@48=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@60=_anv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplate@104=_anv_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDescriptorUpdateTemplate=anv_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@4=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@8=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@12=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@16=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@20=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@24=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@28=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@32=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@36=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@40=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@44=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@48=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@60=_gfx7_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplate@104=_gfx7_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateDescriptorUpdateTemplate=gfx7_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@4=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@8=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@12=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@16=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@20=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@24=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@28=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@32=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@36=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@40=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@44=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@48=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@60=_gfx75_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplate@104=_gfx75_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateDescriptorUpdateTemplate=gfx75_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@4=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@8=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@12=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@16=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@20=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@24=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@28=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@32=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@36=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@40=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@44=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@48=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@60=_gfx8_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplate@104=_gfx8_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateDescriptorUpdateTemplate=gfx8_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@4=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@8=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@12=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@16=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@20=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@24=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@28=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@32=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@36=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@40=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@44=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@48=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@60=_gfx9_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplate@104=_gfx9_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateDescriptorUpdateTemplate=gfx9_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@4=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@8=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@12=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@16=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@20=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@24=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@28=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@32=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@36=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@40=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@44=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@48=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@60=_gfx11_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplate@104=_gfx11_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateDescriptorUpdateTemplate=gfx11_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@4=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@8=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@12=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@16=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@20=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@24=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@28=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@32=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@36=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@40=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@44=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@48=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@60=_gfx12_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplate@104=_gfx12_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateDescriptorUpdateTemplate=gfx12_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@4=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@8=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@12=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@16=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@20=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@24=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@28=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@32=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@36=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@40=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@44=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@48=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@60=_gfx125_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplate@104=_gfx125_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateDescriptorUpdateTemplate=gfx125_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@4=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@8=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@12=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@16=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@20=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@24=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@28=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@32=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@36=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@40=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@44=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@48=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@60=_anv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDescriptorUpdateTemplateKHR@104=_anv_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDescriptorUpdateTemplateKHR=anv_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@4=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@8=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@12=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@16=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@20=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@24=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@28=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@32=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@36=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@40=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@44=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@48=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@60=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDescriptorUpdateTemplateKHR@104=_gfx7_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateDescriptorUpdateTemplateKHR=gfx7_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@4=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@8=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@12=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@16=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@20=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@24=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@28=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@32=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@36=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@40=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@44=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@48=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@60=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDescriptorUpdateTemplateKHR@104=_gfx75_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateDescriptorUpdateTemplateKHR=gfx75_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@4=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@8=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@12=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@16=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@20=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@24=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@28=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@32=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@36=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@40=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@44=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@48=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@60=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDescriptorUpdateTemplateKHR@104=_gfx8_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateDescriptorUpdateTemplateKHR=gfx8_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@4=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@8=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@12=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@16=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@20=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@24=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@28=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@32=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@36=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@40=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@44=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@48=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@60=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDescriptorUpdateTemplateKHR@104=_gfx9_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateDescriptorUpdateTemplateKHR=gfx9_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@4=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@8=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@12=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@16=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@20=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@24=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@28=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@32=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@36=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@40=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@44=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@48=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@60=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDescriptorUpdateTemplateKHR@104=_gfx11_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateDescriptorUpdateTemplateKHR=gfx11_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@4=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@8=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@12=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@16=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@20=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@24=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@28=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@32=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@36=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@40=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@44=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@48=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@60=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDescriptorUpdateTemplateKHR@104=_gfx12_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateDescriptorUpdateTemplateKHR=gfx12_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@4=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@8=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@12=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@16=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@20=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@24=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@28=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@32=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@36=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@40=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@44=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@48=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@60=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDescriptorUpdateTemplateKHR@104=_gfx125_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateDescriptorUpdateTemplateKHR=gfx125_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@4=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@8=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@12=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@16=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@20=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@24=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@28=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@32=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@36=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@40=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@44=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@48=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@60=_anv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplate@104=_anv_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDescriptorUpdateTemplate=anv_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@4=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@8=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@12=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@16=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@20=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@24=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@28=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@32=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@36=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@40=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@44=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@48=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@60=_gfx7_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplate@104=_gfx7_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyDescriptorUpdateTemplate=gfx7_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@4=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@8=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@12=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@16=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@20=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@24=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@28=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@32=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@36=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@40=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@44=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@48=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@60=_gfx75_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplate@104=_gfx75_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyDescriptorUpdateTemplate=gfx75_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@4=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@8=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@12=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@16=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@20=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@24=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@28=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@32=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@36=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@40=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@44=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@48=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@60=_gfx8_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplate@104=_gfx8_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyDescriptorUpdateTemplate=gfx8_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@4=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@8=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@12=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@16=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@20=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@24=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@28=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@32=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@36=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@40=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@44=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@48=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@60=_gfx9_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplate@104=_gfx9_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyDescriptorUpdateTemplate=gfx9_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@4=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@8=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@12=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@16=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@20=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@24=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@28=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@32=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@36=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@40=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@44=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@48=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@60=_gfx11_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplate@104=_gfx11_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyDescriptorUpdateTemplate=gfx11_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@4=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@8=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@12=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@16=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@20=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@24=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@28=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@32=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@36=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@40=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@44=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@48=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@60=_gfx12_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplate@104=_gfx12_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyDescriptorUpdateTemplate=gfx12_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@4=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@8=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@12=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@16=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@20=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@24=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@28=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@32=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@36=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@40=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@44=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@48=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@60=_gfx125_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplate@104=_gfx125_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyDescriptorUpdateTemplate=gfx125_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@4=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@8=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@12=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@16=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@20=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@24=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@28=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@32=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@36=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@40=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@44=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@48=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@60=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDescriptorUpdateTemplateKHR@104=_anv_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDescriptorUpdateTemplateKHR=anv_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@4=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@8=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@12=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@16=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@20=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@24=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@28=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@32=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@36=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@40=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@44=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@48=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@60=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDescriptorUpdateTemplateKHR@104=_gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyDescriptorUpdateTemplateKHR=gfx7_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@4=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@8=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@12=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@16=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@20=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@24=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@28=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@32=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@36=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@40=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@44=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@48=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@60=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDescriptorUpdateTemplateKHR@104=_gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyDescriptorUpdateTemplateKHR=gfx75_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@4=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@8=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@12=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@16=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@20=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@24=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@28=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@32=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@36=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@40=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@44=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@48=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@60=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDescriptorUpdateTemplateKHR@104=_gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyDescriptorUpdateTemplateKHR=gfx8_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@4=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@8=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@12=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@16=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@20=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@24=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@28=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@32=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@36=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@40=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@44=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@48=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@60=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDescriptorUpdateTemplateKHR@104=_gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyDescriptorUpdateTemplateKHR=gfx9_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@4=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@8=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@12=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@16=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@20=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@24=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@28=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@32=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@36=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@40=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@44=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@48=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@60=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDescriptorUpdateTemplateKHR@104=_gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyDescriptorUpdateTemplateKHR=gfx11_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@4=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@8=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@12=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@16=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@20=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@24=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@28=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@32=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@36=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@40=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@44=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@48=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@60=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDescriptorUpdateTemplateKHR@104=_gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyDescriptorUpdateTemplateKHR=gfx12_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@4=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@8=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@12=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@16=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@20=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@24=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@28=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@32=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@36=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@40=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@44=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@48=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@60=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDescriptorUpdateTemplateKHR@104=_gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyDescriptorUpdateTemplateKHR=gfx125_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@4=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@8=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@12=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@16=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@20=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@24=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@28=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@32=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@36=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@40=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@44=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@48=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@60=_anv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplate@104=_anv_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:anv_UpdateDescriptorSetWithTemplate=anv_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@4=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@8=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@12=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@16=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@20=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@24=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@28=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@32=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@36=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@40=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@44=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@48=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@60=_gfx7_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplate@104=_gfx7_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_UpdateDescriptorSetWithTemplate=gfx7_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@4=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@8=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@12=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@16=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@20=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@24=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@28=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@32=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@36=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@40=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@44=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@48=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@60=_gfx75_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplate@104=_gfx75_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_UpdateDescriptorSetWithTemplate=gfx75_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@4=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@8=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@12=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@16=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@20=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@24=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@28=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@32=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@36=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@40=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@44=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@48=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@60=_gfx8_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplate@104=_gfx8_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_UpdateDescriptorSetWithTemplate=gfx8_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@4=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@8=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@12=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@16=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@20=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@24=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@28=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@32=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@36=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@40=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@44=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@48=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@60=_gfx9_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplate@104=_gfx9_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_UpdateDescriptorSetWithTemplate=gfx9_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@4=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@8=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@12=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@16=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@20=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@24=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@28=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@32=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@36=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@40=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@44=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@48=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@60=_gfx11_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplate@104=_gfx11_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_UpdateDescriptorSetWithTemplate=gfx11_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@4=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@8=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@12=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@16=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@20=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@24=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@28=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@32=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@36=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@40=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@44=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@48=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@60=_gfx12_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplate@104=_gfx12_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_UpdateDescriptorSetWithTemplate=gfx12_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@4=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@8=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@12=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@16=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@20=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@24=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@28=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@32=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@36=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@40=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@44=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@48=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@60=_gfx125_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplate@104=_gfx125_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_UpdateDescriptorSetWithTemplate=gfx125_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@4=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@8=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@12=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@16=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@20=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@24=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@28=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@32=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@36=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@40=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@44=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@48=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@60=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateDescriptorSetWithTemplateKHR@104=_anv_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_UpdateDescriptorSetWithTemplateKHR=anv_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@4=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@8=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@12=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@16=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@20=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@24=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@28=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@32=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@36=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@40=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@44=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@48=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@60=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateDescriptorSetWithTemplateKHR@104=_gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_UpdateDescriptorSetWithTemplateKHR=gfx7_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@4=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@8=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@12=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@16=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@20=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@24=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@28=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@32=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@36=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@40=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@44=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@48=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@60=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateDescriptorSetWithTemplateKHR@104=_gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_UpdateDescriptorSetWithTemplateKHR=gfx75_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@4=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@8=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@12=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@16=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@20=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@24=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@28=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@32=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@36=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@40=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@44=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@48=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@60=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateDescriptorSetWithTemplateKHR@104=_gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_UpdateDescriptorSetWithTemplateKHR=gfx8_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@4=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@8=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@12=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@16=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@20=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@24=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@28=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@32=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@36=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@40=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@44=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@48=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@60=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateDescriptorSetWithTemplateKHR@104=_gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_UpdateDescriptorSetWithTemplateKHR=gfx9_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@4=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@8=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@12=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@16=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@20=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@24=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@28=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@32=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@36=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@40=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@44=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@48=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@60=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateDescriptorSetWithTemplateKHR@104=_gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_UpdateDescriptorSetWithTemplateKHR=gfx11_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@4=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@8=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@12=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@16=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@20=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@24=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@28=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@32=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@36=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@40=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@44=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@48=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@60=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateDescriptorSetWithTemplateKHR@104=_gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_UpdateDescriptorSetWithTemplateKHR=gfx12_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@4=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@8=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@12=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@16=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@20=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@24=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@28=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@32=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@36=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@40=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@44=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@48=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@60=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateDescriptorSetWithTemplateKHR@104=_gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_UpdateDescriptorSetWithTemplateKHR=gfx125_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@4=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@8=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@12=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@16=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@20=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@24=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@28=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@32=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@36=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@40=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@44=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@48=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@60=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPushDescriptorSetWithTemplateKHR@104=_anv_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdPushDescriptorSetWithTemplateKHR=anv_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@4=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@8=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@12=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@16=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@20=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@24=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@28=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@32=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@36=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@40=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@44=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@48=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@60=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPushDescriptorSetWithTemplateKHR@104=_gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdPushDescriptorSetWithTemplateKHR=gfx7_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@4=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@8=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@12=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@16=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@20=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@24=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@28=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@32=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@36=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@40=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@44=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@48=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@60=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPushDescriptorSetWithTemplateKHR@104=_gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdPushDescriptorSetWithTemplateKHR=gfx75_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@4=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@8=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@12=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@16=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@20=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@24=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@28=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@32=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@36=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@40=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@44=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@48=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@60=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPushDescriptorSetWithTemplateKHR@104=_gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdPushDescriptorSetWithTemplateKHR=gfx8_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@4=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@8=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@12=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@16=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@20=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@24=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@28=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@32=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@36=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@40=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@44=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@48=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@60=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPushDescriptorSetWithTemplateKHR@104=_gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdPushDescriptorSetWithTemplateKHR=gfx9_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@4=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@8=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@12=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@16=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@20=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@24=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@28=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@32=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@36=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@40=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@44=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@48=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@60=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPushDescriptorSetWithTemplateKHR@104=_gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdPushDescriptorSetWithTemplateKHR=gfx11_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@4=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@8=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@12=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@16=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@20=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@24=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@28=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@32=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@36=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@40=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@44=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@48=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@60=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPushDescriptorSetWithTemplateKHR@104=_gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdPushDescriptorSetWithTemplateKHR=gfx12_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@4=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@8=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@12=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@16=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@20=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@24=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@28=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@32=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@36=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@40=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@44=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@48=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@60=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPushDescriptorSetWithTemplateKHR@104=_gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdPushDescriptorSetWithTemplateKHR=gfx125_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@4=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@8=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@12=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@16=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@20=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@24=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@28=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@32=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@36=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@40=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@44=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@48=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@60=_anv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetHdrMetadataEXT@104=_anv_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SetHdrMetadataEXT=anv_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@4=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@8=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@12=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@16=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@20=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@24=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@28=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@32=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@36=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@40=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@44=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@48=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@60=_gfx7_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetHdrMetadataEXT@104=_gfx7_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SetHdrMetadataEXT=gfx7_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@4=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@8=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@12=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@16=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@20=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@24=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@28=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@32=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@36=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@40=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@44=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@48=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@60=_gfx75_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetHdrMetadataEXT@104=_gfx75_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SetHdrMetadataEXT=gfx75_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@4=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@8=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@12=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@16=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@20=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@24=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@28=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@32=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@36=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@40=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@44=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@48=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@60=_gfx8_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetHdrMetadataEXT@104=_gfx8_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SetHdrMetadataEXT=gfx8_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@4=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@8=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@12=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@16=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@20=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@24=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@28=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@32=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@36=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@40=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@44=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@48=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@60=_gfx9_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetHdrMetadataEXT@104=_gfx9_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SetHdrMetadataEXT=gfx9_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@4=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@8=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@12=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@16=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@20=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@24=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@28=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@32=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@36=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@40=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@44=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@48=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@60=_gfx11_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetHdrMetadataEXT@104=_gfx11_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SetHdrMetadataEXT=gfx11_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@4=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@8=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@12=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@16=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@20=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@24=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@28=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@32=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@36=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@40=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@44=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@48=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@60=_gfx12_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetHdrMetadataEXT@104=_gfx12_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SetHdrMetadataEXT=gfx12_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@4=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@8=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@12=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@16=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@20=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@24=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@28=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@32=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@36=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@40=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@44=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@48=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@60=_gfx125_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetHdrMetadataEXT@104=_gfx125_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SetHdrMetadataEXT=gfx125_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@4=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@8=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@12=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@16=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@20=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@24=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@28=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@32=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@36=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@40=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@44=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@48=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@60=_anv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainStatusKHR@104=_anv_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSwapchainStatusKHR=anv_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@4=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@8=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@12=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@16=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@20=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@24=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@28=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@32=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@36=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@40=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@44=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@48=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@60=_gfx7_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainStatusKHR@104=_gfx7_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSwapchainStatusKHR=gfx7_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@4=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@8=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@12=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@16=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@20=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@24=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@28=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@32=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@36=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@40=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@44=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@48=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@60=_gfx75_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainStatusKHR@104=_gfx75_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSwapchainStatusKHR=gfx75_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@4=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@8=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@12=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@16=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@20=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@24=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@28=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@32=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@36=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@40=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@44=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@48=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@60=_gfx8_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainStatusKHR@104=_gfx8_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSwapchainStatusKHR=gfx8_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@4=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@8=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@12=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@16=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@20=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@24=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@28=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@32=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@36=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@40=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@44=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@48=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@60=_gfx9_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainStatusKHR@104=_gfx9_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSwapchainStatusKHR=gfx9_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@4=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@8=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@12=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@16=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@20=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@24=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@28=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@32=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@36=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@40=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@44=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@48=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@60=_gfx11_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainStatusKHR@104=_gfx11_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSwapchainStatusKHR=gfx11_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@4=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@8=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@12=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@16=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@20=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@24=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@28=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@32=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@36=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@40=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@44=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@48=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@60=_gfx12_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainStatusKHR@104=_gfx12_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSwapchainStatusKHR=gfx12_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@4=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@8=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@12=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@16=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@20=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@24=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@28=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@32=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@36=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@40=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@44=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@48=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@60=_gfx125_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainStatusKHR@104=_gfx125_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSwapchainStatusKHR=gfx125_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@4=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@8=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@12=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@16=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@20=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@24=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@28=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@32=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@36=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@40=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@44=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@48=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@60=_anv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRefreshCycleDurationGOOGLE@104=_anv_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRefreshCycleDurationGOOGLE=anv_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@4=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@8=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@12=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@16=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@20=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@24=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@28=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@32=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@36=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@40=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@44=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@48=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@60=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRefreshCycleDurationGOOGLE@104=_gfx7_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetRefreshCycleDurationGOOGLE=gfx7_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@4=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@8=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@12=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@16=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@20=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@24=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@28=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@32=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@36=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@40=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@44=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@48=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@60=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRefreshCycleDurationGOOGLE@104=_gfx75_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetRefreshCycleDurationGOOGLE=gfx75_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@4=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@8=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@12=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@16=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@20=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@24=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@28=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@32=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@36=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@40=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@44=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@48=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@60=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRefreshCycleDurationGOOGLE@104=_gfx8_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetRefreshCycleDurationGOOGLE=gfx8_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@4=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@8=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@12=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@16=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@20=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@24=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@28=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@32=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@36=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@40=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@44=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@48=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@60=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRefreshCycleDurationGOOGLE@104=_gfx9_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetRefreshCycleDurationGOOGLE=gfx9_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@4=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@8=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@12=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@16=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@20=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@24=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@28=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@32=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@36=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@40=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@44=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@48=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@60=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRefreshCycleDurationGOOGLE@104=_gfx11_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetRefreshCycleDurationGOOGLE=gfx11_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@4=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@8=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@12=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@16=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@20=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@24=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@28=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@32=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@36=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@40=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@44=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@48=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@60=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRefreshCycleDurationGOOGLE@104=_gfx12_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetRefreshCycleDurationGOOGLE=gfx12_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@4=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@8=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@12=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@16=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@20=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@24=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@28=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@32=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@36=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@40=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@44=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@48=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@60=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRefreshCycleDurationGOOGLE@104=_gfx125_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetRefreshCycleDurationGOOGLE=gfx125_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@4=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@8=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@12=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@16=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@20=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@24=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@28=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@32=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@36=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@40=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@44=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@48=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@60=_anv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPastPresentationTimingGOOGLE@104=_anv_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPastPresentationTimingGOOGLE=anv_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@4=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@8=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@12=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@16=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@20=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@24=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@28=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@32=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@36=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@40=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@44=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@48=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@60=_gfx7_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPastPresentationTimingGOOGLE@104=_gfx7_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPastPresentationTimingGOOGLE=gfx7_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@4=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@8=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@12=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@16=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@20=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@24=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@28=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@32=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@36=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@40=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@44=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@48=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@60=_gfx75_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPastPresentationTimingGOOGLE@104=_gfx75_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPastPresentationTimingGOOGLE=gfx75_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@4=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@8=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@12=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@16=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@20=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@24=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@28=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@32=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@36=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@40=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@44=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@48=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@60=_gfx8_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPastPresentationTimingGOOGLE@104=_gfx8_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPastPresentationTimingGOOGLE=gfx8_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@4=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@8=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@12=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@16=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@20=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@24=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@28=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@32=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@36=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@40=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@44=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@48=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@60=_gfx9_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPastPresentationTimingGOOGLE@104=_gfx9_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPastPresentationTimingGOOGLE=gfx9_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@4=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@8=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@12=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@16=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@20=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@24=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@28=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@32=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@36=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@40=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@44=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@48=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@60=_gfx11_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPastPresentationTimingGOOGLE@104=_gfx11_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPastPresentationTimingGOOGLE=gfx11_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@4=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@8=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@12=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@16=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@20=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@24=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@28=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@32=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@36=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@40=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@44=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@48=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@60=_gfx12_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPastPresentationTimingGOOGLE@104=_gfx12_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPastPresentationTimingGOOGLE=gfx12_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@4=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@8=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@12=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@16=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@20=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@24=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@28=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@32=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@36=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@40=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@44=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@48=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@60=_gfx125_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPastPresentationTimingGOOGLE@104=_gfx125_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPastPresentationTimingGOOGLE=gfx125_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@4=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@8=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@12=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@16=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@20=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@24=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@28=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@32=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@36=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@40=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@44=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@48=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@60=_anv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWScalingNV@104=_anv_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetViewportWScalingNV=anv_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@4=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@8=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@12=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@16=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@20=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@24=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@28=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@32=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@36=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@40=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@44=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@48=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@60=_gfx7_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWScalingNV@104=_gfx7_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetViewportWScalingNV=gfx7_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@4=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@8=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@12=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@16=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@20=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@24=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@28=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@32=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@36=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@40=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@44=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@48=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@60=_gfx75_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWScalingNV@104=_gfx75_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetViewportWScalingNV=gfx75_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@4=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@8=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@12=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@16=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@20=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@24=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@28=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@32=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@36=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@40=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@44=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@48=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@60=_gfx8_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWScalingNV@104=_gfx8_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetViewportWScalingNV=gfx8_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@4=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@8=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@12=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@16=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@20=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@24=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@28=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@32=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@36=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@40=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@44=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@48=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@60=_gfx9_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWScalingNV@104=_gfx9_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetViewportWScalingNV=gfx9_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@4=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@8=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@12=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@16=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@20=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@24=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@28=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@32=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@36=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@40=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@44=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@48=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@60=_gfx11_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWScalingNV@104=_gfx11_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetViewportWScalingNV=gfx11_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@4=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@8=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@12=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@16=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@20=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@24=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@28=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@32=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@36=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@40=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@44=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@48=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@60=_gfx12_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWScalingNV@104=_gfx12_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetViewportWScalingNV=gfx12_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@4=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@8=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@12=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@16=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@20=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@24=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@28=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@32=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@36=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@40=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@44=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@48=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@60=_gfx125_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWScalingNV@104=_gfx125_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetViewportWScalingNV=gfx125_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@4=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@8=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@12=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@16=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@20=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@24=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@28=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@32=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@36=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@40=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@44=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@48=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@60=_anv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDiscardRectangleEXT@104=_anv_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDiscardRectangleEXT=anv_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@4=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@8=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@12=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@16=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@20=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@24=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@28=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@32=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@36=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@40=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@44=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@48=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@60=_gfx7_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDiscardRectangleEXT@104=_gfx7_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDiscardRectangleEXT=gfx7_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@4=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@8=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@12=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@16=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@20=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@24=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@28=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@32=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@36=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@40=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@44=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@48=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@60=_gfx75_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDiscardRectangleEXT@104=_gfx75_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDiscardRectangleEXT=gfx75_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@4=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@8=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@12=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@16=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@20=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@24=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@28=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@32=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@36=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@40=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@44=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@48=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@60=_gfx8_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDiscardRectangleEXT@104=_gfx8_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDiscardRectangleEXT=gfx8_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@4=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@8=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@12=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@16=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@20=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@24=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@28=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@32=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@36=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@40=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@44=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@48=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@60=_gfx9_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDiscardRectangleEXT@104=_gfx9_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDiscardRectangleEXT=gfx9_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@4=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@8=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@12=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@16=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@20=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@24=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@28=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@32=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@36=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@40=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@44=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@48=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@60=_gfx11_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDiscardRectangleEXT@104=_gfx11_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDiscardRectangleEXT=gfx11_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@4=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@8=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@12=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@16=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@20=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@24=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@28=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@32=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@36=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@40=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@44=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@48=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@60=_gfx12_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDiscardRectangleEXT@104=_gfx12_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDiscardRectangleEXT=gfx12_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@4=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@8=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@12=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@16=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@20=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@24=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@28=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@32=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@36=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@40=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@44=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@48=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@60=_gfx125_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDiscardRectangleEXT@104=_gfx125_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDiscardRectangleEXT=gfx125_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@4=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@8=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@12=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@16=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@20=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@24=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@28=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@32=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@36=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@40=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@44=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@48=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@60=_anv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetSampleLocationsEXT@104=_anv_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetSampleLocationsEXT=anv_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@4=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@8=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@12=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@16=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@20=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@24=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@28=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@32=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@36=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@40=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@44=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@48=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@60=_gfx7_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetSampleLocationsEXT@104=_gfx7_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetSampleLocationsEXT=gfx7_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@4=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@8=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@12=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@16=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@20=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@24=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@28=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@32=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@36=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@40=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@44=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@48=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@60=_gfx75_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetSampleLocationsEXT@104=_gfx75_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetSampleLocationsEXT=gfx75_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@4=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@8=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@12=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@16=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@20=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@24=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@28=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@32=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@36=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@40=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@44=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@48=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@60=_gfx8_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetSampleLocationsEXT@104=_gfx8_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetSampleLocationsEXT=gfx8_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@4=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@8=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@12=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@16=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@20=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@24=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@28=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@32=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@36=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@40=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@44=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@48=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@60=_gfx9_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetSampleLocationsEXT@104=_gfx9_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetSampleLocationsEXT=gfx9_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@4=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@8=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@12=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@16=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@20=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@24=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@28=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@32=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@36=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@40=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@44=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@48=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@60=_gfx11_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetSampleLocationsEXT@104=_gfx11_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetSampleLocationsEXT=gfx11_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@4=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@8=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@12=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@16=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@20=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@24=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@28=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@32=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@36=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@40=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@44=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@48=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@60=_gfx12_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetSampleLocationsEXT@104=_gfx12_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetSampleLocationsEXT=gfx12_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@4=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@8=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@12=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@16=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@20=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@24=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@28=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@32=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@36=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@40=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@44=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@48=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@60=_gfx125_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetSampleLocationsEXT@104=_gfx125_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetSampleLocationsEXT=gfx125_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@4=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@8=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@12=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@16=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@20=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@24=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@28=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@32=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@36=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@40=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@44=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@48=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@60=_anv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2@104=_anv_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferMemoryRequirements2=anv_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@4=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@8=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@12=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@16=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@20=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@24=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@28=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@32=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@36=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@40=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@44=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@48=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@60=_gfx7_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2@104=_gfx7_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferMemoryRequirements2=gfx7_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@4=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@8=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@12=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@16=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@20=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@24=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@28=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@32=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@36=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@40=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@44=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@48=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@60=_gfx75_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2@104=_gfx75_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferMemoryRequirements2=gfx75_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@4=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@8=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@12=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@16=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@20=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@24=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@28=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@32=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@36=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@40=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@44=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@48=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@60=_gfx8_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2@104=_gfx8_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferMemoryRequirements2=gfx8_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@4=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@8=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@12=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@16=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@20=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@24=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@28=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@32=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@36=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@40=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@44=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@48=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@60=_gfx9_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2@104=_gfx9_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferMemoryRequirements2=gfx9_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@4=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@8=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@12=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@16=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@20=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@24=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@28=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@32=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@36=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@40=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@44=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@48=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@60=_gfx11_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2@104=_gfx11_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferMemoryRequirements2=gfx11_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@4=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@8=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@12=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@16=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@20=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@24=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@28=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@32=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@36=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@40=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@44=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@48=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@60=_gfx12_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2@104=_gfx12_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferMemoryRequirements2=gfx12_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@4=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@8=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@12=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@16=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@20=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@24=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@28=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@32=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@36=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@40=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@44=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@48=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@60=_gfx125_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2@104=_gfx125_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferMemoryRequirements2=gfx125_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@4=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@8=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@12=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@16=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@20=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@24=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@28=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@32=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@36=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@40=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@44=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@48=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@60=_anv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferMemoryRequirements2KHR@104=_anv_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferMemoryRequirements2KHR=anv_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@4=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@8=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@12=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@16=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@20=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@24=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@28=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@32=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@36=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@40=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@44=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@48=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@60=_gfx7_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferMemoryRequirements2KHR@104=_gfx7_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferMemoryRequirements2KHR=gfx7_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@4=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@8=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@12=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@16=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@20=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@24=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@28=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@32=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@36=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@40=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@44=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@48=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@60=_gfx75_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferMemoryRequirements2KHR@104=_gfx75_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferMemoryRequirements2KHR=gfx75_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@4=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@8=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@12=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@16=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@20=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@24=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@28=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@32=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@36=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@40=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@44=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@48=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@60=_gfx8_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferMemoryRequirements2KHR@104=_gfx8_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferMemoryRequirements2KHR=gfx8_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@4=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@8=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@12=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@16=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@20=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@24=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@28=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@32=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@36=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@40=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@44=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@48=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@60=_gfx9_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferMemoryRequirements2KHR@104=_gfx9_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferMemoryRequirements2KHR=gfx9_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@4=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@8=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@12=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@16=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@20=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@24=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@28=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@32=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@36=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@40=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@44=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@48=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@60=_gfx11_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferMemoryRequirements2KHR@104=_gfx11_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferMemoryRequirements2KHR=gfx11_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@4=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@8=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@12=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@16=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@20=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@24=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@28=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@32=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@36=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@40=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@44=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@48=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@60=_gfx12_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferMemoryRequirements2KHR@104=_gfx12_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferMemoryRequirements2KHR=gfx12_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@4=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@8=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@12=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@16=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@20=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@24=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@28=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@32=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@36=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@40=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@44=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@48=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@60=_gfx125_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferMemoryRequirements2KHR@104=_gfx125_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferMemoryRequirements2KHR=gfx125_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@4=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@8=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@12=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@16=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@20=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@24=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@28=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@32=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@36=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@40=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@44=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@48=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@60=_anv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2@104=_anv_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageMemoryRequirements2=anv_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@4=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@8=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@12=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@16=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@20=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@24=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@28=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@32=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@36=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@40=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@44=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@48=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@60=_gfx7_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2@104=_gfx7_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageMemoryRequirements2=gfx7_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@4=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@8=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@12=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@16=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@20=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@24=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@28=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@32=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@36=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@40=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@44=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@48=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@60=_gfx75_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2@104=_gfx75_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageMemoryRequirements2=gfx75_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@4=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@8=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@12=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@16=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@20=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@24=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@28=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@32=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@36=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@40=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@44=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@48=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@60=_gfx8_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2@104=_gfx8_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageMemoryRequirements2=gfx8_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@4=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@8=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@12=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@16=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@20=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@24=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@28=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@32=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@36=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@40=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@44=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@48=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@60=_gfx9_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2@104=_gfx9_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageMemoryRequirements2=gfx9_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@4=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@8=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@12=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@16=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@20=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@24=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@28=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@32=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@36=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@40=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@44=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@48=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@60=_gfx11_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2@104=_gfx11_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageMemoryRequirements2=gfx11_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@4=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@8=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@12=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@16=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@20=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@24=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@28=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@32=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@36=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@40=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@44=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@48=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@60=_gfx12_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2@104=_gfx12_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageMemoryRequirements2=gfx12_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@4=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@8=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@12=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@16=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@20=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@24=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@28=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@32=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@36=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@40=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@44=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@48=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@60=_gfx125_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2@104=_gfx125_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageMemoryRequirements2=gfx125_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@4=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@8=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@12=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@16=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@20=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@24=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@28=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@32=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@36=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@40=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@44=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@48=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@60=_anv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageMemoryRequirements2KHR@104=_anv_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageMemoryRequirements2KHR=anv_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@4=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@8=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@12=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@16=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@20=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@24=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@28=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@32=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@36=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@40=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@44=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@48=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@60=_gfx7_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageMemoryRequirements2KHR@104=_gfx7_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageMemoryRequirements2KHR=gfx7_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@4=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@8=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@12=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@16=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@20=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@24=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@28=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@32=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@36=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@40=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@44=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@48=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@60=_gfx75_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageMemoryRequirements2KHR@104=_gfx75_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageMemoryRequirements2KHR=gfx75_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@4=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@8=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@12=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@16=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@20=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@24=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@28=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@32=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@36=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@40=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@44=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@48=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@60=_gfx8_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageMemoryRequirements2KHR@104=_gfx8_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageMemoryRequirements2KHR=gfx8_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@4=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@8=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@12=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@16=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@20=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@24=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@28=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@32=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@36=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@40=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@44=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@48=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@60=_gfx9_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageMemoryRequirements2KHR@104=_gfx9_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageMemoryRequirements2KHR=gfx9_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@4=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@8=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@12=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@16=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@20=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@24=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@28=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@32=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@36=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@40=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@44=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@48=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@60=_gfx11_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageMemoryRequirements2KHR@104=_gfx11_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageMemoryRequirements2KHR=gfx11_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@4=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@8=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@12=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@16=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@20=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@24=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@28=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@32=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@36=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@40=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@44=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@48=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@60=_gfx12_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageMemoryRequirements2KHR@104=_gfx12_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageMemoryRequirements2KHR=gfx12_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@4=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@8=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@12=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@16=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@20=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@24=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@28=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@32=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@36=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@40=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@44=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@48=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@60=_gfx125_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageMemoryRequirements2KHR@104=_gfx125_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageMemoryRequirements2KHR=gfx125_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@4=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@8=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@12=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@16=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@20=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@24=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@28=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@32=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@36=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@40=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@44=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@48=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@60=_anv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2@104=_anv_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageSparseMemoryRequirements2=anv_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@4=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@8=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@12=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@16=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@20=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@24=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@28=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@32=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@36=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@40=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@44=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@48=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@60=_gfx7_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2@104=_gfx7_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageSparseMemoryRequirements2=gfx7_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@4=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@8=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@12=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@16=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@20=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@24=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@28=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@32=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@36=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@40=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@44=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@48=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@60=_gfx75_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2@104=_gfx75_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageSparseMemoryRequirements2=gfx75_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@4=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@8=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@12=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@16=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@20=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@24=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@28=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@32=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@36=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@40=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@44=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@48=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@60=_gfx8_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2@104=_gfx8_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageSparseMemoryRequirements2=gfx8_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@4=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@8=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@12=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@16=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@20=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@24=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@28=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@32=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@36=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@40=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@44=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@48=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@60=_gfx9_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2@104=_gfx9_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageSparseMemoryRequirements2=gfx9_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@4=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@8=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@12=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@16=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@20=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@24=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@28=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@32=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@36=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@40=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@44=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@48=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@60=_gfx11_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2@104=_gfx11_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageSparseMemoryRequirements2=gfx11_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@4=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@8=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@12=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@16=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@20=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@24=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@28=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@32=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@36=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@40=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@44=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@48=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@60=_gfx12_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2@104=_gfx12_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageSparseMemoryRequirements2=gfx12_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@4=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@8=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@12=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@16=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@20=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@24=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@28=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@32=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@36=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@40=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@44=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@48=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@60=_gfx125_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2@104=_gfx125_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageSparseMemoryRequirements2=gfx125_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@4=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@8=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@12=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@16=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@20=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@24=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@28=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@32=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@36=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@40=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@44=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@48=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@60=_anv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageSparseMemoryRequirements2KHR@104=_anv_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageSparseMemoryRequirements2KHR=anv_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@4=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@8=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@12=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@16=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@20=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@24=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@28=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@32=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@36=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@40=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@44=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@48=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@60=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageSparseMemoryRequirements2KHR@104=_gfx7_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageSparseMemoryRequirements2KHR=gfx7_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@4=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@8=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@12=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@16=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@20=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@24=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@28=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@32=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@36=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@40=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@44=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@48=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@60=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageSparseMemoryRequirements2KHR@104=_gfx75_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageSparseMemoryRequirements2KHR=gfx75_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@4=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@8=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@12=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@16=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@20=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@24=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@28=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@32=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@36=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@40=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@44=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@48=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@60=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageSparseMemoryRequirements2KHR@104=_gfx8_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageSparseMemoryRequirements2KHR=gfx8_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@4=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@8=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@12=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@16=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@20=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@24=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@28=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@32=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@36=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@40=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@44=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@48=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@60=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageSparseMemoryRequirements2KHR@104=_gfx9_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageSparseMemoryRequirements2KHR=gfx9_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@4=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@8=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@12=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@16=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@20=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@24=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@28=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@32=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@36=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@40=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@44=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@48=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@60=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageSparseMemoryRequirements2KHR@104=_gfx11_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageSparseMemoryRequirements2KHR=gfx11_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@4=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@8=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@12=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@16=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@20=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@24=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@28=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@32=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@36=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@40=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@44=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@48=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@60=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageSparseMemoryRequirements2KHR@104=_gfx12_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageSparseMemoryRequirements2KHR=gfx12_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@4=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@8=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@12=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@16=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@20=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@24=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@28=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@32=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@36=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@40=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@44=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@48=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@60=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageSparseMemoryRequirements2KHR@104=_gfx125_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageSparseMemoryRequirements2KHR=gfx125_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@4=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@8=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@12=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@16=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@20=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@24=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@28=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@32=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@36=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@40=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@44=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@48=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@60=_anv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversion@104=_anv_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateSamplerYcbcrConversion=anv_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@4=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@8=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@12=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@16=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@20=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@24=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@28=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@32=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@36=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@40=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@44=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@48=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@60=_gfx7_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversion@104=_gfx7_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateSamplerYcbcrConversion=gfx7_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@4=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@8=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@12=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@16=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@20=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@24=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@28=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@32=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@36=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@40=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@44=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@48=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@60=_gfx75_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversion@104=_gfx75_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateSamplerYcbcrConversion=gfx75_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@4=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@8=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@12=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@16=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@20=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@24=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@28=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@32=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@36=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@40=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@44=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@48=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@60=_gfx8_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversion@104=_gfx8_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateSamplerYcbcrConversion=gfx8_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@4=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@8=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@12=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@16=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@20=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@24=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@28=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@32=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@36=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@40=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@44=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@48=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@60=_gfx9_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversion@104=_gfx9_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateSamplerYcbcrConversion=gfx9_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@4=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@8=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@12=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@16=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@20=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@24=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@28=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@32=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@36=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@40=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@44=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@48=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@60=_gfx11_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversion@104=_gfx11_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateSamplerYcbcrConversion=gfx11_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@4=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@8=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@12=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@16=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@20=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@24=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@28=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@32=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@36=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@40=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@44=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@48=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@60=_gfx12_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversion@104=_gfx12_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateSamplerYcbcrConversion=gfx12_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@4=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@8=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@12=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@16=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@20=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@24=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@28=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@32=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@36=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@40=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@44=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@48=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@60=_gfx125_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversion@104=_gfx125_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateSamplerYcbcrConversion=gfx125_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@4=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@8=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@12=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@16=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@20=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@24=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@28=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@32=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@36=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@40=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@44=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@48=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@60=_anv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateSamplerYcbcrConversionKHR@104=_anv_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateSamplerYcbcrConversionKHR=anv_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@4=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@8=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@12=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@16=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@20=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@24=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@28=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@32=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@36=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@40=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@44=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@48=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@60=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateSamplerYcbcrConversionKHR@104=_gfx7_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateSamplerYcbcrConversionKHR=gfx7_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@4=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@8=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@12=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@16=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@20=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@24=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@28=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@32=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@36=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@40=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@44=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@48=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@60=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateSamplerYcbcrConversionKHR@104=_gfx75_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateSamplerYcbcrConversionKHR=gfx75_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@4=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@8=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@12=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@16=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@20=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@24=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@28=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@32=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@36=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@40=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@44=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@48=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@60=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateSamplerYcbcrConversionKHR@104=_gfx8_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateSamplerYcbcrConversionKHR=gfx8_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@4=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@8=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@12=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@16=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@20=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@24=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@28=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@32=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@36=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@40=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@44=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@48=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@60=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateSamplerYcbcrConversionKHR@104=_gfx9_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateSamplerYcbcrConversionKHR=gfx9_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@4=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@8=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@12=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@16=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@20=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@24=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@28=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@32=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@36=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@40=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@44=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@48=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@60=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateSamplerYcbcrConversionKHR@104=_gfx11_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateSamplerYcbcrConversionKHR=gfx11_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@4=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@8=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@12=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@16=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@20=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@24=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@28=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@32=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@36=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@40=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@44=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@48=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@60=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateSamplerYcbcrConversionKHR@104=_gfx12_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateSamplerYcbcrConversionKHR=gfx12_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@4=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@8=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@12=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@16=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@20=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@24=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@28=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@32=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@36=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@40=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@44=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@48=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@60=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateSamplerYcbcrConversionKHR@104=_gfx125_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateSamplerYcbcrConversionKHR=gfx125_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@4=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@8=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@12=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@16=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@20=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@24=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@28=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@32=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@36=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@40=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@44=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@48=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@60=_anv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversion@104=_anv_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroySamplerYcbcrConversion=anv_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@4=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@8=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@12=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@16=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@20=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@24=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@28=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@32=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@36=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@40=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@44=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@48=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@60=_gfx7_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversion@104=_gfx7_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroySamplerYcbcrConversion=gfx7_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@4=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@8=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@12=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@16=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@20=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@24=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@28=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@32=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@36=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@40=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@44=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@48=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@60=_gfx75_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversion@104=_gfx75_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroySamplerYcbcrConversion=gfx75_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@4=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@8=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@12=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@16=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@20=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@24=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@28=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@32=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@36=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@40=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@44=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@48=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@60=_gfx8_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversion@104=_gfx8_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroySamplerYcbcrConversion=gfx8_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@4=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@8=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@12=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@16=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@20=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@24=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@28=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@32=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@36=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@40=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@44=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@48=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@60=_gfx9_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversion@104=_gfx9_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroySamplerYcbcrConversion=gfx9_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@4=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@8=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@12=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@16=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@20=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@24=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@28=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@32=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@36=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@40=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@44=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@48=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@60=_gfx11_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversion@104=_gfx11_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroySamplerYcbcrConversion=gfx11_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@4=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@8=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@12=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@16=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@20=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@24=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@28=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@32=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@36=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@40=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@44=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@48=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@60=_gfx12_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversion@104=_gfx12_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroySamplerYcbcrConversion=gfx12_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@4=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@8=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@12=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@16=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@20=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@24=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@28=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@32=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@36=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@40=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@44=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@48=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@60=_gfx125_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversion@104=_gfx125_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroySamplerYcbcrConversion=gfx125_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@4=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@8=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@12=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@16=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@20=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@24=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@28=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@32=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@36=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@40=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@44=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@48=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@60=_anv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroySamplerYcbcrConversionKHR@104=_anv_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroySamplerYcbcrConversionKHR=anv_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@4=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@8=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@12=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@16=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@20=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@24=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@28=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@32=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@36=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@40=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@44=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@48=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@60=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroySamplerYcbcrConversionKHR@104=_gfx7_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroySamplerYcbcrConversionKHR=gfx7_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@4=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@8=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@12=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@16=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@20=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@24=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@28=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@32=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@36=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@40=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@44=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@48=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@60=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroySamplerYcbcrConversionKHR@104=_gfx75_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroySamplerYcbcrConversionKHR=gfx75_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@4=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@8=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@12=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@16=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@20=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@24=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@28=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@32=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@36=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@40=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@44=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@48=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@60=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroySamplerYcbcrConversionKHR@104=_gfx8_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroySamplerYcbcrConversionKHR=gfx8_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@4=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@8=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@12=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@16=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@20=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@24=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@28=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@32=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@36=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@40=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@44=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@48=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@60=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroySamplerYcbcrConversionKHR@104=_gfx9_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroySamplerYcbcrConversionKHR=gfx9_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@4=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@8=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@12=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@16=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@20=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@24=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@28=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@32=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@36=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@40=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@44=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@48=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@60=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroySamplerYcbcrConversionKHR@104=_gfx11_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroySamplerYcbcrConversionKHR=gfx11_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@4=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@8=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@12=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@16=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@20=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@24=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@28=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@32=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@36=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@40=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@44=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@48=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@60=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroySamplerYcbcrConversionKHR@104=_gfx12_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroySamplerYcbcrConversionKHR=gfx12_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@4=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@8=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@12=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@16=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@20=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@24=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@28=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@32=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@36=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@40=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@44=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@48=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@60=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroySamplerYcbcrConversionKHR@104=_gfx125_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroySamplerYcbcrConversionKHR=gfx125_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@4=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@8=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@12=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@16=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@20=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@24=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@28=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@32=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@36=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@40=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@44=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@48=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@60=_anv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceQueue2@104=_anv_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceQueue2=anv_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@4=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@8=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@12=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@16=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@20=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@24=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@28=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@32=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@36=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@40=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@44=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@48=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@60=_gfx7_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceQueue2@104=_gfx7_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceQueue2=gfx7_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@4=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@8=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@12=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@16=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@20=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@24=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@28=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@32=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@36=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@40=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@44=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@48=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@60=_gfx75_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceQueue2@104=_gfx75_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceQueue2=gfx75_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@4=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@8=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@12=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@16=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@20=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@24=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@28=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@32=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@36=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@40=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@44=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@48=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@60=_gfx8_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceQueue2@104=_gfx8_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceQueue2=gfx8_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@4=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@8=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@12=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@16=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@20=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@24=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@28=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@32=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@36=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@40=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@44=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@48=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@60=_gfx9_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceQueue2@104=_gfx9_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceQueue2=gfx9_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@4=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@8=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@12=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@16=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@20=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@24=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@28=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@32=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@36=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@40=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@44=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@48=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@60=_gfx11_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceQueue2@104=_gfx11_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceQueue2=gfx11_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@4=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@8=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@12=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@16=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@20=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@24=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@28=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@32=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@36=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@40=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@44=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@48=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@60=_gfx12_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceQueue2@104=_gfx12_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceQueue2=gfx12_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@4=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@8=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@12=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@16=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@20=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@24=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@28=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@32=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@36=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@40=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@44=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@48=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@60=_gfx125_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceQueue2@104=_gfx125_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceQueue2=gfx125_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@4=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@8=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@12=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@16=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@20=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@24=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@28=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@32=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@36=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@40=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@44=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@48=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@60=_anv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateValidationCacheEXT@104=_anv_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateValidationCacheEXT=anv_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@4=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@8=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@12=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@16=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@20=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@24=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@28=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@32=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@36=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@40=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@44=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@48=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@60=_gfx7_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateValidationCacheEXT@104=_gfx7_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateValidationCacheEXT=gfx7_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@4=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@8=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@12=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@16=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@20=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@24=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@28=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@32=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@36=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@40=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@44=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@48=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@60=_gfx75_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateValidationCacheEXT@104=_gfx75_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateValidationCacheEXT=gfx75_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@4=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@8=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@12=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@16=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@20=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@24=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@28=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@32=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@36=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@40=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@44=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@48=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@60=_gfx8_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateValidationCacheEXT@104=_gfx8_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateValidationCacheEXT=gfx8_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@4=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@8=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@12=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@16=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@20=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@24=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@28=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@32=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@36=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@40=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@44=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@48=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@60=_gfx9_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateValidationCacheEXT@104=_gfx9_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateValidationCacheEXT=gfx9_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@4=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@8=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@12=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@16=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@20=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@24=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@28=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@32=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@36=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@40=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@44=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@48=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@60=_gfx11_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateValidationCacheEXT@104=_gfx11_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateValidationCacheEXT=gfx11_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@4=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@8=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@12=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@16=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@20=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@24=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@28=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@32=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@36=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@40=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@44=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@48=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@60=_gfx12_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateValidationCacheEXT@104=_gfx12_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateValidationCacheEXT=gfx12_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@4=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@8=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@12=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@16=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@20=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@24=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@28=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@32=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@36=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@40=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@44=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@48=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@60=_gfx125_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateValidationCacheEXT@104=_gfx125_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateValidationCacheEXT=gfx125_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@4=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@8=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@12=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@16=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@20=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@24=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@28=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@32=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@36=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@40=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@44=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@48=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@60=_anv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyValidationCacheEXT@104=_anv_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyValidationCacheEXT=anv_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@4=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@8=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@12=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@16=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@20=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@24=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@28=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@32=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@36=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@40=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@44=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@48=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@60=_gfx7_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyValidationCacheEXT@104=_gfx7_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyValidationCacheEXT=gfx7_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@4=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@8=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@12=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@16=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@20=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@24=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@28=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@32=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@36=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@40=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@44=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@48=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@60=_gfx75_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyValidationCacheEXT@104=_gfx75_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyValidationCacheEXT=gfx75_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@4=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@8=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@12=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@16=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@20=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@24=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@28=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@32=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@36=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@40=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@44=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@48=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@60=_gfx8_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyValidationCacheEXT@104=_gfx8_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyValidationCacheEXT=gfx8_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@4=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@8=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@12=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@16=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@20=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@24=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@28=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@32=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@36=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@40=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@44=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@48=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@60=_gfx9_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyValidationCacheEXT@104=_gfx9_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyValidationCacheEXT=gfx9_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@4=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@8=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@12=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@16=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@20=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@24=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@28=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@32=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@36=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@40=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@44=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@48=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@60=_gfx11_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyValidationCacheEXT@104=_gfx11_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyValidationCacheEXT=gfx11_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@4=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@8=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@12=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@16=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@20=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@24=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@28=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@32=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@36=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@40=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@44=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@48=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@60=_gfx12_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyValidationCacheEXT@104=_gfx12_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyValidationCacheEXT=gfx12_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@4=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@8=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@12=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@16=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@20=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@24=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@28=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@32=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@36=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@40=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@44=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@48=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@60=_gfx125_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyValidationCacheEXT@104=_gfx125_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyValidationCacheEXT=gfx125_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@4=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@8=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@12=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@16=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@20=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@24=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@28=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@32=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@36=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@40=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@44=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@48=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@60=_anv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetValidationCacheDataEXT@104=_anv_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetValidationCacheDataEXT=anv_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@4=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@8=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@12=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@16=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@20=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@24=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@28=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@32=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@36=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@40=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@44=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@48=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@60=_gfx7_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetValidationCacheDataEXT@104=_gfx7_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetValidationCacheDataEXT=gfx7_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@4=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@8=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@12=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@16=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@20=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@24=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@28=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@32=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@36=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@40=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@44=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@48=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@60=_gfx75_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetValidationCacheDataEXT@104=_gfx75_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetValidationCacheDataEXT=gfx75_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@4=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@8=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@12=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@16=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@20=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@24=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@28=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@32=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@36=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@40=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@44=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@48=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@60=_gfx8_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetValidationCacheDataEXT@104=_gfx8_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetValidationCacheDataEXT=gfx8_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@4=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@8=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@12=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@16=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@20=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@24=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@28=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@32=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@36=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@40=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@44=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@48=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@60=_gfx9_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetValidationCacheDataEXT@104=_gfx9_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetValidationCacheDataEXT=gfx9_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@4=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@8=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@12=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@16=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@20=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@24=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@28=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@32=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@36=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@40=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@44=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@48=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@60=_gfx11_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetValidationCacheDataEXT@104=_gfx11_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetValidationCacheDataEXT=gfx11_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@4=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@8=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@12=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@16=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@20=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@24=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@28=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@32=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@36=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@40=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@44=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@48=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@60=_gfx12_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetValidationCacheDataEXT@104=_gfx12_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetValidationCacheDataEXT=gfx12_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@4=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@8=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@12=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@16=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@20=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@24=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@28=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@32=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@36=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@40=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@44=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@48=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@60=_gfx125_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetValidationCacheDataEXT@104=_gfx125_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetValidationCacheDataEXT=gfx125_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@4=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@8=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@12=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@16=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@20=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@24=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@28=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@32=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@36=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@40=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@44=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@48=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@60=_anv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_MergeValidationCachesEXT@104=_anv_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_MergeValidationCachesEXT=anv_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@4=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@8=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@12=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@16=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@20=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@24=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@28=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@32=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@36=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@40=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@44=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@48=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@60=_gfx7_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_MergeValidationCachesEXT@104=_gfx7_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_MergeValidationCachesEXT=gfx7_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@4=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@8=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@12=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@16=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@20=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@24=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@28=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@32=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@36=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@40=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@44=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@48=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@60=_gfx75_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_MergeValidationCachesEXT@104=_gfx75_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_MergeValidationCachesEXT=gfx75_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@4=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@8=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@12=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@16=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@20=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@24=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@28=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@32=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@36=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@40=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@44=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@48=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@60=_gfx8_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_MergeValidationCachesEXT@104=_gfx8_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_MergeValidationCachesEXT=gfx8_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@4=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@8=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@12=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@16=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@20=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@24=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@28=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@32=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@36=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@40=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@44=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@48=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@60=_gfx9_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_MergeValidationCachesEXT@104=_gfx9_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_MergeValidationCachesEXT=gfx9_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@4=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@8=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@12=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@16=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@20=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@24=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@28=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@32=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@36=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@40=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@44=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@48=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@60=_gfx11_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_MergeValidationCachesEXT@104=_gfx11_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_MergeValidationCachesEXT=gfx11_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@4=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@8=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@12=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@16=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@20=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@24=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@28=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@32=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@36=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@40=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@44=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@48=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@60=_gfx12_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_MergeValidationCachesEXT@104=_gfx12_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_MergeValidationCachesEXT=gfx12_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@4=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@8=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@12=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@16=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@20=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@24=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@28=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@32=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@36=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@40=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@44=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@48=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@60=_gfx125_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_MergeValidationCachesEXT@104=_gfx125_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_MergeValidationCachesEXT=gfx125_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@4=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@8=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@12=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@16=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@20=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@24=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@28=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@32=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@36=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@40=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@44=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@48=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@60=_anv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupport@104=_anv_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDescriptorSetLayoutSupport=anv_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@4=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@8=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@12=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@16=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@20=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@24=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@28=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@32=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@36=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@40=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@44=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@48=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@60=_gfx7_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupport@104=_gfx7_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDescriptorSetLayoutSupport=gfx7_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@4=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@8=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@12=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@16=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@20=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@24=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@28=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@32=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@36=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@40=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@44=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@48=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@60=_gfx75_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupport@104=_gfx75_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDescriptorSetLayoutSupport=gfx75_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@4=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@8=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@12=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@16=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@20=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@24=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@28=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@32=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@36=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@40=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@44=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@48=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@60=_gfx8_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupport@104=_gfx8_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDescriptorSetLayoutSupport=gfx8_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@4=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@8=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@12=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@16=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@20=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@24=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@28=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@32=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@36=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@40=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@44=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@48=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@60=_gfx9_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupport@104=_gfx9_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDescriptorSetLayoutSupport=gfx9_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@4=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@8=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@12=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@16=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@20=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@24=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@28=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@32=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@36=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@40=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@44=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@48=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@60=_gfx11_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupport@104=_gfx11_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDescriptorSetLayoutSupport=gfx11_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@4=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@8=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@12=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@16=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@20=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@24=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@28=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@32=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@36=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@40=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@44=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@48=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@60=_gfx12_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupport@104=_gfx12_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDescriptorSetLayoutSupport=gfx12_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@4=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@8=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@12=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@16=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@20=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@24=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@28=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@32=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@36=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@40=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@44=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@48=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@60=_gfx125_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupport@104=_gfx125_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDescriptorSetLayoutSupport=gfx125_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@4=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@8=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@12=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@16=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@20=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@24=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@28=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@32=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@36=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@40=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@44=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@48=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@60=_anv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDescriptorSetLayoutSupportKHR@104=_anv_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDescriptorSetLayoutSupportKHR=anv_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@4=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@8=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@12=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@16=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@20=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@24=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@28=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@32=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@36=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@40=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@44=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@48=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@60=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDescriptorSetLayoutSupportKHR@104=_gfx7_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDescriptorSetLayoutSupportKHR=gfx7_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@4=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@8=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@12=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@16=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@20=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@24=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@28=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@32=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@36=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@40=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@44=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@48=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@60=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDescriptorSetLayoutSupportKHR@104=_gfx75_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDescriptorSetLayoutSupportKHR=gfx75_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@4=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@8=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@12=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@16=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@20=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@24=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@28=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@32=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@36=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@40=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@44=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@48=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@60=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDescriptorSetLayoutSupportKHR@104=_gfx8_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDescriptorSetLayoutSupportKHR=gfx8_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@4=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@8=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@12=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@16=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@20=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@24=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@28=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@32=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@36=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@40=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@44=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@48=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@60=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDescriptorSetLayoutSupportKHR@104=_gfx9_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDescriptorSetLayoutSupportKHR=gfx9_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@4=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@8=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@12=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@16=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@20=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@24=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@28=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@32=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@36=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@40=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@44=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@48=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@60=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDescriptorSetLayoutSupportKHR@104=_gfx11_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDescriptorSetLayoutSupportKHR=gfx11_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@4=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@8=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@12=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@16=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@20=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@24=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@28=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@32=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@36=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@40=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@44=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@48=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@60=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDescriptorSetLayoutSupportKHR@104=_gfx12_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDescriptorSetLayoutSupportKHR=gfx12_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@4=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@8=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@12=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@16=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@20=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@24=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@28=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@32=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@36=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@40=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@44=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@48=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@60=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDescriptorSetLayoutSupportKHR@104=_gfx125_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDescriptorSetLayoutSupportKHR=gfx125_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@4=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@8=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@12=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@16=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@20=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@24=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@28=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@32=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@36=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@40=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@44=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@48=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@60=_anv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsageANDROID@104=_anv_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSwapchainGrallocUsageANDROID=anv_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@4=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@8=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@12=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@16=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@20=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@24=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@28=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@32=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@36=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@40=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@44=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@48=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@60=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsageANDROID@104=_gfx7_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSwapchainGrallocUsageANDROID=gfx7_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@4=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@8=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@12=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@16=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@20=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@24=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@28=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@32=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@36=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@40=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@44=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@48=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@60=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsageANDROID@104=_gfx75_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSwapchainGrallocUsageANDROID=gfx75_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@4=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@8=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@12=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@16=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@20=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@24=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@28=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@32=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@36=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@40=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@44=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@48=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@60=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsageANDROID@104=_gfx8_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSwapchainGrallocUsageANDROID=gfx8_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@4=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@8=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@12=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@16=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@20=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@24=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@28=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@32=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@36=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@40=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@44=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@48=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@60=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsageANDROID@104=_gfx9_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSwapchainGrallocUsageANDROID=gfx9_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@4=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@8=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@12=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@16=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@20=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@24=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@28=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@32=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@36=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@40=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@44=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@48=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@60=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsageANDROID@104=_gfx11_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSwapchainGrallocUsageANDROID=gfx11_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@4=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@8=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@12=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@16=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@20=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@24=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@28=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@32=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@36=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@40=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@44=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@48=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@60=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsageANDROID@104=_gfx12_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSwapchainGrallocUsageANDROID=gfx12_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@4=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@8=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@12=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@16=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@20=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@24=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@28=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@32=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@36=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@40=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@44=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@48=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@60=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsageANDROID@104=_gfx125_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSwapchainGrallocUsageANDROID=gfx125_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@4=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@8=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@12=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@16=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@20=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@24=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@28=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@32=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@36=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@40=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@44=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@48=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@60=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSwapchainGrallocUsage2ANDROID@104=_anv_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSwapchainGrallocUsage2ANDROID=anv_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@4=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@8=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@12=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@16=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@20=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@24=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@28=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@32=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@36=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@40=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@44=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@48=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@60=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSwapchainGrallocUsage2ANDROID@104=_gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSwapchainGrallocUsage2ANDROID=gfx7_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@4=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@8=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@12=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@16=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@20=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@24=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@28=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@32=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@36=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@40=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@44=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@48=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@60=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSwapchainGrallocUsage2ANDROID@104=_gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSwapchainGrallocUsage2ANDROID=gfx75_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@4=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@8=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@12=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@16=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@20=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@24=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@28=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@32=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@36=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@40=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@44=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@48=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@60=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSwapchainGrallocUsage2ANDROID@104=_gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSwapchainGrallocUsage2ANDROID=gfx8_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@4=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@8=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@12=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@16=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@20=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@24=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@28=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@32=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@36=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@40=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@44=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@48=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@60=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSwapchainGrallocUsage2ANDROID@104=_gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSwapchainGrallocUsage2ANDROID=gfx9_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@4=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@8=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@12=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@16=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@20=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@24=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@28=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@32=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@36=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@40=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@44=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@48=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@60=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSwapchainGrallocUsage2ANDROID@104=_gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSwapchainGrallocUsage2ANDROID=gfx11_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@4=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@8=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@12=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@16=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@20=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@24=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@28=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@32=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@36=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@40=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@44=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@48=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@60=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSwapchainGrallocUsage2ANDROID@104=_gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSwapchainGrallocUsage2ANDROID=gfx12_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@4=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@8=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@12=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@16=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@20=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@24=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@28=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@32=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@36=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@40=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@44=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@48=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@60=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSwapchainGrallocUsage2ANDROID@104=_gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSwapchainGrallocUsage2ANDROID=gfx125_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@4=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@8=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@12=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@16=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@20=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@24=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@28=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@32=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@36=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@40=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@44=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@48=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@60=_anv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireImageANDROID@104=_anv_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireImageANDROID=anv_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@4=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@8=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@12=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@16=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@20=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@24=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@28=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@32=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@36=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@40=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@44=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@48=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@60=_gfx7_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireImageANDROID@104=_gfx7_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AcquireImageANDROID=gfx7_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@4=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@8=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@12=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@16=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@20=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@24=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@28=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@32=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@36=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@40=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@44=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@48=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@60=_gfx75_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireImageANDROID@104=_gfx75_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AcquireImageANDROID=gfx75_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@4=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@8=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@12=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@16=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@20=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@24=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@28=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@32=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@36=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@40=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@44=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@48=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@60=_gfx8_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireImageANDROID@104=_gfx8_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AcquireImageANDROID=gfx8_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@4=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@8=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@12=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@16=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@20=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@24=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@28=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@32=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@36=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@40=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@44=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@48=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@60=_gfx9_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireImageANDROID@104=_gfx9_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AcquireImageANDROID=gfx9_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@4=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@8=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@12=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@16=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@20=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@24=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@28=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@32=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@36=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@40=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@44=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@48=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@60=_gfx11_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireImageANDROID@104=_gfx11_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AcquireImageANDROID=gfx11_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@4=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@8=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@12=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@16=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@20=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@24=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@28=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@32=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@36=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@40=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@44=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@48=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@60=_gfx12_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireImageANDROID@104=_gfx12_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AcquireImageANDROID=gfx12_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@4=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@8=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@12=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@16=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@20=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@24=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@28=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@32=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@36=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@40=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@44=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@48=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@60=_gfx125_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireImageANDROID@104=_gfx125_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AcquireImageANDROID=gfx125_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@4=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@8=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@12=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@16=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@20=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@24=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@28=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@32=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@36=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@40=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@44=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@48=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@60=_anv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSignalReleaseImageANDROID@104=_anv_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueSignalReleaseImageANDROID=anv_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@4=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@8=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@12=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@16=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@20=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@24=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@28=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@32=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@36=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@40=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@44=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@48=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@60=_gfx7_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSignalReleaseImageANDROID@104=_gfx7_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueSignalReleaseImageANDROID=gfx7_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@4=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@8=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@12=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@16=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@20=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@24=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@28=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@32=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@36=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@40=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@44=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@48=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@60=_gfx75_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSignalReleaseImageANDROID@104=_gfx75_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueSignalReleaseImageANDROID=gfx75_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@4=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@8=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@12=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@16=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@20=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@24=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@28=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@32=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@36=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@40=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@44=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@48=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@60=_gfx8_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSignalReleaseImageANDROID@104=_gfx8_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueSignalReleaseImageANDROID=gfx8_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@4=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@8=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@12=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@16=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@20=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@24=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@28=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@32=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@36=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@40=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@44=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@48=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@60=_gfx9_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSignalReleaseImageANDROID@104=_gfx9_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueSignalReleaseImageANDROID=gfx9_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@4=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@8=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@12=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@16=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@20=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@24=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@28=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@32=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@36=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@40=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@44=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@48=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@60=_gfx11_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSignalReleaseImageANDROID@104=_gfx11_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueSignalReleaseImageANDROID=gfx11_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@4=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@8=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@12=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@16=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@20=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@24=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@28=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@32=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@36=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@40=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@44=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@48=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@60=_gfx12_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSignalReleaseImageANDROID@104=_gfx12_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueSignalReleaseImageANDROID=gfx12_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@4=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@8=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@12=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@16=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@20=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@24=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@28=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@32=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@36=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@40=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@44=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@48=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@60=_gfx125_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSignalReleaseImageANDROID@104=_gfx125_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueSignalReleaseImageANDROID=gfx125_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@4=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@8=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@12=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@16=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@20=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@24=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@28=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@32=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@36=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@40=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@44=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@48=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@60=_anv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_GetShaderInfoAMD@104=_anv_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetShaderInfoAMD=anv_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@4=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@8=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@12=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@16=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@20=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@24=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@28=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@32=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@36=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@40=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@44=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@48=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@60=_gfx7_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetShaderInfoAMD@104=_gfx7_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetShaderInfoAMD=gfx7_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@4=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@8=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@12=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@16=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@20=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@24=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@28=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@32=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@36=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@40=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@44=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@48=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@60=_gfx75_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetShaderInfoAMD@104=_gfx75_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetShaderInfoAMD=gfx75_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@4=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@8=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@12=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@16=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@20=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@24=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@28=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@32=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@36=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@40=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@44=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@48=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@60=_gfx8_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetShaderInfoAMD@104=_gfx8_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetShaderInfoAMD=gfx8_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@4=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@8=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@12=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@16=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@20=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@24=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@28=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@32=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@36=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@40=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@44=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@48=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@60=_gfx9_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetShaderInfoAMD@104=_gfx9_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetShaderInfoAMD=gfx9_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@4=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@8=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@12=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@16=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@20=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@24=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@28=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@32=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@36=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@40=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@44=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@48=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@60=_gfx11_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetShaderInfoAMD@104=_gfx11_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetShaderInfoAMD=gfx11_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@4=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@8=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@12=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@16=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@20=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@24=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@28=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@32=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@36=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@40=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@44=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@48=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@60=_gfx12_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetShaderInfoAMD@104=_gfx12_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetShaderInfoAMD=gfx12_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@4=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@8=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@12=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@16=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@20=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@24=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@28=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@32=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@36=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@40=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@44=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@48=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@60=_gfx125_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetShaderInfoAMD@104=_gfx125_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetShaderInfoAMD=gfx125_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@4=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@8=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@12=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@16=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@20=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@24=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@28=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@32=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@36=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@40=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@44=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@48=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@60=_anv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_SetLocalDimmingAMD@104=_anv_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SetLocalDimmingAMD=anv_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@4=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@8=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@12=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@16=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@20=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@24=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@28=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@32=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@36=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@40=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@44=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@48=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@60=_gfx7_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetLocalDimmingAMD@104=_gfx7_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SetLocalDimmingAMD=gfx7_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@4=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@8=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@12=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@16=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@20=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@24=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@28=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@32=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@36=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@40=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@44=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@48=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@60=_gfx75_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetLocalDimmingAMD@104=_gfx75_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SetLocalDimmingAMD=gfx75_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@4=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@8=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@12=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@16=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@20=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@24=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@28=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@32=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@36=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@40=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@44=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@48=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@60=_gfx8_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetLocalDimmingAMD@104=_gfx8_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SetLocalDimmingAMD=gfx8_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@4=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@8=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@12=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@16=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@20=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@24=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@28=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@32=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@36=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@40=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@44=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@48=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@60=_gfx9_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetLocalDimmingAMD@104=_gfx9_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SetLocalDimmingAMD=gfx9_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@4=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@8=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@12=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@16=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@20=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@24=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@28=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@32=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@36=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@40=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@44=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@48=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@60=_gfx11_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetLocalDimmingAMD@104=_gfx11_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SetLocalDimmingAMD=gfx11_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@4=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@8=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@12=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@16=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@20=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@24=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@28=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@32=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@36=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@40=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@44=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@48=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@60=_gfx12_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetLocalDimmingAMD@104=_gfx12_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SetLocalDimmingAMD=gfx12_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@4=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@8=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@12=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@16=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@20=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@24=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@28=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@32=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@36=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@40=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@44=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@48=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@60=_gfx125_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetLocalDimmingAMD@104=_gfx125_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SetLocalDimmingAMD=gfx125_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@4=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@8=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@12=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@16=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@20=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@24=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@28=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@32=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@36=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@40=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@44=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@48=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@60=_anv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetCalibratedTimestampsEXT@104=_anv_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetCalibratedTimestampsEXT=anv_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@4=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@8=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@12=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@16=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@20=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@24=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@28=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@32=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@36=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@40=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@44=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@48=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@60=_gfx7_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetCalibratedTimestampsEXT@104=_gfx7_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetCalibratedTimestampsEXT=gfx7_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@4=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@8=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@12=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@16=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@20=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@24=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@28=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@32=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@36=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@40=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@44=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@48=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@60=_gfx75_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetCalibratedTimestampsEXT@104=_gfx75_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetCalibratedTimestampsEXT=gfx75_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@4=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@8=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@12=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@16=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@20=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@24=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@28=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@32=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@36=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@40=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@44=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@48=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@60=_gfx8_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetCalibratedTimestampsEXT@104=_gfx8_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetCalibratedTimestampsEXT=gfx8_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@4=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@8=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@12=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@16=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@20=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@24=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@28=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@32=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@36=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@40=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@44=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@48=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@60=_gfx9_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetCalibratedTimestampsEXT@104=_gfx9_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetCalibratedTimestampsEXT=gfx9_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@4=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@8=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@12=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@16=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@20=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@24=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@28=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@32=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@36=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@40=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@44=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@48=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@60=_gfx11_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetCalibratedTimestampsEXT@104=_gfx11_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetCalibratedTimestampsEXT=gfx11_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@4=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@8=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@12=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@16=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@20=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@24=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@28=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@32=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@36=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@40=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@44=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@48=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@60=_gfx12_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetCalibratedTimestampsEXT@104=_gfx12_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetCalibratedTimestampsEXT=gfx12_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@4=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@8=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@12=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@16=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@20=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@24=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@28=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@32=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@36=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@40=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@44=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@48=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@60=_gfx125_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetCalibratedTimestampsEXT@104=_gfx125_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetCalibratedTimestampsEXT=gfx125_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@4=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@8=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@12=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@16=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@20=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@24=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@28=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@32=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@36=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@40=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@44=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@48=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@60=_anv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectNameEXT@104=_anv_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SetDebugUtilsObjectNameEXT=anv_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@4=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@8=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@12=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@16=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@20=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@24=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@28=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@32=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@36=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@40=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@44=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@48=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@60=_gfx7_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectNameEXT@104=_gfx7_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SetDebugUtilsObjectNameEXT=gfx7_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@4=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@8=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@12=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@16=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@20=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@24=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@28=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@32=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@36=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@40=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@44=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@48=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@60=_gfx75_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectNameEXT@104=_gfx75_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SetDebugUtilsObjectNameEXT=gfx75_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@4=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@8=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@12=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@16=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@20=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@24=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@28=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@32=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@36=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@40=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@44=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@48=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@60=_gfx8_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectNameEXT@104=_gfx8_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SetDebugUtilsObjectNameEXT=gfx8_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@4=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@8=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@12=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@16=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@20=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@24=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@28=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@32=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@36=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@40=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@44=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@48=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@60=_gfx9_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectNameEXT@104=_gfx9_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SetDebugUtilsObjectNameEXT=gfx9_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@4=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@8=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@12=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@16=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@20=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@24=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@28=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@32=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@36=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@40=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@44=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@48=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@60=_gfx11_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectNameEXT@104=_gfx11_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SetDebugUtilsObjectNameEXT=gfx11_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@4=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@8=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@12=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@16=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@20=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@24=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@28=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@32=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@36=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@40=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@44=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@48=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@60=_gfx12_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectNameEXT@104=_gfx12_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SetDebugUtilsObjectNameEXT=gfx12_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@4=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@8=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@12=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@16=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@20=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@24=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@28=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@32=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@36=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@40=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@44=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@48=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@60=_gfx125_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectNameEXT@104=_gfx125_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SetDebugUtilsObjectNameEXT=gfx125_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@4=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@8=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@12=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@16=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@20=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@24=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@28=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@32=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@36=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@40=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@44=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@48=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@60=_anv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetDebugUtilsObjectTagEXT@104=_anv_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SetDebugUtilsObjectTagEXT=anv_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@4=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@8=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@12=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@16=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@20=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@24=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@28=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@32=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@36=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@40=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@44=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@48=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@60=_gfx7_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetDebugUtilsObjectTagEXT@104=_gfx7_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SetDebugUtilsObjectTagEXT=gfx7_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@4=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@8=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@12=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@16=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@20=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@24=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@28=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@32=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@36=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@40=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@44=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@48=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@60=_gfx75_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetDebugUtilsObjectTagEXT@104=_gfx75_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SetDebugUtilsObjectTagEXT=gfx75_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@4=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@8=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@12=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@16=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@20=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@24=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@28=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@32=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@36=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@40=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@44=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@48=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@60=_gfx8_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetDebugUtilsObjectTagEXT@104=_gfx8_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SetDebugUtilsObjectTagEXT=gfx8_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@4=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@8=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@12=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@16=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@20=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@24=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@28=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@32=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@36=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@40=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@44=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@48=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@60=_gfx9_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetDebugUtilsObjectTagEXT@104=_gfx9_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SetDebugUtilsObjectTagEXT=gfx9_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@4=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@8=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@12=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@16=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@20=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@24=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@28=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@32=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@36=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@40=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@44=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@48=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@60=_gfx11_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetDebugUtilsObjectTagEXT@104=_gfx11_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SetDebugUtilsObjectTagEXT=gfx11_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@4=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@8=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@12=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@16=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@20=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@24=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@28=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@32=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@36=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@40=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@44=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@48=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@60=_gfx12_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetDebugUtilsObjectTagEXT@104=_gfx12_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SetDebugUtilsObjectTagEXT=gfx12_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@4=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@8=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@12=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@16=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@20=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@24=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@28=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@32=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@36=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@40=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@44=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@48=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@60=_gfx125_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetDebugUtilsObjectTagEXT@104=_gfx125_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SetDebugUtilsObjectTagEXT=gfx125_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@4=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@8=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@12=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@16=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@20=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@24=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@28=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@32=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@36=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@40=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@44=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@48=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@60=_anv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueBeginDebugUtilsLabelEXT@104=_anv_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueBeginDebugUtilsLabelEXT=anv_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@4=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@8=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@12=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@16=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@20=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@24=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@28=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@32=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@36=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@40=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@44=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@48=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@60=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueBeginDebugUtilsLabelEXT@104=_gfx7_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueBeginDebugUtilsLabelEXT=gfx7_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@4=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@8=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@12=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@16=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@20=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@24=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@28=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@32=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@36=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@40=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@44=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@48=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@60=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueBeginDebugUtilsLabelEXT@104=_gfx75_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueBeginDebugUtilsLabelEXT=gfx75_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@4=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@8=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@12=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@16=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@20=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@24=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@28=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@32=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@36=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@40=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@44=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@48=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@60=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueBeginDebugUtilsLabelEXT@104=_gfx8_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueBeginDebugUtilsLabelEXT=gfx8_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@4=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@8=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@12=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@16=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@20=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@24=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@28=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@32=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@36=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@40=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@44=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@48=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@60=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueBeginDebugUtilsLabelEXT@104=_gfx9_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueBeginDebugUtilsLabelEXT=gfx9_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@4=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@8=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@12=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@16=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@20=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@24=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@28=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@32=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@36=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@40=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@44=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@48=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@60=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueBeginDebugUtilsLabelEXT@104=_gfx11_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueBeginDebugUtilsLabelEXT=gfx11_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@4=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@8=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@12=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@16=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@20=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@24=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@28=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@32=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@36=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@40=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@44=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@48=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@60=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueBeginDebugUtilsLabelEXT@104=_gfx12_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueBeginDebugUtilsLabelEXT=gfx12_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@4=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@8=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@12=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@16=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@20=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@24=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@28=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@32=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@36=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@40=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@44=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@48=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@60=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueBeginDebugUtilsLabelEXT@104=_gfx125_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueBeginDebugUtilsLabelEXT=gfx125_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@4=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@8=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@12=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@16=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@20=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@24=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@28=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@32=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@36=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@40=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@44=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@48=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@60=_anv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueEndDebugUtilsLabelEXT@104=_anv_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueEndDebugUtilsLabelEXT=anv_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@4=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@8=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@12=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@16=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@20=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@24=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@28=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@32=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@36=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@40=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@44=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@48=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@60=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueEndDebugUtilsLabelEXT@104=_gfx7_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueEndDebugUtilsLabelEXT=gfx7_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@4=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@8=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@12=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@16=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@20=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@24=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@28=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@32=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@36=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@40=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@44=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@48=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@60=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueEndDebugUtilsLabelEXT@104=_gfx75_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueEndDebugUtilsLabelEXT=gfx75_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@4=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@8=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@12=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@16=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@20=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@24=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@28=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@32=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@36=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@40=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@44=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@48=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@60=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueEndDebugUtilsLabelEXT@104=_gfx8_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueEndDebugUtilsLabelEXT=gfx8_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@4=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@8=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@12=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@16=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@20=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@24=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@28=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@32=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@36=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@40=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@44=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@48=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@60=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueEndDebugUtilsLabelEXT@104=_gfx9_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueEndDebugUtilsLabelEXT=gfx9_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@4=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@8=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@12=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@16=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@20=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@24=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@28=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@32=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@36=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@40=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@44=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@48=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@60=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueEndDebugUtilsLabelEXT@104=_gfx11_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueEndDebugUtilsLabelEXT=gfx11_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@4=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@8=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@12=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@16=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@20=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@24=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@28=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@32=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@36=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@40=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@44=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@48=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@60=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueEndDebugUtilsLabelEXT@104=_gfx12_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueEndDebugUtilsLabelEXT=gfx12_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@4=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@8=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@12=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@16=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@20=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@24=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@28=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@32=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@36=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@40=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@44=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@48=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@60=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueEndDebugUtilsLabelEXT@104=_gfx125_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueEndDebugUtilsLabelEXT=gfx125_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@4=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@8=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@12=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@16=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@20=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@24=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@28=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@32=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@36=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@40=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@44=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@48=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@60=_anv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueInsertDebugUtilsLabelEXT@104=_anv_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueInsertDebugUtilsLabelEXT=anv_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@4=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@8=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@12=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@16=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@20=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@24=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@28=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@32=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@36=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@40=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@44=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@48=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@60=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueInsertDebugUtilsLabelEXT@104=_gfx7_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueInsertDebugUtilsLabelEXT=gfx7_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@4=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@8=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@12=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@16=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@20=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@24=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@28=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@32=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@36=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@40=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@44=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@48=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@60=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueInsertDebugUtilsLabelEXT@104=_gfx75_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueInsertDebugUtilsLabelEXT=gfx75_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@4=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@8=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@12=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@16=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@20=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@24=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@28=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@32=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@36=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@40=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@44=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@48=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@60=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueInsertDebugUtilsLabelEXT@104=_gfx8_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueInsertDebugUtilsLabelEXT=gfx8_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@4=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@8=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@12=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@16=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@20=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@24=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@28=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@32=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@36=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@40=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@44=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@48=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@60=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueInsertDebugUtilsLabelEXT@104=_gfx9_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueInsertDebugUtilsLabelEXT=gfx9_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@4=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@8=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@12=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@16=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@20=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@24=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@28=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@32=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@36=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@40=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@44=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@48=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@60=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueInsertDebugUtilsLabelEXT@104=_gfx11_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueInsertDebugUtilsLabelEXT=gfx11_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@4=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@8=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@12=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@16=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@20=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@24=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@28=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@32=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@36=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@40=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@44=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@48=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@60=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueInsertDebugUtilsLabelEXT@104=_gfx12_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueInsertDebugUtilsLabelEXT=gfx12_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@4=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@8=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@12=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@16=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@20=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@24=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@28=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@32=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@36=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@40=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@44=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@48=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@60=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueInsertDebugUtilsLabelEXT@104=_gfx125_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueInsertDebugUtilsLabelEXT=gfx125_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@4=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@8=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@12=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@16=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@20=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@24=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@28=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@32=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@36=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@40=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@44=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@48=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@60=_anv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginDebugUtilsLabelEXT@104=_anv_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginDebugUtilsLabelEXT=anv_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@4=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@8=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@12=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@16=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@20=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@24=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@28=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@32=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@36=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@40=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@44=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@48=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@60=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginDebugUtilsLabelEXT@104=_gfx7_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginDebugUtilsLabelEXT=gfx7_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@4=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@8=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@12=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@16=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@20=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@24=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@28=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@32=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@36=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@40=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@44=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@48=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@60=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginDebugUtilsLabelEXT@104=_gfx75_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginDebugUtilsLabelEXT=gfx75_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@4=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@8=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@12=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@16=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@20=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@24=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@28=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@32=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@36=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@40=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@44=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@48=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@60=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginDebugUtilsLabelEXT@104=_gfx8_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginDebugUtilsLabelEXT=gfx8_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@4=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@8=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@12=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@16=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@20=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@24=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@28=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@32=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@36=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@40=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@44=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@48=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@60=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginDebugUtilsLabelEXT@104=_gfx9_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginDebugUtilsLabelEXT=gfx9_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@4=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@8=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@12=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@16=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@20=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@24=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@28=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@32=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@36=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@40=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@44=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@48=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@60=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginDebugUtilsLabelEXT@104=_gfx11_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginDebugUtilsLabelEXT=gfx11_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@4=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@8=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@12=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@16=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@20=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@24=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@28=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@32=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@36=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@40=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@44=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@48=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@60=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginDebugUtilsLabelEXT@104=_gfx12_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginDebugUtilsLabelEXT=gfx12_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@4=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@8=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@12=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@16=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@20=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@24=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@28=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@32=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@36=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@40=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@44=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@48=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@60=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginDebugUtilsLabelEXT@104=_gfx125_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginDebugUtilsLabelEXT=gfx125_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@4=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@8=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@12=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@16=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@20=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@24=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@28=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@32=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@36=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@40=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@44=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@48=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@60=_anv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndDebugUtilsLabelEXT@104=_anv_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndDebugUtilsLabelEXT=anv_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@4=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@8=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@12=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@16=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@20=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@24=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@28=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@32=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@36=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@40=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@44=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@48=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@60=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndDebugUtilsLabelEXT@104=_gfx7_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndDebugUtilsLabelEXT=gfx7_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@4=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@8=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@12=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@16=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@20=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@24=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@28=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@32=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@36=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@40=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@44=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@48=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@60=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndDebugUtilsLabelEXT@104=_gfx75_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndDebugUtilsLabelEXT=gfx75_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@4=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@8=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@12=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@16=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@20=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@24=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@28=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@32=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@36=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@40=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@44=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@48=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@60=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndDebugUtilsLabelEXT@104=_gfx8_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndDebugUtilsLabelEXT=gfx8_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@4=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@8=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@12=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@16=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@20=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@24=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@28=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@32=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@36=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@40=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@44=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@48=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@60=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndDebugUtilsLabelEXT@104=_gfx9_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndDebugUtilsLabelEXT=gfx9_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@4=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@8=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@12=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@16=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@20=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@24=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@28=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@32=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@36=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@40=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@44=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@48=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@60=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndDebugUtilsLabelEXT@104=_gfx11_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndDebugUtilsLabelEXT=gfx11_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@4=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@8=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@12=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@16=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@20=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@24=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@28=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@32=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@36=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@40=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@44=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@48=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@60=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndDebugUtilsLabelEXT@104=_gfx12_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndDebugUtilsLabelEXT=gfx12_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@4=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@8=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@12=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@16=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@20=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@24=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@28=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@32=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@36=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@40=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@44=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@48=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@60=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndDebugUtilsLabelEXT@104=_gfx125_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndDebugUtilsLabelEXT=gfx125_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@4=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@8=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@12=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@16=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@20=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@24=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@28=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@32=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@36=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@40=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@44=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@48=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@60=_anv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdInsertDebugUtilsLabelEXT@104=_anv_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdInsertDebugUtilsLabelEXT=anv_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@4=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@8=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@12=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@16=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@20=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@24=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@28=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@32=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@36=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@40=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@44=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@48=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@60=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdInsertDebugUtilsLabelEXT@104=_gfx7_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdInsertDebugUtilsLabelEXT=gfx7_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@4=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@8=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@12=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@16=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@20=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@24=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@28=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@32=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@36=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@40=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@44=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@48=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@60=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdInsertDebugUtilsLabelEXT@104=_gfx75_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdInsertDebugUtilsLabelEXT=gfx75_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@4=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@8=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@12=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@16=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@20=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@24=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@28=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@32=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@36=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@40=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@44=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@48=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@60=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdInsertDebugUtilsLabelEXT@104=_gfx8_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdInsertDebugUtilsLabelEXT=gfx8_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@4=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@8=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@12=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@16=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@20=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@24=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@28=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@32=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@36=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@40=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@44=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@48=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@60=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdInsertDebugUtilsLabelEXT@104=_gfx9_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdInsertDebugUtilsLabelEXT=gfx9_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@4=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@8=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@12=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@16=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@20=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@24=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@28=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@32=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@36=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@40=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@44=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@48=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@60=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdInsertDebugUtilsLabelEXT@104=_gfx11_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdInsertDebugUtilsLabelEXT=gfx11_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@4=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@8=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@12=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@16=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@20=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@24=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@28=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@32=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@36=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@40=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@44=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@48=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@60=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdInsertDebugUtilsLabelEXT@104=_gfx12_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdInsertDebugUtilsLabelEXT=gfx12_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@4=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@8=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@12=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@16=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@20=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@24=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@28=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@32=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@36=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@40=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@44=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@48=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@60=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdInsertDebugUtilsLabelEXT@104=_gfx125_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdInsertDebugUtilsLabelEXT=gfx125_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@4=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@8=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@12=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@16=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@20=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@24=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@28=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@32=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@36=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@40=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@44=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@48=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@60=_anv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryHostPointerPropertiesEXT@104=_anv_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryHostPointerPropertiesEXT=anv_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@4=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@8=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@12=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@16=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@20=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@24=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@28=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@32=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@36=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@40=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@44=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@48=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@60=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryHostPointerPropertiesEXT@104=_gfx7_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryHostPointerPropertiesEXT=gfx7_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@4=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@8=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@12=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@16=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@20=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@24=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@28=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@32=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@36=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@40=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@44=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@48=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@60=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryHostPointerPropertiesEXT@104=_gfx75_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryHostPointerPropertiesEXT=gfx75_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@4=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@8=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@12=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@16=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@20=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@24=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@28=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@32=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@36=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@40=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@44=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@48=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@60=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryHostPointerPropertiesEXT@104=_gfx8_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryHostPointerPropertiesEXT=gfx8_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@4=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@8=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@12=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@16=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@20=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@24=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@28=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@32=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@36=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@40=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@44=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@48=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@60=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryHostPointerPropertiesEXT@104=_gfx9_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryHostPointerPropertiesEXT=gfx9_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@4=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@8=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@12=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@16=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@20=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@24=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@28=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@32=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@36=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@40=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@44=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@48=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@60=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryHostPointerPropertiesEXT@104=_gfx11_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryHostPointerPropertiesEXT=gfx11_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@4=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@8=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@12=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@16=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@20=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@24=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@28=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@32=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@36=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@40=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@44=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@48=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@60=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryHostPointerPropertiesEXT@104=_gfx12_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryHostPointerPropertiesEXT=gfx12_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@4=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@8=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@12=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@16=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@20=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@24=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@28=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@32=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@36=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@40=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@44=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@48=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@60=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryHostPointerPropertiesEXT@104=_gfx125_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryHostPointerPropertiesEXT=gfx125_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@4=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@8=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@12=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@16=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@20=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@24=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@28=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@32=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@36=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@40=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@44=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@48=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@60=_anv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarkerAMD@104=_anv_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWriteBufferMarkerAMD=anv_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@4=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@8=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@12=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@16=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@20=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@24=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@28=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@32=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@36=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@40=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@44=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@48=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@60=_gfx7_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarkerAMD@104=_gfx7_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWriteBufferMarkerAMD=gfx7_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@4=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@8=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@12=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@16=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@20=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@24=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@28=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@32=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@36=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@40=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@44=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@48=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@60=_gfx75_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarkerAMD@104=_gfx75_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWriteBufferMarkerAMD=gfx75_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@4=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@8=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@12=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@16=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@20=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@24=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@28=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@32=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@36=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@40=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@44=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@48=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@60=_gfx8_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarkerAMD@104=_gfx8_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWriteBufferMarkerAMD=gfx8_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@4=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@8=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@12=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@16=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@20=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@24=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@28=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@32=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@36=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@40=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@44=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@48=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@60=_gfx9_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarkerAMD@104=_gfx9_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWriteBufferMarkerAMD=gfx9_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@4=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@8=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@12=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@16=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@20=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@24=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@28=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@32=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@36=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@40=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@44=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@48=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@60=_gfx11_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarkerAMD@104=_gfx11_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWriteBufferMarkerAMD=gfx11_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@4=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@8=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@12=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@16=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@20=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@24=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@28=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@32=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@36=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@40=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@44=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@48=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@60=_gfx12_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarkerAMD@104=_gfx12_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWriteBufferMarkerAMD=gfx12_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@4=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@8=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@12=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@16=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@20=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@24=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@28=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@32=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@36=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@40=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@44=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@48=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@60=_gfx125_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarkerAMD@104=_gfx125_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWriteBufferMarkerAMD=gfx125_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@4=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@8=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@12=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@16=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@20=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@24=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@28=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@32=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@36=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@40=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@44=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@48=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@60=_anv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2@104=_anv_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateRenderPass2=anv_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@4=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@8=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@12=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@16=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@20=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@24=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@28=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@32=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@36=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@40=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@44=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@48=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@60=_gfx7_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2@104=_gfx7_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateRenderPass2=gfx7_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@4=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@8=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@12=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@16=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@20=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@24=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@28=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@32=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@36=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@40=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@44=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@48=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@60=_gfx75_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2@104=_gfx75_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateRenderPass2=gfx75_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@4=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@8=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@12=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@16=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@20=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@24=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@28=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@32=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@36=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@40=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@44=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@48=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@60=_gfx8_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2@104=_gfx8_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateRenderPass2=gfx8_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@4=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@8=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@12=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@16=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@20=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@24=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@28=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@32=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@36=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@40=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@44=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@48=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@60=_gfx9_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2@104=_gfx9_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateRenderPass2=gfx9_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@4=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@8=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@12=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@16=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@20=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@24=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@28=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@32=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@36=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@40=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@44=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@48=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@60=_gfx11_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2@104=_gfx11_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateRenderPass2=gfx11_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@4=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@8=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@12=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@16=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@20=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@24=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@28=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@32=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@36=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@40=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@44=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@48=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@60=_gfx12_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2@104=_gfx12_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateRenderPass2=gfx12_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@4=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@8=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@12=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@16=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@20=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@24=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@28=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@32=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@36=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@40=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@44=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@48=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@60=_gfx125_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2@104=_gfx125_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateRenderPass2=gfx125_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@4=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@8=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@12=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@16=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@20=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@24=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@28=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@32=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@36=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@40=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@44=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@48=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@60=_anv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRenderPass2KHR@104=_anv_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateRenderPass2KHR=anv_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@4=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@8=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@12=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@16=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@20=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@24=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@28=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@32=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@36=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@40=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@44=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@48=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@60=_gfx7_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRenderPass2KHR@104=_gfx7_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateRenderPass2KHR=gfx7_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@4=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@8=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@12=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@16=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@20=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@24=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@28=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@32=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@36=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@40=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@44=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@48=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@60=_gfx75_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRenderPass2KHR@104=_gfx75_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateRenderPass2KHR=gfx75_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@4=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@8=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@12=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@16=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@20=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@24=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@28=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@32=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@36=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@40=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@44=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@48=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@60=_gfx8_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRenderPass2KHR@104=_gfx8_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateRenderPass2KHR=gfx8_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@4=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@8=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@12=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@16=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@20=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@24=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@28=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@32=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@36=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@40=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@44=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@48=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@60=_gfx9_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRenderPass2KHR@104=_gfx9_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateRenderPass2KHR=gfx9_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@4=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@8=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@12=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@16=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@20=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@24=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@28=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@32=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@36=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@40=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@44=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@48=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@60=_gfx11_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRenderPass2KHR@104=_gfx11_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateRenderPass2KHR=gfx11_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@4=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@8=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@12=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@16=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@20=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@24=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@28=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@32=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@36=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@40=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@44=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@48=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@60=_gfx12_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRenderPass2KHR@104=_gfx12_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateRenderPass2KHR=gfx12_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@4=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@8=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@12=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@16=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@20=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@24=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@28=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@32=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@36=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@40=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@44=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@48=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@60=_gfx125_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRenderPass2KHR@104=_gfx125_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateRenderPass2KHR=gfx125_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@4=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@8=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@12=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@16=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@20=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@24=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@28=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@32=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@36=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@40=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@44=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@48=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@60=_anv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2@104=_anv_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginRenderPass2=anv_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@4=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@8=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@12=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@16=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@20=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@24=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@28=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@32=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@36=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@40=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@44=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@48=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@60=_gfx7_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2@104=_gfx7_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginRenderPass2=gfx7_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@4=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@8=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@12=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@16=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@20=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@24=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@28=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@32=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@36=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@40=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@44=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@48=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@60=_gfx75_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2@104=_gfx75_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginRenderPass2=gfx75_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@4=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@8=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@12=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@16=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@20=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@24=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@28=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@32=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@36=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@40=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@44=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@48=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@60=_gfx8_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2@104=_gfx8_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginRenderPass2=gfx8_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@4=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@8=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@12=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@16=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@20=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@24=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@28=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@32=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@36=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@40=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@44=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@48=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@60=_gfx9_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2@104=_gfx9_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginRenderPass2=gfx9_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@4=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@8=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@12=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@16=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@20=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@24=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@28=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@32=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@36=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@40=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@44=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@48=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@60=_gfx11_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2@104=_gfx11_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginRenderPass2=gfx11_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@4=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@8=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@12=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@16=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@20=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@24=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@28=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@32=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@36=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@40=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@44=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@48=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@60=_gfx12_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2@104=_gfx12_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginRenderPass2=gfx12_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@4=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@8=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@12=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@16=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@20=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@24=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@28=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@32=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@36=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@40=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@44=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@48=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@60=_gfx125_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2@104=_gfx125_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginRenderPass2=gfx125_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@4=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@8=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@12=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@16=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@20=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@24=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@28=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@32=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@36=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@40=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@44=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@48=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@60=_anv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginRenderPass2KHR@104=_anv_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginRenderPass2KHR=anv_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@4=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@8=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@12=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@16=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@20=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@24=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@28=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@32=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@36=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@40=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@44=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@48=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@60=_gfx7_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginRenderPass2KHR@104=_gfx7_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginRenderPass2KHR=gfx7_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@4=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@8=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@12=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@16=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@20=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@24=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@28=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@32=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@36=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@40=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@44=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@48=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@60=_gfx75_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginRenderPass2KHR@104=_gfx75_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginRenderPass2KHR=gfx75_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@4=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@8=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@12=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@16=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@20=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@24=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@28=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@32=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@36=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@40=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@44=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@48=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@60=_gfx8_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginRenderPass2KHR@104=_gfx8_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginRenderPass2KHR=gfx8_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@4=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@8=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@12=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@16=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@20=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@24=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@28=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@32=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@36=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@40=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@44=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@48=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@60=_gfx9_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginRenderPass2KHR@104=_gfx9_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginRenderPass2KHR=gfx9_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@4=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@8=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@12=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@16=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@20=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@24=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@28=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@32=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@36=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@40=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@44=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@48=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@60=_gfx11_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginRenderPass2KHR@104=_gfx11_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginRenderPass2KHR=gfx11_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@4=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@8=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@12=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@16=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@20=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@24=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@28=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@32=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@36=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@40=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@44=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@48=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@60=_gfx12_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginRenderPass2KHR@104=_gfx12_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginRenderPass2KHR=gfx12_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@4=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@8=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@12=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@16=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@20=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@24=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@28=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@32=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@36=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@40=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@44=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@48=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@60=_gfx125_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginRenderPass2KHR@104=_gfx125_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginRenderPass2KHR=gfx125_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@4=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@8=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@12=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@16=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@20=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@24=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@28=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@32=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@36=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@40=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@44=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@48=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@60=_anv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2@104=_anv_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdNextSubpass2=anv_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@4=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@8=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@12=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@16=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@20=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@24=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@28=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@32=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@36=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@40=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@44=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@48=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@60=_gfx7_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2@104=_gfx7_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdNextSubpass2=gfx7_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@4=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@8=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@12=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@16=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@20=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@24=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@28=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@32=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@36=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@40=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@44=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@48=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@60=_gfx75_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2@104=_gfx75_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdNextSubpass2=gfx75_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@4=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@8=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@12=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@16=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@20=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@24=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@28=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@32=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@36=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@40=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@44=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@48=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@60=_gfx8_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2@104=_gfx8_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdNextSubpass2=gfx8_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@4=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@8=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@12=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@16=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@20=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@24=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@28=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@32=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@36=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@40=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@44=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@48=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@60=_gfx9_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2@104=_gfx9_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdNextSubpass2=gfx9_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@4=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@8=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@12=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@16=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@20=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@24=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@28=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@32=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@36=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@40=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@44=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@48=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@60=_gfx11_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2@104=_gfx11_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdNextSubpass2=gfx11_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@4=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@8=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@12=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@16=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@20=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@24=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@28=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@32=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@36=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@40=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@44=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@48=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@60=_gfx12_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2@104=_gfx12_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdNextSubpass2=gfx12_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@4=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@8=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@12=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@16=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@20=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@24=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@28=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@32=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@36=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@40=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@44=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@48=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@60=_gfx125_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2@104=_gfx125_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdNextSubpass2=gfx125_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@4=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@8=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@12=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@16=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@20=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@24=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@28=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@32=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@36=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@40=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@44=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@48=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@60=_anv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdNextSubpass2KHR@104=_anv_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdNextSubpass2KHR=anv_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@4=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@8=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@12=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@16=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@20=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@24=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@28=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@32=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@36=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@40=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@44=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@48=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@60=_gfx7_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdNextSubpass2KHR@104=_gfx7_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdNextSubpass2KHR=gfx7_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@4=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@8=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@12=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@16=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@20=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@24=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@28=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@32=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@36=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@40=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@44=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@48=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@60=_gfx75_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdNextSubpass2KHR@104=_gfx75_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdNextSubpass2KHR=gfx75_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@4=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@8=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@12=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@16=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@20=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@24=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@28=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@32=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@36=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@40=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@44=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@48=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@60=_gfx8_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdNextSubpass2KHR@104=_gfx8_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdNextSubpass2KHR=gfx8_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@4=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@8=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@12=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@16=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@20=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@24=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@28=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@32=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@36=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@40=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@44=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@48=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@60=_gfx9_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdNextSubpass2KHR@104=_gfx9_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdNextSubpass2KHR=gfx9_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@4=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@8=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@12=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@16=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@20=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@24=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@28=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@32=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@36=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@40=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@44=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@48=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@60=_gfx11_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdNextSubpass2KHR@104=_gfx11_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdNextSubpass2KHR=gfx11_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@4=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@8=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@12=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@16=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@20=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@24=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@28=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@32=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@36=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@40=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@44=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@48=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@60=_gfx12_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdNextSubpass2KHR@104=_gfx12_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdNextSubpass2KHR=gfx12_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@4=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@8=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@12=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@16=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@20=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@24=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@28=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@32=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@36=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@40=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@44=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@48=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@60=_gfx125_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdNextSubpass2KHR@104=_gfx125_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdNextSubpass2KHR=gfx125_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@4=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@8=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@12=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@16=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@20=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@24=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@28=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@32=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@36=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@40=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@44=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@48=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@60=_anv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2@104=_anv_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndRenderPass2=anv_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@4=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@8=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@12=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@16=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@20=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@24=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@28=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@32=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@36=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@40=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@44=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@48=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@60=_gfx7_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2@104=_gfx7_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndRenderPass2=gfx7_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@4=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@8=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@12=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@16=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@20=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@24=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@28=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@32=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@36=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@40=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@44=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@48=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@60=_gfx75_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2@104=_gfx75_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndRenderPass2=gfx75_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@4=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@8=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@12=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@16=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@20=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@24=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@28=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@32=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@36=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@40=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@44=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@48=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@60=_gfx8_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2@104=_gfx8_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndRenderPass2=gfx8_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@4=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@8=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@12=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@16=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@20=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@24=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@28=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@32=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@36=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@40=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@44=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@48=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@60=_gfx9_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2@104=_gfx9_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndRenderPass2=gfx9_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@4=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@8=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@12=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@16=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@20=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@24=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@28=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@32=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@36=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@40=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@44=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@48=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@60=_gfx11_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2@104=_gfx11_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndRenderPass2=gfx11_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@4=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@8=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@12=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@16=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@20=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@24=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@28=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@32=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@36=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@40=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@44=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@48=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@60=_gfx12_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2@104=_gfx12_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndRenderPass2=gfx12_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@4=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@8=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@12=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@16=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@20=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@24=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@28=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@32=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@36=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@40=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@44=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@48=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@60=_gfx125_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2@104=_gfx125_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndRenderPass2=gfx125_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@4=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@8=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@12=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@16=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@20=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@24=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@28=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@32=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@36=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@40=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@44=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@48=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@60=_anv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndRenderPass2KHR@104=_anv_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndRenderPass2KHR=anv_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@4=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@8=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@12=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@16=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@20=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@24=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@28=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@32=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@36=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@40=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@44=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@48=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@60=_gfx7_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndRenderPass2KHR@104=_gfx7_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndRenderPass2KHR=gfx7_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@4=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@8=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@12=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@16=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@20=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@24=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@28=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@32=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@36=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@40=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@44=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@48=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@60=_gfx75_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndRenderPass2KHR@104=_gfx75_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndRenderPass2KHR=gfx75_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@4=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@8=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@12=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@16=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@20=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@24=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@28=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@32=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@36=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@40=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@44=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@48=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@60=_gfx8_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndRenderPass2KHR@104=_gfx8_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndRenderPass2KHR=gfx8_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@4=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@8=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@12=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@16=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@20=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@24=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@28=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@32=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@36=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@40=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@44=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@48=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@60=_gfx9_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndRenderPass2KHR@104=_gfx9_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndRenderPass2KHR=gfx9_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@4=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@8=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@12=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@16=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@20=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@24=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@28=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@32=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@36=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@40=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@44=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@48=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@60=_gfx11_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndRenderPass2KHR@104=_gfx11_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndRenderPass2KHR=gfx11_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@4=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@8=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@12=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@16=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@20=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@24=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@28=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@32=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@36=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@40=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@44=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@48=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@60=_gfx12_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndRenderPass2KHR@104=_gfx12_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndRenderPass2KHR=gfx12_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@4=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@8=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@12=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@16=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@20=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@24=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@28=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@32=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@36=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@40=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@44=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@48=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@60=_gfx125_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndRenderPass2KHR@104=_gfx125_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndRenderPass2KHR=gfx125_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@4=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@8=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@12=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@16=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@20=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@24=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@28=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@32=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@36=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@40=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@44=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@48=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@60=_anv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValue@104=_anv_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSemaphoreCounterValue=anv_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@4=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@8=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@12=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@16=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@20=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@24=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@28=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@32=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@36=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@40=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@44=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@48=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@60=_gfx7_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValue@104=_gfx7_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSemaphoreCounterValue=gfx7_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@4=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@8=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@12=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@16=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@20=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@24=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@28=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@32=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@36=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@40=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@44=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@48=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@60=_gfx75_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValue@104=_gfx75_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSemaphoreCounterValue=gfx75_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@4=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@8=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@12=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@16=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@20=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@24=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@28=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@32=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@36=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@40=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@44=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@48=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@60=_gfx8_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValue@104=_gfx8_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSemaphoreCounterValue=gfx8_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@4=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@8=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@12=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@16=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@20=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@24=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@28=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@32=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@36=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@40=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@44=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@48=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@60=_gfx9_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValue@104=_gfx9_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSemaphoreCounterValue=gfx9_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@4=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@8=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@12=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@16=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@20=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@24=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@28=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@32=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@36=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@40=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@44=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@48=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@60=_gfx11_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValue@104=_gfx11_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSemaphoreCounterValue=gfx11_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@4=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@8=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@12=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@16=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@20=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@24=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@28=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@32=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@36=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@40=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@44=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@48=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@60=_gfx12_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValue@104=_gfx12_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSemaphoreCounterValue=gfx12_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@4=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@8=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@12=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@16=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@20=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@24=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@28=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@32=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@36=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@40=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@44=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@48=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@60=_gfx125_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValue@104=_gfx125_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSemaphoreCounterValue=gfx125_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@4=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@8=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@12=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@16=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@20=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@24=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@28=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@32=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@36=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@40=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@44=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@48=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@60=_anv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetSemaphoreCounterValueKHR@104=_anv_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetSemaphoreCounterValueKHR=anv_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@4=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@8=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@12=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@16=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@20=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@24=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@28=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@32=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@36=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@40=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@44=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@48=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@60=_gfx7_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetSemaphoreCounterValueKHR@104=_gfx7_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetSemaphoreCounterValueKHR=gfx7_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@4=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@8=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@12=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@16=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@20=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@24=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@28=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@32=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@36=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@40=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@44=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@48=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@60=_gfx75_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetSemaphoreCounterValueKHR@104=_gfx75_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetSemaphoreCounterValueKHR=gfx75_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@4=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@8=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@12=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@16=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@20=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@24=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@28=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@32=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@36=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@40=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@44=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@48=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@60=_gfx8_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetSemaphoreCounterValueKHR@104=_gfx8_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetSemaphoreCounterValueKHR=gfx8_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@4=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@8=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@12=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@16=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@20=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@24=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@28=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@32=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@36=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@40=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@44=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@48=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@60=_gfx9_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetSemaphoreCounterValueKHR@104=_gfx9_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetSemaphoreCounterValueKHR=gfx9_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@4=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@8=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@12=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@16=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@20=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@24=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@28=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@32=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@36=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@40=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@44=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@48=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@60=_gfx11_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetSemaphoreCounterValueKHR@104=_gfx11_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetSemaphoreCounterValueKHR=gfx11_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@4=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@8=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@12=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@16=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@20=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@24=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@28=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@32=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@36=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@40=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@44=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@48=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@60=_gfx12_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetSemaphoreCounterValueKHR@104=_gfx12_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetSemaphoreCounterValueKHR=gfx12_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@4=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@8=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@12=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@16=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@20=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@24=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@28=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@32=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@36=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@40=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@44=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@48=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@60=_gfx125_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetSemaphoreCounterValueKHR@104=_gfx125_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetSemaphoreCounterValueKHR=gfx125_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@4=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@8=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@12=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@16=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@20=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@24=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@28=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@32=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@36=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@40=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@44=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@48=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@60=_anv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphores@104=_anv_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:anv_WaitSemaphores=anv_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@4=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@8=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@12=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@16=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@20=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@24=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@28=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@32=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@36=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@40=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@44=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@48=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@60=_gfx7_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphores@104=_gfx7_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_WaitSemaphores=gfx7_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@4=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@8=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@12=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@16=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@20=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@24=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@28=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@32=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@36=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@40=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@44=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@48=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@60=_gfx75_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphores@104=_gfx75_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_WaitSemaphores=gfx75_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@4=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@8=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@12=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@16=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@20=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@24=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@28=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@32=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@36=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@40=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@44=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@48=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@60=_gfx8_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphores@104=_gfx8_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_WaitSemaphores=gfx8_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@4=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@8=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@12=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@16=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@20=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@24=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@28=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@32=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@36=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@40=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@44=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@48=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@60=_gfx9_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphores@104=_gfx9_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_WaitSemaphores=gfx9_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@4=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@8=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@12=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@16=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@20=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@24=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@28=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@32=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@36=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@40=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@44=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@48=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@60=_gfx11_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphores@104=_gfx11_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_WaitSemaphores=gfx11_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@4=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@8=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@12=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@16=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@20=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@24=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@28=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@32=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@36=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@40=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@44=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@48=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@60=_gfx12_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphores@104=_gfx12_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_WaitSemaphores=gfx12_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@4=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@8=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@12=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@16=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@20=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@24=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@28=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@32=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@36=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@40=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@44=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@48=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@60=_gfx125_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphores@104=_gfx125_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_WaitSemaphores=gfx125_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@4=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@8=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@12=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@16=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@20=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@24=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@28=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@32=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@36=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@40=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@44=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@48=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@60=_anv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WaitSemaphoresKHR@104=_anv_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_WaitSemaphoresKHR=anv_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@4=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@8=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@12=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@16=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@20=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@24=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@28=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@32=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@36=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@40=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@44=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@48=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@60=_gfx7_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WaitSemaphoresKHR@104=_gfx7_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_WaitSemaphoresKHR=gfx7_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@4=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@8=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@12=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@16=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@20=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@24=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@28=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@32=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@36=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@40=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@44=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@48=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@60=_gfx75_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WaitSemaphoresKHR@104=_gfx75_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_WaitSemaphoresKHR=gfx75_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@4=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@8=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@12=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@16=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@20=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@24=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@28=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@32=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@36=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@40=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@44=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@48=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@60=_gfx8_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WaitSemaphoresKHR@104=_gfx8_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_WaitSemaphoresKHR=gfx8_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@4=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@8=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@12=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@16=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@20=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@24=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@28=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@32=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@36=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@40=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@44=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@48=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@60=_gfx9_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WaitSemaphoresKHR@104=_gfx9_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_WaitSemaphoresKHR=gfx9_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@4=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@8=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@12=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@16=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@20=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@24=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@28=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@32=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@36=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@40=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@44=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@48=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@60=_gfx11_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WaitSemaphoresKHR@104=_gfx11_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_WaitSemaphoresKHR=gfx11_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@4=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@8=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@12=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@16=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@20=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@24=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@28=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@32=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@36=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@40=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@44=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@48=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@60=_gfx12_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WaitSemaphoresKHR@104=_gfx12_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_WaitSemaphoresKHR=gfx12_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@4=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@8=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@12=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@16=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@20=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@24=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@28=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@32=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@36=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@40=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@44=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@48=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@60=_gfx125_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WaitSemaphoresKHR@104=_gfx125_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_WaitSemaphoresKHR=gfx125_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@4=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@8=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@12=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@16=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@20=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@24=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@28=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@32=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@36=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@40=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@44=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@48=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@60=_anv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphore@104=_anv_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SignalSemaphore=anv_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@4=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@8=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@12=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@16=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@20=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@24=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@28=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@32=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@36=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@40=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@44=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@48=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@60=_gfx7_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphore@104=_gfx7_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SignalSemaphore=gfx7_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@4=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@8=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@12=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@16=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@20=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@24=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@28=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@32=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@36=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@40=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@44=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@48=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@60=_gfx75_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphore@104=_gfx75_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SignalSemaphore=gfx75_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@4=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@8=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@12=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@16=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@20=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@24=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@28=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@32=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@36=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@40=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@44=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@48=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@60=_gfx8_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphore@104=_gfx8_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SignalSemaphore=gfx8_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@4=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@8=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@12=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@16=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@20=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@24=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@28=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@32=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@36=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@40=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@44=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@48=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@60=_gfx9_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphore@104=_gfx9_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SignalSemaphore=gfx9_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@4=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@8=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@12=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@16=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@20=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@24=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@28=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@32=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@36=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@40=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@44=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@48=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@60=_gfx11_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphore@104=_gfx11_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SignalSemaphore=gfx11_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@4=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@8=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@12=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@16=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@20=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@24=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@28=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@32=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@36=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@40=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@44=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@48=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@60=_gfx12_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphore@104=_gfx12_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SignalSemaphore=gfx12_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@4=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@8=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@12=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@16=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@20=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@24=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@28=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@32=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@36=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@40=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@44=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@48=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@60=_gfx125_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphore@104=_gfx125_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SignalSemaphore=gfx125_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@4=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@8=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@12=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@16=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@20=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@24=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@28=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@32=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@36=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@40=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@44=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@48=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@60=_anv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_SignalSemaphoreKHR@104=_anv_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SignalSemaphoreKHR=anv_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@4=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@8=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@12=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@16=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@20=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@24=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@28=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@32=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@36=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@40=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@44=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@48=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@60=_gfx7_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SignalSemaphoreKHR@104=_gfx7_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SignalSemaphoreKHR=gfx7_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@4=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@8=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@12=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@16=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@20=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@24=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@28=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@32=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@36=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@40=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@44=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@48=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@60=_gfx75_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SignalSemaphoreKHR@104=_gfx75_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SignalSemaphoreKHR=gfx75_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@4=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@8=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@12=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@16=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@20=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@24=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@28=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@32=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@36=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@40=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@44=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@48=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@60=_gfx8_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SignalSemaphoreKHR@104=_gfx8_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SignalSemaphoreKHR=gfx8_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@4=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@8=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@12=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@16=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@20=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@24=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@28=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@32=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@36=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@40=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@44=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@48=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@60=_gfx9_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SignalSemaphoreKHR@104=_gfx9_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SignalSemaphoreKHR=gfx9_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@4=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@8=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@12=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@16=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@20=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@24=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@28=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@32=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@36=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@40=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@44=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@48=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@60=_gfx11_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SignalSemaphoreKHR@104=_gfx11_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SignalSemaphoreKHR=gfx11_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@4=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@8=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@12=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@16=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@20=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@24=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@28=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@32=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@36=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@40=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@44=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@48=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@60=_gfx12_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SignalSemaphoreKHR@104=_gfx12_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SignalSemaphoreKHR=gfx12_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@4=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@8=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@12=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@16=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@20=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@24=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@28=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@32=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@36=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@40=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@44=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@48=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@60=_gfx125_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SignalSemaphoreKHR@104=_gfx125_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SignalSemaphoreKHR=gfx125_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@4=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@8=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@12=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@16=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@20=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@24=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@28=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@32=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@36=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@40=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@44=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@48=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@60=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAndroidHardwareBufferPropertiesANDROID@104=_anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetAndroidHardwareBufferPropertiesANDROID=anv_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetAndroidHardwareBufferPropertiesANDROID=gfx7_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetAndroidHardwareBufferPropertiesANDROID=gfx75_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetAndroidHardwareBufferPropertiesANDROID=gfx8_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetAndroidHardwareBufferPropertiesANDROID=gfx9_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetAndroidHardwareBufferPropertiesANDROID=gfx11_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetAndroidHardwareBufferPropertiesANDROID=gfx12_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@4=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@8=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@12=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@16=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@20=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@24=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@28=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@32=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@36=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@40=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@44=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@48=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@60=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAndroidHardwareBufferPropertiesANDROID@104=_gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetAndroidHardwareBufferPropertiesANDROID=gfx125_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@4=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@8=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@12=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@16=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@20=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@24=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@28=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@32=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@36=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@40=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@44=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@48=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@60=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_anv_GetMemoryAndroidHardwareBufferANDROID@104=_anv_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetMemoryAndroidHardwareBufferANDROID=anv_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@4=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@8=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@12=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@16=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@20=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@24=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@28=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@32=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@36=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@40=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@44=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@48=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@60=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetMemoryAndroidHardwareBufferANDROID@104=_gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetMemoryAndroidHardwareBufferANDROID=gfx7_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@4=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@8=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@12=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@16=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@20=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@24=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@28=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@32=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@36=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@40=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@44=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@48=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@60=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetMemoryAndroidHardwareBufferANDROID@104=_gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetMemoryAndroidHardwareBufferANDROID=gfx75_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@4=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@8=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@12=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@16=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@20=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@24=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@28=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@32=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@36=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@40=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@44=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@48=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@60=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetMemoryAndroidHardwareBufferANDROID@104=_gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetMemoryAndroidHardwareBufferANDROID=gfx8_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@4=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@8=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@12=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@16=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@20=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@24=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@28=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@32=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@36=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@40=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@44=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@48=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@60=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetMemoryAndroidHardwareBufferANDROID@104=_gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetMemoryAndroidHardwareBufferANDROID=gfx9_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@4=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@8=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@12=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@16=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@20=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@24=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@28=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@32=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@36=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@40=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@44=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@48=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@60=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetMemoryAndroidHardwareBufferANDROID@104=_gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetMemoryAndroidHardwareBufferANDROID=gfx11_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@4=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@8=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@12=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@16=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@20=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@24=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@28=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@32=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@36=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@40=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@44=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@48=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@60=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetMemoryAndroidHardwareBufferANDROID@104=_gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetMemoryAndroidHardwareBufferANDROID=gfx12_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@4=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@8=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@12=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@16=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@20=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@24=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@28=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@32=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@36=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@40=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@44=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@48=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@60=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetMemoryAndroidHardwareBufferANDROID@104=_gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetMemoryAndroidHardwareBufferANDROID=gfx125_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    void (*anv_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@4=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@8=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@12=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@16=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@20=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@24=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@28=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@32=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@36=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@40=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@44=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@48=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@60=_anv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCount@104=_anv_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndirectCount=anv_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@4=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@8=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@12=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@16=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@20=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@24=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@28=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@32=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@36=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@40=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@44=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@48=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@60=_gfx7_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCount@104=_gfx7_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndirectCount=gfx7_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@4=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@8=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@12=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@16=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@20=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@24=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@28=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@32=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@36=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@40=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@44=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@48=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@60=_gfx75_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCount@104=_gfx75_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndirectCount=gfx75_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@4=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@8=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@12=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@16=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@20=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@24=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@28=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@32=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@36=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@40=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@44=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@48=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@60=_gfx8_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCount@104=_gfx8_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndirectCount=gfx8_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@4=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@8=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@12=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@16=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@20=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@24=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@28=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@32=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@36=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@40=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@44=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@48=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@60=_gfx9_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCount@104=_gfx9_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndirectCount=gfx9_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@4=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@8=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@12=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@16=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@20=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@24=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@28=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@32=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@36=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@40=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@44=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@48=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@60=_gfx11_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCount@104=_gfx11_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndirectCount=gfx11_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@4=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@8=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@12=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@16=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@20=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@24=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@28=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@32=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@36=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@40=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@44=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@48=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@60=_gfx12_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCount@104=_gfx12_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndirectCount=gfx12_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@4=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@8=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@12=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@16=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@20=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@24=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@28=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@32=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@36=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@40=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@44=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@48=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@60=_gfx125_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCount@104=_gfx125_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndirectCount=gfx125_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@4=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@8=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@12=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@16=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@20=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@24=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@28=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@32=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@36=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@40=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@44=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@48=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@60=_anv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountKHR@104=_anv_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndirectCountKHR=anv_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@4=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@8=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@12=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@16=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@20=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@24=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@28=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@32=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@36=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@40=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@44=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@48=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@60=_gfx7_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountKHR@104=_gfx7_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndirectCountKHR=gfx7_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@4=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@8=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@12=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@16=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@20=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@24=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@28=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@32=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@36=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@40=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@44=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@48=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@60=_gfx75_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountKHR@104=_gfx75_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndirectCountKHR=gfx75_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@4=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@8=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@12=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@16=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@20=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@24=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@28=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@32=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@36=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@40=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@44=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@48=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@60=_gfx8_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountKHR@104=_gfx8_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndirectCountKHR=gfx8_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@4=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@8=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@12=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@16=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@20=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@24=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@28=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@32=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@36=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@40=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@44=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@48=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@60=_gfx9_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountKHR@104=_gfx9_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndirectCountKHR=gfx9_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@4=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@8=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@12=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@16=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@20=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@24=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@28=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@32=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@36=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@40=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@44=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@48=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@60=_gfx11_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountKHR@104=_gfx11_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndirectCountKHR=gfx11_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@4=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@8=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@12=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@16=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@20=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@24=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@28=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@32=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@36=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@40=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@44=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@48=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@60=_gfx12_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountKHR@104=_gfx12_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndirectCountKHR=gfx12_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@4=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@8=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@12=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@16=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@20=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@24=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@28=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@32=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@36=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@40=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@44=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@48=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@60=_gfx125_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountKHR@104=_gfx125_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndirectCountKHR=gfx125_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@4=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@8=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@12=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@16=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@20=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@24=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@28=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@32=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@36=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@40=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@44=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@48=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@60=_anv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectCountAMD@104=_anv_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndirectCountAMD=anv_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@4=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@8=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@12=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@16=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@20=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@24=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@28=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@32=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@36=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@40=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@44=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@48=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@60=_gfx7_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectCountAMD@104=_gfx7_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndirectCountAMD=gfx7_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@4=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@8=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@12=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@16=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@20=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@24=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@28=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@32=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@36=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@40=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@44=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@48=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@60=_gfx75_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectCountAMD@104=_gfx75_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndirectCountAMD=gfx75_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@4=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@8=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@12=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@16=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@20=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@24=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@28=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@32=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@36=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@40=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@44=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@48=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@60=_gfx8_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectCountAMD@104=_gfx8_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndirectCountAMD=gfx8_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@4=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@8=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@12=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@16=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@20=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@24=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@28=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@32=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@36=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@40=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@44=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@48=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@60=_gfx9_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectCountAMD@104=_gfx9_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndirectCountAMD=gfx9_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@4=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@8=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@12=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@16=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@20=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@24=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@28=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@32=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@36=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@40=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@44=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@48=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@60=_gfx11_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectCountAMD@104=_gfx11_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndirectCountAMD=gfx11_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@4=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@8=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@12=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@16=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@20=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@24=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@28=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@32=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@36=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@40=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@44=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@48=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@60=_gfx12_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectCountAMD@104=_gfx12_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndirectCountAMD=gfx12_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@4=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@8=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@12=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@16=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@20=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@24=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@28=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@32=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@36=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@40=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@44=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@48=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@60=_gfx125_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectCountAMD@104=_gfx125_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndirectCountAMD=gfx125_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@4=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@8=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@12=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@16=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@20=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@24=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@28=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@32=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@36=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@40=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@44=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@48=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@60=_anv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCount@104=_anv_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndexedIndirectCount=anv_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@4=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@8=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@12=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@16=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@20=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@24=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@28=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@32=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@36=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@40=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@44=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@48=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@60=_gfx7_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCount@104=_gfx7_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndexedIndirectCount=gfx7_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@4=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@8=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@12=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@16=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@20=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@24=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@28=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@32=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@36=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@40=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@44=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@48=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@60=_gfx75_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCount@104=_gfx75_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndexedIndirectCount=gfx75_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@4=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@8=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@12=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@16=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@20=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@24=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@28=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@32=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@36=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@40=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@44=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@48=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@60=_gfx8_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCount@104=_gfx8_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndexedIndirectCount=gfx8_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@4=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@8=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@12=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@16=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@20=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@24=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@28=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@32=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@36=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@40=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@44=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@48=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@60=_gfx9_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCount@104=_gfx9_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndexedIndirectCount=gfx9_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@4=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@8=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@12=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@16=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@20=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@24=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@28=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@32=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@36=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@40=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@44=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@48=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@60=_gfx11_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCount@104=_gfx11_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndexedIndirectCount=gfx11_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@4=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@8=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@12=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@16=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@20=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@24=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@28=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@32=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@36=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@40=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@44=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@48=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@60=_gfx12_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCount@104=_gfx12_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndexedIndirectCount=gfx12_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@4=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@8=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@12=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@16=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@20=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@24=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@28=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@32=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@36=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@40=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@44=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@48=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@60=_gfx125_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCount@104=_gfx125_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndexedIndirectCount=gfx125_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@4=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@8=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@12=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@16=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@20=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@24=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@28=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@32=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@36=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@40=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@44=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@48=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@60=_anv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountKHR@104=_anv_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndexedIndirectCountKHR=anv_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@4=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@8=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@12=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@16=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@20=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@24=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@28=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@32=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@36=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@40=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@44=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@48=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@60=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountKHR@104=_gfx7_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndexedIndirectCountKHR=gfx7_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@4=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@8=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@12=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@16=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@20=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@24=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@28=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@32=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@36=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@40=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@44=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@48=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@60=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountKHR@104=_gfx75_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndexedIndirectCountKHR=gfx75_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@4=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@8=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@12=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@16=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@20=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@24=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@28=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@32=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@36=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@40=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@44=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@48=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@60=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountKHR@104=_gfx8_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndexedIndirectCountKHR=gfx8_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@4=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@8=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@12=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@16=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@20=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@24=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@28=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@32=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@36=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@40=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@44=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@48=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@60=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountKHR@104=_gfx9_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndexedIndirectCountKHR=gfx9_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@4=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@8=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@12=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@16=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@20=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@24=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@28=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@32=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@36=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@40=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@44=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@48=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@60=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountKHR@104=_gfx11_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndexedIndirectCountKHR=gfx11_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@4=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@8=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@12=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@16=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@20=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@24=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@28=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@32=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@36=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@40=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@44=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@48=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@60=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountKHR@104=_gfx12_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndexedIndirectCountKHR=gfx12_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@4=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@8=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@12=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@16=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@20=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@24=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@28=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@32=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@36=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@40=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@44=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@48=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@60=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountKHR@104=_gfx125_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndexedIndirectCountKHR=gfx125_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@4=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@8=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@12=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@16=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@20=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@24=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@28=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@32=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@36=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@40=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@44=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@48=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@60=_anv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndexedIndirectCountAMD@104=_anv_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndexedIndirectCountAMD=anv_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@4=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@8=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@12=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@16=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@20=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@24=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@28=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@32=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@36=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@40=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@44=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@48=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@60=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndexedIndirectCountAMD@104=_gfx7_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndexedIndirectCountAMD=gfx7_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@4=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@8=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@12=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@16=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@20=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@24=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@28=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@32=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@36=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@40=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@44=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@48=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@60=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndexedIndirectCountAMD@104=_gfx75_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndexedIndirectCountAMD=gfx75_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@4=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@8=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@12=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@16=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@20=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@24=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@28=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@32=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@36=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@40=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@44=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@48=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@60=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndexedIndirectCountAMD@104=_gfx8_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndexedIndirectCountAMD=gfx8_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@4=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@8=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@12=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@16=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@20=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@24=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@28=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@32=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@36=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@40=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@44=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@48=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@60=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndexedIndirectCountAMD@104=_gfx9_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndexedIndirectCountAMD=gfx9_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@4=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@8=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@12=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@16=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@20=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@24=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@28=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@32=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@36=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@40=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@44=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@48=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@60=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndexedIndirectCountAMD@104=_gfx11_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndexedIndirectCountAMD=gfx11_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@4=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@8=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@12=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@16=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@20=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@24=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@28=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@32=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@36=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@40=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@44=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@48=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@60=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndexedIndirectCountAMD@104=_gfx12_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndexedIndirectCountAMD=gfx12_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@4=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@8=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@12=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@16=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@20=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@24=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@28=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@32=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@36=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@40=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@44=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@48=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@60=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndexedIndirectCountAMD@104=_gfx125_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndexedIndirectCountAMD=gfx125_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@4=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@8=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@12=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@16=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@20=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@24=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@28=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@32=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@36=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@40=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@44=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@48=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@60=_anv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCheckpointNV@104=_anv_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetCheckpointNV=anv_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@4=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@8=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@12=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@16=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@20=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@24=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@28=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@32=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@36=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@40=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@44=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@48=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@60=_gfx7_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCheckpointNV@104=_gfx7_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetCheckpointNV=gfx7_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@4=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@8=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@12=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@16=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@20=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@24=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@28=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@32=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@36=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@40=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@44=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@48=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@60=_gfx75_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCheckpointNV@104=_gfx75_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetCheckpointNV=gfx75_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@4=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@8=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@12=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@16=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@20=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@24=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@28=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@32=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@36=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@40=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@44=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@48=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@60=_gfx8_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCheckpointNV@104=_gfx8_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetCheckpointNV=gfx8_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@4=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@8=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@12=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@16=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@20=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@24=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@28=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@32=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@36=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@40=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@44=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@48=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@60=_gfx9_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCheckpointNV@104=_gfx9_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetCheckpointNV=gfx9_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@4=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@8=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@12=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@16=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@20=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@24=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@28=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@32=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@36=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@40=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@44=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@48=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@60=_gfx11_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCheckpointNV@104=_gfx11_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetCheckpointNV=gfx11_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@4=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@8=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@12=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@16=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@20=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@24=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@28=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@32=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@36=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@40=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@44=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@48=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@60=_gfx12_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCheckpointNV@104=_gfx12_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetCheckpointNV=gfx12_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@4=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@8=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@12=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@16=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@20=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@24=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@28=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@32=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@36=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@40=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@44=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@48=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@60=_gfx125_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCheckpointNV@104=_gfx125_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetCheckpointNV=gfx125_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@4=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@8=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@12=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@16=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@20=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@24=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@28=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@32=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@36=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@40=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@44=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@48=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@60=_anv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointDataNV@104=_anv_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetQueueCheckpointDataNV=anv_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@4=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@8=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@12=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@16=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@20=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@24=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@28=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@32=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@36=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@40=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@44=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@48=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@60=_gfx7_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointDataNV@104=_gfx7_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetQueueCheckpointDataNV=gfx7_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@4=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@8=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@12=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@16=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@20=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@24=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@28=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@32=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@36=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@40=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@44=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@48=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@60=_gfx75_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointDataNV@104=_gfx75_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetQueueCheckpointDataNV=gfx75_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@4=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@8=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@12=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@16=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@20=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@24=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@28=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@32=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@36=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@40=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@44=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@48=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@60=_gfx8_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointDataNV@104=_gfx8_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetQueueCheckpointDataNV=gfx8_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@4=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@8=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@12=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@16=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@20=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@24=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@28=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@32=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@36=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@40=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@44=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@48=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@60=_gfx9_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointDataNV@104=_gfx9_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetQueueCheckpointDataNV=gfx9_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@4=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@8=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@12=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@16=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@20=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@24=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@28=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@32=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@36=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@40=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@44=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@48=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@60=_gfx11_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointDataNV@104=_gfx11_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetQueueCheckpointDataNV=gfx11_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@4=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@8=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@12=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@16=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@20=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@24=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@28=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@32=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@36=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@40=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@44=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@48=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@60=_gfx12_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointDataNV@104=_gfx12_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetQueueCheckpointDataNV=gfx12_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@4=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@8=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@12=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@16=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@20=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@24=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@28=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@32=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@36=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@40=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@44=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@48=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@60=_gfx125_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointDataNV@104=_gfx125_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetQueueCheckpointDataNV=gfx125_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@4=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@8=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@12=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@16=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@20=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@24=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@28=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@32=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@36=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@40=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@44=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@48=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@60=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindTransformFeedbackBuffersEXT@104=_anv_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindTransformFeedbackBuffersEXT=anv_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@4=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@8=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@12=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@16=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@20=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@24=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@28=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@32=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@36=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@40=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@44=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@48=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@60=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindTransformFeedbackBuffersEXT@104=_gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindTransformFeedbackBuffersEXT=gfx7_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@4=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@8=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@12=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@16=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@20=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@24=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@28=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@32=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@36=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@40=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@44=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@48=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@60=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindTransformFeedbackBuffersEXT@104=_gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindTransformFeedbackBuffersEXT=gfx75_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@4=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@8=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@12=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@16=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@20=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@24=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@28=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@32=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@36=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@40=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@44=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@48=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@60=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindTransformFeedbackBuffersEXT@104=_gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindTransformFeedbackBuffersEXT=gfx8_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@4=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@8=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@12=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@16=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@20=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@24=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@28=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@32=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@36=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@40=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@44=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@48=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@60=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindTransformFeedbackBuffersEXT@104=_gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindTransformFeedbackBuffersEXT=gfx9_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@4=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@8=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@12=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@16=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@20=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@24=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@28=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@32=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@36=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@40=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@44=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@48=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@60=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindTransformFeedbackBuffersEXT@104=_gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindTransformFeedbackBuffersEXT=gfx11_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@4=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@8=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@12=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@16=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@20=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@24=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@28=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@32=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@36=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@40=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@44=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@48=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@60=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindTransformFeedbackBuffersEXT@104=_gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindTransformFeedbackBuffersEXT=gfx12_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@4=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@8=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@12=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@16=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@20=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@24=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@28=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@32=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@36=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@40=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@44=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@48=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@60=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindTransformFeedbackBuffersEXT@104=_gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindTransformFeedbackBuffersEXT=gfx125_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@4=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@8=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@12=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@16=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@20=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@24=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@28=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@32=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@36=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@40=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@44=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@48=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@60=_anv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginTransformFeedbackEXT@104=_anv_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginTransformFeedbackEXT=anv_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@4=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@8=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@12=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@16=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@20=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@24=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@28=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@32=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@36=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@40=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@44=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@48=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@60=_gfx7_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginTransformFeedbackEXT@104=_gfx7_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginTransformFeedbackEXT=gfx7_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@4=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@8=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@12=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@16=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@20=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@24=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@28=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@32=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@36=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@40=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@44=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@48=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@60=_gfx75_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginTransformFeedbackEXT@104=_gfx75_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginTransformFeedbackEXT=gfx75_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@4=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@8=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@12=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@16=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@20=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@24=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@28=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@32=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@36=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@40=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@44=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@48=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@60=_gfx8_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginTransformFeedbackEXT@104=_gfx8_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginTransformFeedbackEXT=gfx8_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@4=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@8=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@12=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@16=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@20=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@24=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@28=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@32=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@36=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@40=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@44=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@48=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@60=_gfx9_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginTransformFeedbackEXT@104=_gfx9_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginTransformFeedbackEXT=gfx9_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@4=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@8=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@12=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@16=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@20=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@24=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@28=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@32=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@36=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@40=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@44=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@48=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@60=_gfx11_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginTransformFeedbackEXT@104=_gfx11_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginTransformFeedbackEXT=gfx11_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@4=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@8=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@12=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@16=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@20=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@24=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@28=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@32=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@36=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@40=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@44=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@48=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@60=_gfx12_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginTransformFeedbackEXT@104=_gfx12_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginTransformFeedbackEXT=gfx12_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@4=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@8=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@12=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@16=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@20=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@24=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@28=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@32=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@36=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@40=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@44=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@48=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@60=_gfx125_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginTransformFeedbackEXT@104=_gfx125_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginTransformFeedbackEXT=gfx125_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@4=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@8=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@12=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@16=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@20=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@24=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@28=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@32=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@36=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@40=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@44=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@48=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@60=_anv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndTransformFeedbackEXT@104=_anv_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndTransformFeedbackEXT=anv_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@4=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@8=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@12=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@16=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@20=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@24=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@28=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@32=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@36=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@40=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@44=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@48=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@60=_gfx7_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndTransformFeedbackEXT@104=_gfx7_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndTransformFeedbackEXT=gfx7_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@4=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@8=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@12=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@16=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@20=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@24=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@28=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@32=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@36=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@40=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@44=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@48=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@60=_gfx75_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndTransformFeedbackEXT@104=_gfx75_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndTransformFeedbackEXT=gfx75_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@4=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@8=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@12=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@16=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@20=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@24=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@28=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@32=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@36=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@40=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@44=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@48=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@60=_gfx8_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndTransformFeedbackEXT@104=_gfx8_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndTransformFeedbackEXT=gfx8_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@4=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@8=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@12=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@16=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@20=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@24=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@28=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@32=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@36=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@40=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@44=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@48=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@60=_gfx9_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndTransformFeedbackEXT@104=_gfx9_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndTransformFeedbackEXT=gfx9_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@4=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@8=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@12=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@16=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@20=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@24=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@28=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@32=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@36=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@40=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@44=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@48=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@60=_gfx11_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndTransformFeedbackEXT@104=_gfx11_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndTransformFeedbackEXT=gfx11_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@4=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@8=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@12=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@16=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@20=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@24=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@28=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@32=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@36=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@40=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@44=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@48=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@60=_gfx12_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndTransformFeedbackEXT@104=_gfx12_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndTransformFeedbackEXT=gfx12_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@4=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@8=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@12=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@16=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@20=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@24=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@28=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@32=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@36=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@40=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@44=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@48=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@60=_gfx125_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndTransformFeedbackEXT@104=_gfx125_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndTransformFeedbackEXT=gfx125_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@4=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@8=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@12=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@16=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@20=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@24=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@28=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@32=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@36=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@40=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@44=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@48=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@60=_anv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginQueryIndexedEXT@104=_anv_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginQueryIndexedEXT=anv_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@4=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@8=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@12=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@16=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@20=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@24=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@28=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@32=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@36=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@40=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@44=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@48=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@60=_gfx7_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginQueryIndexedEXT@104=_gfx7_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginQueryIndexedEXT=gfx7_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@4=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@8=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@12=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@16=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@20=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@24=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@28=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@32=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@36=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@40=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@44=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@48=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@60=_gfx75_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginQueryIndexedEXT@104=_gfx75_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginQueryIndexedEXT=gfx75_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@4=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@8=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@12=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@16=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@20=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@24=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@28=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@32=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@36=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@40=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@44=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@48=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@60=_gfx8_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginQueryIndexedEXT@104=_gfx8_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginQueryIndexedEXT=gfx8_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@4=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@8=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@12=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@16=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@20=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@24=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@28=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@32=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@36=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@40=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@44=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@48=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@60=_gfx9_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginQueryIndexedEXT@104=_gfx9_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginQueryIndexedEXT=gfx9_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@4=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@8=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@12=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@16=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@20=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@24=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@28=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@32=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@36=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@40=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@44=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@48=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@60=_gfx11_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginQueryIndexedEXT@104=_gfx11_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginQueryIndexedEXT=gfx11_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@4=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@8=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@12=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@16=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@20=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@24=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@28=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@32=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@36=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@40=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@44=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@48=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@60=_gfx12_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginQueryIndexedEXT@104=_gfx12_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginQueryIndexedEXT=gfx12_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@4=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@8=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@12=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@16=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@20=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@24=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@28=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@32=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@36=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@40=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@44=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@48=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@60=_gfx125_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginQueryIndexedEXT@104=_gfx125_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginQueryIndexedEXT=gfx125_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@4=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@8=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@12=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@16=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@20=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@24=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@28=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@32=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@36=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@40=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@44=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@48=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@60=_anv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndQueryIndexedEXT@104=_anv_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndQueryIndexedEXT=anv_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@4=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@8=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@12=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@16=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@20=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@24=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@28=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@32=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@36=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@40=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@44=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@48=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@60=_gfx7_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndQueryIndexedEXT@104=_gfx7_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndQueryIndexedEXT=gfx7_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@4=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@8=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@12=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@16=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@20=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@24=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@28=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@32=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@36=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@40=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@44=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@48=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@60=_gfx75_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndQueryIndexedEXT@104=_gfx75_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndQueryIndexedEXT=gfx75_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@4=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@8=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@12=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@16=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@20=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@24=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@28=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@32=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@36=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@40=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@44=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@48=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@60=_gfx8_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndQueryIndexedEXT@104=_gfx8_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndQueryIndexedEXT=gfx8_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@4=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@8=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@12=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@16=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@20=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@24=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@28=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@32=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@36=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@40=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@44=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@48=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@60=_gfx9_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndQueryIndexedEXT@104=_gfx9_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndQueryIndexedEXT=gfx9_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@4=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@8=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@12=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@16=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@20=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@24=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@28=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@32=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@36=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@40=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@44=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@48=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@60=_gfx11_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndQueryIndexedEXT@104=_gfx11_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndQueryIndexedEXT=gfx11_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@4=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@8=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@12=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@16=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@20=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@24=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@28=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@32=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@36=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@40=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@44=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@48=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@60=_gfx12_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndQueryIndexedEXT@104=_gfx12_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndQueryIndexedEXT=gfx12_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@4=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@8=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@12=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@16=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@20=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@24=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@28=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@32=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@36=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@40=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@44=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@48=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@60=_gfx125_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndQueryIndexedEXT@104=_gfx125_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndQueryIndexedEXT=gfx125_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@4=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@8=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@12=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@16=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@20=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@24=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@28=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@32=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@36=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@40=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@44=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@48=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@60=_anv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawIndirectByteCountEXT@104=_anv_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawIndirectByteCountEXT=anv_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@4=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@8=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@12=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@16=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@20=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@24=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@28=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@32=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@36=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@40=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@44=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@48=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@60=_gfx7_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawIndirectByteCountEXT@104=_gfx7_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawIndirectByteCountEXT=gfx7_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@4=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@8=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@12=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@16=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@20=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@24=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@28=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@32=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@36=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@40=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@44=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@48=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@60=_gfx75_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawIndirectByteCountEXT@104=_gfx75_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawIndirectByteCountEXT=gfx75_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@4=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@8=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@12=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@16=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@20=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@24=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@28=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@32=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@36=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@40=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@44=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@48=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@60=_gfx8_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawIndirectByteCountEXT@104=_gfx8_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawIndirectByteCountEXT=gfx8_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@4=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@8=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@12=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@16=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@20=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@24=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@28=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@32=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@36=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@40=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@44=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@48=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@60=_gfx9_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawIndirectByteCountEXT@104=_gfx9_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawIndirectByteCountEXT=gfx9_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@4=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@8=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@12=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@16=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@20=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@24=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@28=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@32=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@36=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@40=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@44=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@48=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@60=_gfx11_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawIndirectByteCountEXT@104=_gfx11_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawIndirectByteCountEXT=gfx11_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@4=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@8=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@12=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@16=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@20=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@24=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@28=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@32=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@36=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@40=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@44=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@48=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@60=_gfx12_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawIndirectByteCountEXT@104=_gfx12_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawIndirectByteCountEXT=gfx12_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@4=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@8=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@12=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@16=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@20=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@24=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@28=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@32=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@36=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@40=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@44=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@48=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@60=_gfx125_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawIndirectByteCountEXT@104=_gfx125_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawIndirectByteCountEXT=gfx125_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@4=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@8=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@12=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@16=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@20=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@24=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@28=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@32=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@36=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@40=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@44=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@48=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@60=_anv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetExclusiveScissorNV@104=_anv_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetExclusiveScissorNV=anv_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@4=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@8=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@12=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@16=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@20=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@24=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@28=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@32=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@36=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@40=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@44=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@48=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@60=_gfx7_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetExclusiveScissorNV@104=_gfx7_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetExclusiveScissorNV=gfx7_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@4=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@8=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@12=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@16=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@20=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@24=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@28=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@32=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@36=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@40=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@44=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@48=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@60=_gfx75_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetExclusiveScissorNV@104=_gfx75_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetExclusiveScissorNV=gfx75_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@4=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@8=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@12=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@16=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@20=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@24=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@28=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@32=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@36=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@40=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@44=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@48=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@60=_gfx8_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetExclusiveScissorNV@104=_gfx8_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetExclusiveScissorNV=gfx8_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@4=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@8=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@12=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@16=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@20=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@24=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@28=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@32=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@36=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@40=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@44=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@48=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@60=_gfx9_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetExclusiveScissorNV@104=_gfx9_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetExclusiveScissorNV=gfx9_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@4=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@8=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@12=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@16=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@20=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@24=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@28=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@32=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@36=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@40=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@44=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@48=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@60=_gfx11_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetExclusiveScissorNV@104=_gfx11_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetExclusiveScissorNV=gfx11_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@4=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@8=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@12=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@16=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@20=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@24=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@28=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@32=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@36=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@40=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@44=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@48=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@60=_gfx12_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetExclusiveScissorNV@104=_gfx12_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetExclusiveScissorNV=gfx12_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@4=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@8=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@12=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@16=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@20=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@24=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@28=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@32=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@36=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@40=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@44=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@48=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@60=_gfx125_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetExclusiveScissorNV@104=_gfx125_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetExclusiveScissorNV=gfx125_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@4=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@8=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@12=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@16=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@20=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@24=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@28=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@32=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@36=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@40=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@44=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@48=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@60=_anv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindShadingRateImageNV@104=_anv_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindShadingRateImageNV=anv_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@4=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@8=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@12=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@16=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@20=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@24=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@28=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@32=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@36=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@40=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@44=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@48=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@60=_gfx7_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindShadingRateImageNV@104=_gfx7_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindShadingRateImageNV=gfx7_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@4=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@8=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@12=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@16=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@20=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@24=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@28=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@32=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@36=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@40=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@44=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@48=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@60=_gfx75_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindShadingRateImageNV@104=_gfx75_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindShadingRateImageNV=gfx75_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@4=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@8=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@12=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@16=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@20=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@24=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@28=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@32=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@36=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@40=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@44=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@48=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@60=_gfx8_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindShadingRateImageNV@104=_gfx8_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindShadingRateImageNV=gfx8_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@4=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@8=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@12=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@16=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@20=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@24=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@28=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@32=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@36=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@40=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@44=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@48=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@60=_gfx9_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindShadingRateImageNV@104=_gfx9_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindShadingRateImageNV=gfx9_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@4=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@8=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@12=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@16=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@20=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@24=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@28=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@32=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@36=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@40=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@44=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@48=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@60=_gfx11_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindShadingRateImageNV@104=_gfx11_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindShadingRateImageNV=gfx11_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@4=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@8=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@12=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@16=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@20=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@24=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@28=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@32=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@36=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@40=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@44=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@48=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@60=_gfx12_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindShadingRateImageNV@104=_gfx12_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindShadingRateImageNV=gfx12_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@4=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@8=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@12=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@16=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@20=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@24=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@28=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@32=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@36=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@40=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@44=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@48=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@60=_gfx125_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindShadingRateImageNV@104=_gfx125_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindShadingRateImageNV=gfx125_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@4=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@8=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@12=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@16=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@20=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@24=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@28=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@32=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@36=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@40=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@44=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@48=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@60=_anv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportShadingRatePaletteNV@104=_anv_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetViewportShadingRatePaletteNV=anv_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@4=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@8=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@12=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@16=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@20=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@24=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@28=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@32=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@36=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@40=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@44=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@48=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@60=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportShadingRatePaletteNV@104=_gfx7_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetViewportShadingRatePaletteNV=gfx7_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@4=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@8=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@12=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@16=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@20=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@24=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@28=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@32=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@36=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@40=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@44=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@48=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@60=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportShadingRatePaletteNV@104=_gfx75_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetViewportShadingRatePaletteNV=gfx75_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@4=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@8=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@12=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@16=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@20=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@24=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@28=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@32=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@36=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@40=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@44=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@48=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@60=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportShadingRatePaletteNV@104=_gfx8_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetViewportShadingRatePaletteNV=gfx8_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@4=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@8=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@12=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@16=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@20=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@24=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@28=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@32=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@36=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@40=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@44=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@48=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@60=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportShadingRatePaletteNV@104=_gfx9_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetViewportShadingRatePaletteNV=gfx9_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@4=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@8=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@12=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@16=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@20=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@24=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@28=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@32=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@36=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@40=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@44=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@48=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@60=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportShadingRatePaletteNV@104=_gfx11_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetViewportShadingRatePaletteNV=gfx11_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@4=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@8=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@12=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@16=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@20=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@24=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@28=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@32=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@36=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@40=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@44=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@48=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@60=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportShadingRatePaletteNV@104=_gfx12_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetViewportShadingRatePaletteNV=gfx12_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@4=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@8=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@12=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@16=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@20=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@24=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@28=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@32=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@36=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@40=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@44=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@48=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@60=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportShadingRatePaletteNV@104=_gfx125_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetViewportShadingRatePaletteNV=gfx125_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@4=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@8=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@12=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@16=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@20=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@24=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@28=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@32=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@36=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@40=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@44=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@48=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@60=_anv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCoarseSampleOrderNV@104=_anv_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetCoarseSampleOrderNV=anv_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@4=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@8=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@12=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@16=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@20=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@24=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@28=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@32=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@36=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@40=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@44=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@48=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@60=_gfx7_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCoarseSampleOrderNV@104=_gfx7_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetCoarseSampleOrderNV=gfx7_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@4=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@8=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@12=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@16=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@20=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@24=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@28=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@32=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@36=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@40=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@44=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@48=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@60=_gfx75_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCoarseSampleOrderNV@104=_gfx75_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetCoarseSampleOrderNV=gfx75_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@4=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@8=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@12=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@16=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@20=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@24=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@28=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@32=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@36=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@40=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@44=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@48=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@60=_gfx8_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCoarseSampleOrderNV@104=_gfx8_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetCoarseSampleOrderNV=gfx8_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@4=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@8=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@12=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@16=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@20=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@24=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@28=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@32=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@36=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@40=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@44=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@48=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@60=_gfx9_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCoarseSampleOrderNV@104=_gfx9_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetCoarseSampleOrderNV=gfx9_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@4=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@8=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@12=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@16=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@20=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@24=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@28=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@32=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@36=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@40=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@44=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@48=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@60=_gfx11_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCoarseSampleOrderNV@104=_gfx11_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetCoarseSampleOrderNV=gfx11_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@4=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@8=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@12=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@16=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@20=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@24=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@28=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@32=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@36=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@40=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@44=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@48=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@60=_gfx12_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCoarseSampleOrderNV@104=_gfx12_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetCoarseSampleOrderNV=gfx12_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@4=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@8=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@12=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@16=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@20=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@24=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@28=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@32=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@36=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@40=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@44=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@48=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@60=_gfx125_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCoarseSampleOrderNV@104=_gfx125_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetCoarseSampleOrderNV=gfx125_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@4=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@8=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@12=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@16=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@20=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@24=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@28=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@32=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@36=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@40=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@44=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@48=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@60=_anv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksNV@104=_anv_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawMeshTasksNV=anv_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@4=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@8=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@12=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@16=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@20=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@24=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@28=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@32=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@36=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@40=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@44=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@48=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@60=_gfx7_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksNV@104=_gfx7_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawMeshTasksNV=gfx7_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@4=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@8=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@12=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@16=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@20=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@24=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@28=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@32=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@36=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@40=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@44=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@48=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@60=_gfx75_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksNV@104=_gfx75_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawMeshTasksNV=gfx75_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@4=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@8=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@12=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@16=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@20=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@24=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@28=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@32=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@36=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@40=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@44=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@48=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@60=_gfx8_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksNV@104=_gfx8_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawMeshTasksNV=gfx8_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@4=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@8=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@12=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@16=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@20=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@24=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@28=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@32=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@36=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@40=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@44=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@48=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@60=_gfx9_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksNV@104=_gfx9_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawMeshTasksNV=gfx9_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@4=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@8=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@12=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@16=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@20=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@24=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@28=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@32=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@36=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@40=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@44=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@48=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@60=_gfx11_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksNV@104=_gfx11_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawMeshTasksNV=gfx11_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@4=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@8=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@12=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@16=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@20=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@24=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@28=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@32=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@36=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@40=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@44=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@48=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@60=_gfx12_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksNV@104=_gfx12_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawMeshTasksNV=gfx12_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@4=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@8=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@12=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@16=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@20=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@24=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@28=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@32=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@36=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@40=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@44=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@48=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@60=_gfx125_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksNV@104=_gfx125_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawMeshTasksNV=gfx125_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@4=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@8=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@12=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@16=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@20=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@24=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@28=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@32=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@36=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@40=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@44=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@48=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@60=_anv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectNV@104=_anv_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawMeshTasksIndirectNV=anv_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@4=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@8=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@12=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@16=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@20=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@24=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@28=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@32=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@36=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@40=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@44=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@48=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@60=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectNV@104=_gfx7_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawMeshTasksIndirectNV=gfx7_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@4=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@8=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@12=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@16=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@20=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@24=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@28=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@32=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@36=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@40=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@44=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@48=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@60=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectNV@104=_gfx75_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawMeshTasksIndirectNV=gfx75_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@4=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@8=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@12=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@16=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@20=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@24=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@28=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@32=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@36=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@40=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@44=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@48=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@60=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectNV@104=_gfx8_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawMeshTasksIndirectNV=gfx8_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@4=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@8=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@12=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@16=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@20=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@24=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@28=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@32=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@36=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@40=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@44=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@48=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@60=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectNV@104=_gfx9_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawMeshTasksIndirectNV=gfx9_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@4=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@8=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@12=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@16=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@20=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@24=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@28=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@32=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@36=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@40=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@44=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@48=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@60=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectNV@104=_gfx11_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawMeshTasksIndirectNV=gfx11_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@4=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@8=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@12=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@16=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@20=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@24=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@28=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@32=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@36=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@40=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@44=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@48=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@60=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectNV@104=_gfx12_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawMeshTasksIndirectNV=gfx12_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@4=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@8=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@12=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@16=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@20=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@24=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@28=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@32=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@36=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@40=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@44=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@48=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@60=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectNV@104=_gfx125_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawMeshTasksIndirectNV=gfx125_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@4=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@8=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@12=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@16=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@20=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@24=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@28=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@32=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@36=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@40=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@44=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@48=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@60=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDrawMeshTasksIndirectCountNV@104=_anv_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDrawMeshTasksIndirectCountNV=anv_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@4=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@8=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@12=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@16=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@20=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@24=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@28=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@32=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@36=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@40=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@44=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@48=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@60=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDrawMeshTasksIndirectCountNV@104=_gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDrawMeshTasksIndirectCountNV=gfx7_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@4=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@8=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@12=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@16=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@20=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@24=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@28=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@32=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@36=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@40=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@44=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@48=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@60=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDrawMeshTasksIndirectCountNV@104=_gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDrawMeshTasksIndirectCountNV=gfx75_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@4=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@8=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@12=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@16=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@20=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@24=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@28=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@32=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@36=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@40=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@44=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@48=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@60=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDrawMeshTasksIndirectCountNV@104=_gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDrawMeshTasksIndirectCountNV=gfx8_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@4=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@8=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@12=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@16=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@20=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@24=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@28=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@32=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@36=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@40=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@44=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@48=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@60=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDrawMeshTasksIndirectCountNV@104=_gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDrawMeshTasksIndirectCountNV=gfx9_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@4=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@8=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@12=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@16=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@20=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@24=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@28=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@32=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@36=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@40=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@44=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@48=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@60=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDrawMeshTasksIndirectCountNV@104=_gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDrawMeshTasksIndirectCountNV=gfx11_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@4=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@8=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@12=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@16=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@20=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@24=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@28=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@32=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@36=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@40=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@44=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@48=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@60=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDrawMeshTasksIndirectCountNV@104=_gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDrawMeshTasksIndirectCountNV=gfx12_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@4=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@8=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@12=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@16=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@20=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@24=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@28=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@32=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@36=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@40=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@44=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@48=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@60=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDrawMeshTasksIndirectCountNV@104=_gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDrawMeshTasksIndirectCountNV=gfx125_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@4=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@8=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@12=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@16=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@20=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@24=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@28=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@32=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@36=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@40=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@44=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@48=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@60=_anv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CompileDeferredNV@104=_anv_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CompileDeferredNV=anv_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@4=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@8=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@12=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@16=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@20=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@24=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@28=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@32=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@36=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@40=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@44=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@48=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@60=_gfx7_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CompileDeferredNV@104=_gfx7_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CompileDeferredNV=gfx7_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@4=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@8=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@12=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@16=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@20=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@24=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@28=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@32=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@36=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@40=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@44=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@48=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@60=_gfx75_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CompileDeferredNV@104=_gfx75_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CompileDeferredNV=gfx75_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@4=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@8=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@12=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@16=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@20=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@24=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@28=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@32=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@36=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@40=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@44=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@48=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@60=_gfx8_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CompileDeferredNV@104=_gfx8_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CompileDeferredNV=gfx8_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@4=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@8=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@12=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@16=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@20=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@24=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@28=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@32=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@36=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@40=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@44=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@48=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@60=_gfx9_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CompileDeferredNV@104=_gfx9_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CompileDeferredNV=gfx9_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@4=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@8=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@12=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@16=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@20=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@24=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@28=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@32=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@36=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@40=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@44=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@48=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@60=_gfx11_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CompileDeferredNV@104=_gfx11_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CompileDeferredNV=gfx11_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@4=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@8=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@12=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@16=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@20=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@24=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@28=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@32=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@36=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@40=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@44=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@48=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@60=_gfx12_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CompileDeferredNV@104=_gfx12_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CompileDeferredNV=gfx12_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@4=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@8=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@12=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@16=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@20=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@24=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@28=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@32=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@36=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@40=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@44=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@48=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@60=_gfx125_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CompileDeferredNV@104=_gfx125_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CompileDeferredNV=gfx125_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@4=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@8=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@12=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@16=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@20=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@24=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@28=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@32=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@36=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@40=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@44=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@48=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@60=_anv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureNV@104=_anv_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateAccelerationStructureNV=anv_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@4=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@8=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@12=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@16=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@20=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@24=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@28=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@32=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@36=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@40=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@44=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@48=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@60=_gfx7_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureNV@104=_gfx7_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateAccelerationStructureNV=gfx7_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@4=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@8=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@12=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@16=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@20=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@24=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@28=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@32=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@36=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@40=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@44=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@48=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@60=_gfx75_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureNV@104=_gfx75_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateAccelerationStructureNV=gfx75_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@4=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@8=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@12=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@16=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@20=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@24=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@28=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@32=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@36=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@40=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@44=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@48=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@60=_gfx8_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureNV@104=_gfx8_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateAccelerationStructureNV=gfx8_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@4=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@8=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@12=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@16=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@20=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@24=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@28=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@32=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@36=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@40=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@44=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@48=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@60=_gfx9_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureNV@104=_gfx9_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateAccelerationStructureNV=gfx9_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@4=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@8=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@12=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@16=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@20=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@24=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@28=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@32=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@36=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@40=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@44=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@48=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@60=_gfx11_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureNV@104=_gfx11_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateAccelerationStructureNV=gfx11_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@4=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@8=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@12=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@16=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@20=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@24=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@28=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@32=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@36=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@40=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@44=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@48=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@60=_gfx12_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureNV@104=_gfx12_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateAccelerationStructureNV=gfx12_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@4=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@8=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@12=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@16=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@20=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@24=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@28=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@32=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@36=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@40=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@44=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@48=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@60=_gfx125_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureNV@104=_gfx125_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateAccelerationStructureNV=gfx125_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@4=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@8=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@12=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@16=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@20=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@24=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@28=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@32=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@36=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@40=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@44=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@48=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@60=_anv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureKHR@104=_anv_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyAccelerationStructureKHR=anv_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@4=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@8=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@12=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@16=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@20=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@24=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@28=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@32=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@36=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@40=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@44=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@48=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@60=_gfx7_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureKHR@104=_gfx7_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyAccelerationStructureKHR=gfx7_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@4=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@8=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@12=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@16=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@20=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@24=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@28=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@32=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@36=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@40=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@44=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@48=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@60=_gfx75_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureKHR@104=_gfx75_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyAccelerationStructureKHR=gfx75_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@4=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@8=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@12=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@16=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@20=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@24=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@28=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@32=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@36=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@40=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@44=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@48=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@60=_gfx8_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureKHR@104=_gfx8_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyAccelerationStructureKHR=gfx8_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@4=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@8=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@12=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@16=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@20=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@24=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@28=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@32=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@36=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@40=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@44=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@48=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@60=_gfx9_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureKHR@104=_gfx9_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyAccelerationStructureKHR=gfx9_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@4=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@8=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@12=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@16=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@20=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@24=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@28=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@32=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@36=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@40=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@44=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@48=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@60=_gfx11_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureKHR@104=_gfx11_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyAccelerationStructureKHR=gfx11_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@4=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@8=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@12=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@16=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@20=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@24=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@28=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@32=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@36=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@40=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@44=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@48=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@60=_gfx12_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureKHR@104=_gfx12_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyAccelerationStructureKHR=gfx12_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@4=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@8=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@12=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@16=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@20=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@24=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@28=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@32=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@36=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@40=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@44=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@48=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@60=_gfx125_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureKHR@104=_gfx125_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyAccelerationStructureKHR=gfx125_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@4=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@8=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@12=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@16=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@20=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@24=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@28=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@32=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@36=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@40=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@44=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@48=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@60=_anv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyAccelerationStructureNV@104=_anv_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyAccelerationStructureNV=anv_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@4=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@8=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@12=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@16=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@20=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@24=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@28=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@32=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@36=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@40=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@44=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@48=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@60=_gfx7_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyAccelerationStructureNV@104=_gfx7_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyAccelerationStructureNV=gfx7_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@4=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@8=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@12=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@16=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@20=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@24=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@28=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@32=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@36=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@40=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@44=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@48=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@60=_gfx75_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyAccelerationStructureNV@104=_gfx75_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyAccelerationStructureNV=gfx75_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@4=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@8=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@12=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@16=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@20=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@24=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@28=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@32=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@36=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@40=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@44=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@48=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@60=_gfx8_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyAccelerationStructureNV@104=_gfx8_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyAccelerationStructureNV=gfx8_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@4=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@8=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@12=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@16=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@20=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@24=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@28=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@32=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@36=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@40=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@44=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@48=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@60=_gfx9_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyAccelerationStructureNV@104=_gfx9_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyAccelerationStructureNV=gfx9_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@4=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@8=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@12=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@16=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@20=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@24=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@28=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@32=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@36=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@40=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@44=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@48=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@60=_gfx11_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyAccelerationStructureNV@104=_gfx11_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyAccelerationStructureNV=gfx11_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@4=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@8=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@12=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@16=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@20=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@24=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@28=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@32=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@36=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@40=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@44=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@48=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@60=_gfx12_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyAccelerationStructureNV@104=_gfx12_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyAccelerationStructureNV=gfx12_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@4=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@8=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@12=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@16=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@20=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@24=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@28=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@32=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@36=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@40=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@44=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@48=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@60=_gfx125_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyAccelerationStructureNV@104=_gfx125_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyAccelerationStructureNV=gfx125_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@4=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@8=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@12=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@16=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@20=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@24=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@28=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@32=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@36=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@40=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@44=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@48=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@60=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureMemoryRequirementsNV@104=_anv_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetAccelerationStructureMemoryRequirementsNV=anv_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@4=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@8=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@12=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@16=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@20=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@24=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@28=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@32=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@36=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@40=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@44=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@48=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@60=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureMemoryRequirementsNV@104=_gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetAccelerationStructureMemoryRequirementsNV=gfx7_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@4=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@8=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@12=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@16=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@20=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@24=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@28=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@32=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@36=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@40=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@44=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@48=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@60=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureMemoryRequirementsNV@104=_gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetAccelerationStructureMemoryRequirementsNV=gfx75_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@4=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@8=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@12=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@16=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@20=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@24=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@28=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@32=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@36=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@40=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@44=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@48=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@60=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureMemoryRequirementsNV@104=_gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetAccelerationStructureMemoryRequirementsNV=gfx8_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@4=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@8=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@12=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@16=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@20=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@24=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@28=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@32=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@36=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@40=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@44=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@48=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@60=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureMemoryRequirementsNV@104=_gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetAccelerationStructureMemoryRequirementsNV=gfx9_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@4=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@8=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@12=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@16=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@20=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@24=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@28=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@32=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@36=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@40=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@44=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@48=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@60=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureMemoryRequirementsNV@104=_gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetAccelerationStructureMemoryRequirementsNV=gfx11_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@4=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@8=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@12=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@16=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@20=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@24=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@28=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@32=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@36=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@40=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@44=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@48=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@60=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureMemoryRequirementsNV@104=_gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetAccelerationStructureMemoryRequirementsNV=gfx12_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@4=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@8=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@12=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@16=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@20=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@24=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@28=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@32=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@36=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@40=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@44=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@48=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@60=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureMemoryRequirementsNV@104=_gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetAccelerationStructureMemoryRequirementsNV=gfx125_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@4=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@8=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@12=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@16=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@20=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@24=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@28=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@32=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@36=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@40=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@44=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@48=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@60=_anv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_anv_BindAccelerationStructureMemoryNV@104=_anv_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindAccelerationStructureMemoryNV=anv_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@4=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@8=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@12=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@16=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@20=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@24=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@28=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@32=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@36=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@40=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@44=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@48=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@60=_gfx7_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindAccelerationStructureMemoryNV@104=_gfx7_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindAccelerationStructureMemoryNV=gfx7_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@4=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@8=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@12=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@16=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@20=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@24=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@28=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@32=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@36=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@40=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@44=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@48=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@60=_gfx75_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindAccelerationStructureMemoryNV@104=_gfx75_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindAccelerationStructureMemoryNV=gfx75_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@4=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@8=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@12=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@16=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@20=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@24=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@28=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@32=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@36=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@40=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@44=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@48=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@60=_gfx8_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindAccelerationStructureMemoryNV@104=_gfx8_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindAccelerationStructureMemoryNV=gfx8_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@4=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@8=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@12=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@16=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@20=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@24=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@28=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@32=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@36=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@40=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@44=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@48=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@60=_gfx9_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindAccelerationStructureMemoryNV@104=_gfx9_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindAccelerationStructureMemoryNV=gfx9_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@4=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@8=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@12=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@16=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@20=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@24=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@28=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@32=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@36=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@40=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@44=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@48=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@60=_gfx11_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindAccelerationStructureMemoryNV@104=_gfx11_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindAccelerationStructureMemoryNV=gfx11_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@4=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@8=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@12=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@16=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@20=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@24=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@28=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@32=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@36=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@40=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@44=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@48=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@60=_gfx12_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindAccelerationStructureMemoryNV@104=_gfx12_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindAccelerationStructureMemoryNV=gfx12_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@4=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@8=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@12=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@16=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@20=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@24=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@28=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@32=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@36=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@40=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@44=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@48=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@60=_gfx125_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindAccelerationStructureMemoryNV@104=_gfx125_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindAccelerationStructureMemoryNV=gfx125_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@4=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@8=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@12=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@16=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@20=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@24=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@28=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@32=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@36=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@40=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@44=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@48=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@60=_anv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureNV@104=_anv_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyAccelerationStructureNV=anv_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@4=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@8=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@12=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@16=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@20=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@24=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@28=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@32=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@36=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@40=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@44=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@48=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@60=_gfx7_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureNV@104=_gfx7_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyAccelerationStructureNV=gfx7_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@4=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@8=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@12=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@16=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@20=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@24=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@28=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@32=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@36=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@40=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@44=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@48=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@60=_gfx75_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureNV@104=_gfx75_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyAccelerationStructureNV=gfx75_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@4=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@8=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@12=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@16=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@20=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@24=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@28=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@32=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@36=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@40=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@44=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@48=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@60=_gfx8_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureNV@104=_gfx8_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyAccelerationStructureNV=gfx8_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@4=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@8=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@12=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@16=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@20=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@24=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@28=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@32=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@36=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@40=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@44=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@48=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@60=_gfx9_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureNV@104=_gfx9_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyAccelerationStructureNV=gfx9_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@4=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@8=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@12=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@16=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@20=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@24=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@28=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@32=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@36=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@40=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@44=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@48=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@60=_gfx11_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureNV@104=_gfx11_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyAccelerationStructureNV=gfx11_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@4=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@8=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@12=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@16=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@20=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@24=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@28=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@32=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@36=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@40=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@44=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@48=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@60=_gfx12_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureNV@104=_gfx12_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyAccelerationStructureNV=gfx12_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@4=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@8=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@12=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@16=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@20=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@24=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@28=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@32=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@36=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@40=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@44=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@48=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@60=_gfx125_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureNV@104=_gfx125_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyAccelerationStructureNV=gfx125_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@4=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@8=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@12=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@16=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@20=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@24=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@28=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@32=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@36=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@40=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@44=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@48=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@60=_anv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureKHR@104=_anv_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyAccelerationStructureKHR=anv_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@4=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@8=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@12=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@16=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@20=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@24=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@28=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@32=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@36=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@40=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@44=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@48=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@60=_gfx7_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureKHR@104=_gfx7_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyAccelerationStructureKHR=gfx7_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@4=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@8=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@12=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@16=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@20=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@24=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@28=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@32=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@36=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@40=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@44=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@48=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@60=_gfx75_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureKHR@104=_gfx75_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyAccelerationStructureKHR=gfx75_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@4=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@8=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@12=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@16=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@20=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@24=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@28=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@32=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@36=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@40=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@44=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@48=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@60=_gfx8_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureKHR@104=_gfx8_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyAccelerationStructureKHR=gfx8_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@4=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@8=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@12=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@16=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@20=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@24=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@28=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@32=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@36=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@40=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@44=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@48=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@60=_gfx9_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureKHR@104=_gfx9_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyAccelerationStructureKHR=gfx9_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@4=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@8=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@12=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@16=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@20=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@24=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@28=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@32=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@36=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@40=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@44=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@48=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@60=_gfx11_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureKHR@104=_gfx11_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyAccelerationStructureKHR=gfx11_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@4=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@8=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@12=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@16=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@20=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@24=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@28=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@32=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@36=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@40=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@44=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@48=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@60=_gfx12_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureKHR@104=_gfx12_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyAccelerationStructureKHR=gfx12_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@4=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@8=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@12=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@16=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@20=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@24=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@28=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@32=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@36=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@40=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@44=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@48=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@60=_gfx125_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureKHR@104=_gfx125_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyAccelerationStructureKHR=gfx125_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@4=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@8=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@12=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@16=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@20=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@24=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@28=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@32=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@36=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@40=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@44=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@48=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@60=_anv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureKHR@104=_anv_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CopyAccelerationStructureKHR=anv_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@4=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@8=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@12=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@16=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@20=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@24=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@28=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@32=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@36=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@40=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@44=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@48=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@60=_gfx7_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureKHR@104=_gfx7_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CopyAccelerationStructureKHR=gfx7_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@4=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@8=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@12=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@16=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@20=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@24=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@28=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@32=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@36=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@40=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@44=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@48=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@60=_gfx75_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureKHR@104=_gfx75_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CopyAccelerationStructureKHR=gfx75_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@4=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@8=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@12=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@16=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@20=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@24=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@28=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@32=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@36=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@40=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@44=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@48=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@60=_gfx8_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureKHR@104=_gfx8_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CopyAccelerationStructureKHR=gfx8_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@4=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@8=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@12=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@16=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@20=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@24=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@28=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@32=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@36=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@40=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@44=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@48=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@60=_gfx9_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureKHR@104=_gfx9_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CopyAccelerationStructureKHR=gfx9_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@4=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@8=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@12=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@16=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@20=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@24=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@28=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@32=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@36=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@40=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@44=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@48=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@60=_gfx11_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureKHR@104=_gfx11_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CopyAccelerationStructureKHR=gfx11_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@4=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@8=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@12=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@16=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@20=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@24=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@28=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@32=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@36=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@40=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@44=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@48=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@60=_gfx12_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureKHR@104=_gfx12_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CopyAccelerationStructureKHR=gfx12_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@4=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@8=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@12=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@16=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@20=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@24=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@28=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@32=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@36=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@40=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@44=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@48=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@60=_gfx125_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureKHR@104=_gfx125_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CopyAccelerationStructureKHR=gfx125_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@4=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@8=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@12=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@16=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@20=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@24=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@28=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@32=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@36=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@40=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@44=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@48=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@60=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyAccelerationStructureToMemoryKHR@104=_anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyAccelerationStructureToMemoryKHR=anv_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyAccelerationStructureToMemoryKHR=gfx7_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyAccelerationStructureToMemoryKHR=gfx75_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyAccelerationStructureToMemoryKHR=gfx8_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyAccelerationStructureToMemoryKHR=gfx9_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyAccelerationStructureToMemoryKHR=gfx11_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyAccelerationStructureToMemoryKHR=gfx12_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@4=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@8=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@12=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@16=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@20=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@24=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@28=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@32=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@36=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@40=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@44=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@48=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@60=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyAccelerationStructureToMemoryKHR@104=_gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyAccelerationStructureToMemoryKHR=gfx125_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@4=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@8=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@12=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@16=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@20=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@24=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@28=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@32=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@36=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@40=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@44=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@48=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@60=_anv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyAccelerationStructureToMemoryKHR@104=_anv_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CopyAccelerationStructureToMemoryKHR=anv_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@4=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@8=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@12=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@16=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@20=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@24=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@28=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@32=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@36=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@40=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@44=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@48=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@60=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyAccelerationStructureToMemoryKHR@104=_gfx7_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CopyAccelerationStructureToMemoryKHR=gfx7_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@4=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@8=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@12=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@16=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@20=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@24=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@28=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@32=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@36=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@40=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@44=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@48=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@60=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyAccelerationStructureToMemoryKHR@104=_gfx75_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CopyAccelerationStructureToMemoryKHR=gfx75_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@4=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@8=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@12=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@16=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@20=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@24=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@28=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@32=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@36=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@40=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@44=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@48=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@60=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyAccelerationStructureToMemoryKHR@104=_gfx8_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CopyAccelerationStructureToMemoryKHR=gfx8_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@4=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@8=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@12=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@16=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@20=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@24=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@28=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@32=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@36=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@40=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@44=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@48=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@60=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyAccelerationStructureToMemoryKHR@104=_gfx9_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CopyAccelerationStructureToMemoryKHR=gfx9_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@4=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@8=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@12=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@16=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@20=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@24=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@28=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@32=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@36=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@40=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@44=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@48=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@60=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyAccelerationStructureToMemoryKHR@104=_gfx11_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CopyAccelerationStructureToMemoryKHR=gfx11_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@4=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@8=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@12=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@16=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@20=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@24=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@28=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@32=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@36=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@40=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@44=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@48=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@60=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyAccelerationStructureToMemoryKHR@104=_gfx12_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CopyAccelerationStructureToMemoryKHR=gfx12_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@4=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@8=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@12=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@16=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@20=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@24=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@28=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@32=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@36=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@40=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@44=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@48=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@60=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyAccelerationStructureToMemoryKHR@104=_gfx125_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CopyAccelerationStructureToMemoryKHR=gfx125_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@4=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@8=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@12=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@16=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@20=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@24=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@28=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@32=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@36=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@40=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@44=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@48=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@60=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyMemoryToAccelerationStructureKHR@104=_anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyMemoryToAccelerationStructureKHR=anv_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyMemoryToAccelerationStructureKHR=gfx7_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyMemoryToAccelerationStructureKHR=gfx75_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyMemoryToAccelerationStructureKHR=gfx8_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyMemoryToAccelerationStructureKHR=gfx9_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyMemoryToAccelerationStructureKHR=gfx11_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyMemoryToAccelerationStructureKHR=gfx12_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@4=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@8=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@12=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@16=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@20=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@24=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@28=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@32=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@36=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@40=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@44=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@48=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@60=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyMemoryToAccelerationStructureKHR@104=_gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyMemoryToAccelerationStructureKHR=gfx125_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@4=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@8=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@12=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@16=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@20=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@24=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@28=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@32=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@36=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@40=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@44=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@48=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@60=_anv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CopyMemoryToAccelerationStructureKHR@104=_anv_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CopyMemoryToAccelerationStructureKHR=anv_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@4=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@8=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@12=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@16=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@20=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@24=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@28=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@32=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@36=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@40=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@44=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@48=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@60=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CopyMemoryToAccelerationStructureKHR@104=_gfx7_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CopyMemoryToAccelerationStructureKHR=gfx7_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@4=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@8=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@12=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@16=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@20=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@24=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@28=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@32=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@36=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@40=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@44=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@48=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@60=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CopyMemoryToAccelerationStructureKHR@104=_gfx75_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CopyMemoryToAccelerationStructureKHR=gfx75_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@4=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@8=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@12=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@16=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@20=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@24=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@28=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@32=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@36=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@40=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@44=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@48=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@60=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CopyMemoryToAccelerationStructureKHR@104=_gfx8_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CopyMemoryToAccelerationStructureKHR=gfx8_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@4=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@8=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@12=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@16=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@20=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@24=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@28=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@32=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@36=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@40=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@44=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@48=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@60=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CopyMemoryToAccelerationStructureKHR@104=_gfx9_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CopyMemoryToAccelerationStructureKHR=gfx9_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@4=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@8=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@12=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@16=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@20=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@24=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@28=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@32=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@36=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@40=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@44=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@48=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@60=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CopyMemoryToAccelerationStructureKHR@104=_gfx11_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CopyMemoryToAccelerationStructureKHR=gfx11_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@4=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@8=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@12=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@16=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@20=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@24=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@28=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@32=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@36=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@40=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@44=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@48=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@60=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CopyMemoryToAccelerationStructureKHR@104=_gfx12_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CopyMemoryToAccelerationStructureKHR=gfx12_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@4=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@8=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@12=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@16=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@20=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@24=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@28=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@32=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@36=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@40=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@44=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@48=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@60=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CopyMemoryToAccelerationStructureKHR@104=_gfx125_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CopyMemoryToAccelerationStructureKHR=gfx125_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@4=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@8=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@12=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@16=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@20=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@24=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@28=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@32=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@36=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@40=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@44=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@48=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@60=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesKHR@104=_anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWriteAccelerationStructuresPropertiesKHR=anv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWriteAccelerationStructuresPropertiesKHR=gfx7_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWriteAccelerationStructuresPropertiesKHR=gfx75_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWriteAccelerationStructuresPropertiesKHR=gfx8_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWriteAccelerationStructuresPropertiesKHR=gfx9_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWriteAccelerationStructuresPropertiesKHR=gfx11_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWriteAccelerationStructuresPropertiesKHR=gfx12_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@4=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@8=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@12=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@16=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@20=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@24=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@28=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@32=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@36=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@40=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@44=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@48=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@60=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesKHR@104=_gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWriteAccelerationStructuresPropertiesKHR=gfx125_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@4=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@8=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@12=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@16=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@20=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@24=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@28=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@32=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@36=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@40=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@44=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@48=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@60=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteAccelerationStructuresPropertiesNV@104=_anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWriteAccelerationStructuresPropertiesNV=anv_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWriteAccelerationStructuresPropertiesNV=gfx7_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWriteAccelerationStructuresPropertiesNV=gfx75_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWriteAccelerationStructuresPropertiesNV=gfx8_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWriteAccelerationStructuresPropertiesNV=gfx9_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWriteAccelerationStructuresPropertiesNV=gfx11_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWriteAccelerationStructuresPropertiesNV=gfx12_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@4=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@8=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@12=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@16=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@20=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@24=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@28=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@32=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@36=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@40=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@44=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@48=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@60=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteAccelerationStructuresPropertiesNV@104=_gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWriteAccelerationStructuresPropertiesNV=gfx125_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@4=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@8=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@12=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@16=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@20=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@24=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@28=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@32=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@36=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@40=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@44=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@48=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@60=_anv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructureNV@104=_anv_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBuildAccelerationStructureNV=anv_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@4=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@8=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@12=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@16=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@20=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@24=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@28=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@32=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@36=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@40=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@44=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@48=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@60=_gfx7_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructureNV@104=_gfx7_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBuildAccelerationStructureNV=gfx7_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@4=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@8=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@12=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@16=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@20=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@24=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@28=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@32=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@36=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@40=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@44=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@48=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@60=_gfx75_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructureNV@104=_gfx75_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBuildAccelerationStructureNV=gfx75_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@4=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@8=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@12=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@16=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@20=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@24=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@28=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@32=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@36=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@40=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@44=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@48=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@60=_gfx8_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructureNV@104=_gfx8_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBuildAccelerationStructureNV=gfx8_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@4=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@8=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@12=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@16=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@20=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@24=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@28=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@32=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@36=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@40=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@44=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@48=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@60=_gfx9_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructureNV@104=_gfx9_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBuildAccelerationStructureNV=gfx9_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@4=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@8=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@12=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@16=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@20=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@24=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@28=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@32=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@36=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@40=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@44=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@48=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@60=_gfx11_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructureNV@104=_gfx11_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBuildAccelerationStructureNV=gfx11_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@4=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@8=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@12=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@16=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@20=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@24=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@28=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@32=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@36=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@40=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@44=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@48=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@60=_gfx12_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructureNV@104=_gfx12_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBuildAccelerationStructureNV=gfx12_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@4=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@8=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@12=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@16=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@20=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@24=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@28=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@32=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@36=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@40=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@44=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@48=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@60=_gfx125_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructureNV@104=_gfx125_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBuildAccelerationStructureNV=gfx125_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@4=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@8=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@12=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@16=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@20=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@24=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@28=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@32=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@36=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@40=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@44=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@48=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@60=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_WriteAccelerationStructuresPropertiesKHR@104=_anv_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_WriteAccelerationStructuresPropertiesKHR=anv_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@4=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@8=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@12=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@16=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@20=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@24=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@28=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@32=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@36=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@40=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@44=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@48=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@60=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_WriteAccelerationStructuresPropertiesKHR@104=_gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_WriteAccelerationStructuresPropertiesKHR=gfx7_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@4=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@8=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@12=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@16=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@20=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@24=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@28=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@32=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@36=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@40=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@44=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@48=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@60=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_WriteAccelerationStructuresPropertiesKHR@104=_gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_WriteAccelerationStructuresPropertiesKHR=gfx75_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@4=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@8=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@12=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@16=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@20=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@24=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@28=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@32=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@36=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@40=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@44=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@48=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@60=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_WriteAccelerationStructuresPropertiesKHR@104=_gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_WriteAccelerationStructuresPropertiesKHR=gfx8_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@4=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@8=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@12=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@16=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@20=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@24=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@28=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@32=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@36=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@40=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@44=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@48=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@60=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_WriteAccelerationStructuresPropertiesKHR@104=_gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_WriteAccelerationStructuresPropertiesKHR=gfx9_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@4=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@8=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@12=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@16=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@20=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@24=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@28=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@32=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@36=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@40=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@44=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@48=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@60=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_WriteAccelerationStructuresPropertiesKHR@104=_gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_WriteAccelerationStructuresPropertiesKHR=gfx11_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@4=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@8=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@12=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@16=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@20=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@24=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@28=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@32=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@36=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@40=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@44=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@48=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@60=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_WriteAccelerationStructuresPropertiesKHR@104=_gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_WriteAccelerationStructuresPropertiesKHR=gfx12_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@4=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@8=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@12=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@16=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@20=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@24=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@28=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@32=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@36=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@40=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@44=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@48=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@60=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_WriteAccelerationStructuresPropertiesKHR@104=_gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_WriteAccelerationStructuresPropertiesKHR=gfx125_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@4=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@8=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@12=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@16=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@20=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@24=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@28=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@32=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@36=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@40=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@44=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@48=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@60=_anv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysKHR@104=_anv_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdTraceRaysKHR=anv_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@4=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@8=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@12=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@16=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@20=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@24=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@28=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@32=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@36=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@40=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@44=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@48=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@60=_gfx7_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysKHR@104=_gfx7_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdTraceRaysKHR=gfx7_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@4=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@8=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@12=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@16=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@20=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@24=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@28=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@32=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@36=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@40=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@44=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@48=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@60=_gfx75_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysKHR@104=_gfx75_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdTraceRaysKHR=gfx75_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@4=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@8=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@12=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@16=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@20=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@24=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@28=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@32=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@36=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@40=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@44=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@48=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@60=_gfx8_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysKHR@104=_gfx8_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdTraceRaysKHR=gfx8_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@4=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@8=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@12=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@16=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@20=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@24=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@28=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@32=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@36=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@40=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@44=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@48=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@60=_gfx9_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysKHR@104=_gfx9_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdTraceRaysKHR=gfx9_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@4=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@8=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@12=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@16=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@20=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@24=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@28=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@32=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@36=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@40=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@44=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@48=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@60=_gfx11_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysKHR@104=_gfx11_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdTraceRaysKHR=gfx11_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@4=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@8=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@12=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@16=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@20=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@24=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@28=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@32=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@36=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@40=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@44=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@48=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@60=_gfx12_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysKHR@104=_gfx12_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdTraceRaysKHR=gfx12_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@4=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@8=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@12=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@16=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@20=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@24=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@28=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@32=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@36=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@40=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@44=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@48=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@60=_gfx125_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysKHR@104=_gfx125_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdTraceRaysKHR=gfx125_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@4=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@8=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@12=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@16=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@20=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@24=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@28=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@32=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@36=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@40=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@44=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@48=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@60=_anv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysNV@104=_anv_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdTraceRaysNV=anv_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@4=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@8=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@12=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@16=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@20=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@24=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@28=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@32=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@36=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@40=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@44=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@48=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@60=_gfx7_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysNV@104=_gfx7_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdTraceRaysNV=gfx7_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@4=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@8=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@12=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@16=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@20=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@24=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@28=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@32=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@36=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@40=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@44=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@48=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@60=_gfx75_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysNV@104=_gfx75_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdTraceRaysNV=gfx75_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@4=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@8=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@12=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@16=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@20=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@24=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@28=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@32=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@36=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@40=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@44=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@48=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@60=_gfx8_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysNV@104=_gfx8_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdTraceRaysNV=gfx8_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@4=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@8=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@12=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@16=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@20=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@24=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@28=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@32=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@36=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@40=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@44=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@48=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@60=_gfx9_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysNV@104=_gfx9_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdTraceRaysNV=gfx9_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@4=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@8=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@12=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@16=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@20=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@24=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@28=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@32=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@36=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@40=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@44=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@48=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@60=_gfx11_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysNV@104=_gfx11_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdTraceRaysNV=gfx11_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@4=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@8=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@12=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@16=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@20=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@24=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@28=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@32=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@36=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@40=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@44=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@48=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@60=_gfx12_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysNV@104=_gfx12_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdTraceRaysNV=gfx12_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@4=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@8=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@12=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@16=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@20=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@24=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@28=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@32=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@36=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@40=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@44=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@48=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@60=_gfx125_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysNV@104=_gfx125_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdTraceRaysNV=gfx125_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@4=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@8=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@12=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@16=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@20=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@24=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@28=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@32=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@36=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@40=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@44=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@48=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@60=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesKHR@104=_anv_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRayTracingShaderGroupHandlesKHR=anv_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@4=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@8=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@12=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@16=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@20=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@24=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@28=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@32=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@36=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@40=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@44=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@48=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@60=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesKHR@104=_gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetRayTracingShaderGroupHandlesKHR=gfx7_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@4=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@8=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@12=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@16=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@20=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@24=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@28=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@32=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@36=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@40=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@44=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@48=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@60=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesKHR@104=_gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetRayTracingShaderGroupHandlesKHR=gfx75_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@4=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@8=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@12=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@16=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@20=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@24=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@28=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@32=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@36=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@40=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@44=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@48=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@60=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesKHR@104=_gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetRayTracingShaderGroupHandlesKHR=gfx8_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@4=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@8=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@12=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@16=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@20=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@24=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@28=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@32=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@36=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@40=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@44=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@48=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@60=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesKHR@104=_gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetRayTracingShaderGroupHandlesKHR=gfx9_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@4=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@8=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@12=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@16=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@20=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@24=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@28=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@32=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@36=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@40=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@44=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@48=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@60=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesKHR@104=_gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetRayTracingShaderGroupHandlesKHR=gfx11_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@4=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@8=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@12=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@16=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@20=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@24=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@28=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@32=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@36=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@40=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@44=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@48=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@60=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesKHR@104=_gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetRayTracingShaderGroupHandlesKHR=gfx12_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@4=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@8=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@12=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@16=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@20=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@24=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@28=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@32=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@36=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@40=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@44=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@48=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@60=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesKHR@104=_gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetRayTracingShaderGroupHandlesKHR=gfx125_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@4=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@8=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@12=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@16=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@20=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@24=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@28=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@32=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@36=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@40=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@44=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@48=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@60=_anv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupHandlesNV@104=_anv_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRayTracingShaderGroupHandlesNV=anv_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@4=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@8=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@12=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@16=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@20=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@24=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@28=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@32=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@36=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@40=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@44=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@48=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@60=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupHandlesNV@104=_gfx7_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetRayTracingShaderGroupHandlesNV=gfx7_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@4=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@8=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@12=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@16=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@20=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@24=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@28=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@32=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@36=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@40=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@44=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@48=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@60=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupHandlesNV@104=_gfx75_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetRayTracingShaderGroupHandlesNV=gfx75_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@4=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@8=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@12=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@16=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@20=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@24=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@28=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@32=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@36=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@40=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@44=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@48=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@60=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupHandlesNV@104=_gfx8_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetRayTracingShaderGroupHandlesNV=gfx8_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@4=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@8=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@12=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@16=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@20=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@24=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@28=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@32=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@36=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@40=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@44=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@48=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@60=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupHandlesNV@104=_gfx9_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetRayTracingShaderGroupHandlesNV=gfx9_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@4=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@8=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@12=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@16=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@20=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@24=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@28=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@32=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@36=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@40=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@44=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@48=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@60=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupHandlesNV@104=_gfx11_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetRayTracingShaderGroupHandlesNV=gfx11_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@4=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@8=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@12=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@16=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@20=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@24=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@28=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@32=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@36=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@40=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@44=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@48=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@60=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupHandlesNV@104=_gfx12_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetRayTracingShaderGroupHandlesNV=gfx12_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@4=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@8=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@12=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@16=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@20=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@24=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@28=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@32=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@36=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@40=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@44=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@48=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@60=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupHandlesNV@104=_gfx125_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetRayTracingShaderGroupHandlesNV=gfx125_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR=anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR=gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@4=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@8=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@12=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@16=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@20=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@24=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@28=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@32=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@36=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@40=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@44=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@48=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@60=_anv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureHandleNV@104=_anv_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetAccelerationStructureHandleNV=anv_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@4=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@8=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@12=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@16=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@20=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@24=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@28=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@32=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@36=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@40=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@44=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@48=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@60=_gfx7_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureHandleNV@104=_gfx7_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetAccelerationStructureHandleNV=gfx7_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@4=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@8=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@12=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@16=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@20=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@24=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@28=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@32=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@36=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@40=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@44=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@48=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@60=_gfx75_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureHandleNV@104=_gfx75_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetAccelerationStructureHandleNV=gfx75_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@4=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@8=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@12=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@16=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@20=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@24=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@28=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@32=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@36=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@40=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@44=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@48=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@60=_gfx8_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureHandleNV@104=_gfx8_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetAccelerationStructureHandleNV=gfx8_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@4=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@8=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@12=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@16=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@20=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@24=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@28=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@32=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@36=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@40=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@44=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@48=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@60=_gfx9_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureHandleNV@104=_gfx9_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetAccelerationStructureHandleNV=gfx9_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@4=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@8=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@12=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@16=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@20=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@24=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@28=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@32=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@36=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@40=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@44=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@48=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@60=_gfx11_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureHandleNV@104=_gfx11_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetAccelerationStructureHandleNV=gfx11_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@4=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@8=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@12=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@16=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@20=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@24=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@28=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@32=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@36=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@40=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@44=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@48=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@60=_gfx12_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureHandleNV@104=_gfx12_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetAccelerationStructureHandleNV=gfx12_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@4=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@8=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@12=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@16=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@20=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@24=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@28=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@32=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@36=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@40=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@44=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@48=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@60=_gfx125_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureHandleNV@104=_gfx125_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetAccelerationStructureHandleNV=gfx125_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@4=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@8=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@12=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@16=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@20=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@24=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@28=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@32=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@36=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@40=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@44=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@48=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@60=_anv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesNV@104=_anv_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateRayTracingPipelinesNV=anv_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@4=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@8=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@12=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@16=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@20=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@24=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@28=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@32=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@36=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@40=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@44=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@48=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@60=_gfx7_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesNV@104=_gfx7_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateRayTracingPipelinesNV=gfx7_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@4=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@8=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@12=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@16=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@20=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@24=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@28=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@32=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@36=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@40=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@44=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@48=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@60=_gfx75_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesNV@104=_gfx75_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateRayTracingPipelinesNV=gfx75_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@4=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@8=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@12=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@16=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@20=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@24=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@28=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@32=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@36=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@40=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@44=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@48=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@60=_gfx8_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesNV@104=_gfx8_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateRayTracingPipelinesNV=gfx8_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@4=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@8=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@12=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@16=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@20=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@24=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@28=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@32=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@36=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@40=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@44=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@48=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@60=_gfx9_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesNV@104=_gfx9_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateRayTracingPipelinesNV=gfx9_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@4=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@8=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@12=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@16=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@20=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@24=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@28=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@32=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@36=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@40=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@44=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@48=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@60=_gfx11_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesNV@104=_gfx11_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateRayTracingPipelinesNV=gfx11_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@4=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@8=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@12=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@16=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@20=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@24=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@28=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@32=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@36=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@40=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@44=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@48=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@60=_gfx12_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesNV@104=_gfx12_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateRayTracingPipelinesNV=gfx12_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@4=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@8=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@12=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@16=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@20=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@24=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@28=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@32=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@36=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@40=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@44=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@48=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@60=_gfx125_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesNV@104=_gfx125_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateRayTracingPipelinesNV=gfx125_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@4=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@8=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@12=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@16=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@20=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@24=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@28=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@32=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@36=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@40=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@44=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@48=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@60=_anv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateRayTracingPipelinesKHR@104=_anv_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateRayTracingPipelinesKHR=anv_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@4=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@8=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@12=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@16=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@20=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@24=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@28=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@32=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@36=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@40=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@44=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@48=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@60=_gfx7_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateRayTracingPipelinesKHR@104=_gfx7_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateRayTracingPipelinesKHR=gfx7_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@4=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@8=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@12=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@16=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@20=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@24=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@28=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@32=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@36=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@40=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@44=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@48=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@60=_gfx75_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateRayTracingPipelinesKHR@104=_gfx75_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateRayTracingPipelinesKHR=gfx75_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@4=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@8=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@12=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@16=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@20=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@24=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@28=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@32=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@36=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@40=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@44=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@48=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@60=_gfx8_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateRayTracingPipelinesKHR@104=_gfx8_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateRayTracingPipelinesKHR=gfx8_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@4=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@8=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@12=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@16=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@20=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@24=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@28=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@32=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@36=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@40=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@44=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@48=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@60=_gfx9_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateRayTracingPipelinesKHR@104=_gfx9_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateRayTracingPipelinesKHR=gfx9_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@4=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@8=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@12=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@16=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@20=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@24=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@28=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@32=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@36=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@40=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@44=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@48=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@60=_gfx11_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateRayTracingPipelinesKHR@104=_gfx11_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateRayTracingPipelinesKHR=gfx11_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@4=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@8=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@12=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@16=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@20=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@24=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@28=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@32=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@36=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@40=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@44=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@48=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@60=_gfx12_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateRayTracingPipelinesKHR@104=_gfx12_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateRayTracingPipelinesKHR=gfx12_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@4=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@8=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@12=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@16=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@20=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@24=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@28=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@32=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@36=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@40=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@44=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@48=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@60=_gfx125_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateRayTracingPipelinesKHR@104=_gfx125_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateRayTracingPipelinesKHR=gfx125_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@4=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@8=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@12=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@16=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@20=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@24=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@28=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@32=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@36=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@40=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@44=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@48=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@60=_anv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdTraceRaysIndirectKHR@104=_anv_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdTraceRaysIndirectKHR=anv_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@4=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@8=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@12=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@16=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@20=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@24=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@28=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@32=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@36=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@40=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@44=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@48=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@60=_gfx7_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdTraceRaysIndirectKHR@104=_gfx7_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdTraceRaysIndirectKHR=gfx7_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@4=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@8=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@12=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@16=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@20=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@24=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@28=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@32=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@36=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@40=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@44=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@48=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@60=_gfx75_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdTraceRaysIndirectKHR@104=_gfx75_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdTraceRaysIndirectKHR=gfx75_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@4=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@8=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@12=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@16=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@20=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@24=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@28=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@32=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@36=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@40=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@44=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@48=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@60=_gfx8_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdTraceRaysIndirectKHR@104=_gfx8_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdTraceRaysIndirectKHR=gfx8_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@4=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@8=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@12=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@16=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@20=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@24=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@28=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@32=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@36=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@40=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@44=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@48=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@60=_gfx9_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdTraceRaysIndirectKHR@104=_gfx9_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdTraceRaysIndirectKHR=gfx9_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@4=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@8=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@12=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@16=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@20=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@24=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@28=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@32=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@36=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@40=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@44=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@48=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@60=_gfx11_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdTraceRaysIndirectKHR@104=_gfx11_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdTraceRaysIndirectKHR=gfx11_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@4=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@8=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@12=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@16=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@20=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@24=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@28=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@32=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@36=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@40=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@44=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@48=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@60=_gfx12_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdTraceRaysIndirectKHR@104=_gfx12_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdTraceRaysIndirectKHR=gfx12_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@4=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@8=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@12=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@16=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@20=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@24=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@28=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@32=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@36=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@40=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@44=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@48=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@60=_gfx125_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdTraceRaysIndirectKHR@104=_gfx125_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdTraceRaysIndirectKHR=gfx125_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@4=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@8=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@12=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@16=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@20=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@24=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@28=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@32=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@36=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@40=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@44=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@48=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@60=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceAccelerationStructureCompatibilityKHR@104=_anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceAccelerationStructureCompatibilityKHR=anv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceAccelerationStructureCompatibilityKHR=gfx7_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceAccelerationStructureCompatibilityKHR=gfx75_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceAccelerationStructureCompatibilityKHR=gfx8_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceAccelerationStructureCompatibilityKHR=gfx9_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceAccelerationStructureCompatibilityKHR=gfx11_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceAccelerationStructureCompatibilityKHR=gfx12_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@4=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@8=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@12=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@16=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@20=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@24=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@28=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@32=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@36=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@40=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@44=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@48=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@60=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceAccelerationStructureCompatibilityKHR@104=_gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceAccelerationStructureCompatibilityKHR=gfx125_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*anv_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@4=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@8=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@12=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@16=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@20=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@24=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@28=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@32=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@36=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@40=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@44=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@48=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@60=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetRayTracingShaderGroupStackSizeKHR@104=_anv_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetRayTracingShaderGroupStackSizeKHR=anv_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL anv_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx7_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@4=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@8=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@12=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@16=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@20=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@24=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@28=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@32=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@36=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@40=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@44=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@48=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@60=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetRayTracingShaderGroupStackSizeKHR@104=_gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetRayTracingShaderGroupStackSizeKHR=gfx7_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx7_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx75_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@4=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@8=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@12=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@16=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@20=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@24=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@28=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@32=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@36=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@40=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@44=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@48=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@60=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetRayTracingShaderGroupStackSizeKHR@104=_gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetRayTracingShaderGroupStackSizeKHR=gfx75_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx75_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx8_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@4=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@8=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@12=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@16=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@20=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@24=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@28=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@32=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@36=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@40=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@44=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@48=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@60=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetRayTracingShaderGroupStackSizeKHR@104=_gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetRayTracingShaderGroupStackSizeKHR=gfx8_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx8_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx9_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@4=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@8=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@12=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@16=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@20=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@24=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@28=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@32=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@36=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@40=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@44=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@48=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@60=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetRayTracingShaderGroupStackSizeKHR@104=_gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetRayTracingShaderGroupStackSizeKHR=gfx9_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx9_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx11_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@4=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@8=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@12=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@16=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@20=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@24=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@28=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@32=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@36=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@40=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@44=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@48=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@60=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetRayTracingShaderGroupStackSizeKHR@104=_gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetRayTracingShaderGroupStackSizeKHR=gfx11_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx11_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx12_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@4=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@8=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@12=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@16=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@20=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@24=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@28=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@32=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@36=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@40=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@44=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@48=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@60=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetRayTracingShaderGroupStackSizeKHR@104=_gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetRayTracingShaderGroupStackSizeKHR=gfx12_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx12_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*gfx125_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@4=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@8=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@12=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@16=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@20=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@24=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@28=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@32=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@36=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@40=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@44=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@48=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@60=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetRayTracingShaderGroupStackSizeKHR@104=_gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetRayTracingShaderGroupStackSizeKHR=gfx125_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL gfx125_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@4=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@8=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@12=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@16=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@20=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@24=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@28=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@32=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@36=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@40=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@44=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@48=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@60=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRayTracingPipelineStackSizeKHR@104=_anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetRayTracingPipelineStackSizeKHR=anv_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetRayTracingPipelineStackSizeKHR=gfx7_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetRayTracingPipelineStackSizeKHR=gfx75_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetRayTracingPipelineStackSizeKHR=gfx8_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetRayTracingPipelineStackSizeKHR=gfx9_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetRayTracingPipelineStackSizeKHR=gfx11_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetRayTracingPipelineStackSizeKHR=gfx12_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@4=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@8=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@12=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@16=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@20=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@24=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@28=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@32=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@36=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@40=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@44=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@48=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@60=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRayTracingPipelineStackSizeKHR@104=_gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetRayTracingPipelineStackSizeKHR=gfx125_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*anv_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@4=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@8=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@12=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@16=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@20=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@24=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@28=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@32=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@36=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@40=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@44=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@48=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@60=_anv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewHandleNVX@104=_anv_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageViewHandleNVX=anv_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL anv_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx7_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@4=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@8=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@12=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@16=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@20=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@24=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@28=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@32=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@36=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@40=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@44=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@48=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@60=_gfx7_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewHandleNVX@104=_gfx7_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageViewHandleNVX=gfx7_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx7_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx75_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@4=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@8=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@12=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@16=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@20=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@24=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@28=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@32=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@36=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@40=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@44=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@48=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@60=_gfx75_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewHandleNVX@104=_gfx75_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageViewHandleNVX=gfx75_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx75_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx8_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@4=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@8=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@12=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@16=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@20=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@24=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@28=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@32=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@36=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@40=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@44=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@48=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@60=_gfx8_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewHandleNVX@104=_gfx8_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageViewHandleNVX=gfx8_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx8_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx9_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@4=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@8=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@12=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@16=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@20=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@24=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@28=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@32=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@36=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@40=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@44=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@48=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@60=_gfx9_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewHandleNVX@104=_gfx9_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageViewHandleNVX=gfx9_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx9_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx11_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@4=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@8=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@12=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@16=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@20=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@24=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@28=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@32=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@36=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@40=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@44=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@48=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@60=_gfx11_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewHandleNVX@104=_gfx11_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageViewHandleNVX=gfx11_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx11_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx12_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@4=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@8=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@12=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@16=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@20=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@24=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@28=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@32=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@36=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@40=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@44=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@48=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@60=_gfx12_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewHandleNVX@104=_gfx12_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageViewHandleNVX=gfx12_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx12_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx125_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@4=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@8=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@12=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@16=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@20=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@24=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@28=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@32=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@36=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@40=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@44=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@48=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@60=_gfx125_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewHandleNVX@104=_gfx125_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageViewHandleNVX=gfx125_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx125_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@4=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@8=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@12=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@16=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@20=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@24=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@28=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@32=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@36=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@40=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@44=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@48=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@60=_anv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageViewAddressNVX@104=_anv_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageViewAddressNVX=anv_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@4=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@8=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@12=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@16=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@20=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@24=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@28=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@32=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@36=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@40=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@44=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@48=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@60=_gfx7_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageViewAddressNVX@104=_gfx7_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageViewAddressNVX=gfx7_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@4=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@8=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@12=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@16=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@20=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@24=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@28=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@32=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@36=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@40=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@44=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@48=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@60=_gfx75_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageViewAddressNVX@104=_gfx75_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageViewAddressNVX=gfx75_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@4=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@8=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@12=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@16=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@20=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@24=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@28=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@32=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@36=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@40=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@44=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@48=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@60=_gfx8_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageViewAddressNVX@104=_gfx8_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageViewAddressNVX=gfx8_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@4=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@8=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@12=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@16=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@20=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@24=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@28=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@32=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@36=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@40=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@44=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@48=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@60=_gfx9_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageViewAddressNVX@104=_gfx9_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageViewAddressNVX=gfx9_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@4=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@8=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@12=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@16=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@20=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@24=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@28=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@32=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@36=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@40=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@44=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@48=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@60=_gfx11_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageViewAddressNVX@104=_gfx11_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageViewAddressNVX=gfx11_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@4=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@8=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@12=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@16=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@20=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@24=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@28=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@32=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@36=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@40=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@44=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@48=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@60=_gfx12_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageViewAddressNVX@104=_gfx12_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageViewAddressNVX=gfx12_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@4=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@8=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@12=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@16=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@20=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@24=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@28=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@32=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@36=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@40=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@44=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@48=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@60=_gfx125_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageViewAddressNVX@104=_gfx125_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageViewAddressNVX=gfx125_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@4=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@8=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@12=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@16=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@20=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@24=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@28=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@32=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@36=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@40=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@44=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@48=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@60=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceGroupSurfacePresentModes2EXT@104=_anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceGroupSurfacePresentModes2EXT=anv_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceGroupSurfacePresentModes2EXT=gfx7_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceGroupSurfacePresentModes2EXT=gfx75_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceGroupSurfacePresentModes2EXT=gfx8_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceGroupSurfacePresentModes2EXT=gfx9_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceGroupSurfacePresentModes2EXT=gfx11_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceGroupSurfacePresentModes2EXT=gfx12_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@4=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@8=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@12=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@16=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@20=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@24=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@28=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@32=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@36=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@40=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@44=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@48=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@60=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceGroupSurfacePresentModes2EXT@104=_gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceGroupSurfacePresentModes2EXT=gfx125_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@4=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@8=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@12=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@16=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@20=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@24=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@28=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@32=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@36=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@40=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@44=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@48=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@60=_anv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireFullScreenExclusiveModeEXT@104=_anv_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireFullScreenExclusiveModeEXT=anv_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@4=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@8=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@12=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@16=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@20=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@24=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@28=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@32=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@36=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@40=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@44=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@48=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@60=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireFullScreenExclusiveModeEXT@104=_gfx7_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AcquireFullScreenExclusiveModeEXT=gfx7_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@4=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@8=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@12=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@16=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@20=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@24=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@28=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@32=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@36=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@40=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@44=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@48=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@60=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireFullScreenExclusiveModeEXT@104=_gfx75_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AcquireFullScreenExclusiveModeEXT=gfx75_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@4=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@8=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@12=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@16=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@20=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@24=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@28=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@32=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@36=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@40=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@44=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@48=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@60=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireFullScreenExclusiveModeEXT@104=_gfx8_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AcquireFullScreenExclusiveModeEXT=gfx8_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@4=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@8=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@12=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@16=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@20=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@24=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@28=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@32=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@36=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@40=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@44=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@48=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@60=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireFullScreenExclusiveModeEXT@104=_gfx9_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AcquireFullScreenExclusiveModeEXT=gfx9_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@4=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@8=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@12=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@16=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@20=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@24=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@28=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@32=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@36=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@40=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@44=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@48=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@60=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireFullScreenExclusiveModeEXT@104=_gfx11_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AcquireFullScreenExclusiveModeEXT=gfx11_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@4=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@8=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@12=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@16=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@20=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@24=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@28=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@32=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@36=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@40=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@44=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@48=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@60=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireFullScreenExclusiveModeEXT@104=_gfx12_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AcquireFullScreenExclusiveModeEXT=gfx12_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@4=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@8=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@12=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@16=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@20=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@24=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@28=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@32=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@36=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@40=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@44=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@48=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@60=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireFullScreenExclusiveModeEXT@104=_gfx125_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AcquireFullScreenExclusiveModeEXT=gfx125_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@4=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@8=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@12=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@16=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@20=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@24=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@28=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@32=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@36=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@40=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@44=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@48=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@60=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseFullScreenExclusiveModeEXT@104=_anv_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ReleaseFullScreenExclusiveModeEXT=anv_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@4=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@8=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@12=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@16=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@20=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@24=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@28=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@32=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@36=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@40=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@44=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@48=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@60=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseFullScreenExclusiveModeEXT@104=_gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ReleaseFullScreenExclusiveModeEXT=gfx7_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@4=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@8=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@12=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@16=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@20=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@24=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@28=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@32=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@36=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@40=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@44=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@48=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@60=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseFullScreenExclusiveModeEXT@104=_gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ReleaseFullScreenExclusiveModeEXT=gfx75_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@4=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@8=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@12=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@16=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@20=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@24=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@28=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@32=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@36=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@40=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@44=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@48=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@60=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseFullScreenExclusiveModeEXT@104=_gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ReleaseFullScreenExclusiveModeEXT=gfx8_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@4=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@8=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@12=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@16=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@20=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@24=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@28=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@32=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@36=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@40=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@44=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@48=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@60=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseFullScreenExclusiveModeEXT@104=_gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ReleaseFullScreenExclusiveModeEXT=gfx9_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@4=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@8=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@12=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@16=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@20=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@24=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@28=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@32=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@36=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@40=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@44=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@48=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@60=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseFullScreenExclusiveModeEXT@104=_gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ReleaseFullScreenExclusiveModeEXT=gfx11_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@4=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@8=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@12=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@16=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@20=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@24=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@28=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@32=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@36=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@40=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@44=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@48=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@60=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseFullScreenExclusiveModeEXT@104=_gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ReleaseFullScreenExclusiveModeEXT=gfx12_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@4=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@8=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@12=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@16=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@20=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@24=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@28=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@32=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@36=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@40=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@44=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@48=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@60=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseFullScreenExclusiveModeEXT@104=_gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ReleaseFullScreenExclusiveModeEXT=gfx125_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*anv_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@4=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@8=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@12=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@16=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@20=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@24=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@28=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@32=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@36=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@40=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@44=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@48=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@60=_anv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquireProfilingLockKHR@104=_anv_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquireProfilingLockKHR=anv_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@4=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@8=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@12=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@16=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@20=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@24=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@28=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@32=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@36=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@40=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@44=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@48=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@60=_gfx7_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquireProfilingLockKHR@104=_gfx7_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AcquireProfilingLockKHR=gfx7_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@4=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@8=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@12=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@16=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@20=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@24=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@28=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@32=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@36=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@40=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@44=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@48=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@60=_gfx75_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquireProfilingLockKHR@104=_gfx75_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AcquireProfilingLockKHR=gfx75_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@4=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@8=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@12=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@16=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@20=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@24=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@28=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@32=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@36=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@40=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@44=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@48=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@60=_gfx8_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquireProfilingLockKHR@104=_gfx8_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AcquireProfilingLockKHR=gfx8_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@4=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@8=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@12=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@16=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@20=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@24=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@28=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@32=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@36=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@40=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@44=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@48=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@60=_gfx9_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquireProfilingLockKHR@104=_gfx9_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AcquireProfilingLockKHR=gfx9_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@4=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@8=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@12=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@16=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@20=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@24=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@28=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@32=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@36=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@40=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@44=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@48=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@60=_gfx11_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquireProfilingLockKHR@104=_gfx11_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AcquireProfilingLockKHR=gfx11_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@4=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@8=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@12=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@16=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@20=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@24=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@28=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@32=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@36=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@40=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@44=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@48=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@60=_gfx12_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquireProfilingLockKHR@104=_gfx12_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AcquireProfilingLockKHR=gfx12_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@4=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@8=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@12=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@16=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@20=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@24=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@28=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@32=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@36=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@40=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@44=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@48=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@60=_gfx125_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquireProfilingLockKHR@104=_gfx125_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AcquireProfilingLockKHR=gfx125_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@4=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@8=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@12=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@16=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@20=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@24=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@28=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@32=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@36=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@40=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@44=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@48=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@60=_anv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleaseProfilingLockKHR@104=_anv_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ReleaseProfilingLockKHR=anv_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@4=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@8=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@12=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@16=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@20=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@24=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@28=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@32=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@36=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@40=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@44=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@48=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@60=_gfx7_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleaseProfilingLockKHR@104=_gfx7_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ReleaseProfilingLockKHR=gfx7_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@4=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@8=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@12=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@16=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@20=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@24=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@28=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@32=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@36=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@40=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@44=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@48=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@60=_gfx75_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleaseProfilingLockKHR@104=_gfx75_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ReleaseProfilingLockKHR=gfx75_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@4=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@8=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@12=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@16=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@20=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@24=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@28=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@32=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@36=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@40=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@44=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@48=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@60=_gfx8_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleaseProfilingLockKHR@104=_gfx8_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ReleaseProfilingLockKHR=gfx8_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@4=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@8=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@12=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@16=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@20=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@24=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@28=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@32=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@36=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@40=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@44=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@48=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@60=_gfx9_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleaseProfilingLockKHR@104=_gfx9_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ReleaseProfilingLockKHR=gfx9_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@4=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@8=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@12=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@16=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@20=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@24=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@28=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@32=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@36=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@40=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@44=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@48=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@60=_gfx11_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleaseProfilingLockKHR@104=_gfx11_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ReleaseProfilingLockKHR=gfx11_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@4=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@8=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@12=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@16=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@20=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@24=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@28=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@32=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@36=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@40=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@44=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@48=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@60=_gfx12_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleaseProfilingLockKHR@104=_gfx12_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ReleaseProfilingLockKHR=gfx12_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@4=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@8=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@12=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@16=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@20=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@24=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@28=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@32=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@36=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@40=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@44=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@48=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@60=_gfx125_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleaseProfilingLockKHR@104=_gfx125_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ReleaseProfilingLockKHR=gfx125_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@4=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@8=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@12=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@16=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@20=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@24=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@28=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@32=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@36=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@40=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@44=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@48=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@60=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetImageDrmFormatModifierPropertiesEXT@104=_anv_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetImageDrmFormatModifierPropertiesEXT=anv_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@4=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@8=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@12=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@16=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@20=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@24=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@28=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@32=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@36=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@40=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@44=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@48=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@60=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetImageDrmFormatModifierPropertiesEXT@104=_gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetImageDrmFormatModifierPropertiesEXT=gfx7_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@4=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@8=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@12=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@16=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@20=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@24=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@28=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@32=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@36=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@40=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@44=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@48=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@60=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetImageDrmFormatModifierPropertiesEXT@104=_gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetImageDrmFormatModifierPropertiesEXT=gfx75_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@4=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@8=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@12=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@16=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@20=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@24=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@28=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@32=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@36=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@40=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@44=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@48=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@60=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetImageDrmFormatModifierPropertiesEXT@104=_gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetImageDrmFormatModifierPropertiesEXT=gfx8_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@4=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@8=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@12=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@16=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@20=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@24=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@28=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@32=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@36=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@40=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@44=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@48=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@60=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetImageDrmFormatModifierPropertiesEXT@104=_gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetImageDrmFormatModifierPropertiesEXT=gfx9_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@4=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@8=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@12=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@16=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@20=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@24=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@28=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@32=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@36=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@40=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@44=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@48=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@60=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetImageDrmFormatModifierPropertiesEXT@104=_gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetImageDrmFormatModifierPropertiesEXT=gfx11_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@4=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@8=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@12=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@16=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@20=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@24=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@28=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@32=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@36=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@40=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@44=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@48=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@60=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetImageDrmFormatModifierPropertiesEXT@104=_gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetImageDrmFormatModifierPropertiesEXT=gfx12_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@4=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@8=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@12=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@16=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@20=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@24=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@28=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@32=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@36=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@40=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@44=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@48=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@60=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetImageDrmFormatModifierPropertiesEXT@104=_gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetImageDrmFormatModifierPropertiesEXT=gfx125_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*anv_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@4=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@8=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@12=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@16=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@20=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@24=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@28=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@32=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@36=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@40=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@44=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@48=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@60=_anv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddress@104=_anv_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferOpaqueCaptureAddress=anv_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL anv_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx7_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@4=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@8=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@12=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@16=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@20=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@24=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@28=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@32=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@36=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@40=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@44=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@48=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@60=_gfx7_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddress@104=_gfx7_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferOpaqueCaptureAddress=gfx7_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx7_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx75_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@4=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@8=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@12=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@16=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@20=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@24=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@28=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@32=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@36=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@40=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@44=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@48=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@60=_gfx75_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddress@104=_gfx75_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferOpaqueCaptureAddress=gfx75_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx75_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx8_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@4=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@8=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@12=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@16=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@20=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@24=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@28=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@32=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@36=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@40=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@44=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@48=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@60=_gfx8_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddress@104=_gfx8_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferOpaqueCaptureAddress=gfx8_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx8_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx9_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@4=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@8=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@12=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@16=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@20=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@24=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@28=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@32=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@36=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@40=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@44=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@48=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@60=_gfx9_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddress@104=_gfx9_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferOpaqueCaptureAddress=gfx9_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx9_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx11_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@4=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@8=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@12=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@16=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@20=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@24=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@28=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@32=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@36=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@40=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@44=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@48=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@60=_gfx11_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddress@104=_gfx11_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferOpaqueCaptureAddress=gfx11_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx11_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx12_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@4=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@8=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@12=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@16=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@20=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@24=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@28=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@32=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@36=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@40=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@44=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@48=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@60=_gfx12_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddress@104=_gfx12_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferOpaqueCaptureAddress=gfx12_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx12_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx125_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@4=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@8=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@12=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@16=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@20=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@24=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@28=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@32=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@36=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@40=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@44=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@48=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@60=_gfx125_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddress@104=_gfx125_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferOpaqueCaptureAddress=gfx125_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx125_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*anv_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@4=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@8=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@12=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@16=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@20=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@24=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@28=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@32=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@36=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@40=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@44=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@48=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@60=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferOpaqueCaptureAddressKHR@104=_anv_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferOpaqueCaptureAddressKHR=anv_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL anv_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx7_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@4=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@8=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@12=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@16=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@20=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@24=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@28=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@32=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@36=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@40=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@44=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@48=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@60=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferOpaqueCaptureAddressKHR@104=_gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferOpaqueCaptureAddressKHR=gfx7_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx7_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx75_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@4=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@8=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@12=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@16=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@20=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@24=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@28=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@32=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@36=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@40=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@44=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@48=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@60=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferOpaqueCaptureAddressKHR@104=_gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferOpaqueCaptureAddressKHR=gfx75_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx75_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx8_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@4=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@8=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@12=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@16=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@20=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@24=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@28=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@32=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@36=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@40=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@44=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@48=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@60=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferOpaqueCaptureAddressKHR@104=_gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferOpaqueCaptureAddressKHR=gfx8_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx8_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx9_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@4=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@8=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@12=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@16=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@20=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@24=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@28=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@32=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@36=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@40=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@44=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@48=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@60=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferOpaqueCaptureAddressKHR@104=_gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferOpaqueCaptureAddressKHR=gfx9_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx9_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx11_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@4=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@8=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@12=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@16=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@20=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@24=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@28=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@32=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@36=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@40=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@44=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@48=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@60=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferOpaqueCaptureAddressKHR@104=_gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferOpaqueCaptureAddressKHR=gfx11_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx11_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx12_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@4=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@8=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@12=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@16=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@20=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@24=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@28=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@32=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@36=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@40=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@44=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@48=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@60=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferOpaqueCaptureAddressKHR@104=_gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferOpaqueCaptureAddressKHR=gfx12_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx12_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx125_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@4=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@8=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@12=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@16=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@20=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@24=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@28=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@32=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@36=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@40=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@44=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@48=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@60=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferOpaqueCaptureAddressKHR@104=_gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferOpaqueCaptureAddressKHR=gfx125_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx125_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*anv_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@4=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@8=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@12=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@16=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@20=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@24=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@28=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@32=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@36=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@40=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@44=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@48=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@60=_anv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddress@104=_anv_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferDeviceAddress=anv_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL anv_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx7_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@4=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@8=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@12=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@16=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@20=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@24=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@28=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@32=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@36=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@40=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@44=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@48=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@60=_gfx7_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddress@104=_gfx7_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferDeviceAddress=gfx7_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx7_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx75_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@4=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@8=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@12=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@16=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@20=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@24=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@28=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@32=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@36=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@40=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@44=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@48=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@60=_gfx75_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddress@104=_gfx75_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferDeviceAddress=gfx75_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx75_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx8_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@4=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@8=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@12=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@16=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@20=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@24=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@28=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@32=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@36=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@40=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@44=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@48=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@60=_gfx8_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddress@104=_gfx8_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferDeviceAddress=gfx8_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx8_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx9_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@4=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@8=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@12=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@16=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@20=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@24=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@28=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@32=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@36=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@40=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@44=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@48=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@60=_gfx9_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddress@104=_gfx9_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferDeviceAddress=gfx9_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx9_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx11_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@4=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@8=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@12=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@16=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@20=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@24=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@28=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@32=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@36=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@40=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@44=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@48=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@60=_gfx11_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddress@104=_gfx11_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferDeviceAddress=gfx11_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx11_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx12_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@4=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@8=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@12=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@16=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@20=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@24=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@28=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@32=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@36=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@40=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@44=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@48=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@60=_gfx12_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddress@104=_gfx12_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferDeviceAddress=gfx12_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx12_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx125_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@4=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@8=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@12=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@16=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@20=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@24=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@28=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@32=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@36=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@40=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@44=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@48=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@60=_gfx125_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddress@104=_gfx125_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferDeviceAddress=gfx125_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx125_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*anv_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@4=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@8=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@12=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@16=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@20=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@24=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@28=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@32=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@36=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@40=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@44=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@48=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@60=_anv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressKHR@104=_anv_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferDeviceAddressKHR=anv_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL anv_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx7_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@4=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@8=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@12=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@16=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@20=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@24=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@28=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@32=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@36=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@40=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@44=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@48=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@60=_gfx7_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressKHR@104=_gfx7_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferDeviceAddressKHR=gfx7_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx7_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx75_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@4=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@8=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@12=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@16=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@20=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@24=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@28=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@32=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@36=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@40=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@44=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@48=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@60=_gfx75_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressKHR@104=_gfx75_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferDeviceAddressKHR=gfx75_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx75_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx8_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@4=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@8=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@12=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@16=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@20=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@24=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@28=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@32=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@36=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@40=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@44=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@48=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@60=_gfx8_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressKHR@104=_gfx8_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferDeviceAddressKHR=gfx8_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx8_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx9_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@4=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@8=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@12=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@16=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@20=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@24=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@28=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@32=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@36=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@40=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@44=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@48=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@60=_gfx9_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressKHR@104=_gfx9_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferDeviceAddressKHR=gfx9_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx9_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx11_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@4=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@8=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@12=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@16=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@20=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@24=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@28=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@32=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@36=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@40=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@44=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@48=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@60=_gfx11_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressKHR@104=_gfx11_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferDeviceAddressKHR=gfx11_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx11_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx12_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@4=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@8=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@12=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@16=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@20=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@24=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@28=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@32=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@36=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@40=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@44=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@48=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@60=_gfx12_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressKHR@104=_gfx12_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferDeviceAddressKHR=gfx12_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx12_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx125_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@4=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@8=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@12=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@16=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@20=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@24=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@28=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@32=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@36=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@40=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@44=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@48=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@60=_gfx125_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressKHR@104=_gfx125_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferDeviceAddressKHR=gfx125_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx125_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*anv_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@4=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@8=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@12=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@16=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@20=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@24=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@28=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@32=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@36=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@40=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@44=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@48=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@60=_anv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetBufferDeviceAddressEXT@104=_anv_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetBufferDeviceAddressEXT=anv_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL anv_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx7_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@4=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@8=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@12=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@16=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@20=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@24=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@28=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@32=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@36=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@40=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@44=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@48=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@60=_gfx7_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetBufferDeviceAddressEXT@104=_gfx7_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetBufferDeviceAddressEXT=gfx7_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx7_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx75_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@4=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@8=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@12=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@16=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@20=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@24=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@28=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@32=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@36=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@40=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@44=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@48=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@60=_gfx75_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetBufferDeviceAddressEXT@104=_gfx75_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetBufferDeviceAddressEXT=gfx75_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx75_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx8_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@4=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@8=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@12=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@16=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@20=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@24=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@28=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@32=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@36=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@40=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@44=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@48=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@60=_gfx8_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetBufferDeviceAddressEXT@104=_gfx8_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetBufferDeviceAddressEXT=gfx8_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx8_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx9_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@4=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@8=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@12=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@16=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@20=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@24=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@28=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@32=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@36=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@40=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@44=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@48=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@60=_gfx9_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetBufferDeviceAddressEXT@104=_gfx9_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetBufferDeviceAddressEXT=gfx9_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx9_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx11_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@4=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@8=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@12=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@16=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@20=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@24=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@28=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@32=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@36=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@40=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@44=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@48=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@60=_gfx11_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetBufferDeviceAddressEXT@104=_gfx11_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetBufferDeviceAddressEXT=gfx11_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx11_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx12_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@4=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@8=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@12=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@16=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@20=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@24=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@28=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@32=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@36=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@40=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@44=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@48=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@60=_gfx12_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetBufferDeviceAddressEXT@104=_gfx12_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetBufferDeviceAddressEXT=gfx12_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx12_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx125_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@4=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@8=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@12=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@16=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@20=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@24=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@28=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@32=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@36=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@40=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@44=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@48=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@60=_gfx125_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetBufferDeviceAddressEXT@104=_gfx125_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetBufferDeviceAddressEXT=gfx125_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx125_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@4=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@8=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@12=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@16=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@20=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@24=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@28=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@32=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@36=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@40=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@44=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@48=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@60=_anv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_InitializePerformanceApiINTEL@104=_anv_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_InitializePerformanceApiINTEL=anv_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@4=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@8=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@12=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@16=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@20=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@24=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@28=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@32=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@36=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@40=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@44=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@48=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@60=_gfx7_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_InitializePerformanceApiINTEL@104=_gfx7_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_InitializePerformanceApiINTEL=gfx7_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@4=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@8=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@12=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@16=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@20=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@24=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@28=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@32=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@36=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@40=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@44=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@48=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@60=_gfx75_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_InitializePerformanceApiINTEL@104=_gfx75_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_InitializePerformanceApiINTEL=gfx75_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@4=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@8=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@12=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@16=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@20=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@24=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@28=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@32=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@36=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@40=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@44=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@48=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@60=_gfx8_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_InitializePerformanceApiINTEL@104=_gfx8_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_InitializePerformanceApiINTEL=gfx8_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@4=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@8=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@12=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@16=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@20=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@24=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@28=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@32=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@36=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@40=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@44=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@48=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@60=_gfx9_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_InitializePerformanceApiINTEL@104=_gfx9_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_InitializePerformanceApiINTEL=gfx9_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@4=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@8=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@12=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@16=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@20=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@24=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@28=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@32=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@36=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@40=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@44=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@48=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@60=_gfx11_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_InitializePerformanceApiINTEL@104=_gfx11_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_InitializePerformanceApiINTEL=gfx11_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@4=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@8=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@12=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@16=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@20=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@24=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@28=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@32=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@36=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@40=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@44=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@48=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@60=_gfx12_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_InitializePerformanceApiINTEL@104=_gfx12_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_InitializePerformanceApiINTEL=gfx12_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@4=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@8=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@12=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@16=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@20=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@24=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@28=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@32=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@36=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@40=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@44=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@48=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@60=_gfx125_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_InitializePerformanceApiINTEL@104=_gfx125_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_InitializePerformanceApiINTEL=gfx125_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@4=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@8=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@12=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@16=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@20=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@24=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@28=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@32=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@36=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@40=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@44=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@48=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@60=_anv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_UninitializePerformanceApiINTEL@104=_anv_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_UninitializePerformanceApiINTEL=anv_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@4=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@8=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@12=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@16=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@20=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@24=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@28=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@32=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@36=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@40=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@44=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@48=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@60=_gfx7_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UninitializePerformanceApiINTEL@104=_gfx7_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_UninitializePerformanceApiINTEL=gfx7_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@4=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@8=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@12=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@16=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@20=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@24=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@28=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@32=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@36=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@40=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@44=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@48=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@60=_gfx75_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UninitializePerformanceApiINTEL@104=_gfx75_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_UninitializePerformanceApiINTEL=gfx75_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@4=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@8=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@12=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@16=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@20=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@24=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@28=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@32=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@36=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@40=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@44=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@48=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@60=_gfx8_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UninitializePerformanceApiINTEL@104=_gfx8_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_UninitializePerformanceApiINTEL=gfx8_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@4=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@8=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@12=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@16=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@20=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@24=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@28=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@32=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@36=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@40=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@44=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@48=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@60=_gfx9_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UninitializePerformanceApiINTEL@104=_gfx9_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_UninitializePerformanceApiINTEL=gfx9_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@4=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@8=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@12=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@16=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@20=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@24=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@28=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@32=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@36=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@40=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@44=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@48=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@60=_gfx11_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UninitializePerformanceApiINTEL@104=_gfx11_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_UninitializePerformanceApiINTEL=gfx11_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@4=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@8=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@12=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@16=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@20=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@24=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@28=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@32=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@36=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@40=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@44=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@48=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@60=_gfx12_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UninitializePerformanceApiINTEL@104=_gfx12_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_UninitializePerformanceApiINTEL=gfx12_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@4=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@8=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@12=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@16=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@20=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@24=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@28=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@32=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@36=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@40=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@44=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@48=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@60=_gfx125_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UninitializePerformanceApiINTEL@104=_gfx125_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_UninitializePerformanceApiINTEL=gfx125_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@4=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@8=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@12=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@16=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@20=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@24=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@28=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@32=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@36=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@40=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@44=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@48=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@60=_anv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceMarkerINTEL@104=_anv_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetPerformanceMarkerINTEL=anv_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@4=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@8=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@12=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@16=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@20=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@24=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@28=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@32=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@36=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@40=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@44=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@48=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@60=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceMarkerINTEL@104=_gfx7_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetPerformanceMarkerINTEL=gfx7_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@4=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@8=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@12=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@16=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@20=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@24=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@28=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@32=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@36=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@40=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@44=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@48=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@60=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceMarkerINTEL@104=_gfx75_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetPerformanceMarkerINTEL=gfx75_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@4=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@8=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@12=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@16=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@20=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@24=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@28=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@32=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@36=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@40=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@44=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@48=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@60=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceMarkerINTEL@104=_gfx8_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetPerformanceMarkerINTEL=gfx8_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@4=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@8=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@12=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@16=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@20=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@24=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@28=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@32=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@36=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@40=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@44=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@48=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@60=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceMarkerINTEL@104=_gfx9_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetPerformanceMarkerINTEL=gfx9_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@4=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@8=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@12=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@16=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@20=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@24=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@28=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@32=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@36=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@40=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@44=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@48=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@60=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceMarkerINTEL@104=_gfx11_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetPerformanceMarkerINTEL=gfx11_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@4=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@8=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@12=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@16=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@20=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@24=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@28=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@32=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@36=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@40=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@44=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@48=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@60=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceMarkerINTEL@104=_gfx12_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetPerformanceMarkerINTEL=gfx12_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@4=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@8=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@12=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@16=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@20=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@24=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@28=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@32=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@36=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@40=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@44=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@48=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@60=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceMarkerINTEL@104=_gfx125_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetPerformanceMarkerINTEL=gfx125_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@4=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@8=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@12=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@16=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@20=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@24=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@28=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@32=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@36=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@40=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@44=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@48=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@60=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceStreamMarkerINTEL@104=_anv_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetPerformanceStreamMarkerINTEL=anv_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@4=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@8=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@12=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@16=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@20=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@24=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@28=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@32=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@36=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@40=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@44=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@48=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@60=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceStreamMarkerINTEL@104=_gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetPerformanceStreamMarkerINTEL=gfx7_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@4=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@8=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@12=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@16=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@20=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@24=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@28=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@32=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@36=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@40=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@44=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@48=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@60=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceStreamMarkerINTEL@104=_gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetPerformanceStreamMarkerINTEL=gfx75_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@4=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@8=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@12=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@16=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@20=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@24=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@28=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@32=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@36=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@40=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@44=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@48=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@60=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceStreamMarkerINTEL@104=_gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetPerformanceStreamMarkerINTEL=gfx8_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@4=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@8=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@12=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@16=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@20=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@24=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@28=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@32=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@36=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@40=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@44=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@48=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@60=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceStreamMarkerINTEL@104=_gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetPerformanceStreamMarkerINTEL=gfx9_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@4=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@8=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@12=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@16=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@20=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@24=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@28=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@32=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@36=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@40=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@44=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@48=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@60=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceStreamMarkerINTEL@104=_gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetPerformanceStreamMarkerINTEL=gfx11_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@4=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@8=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@12=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@16=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@20=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@24=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@28=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@32=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@36=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@40=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@44=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@48=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@60=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceStreamMarkerINTEL@104=_gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetPerformanceStreamMarkerINTEL=gfx12_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@4=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@8=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@12=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@16=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@20=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@24=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@28=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@32=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@36=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@40=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@44=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@48=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@60=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceStreamMarkerINTEL@104=_gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetPerformanceStreamMarkerINTEL=gfx125_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@4=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@8=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@12=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@16=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@20=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@24=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@28=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@32=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@36=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@40=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@44=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@48=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@60=_anv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPerformanceOverrideINTEL@104=_anv_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetPerformanceOverrideINTEL=anv_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@4=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@8=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@12=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@16=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@20=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@24=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@28=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@32=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@36=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@40=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@44=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@48=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@60=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPerformanceOverrideINTEL@104=_gfx7_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetPerformanceOverrideINTEL=gfx7_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@4=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@8=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@12=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@16=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@20=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@24=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@28=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@32=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@36=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@40=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@44=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@48=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@60=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPerformanceOverrideINTEL@104=_gfx75_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetPerformanceOverrideINTEL=gfx75_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@4=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@8=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@12=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@16=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@20=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@24=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@28=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@32=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@36=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@40=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@44=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@48=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@60=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPerformanceOverrideINTEL@104=_gfx8_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetPerformanceOverrideINTEL=gfx8_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@4=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@8=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@12=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@16=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@20=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@24=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@28=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@32=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@36=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@40=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@44=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@48=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@60=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPerformanceOverrideINTEL@104=_gfx9_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetPerformanceOverrideINTEL=gfx9_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@4=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@8=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@12=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@16=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@20=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@24=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@28=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@32=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@36=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@40=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@44=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@48=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@60=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPerformanceOverrideINTEL@104=_gfx11_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetPerformanceOverrideINTEL=gfx11_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@4=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@8=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@12=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@16=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@20=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@24=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@28=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@32=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@36=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@40=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@44=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@48=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@60=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPerformanceOverrideINTEL@104=_gfx12_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetPerformanceOverrideINTEL=gfx12_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@4=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@8=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@12=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@16=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@20=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@24=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@28=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@32=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@36=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@40=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@44=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@48=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@60=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPerformanceOverrideINTEL@104=_gfx125_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetPerformanceOverrideINTEL=gfx125_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@4=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@8=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@12=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@16=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@20=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@24=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@28=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@32=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@36=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@40=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@44=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@48=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@60=_anv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_AcquirePerformanceConfigurationINTEL@104=_anv_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_AcquirePerformanceConfigurationINTEL=anv_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@4=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@8=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@12=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@16=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@20=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@24=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@28=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@32=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@36=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@40=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@44=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@48=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@60=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_AcquirePerformanceConfigurationINTEL@104=_gfx7_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_AcquirePerformanceConfigurationINTEL=gfx7_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@4=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@8=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@12=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@16=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@20=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@24=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@28=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@32=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@36=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@40=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@44=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@48=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@60=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_AcquirePerformanceConfigurationINTEL@104=_gfx75_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_AcquirePerformanceConfigurationINTEL=gfx75_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@4=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@8=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@12=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@16=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@20=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@24=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@28=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@32=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@36=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@40=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@44=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@48=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@60=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_AcquirePerformanceConfigurationINTEL@104=_gfx8_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_AcquirePerformanceConfigurationINTEL=gfx8_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@4=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@8=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@12=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@16=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@20=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@24=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@28=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@32=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@36=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@40=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@44=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@48=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@60=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_AcquirePerformanceConfigurationINTEL@104=_gfx9_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_AcquirePerformanceConfigurationINTEL=gfx9_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@4=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@8=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@12=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@16=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@20=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@24=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@28=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@32=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@36=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@40=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@44=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@48=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@60=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_AcquirePerformanceConfigurationINTEL@104=_gfx11_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_AcquirePerformanceConfigurationINTEL=gfx11_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@4=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@8=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@12=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@16=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@20=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@24=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@28=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@32=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@36=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@40=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@44=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@48=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@60=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_AcquirePerformanceConfigurationINTEL@104=_gfx12_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_AcquirePerformanceConfigurationINTEL=gfx12_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@4=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@8=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@12=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@16=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@20=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@24=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@28=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@32=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@36=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@40=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@44=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@48=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@60=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_AcquirePerformanceConfigurationINTEL@104=_gfx125_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_AcquirePerformanceConfigurationINTEL=gfx125_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@4=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@8=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@12=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@16=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@20=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@24=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@28=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@32=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@36=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@40=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@44=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@48=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@60=_anv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_ReleasePerformanceConfigurationINTEL@104=_anv_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_ReleasePerformanceConfigurationINTEL=anv_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@4=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@8=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@12=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@16=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@20=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@24=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@28=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@32=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@36=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@40=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@44=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@48=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@60=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_ReleasePerformanceConfigurationINTEL@104=_gfx7_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_ReleasePerformanceConfigurationINTEL=gfx7_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@4=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@8=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@12=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@16=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@20=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@24=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@28=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@32=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@36=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@40=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@44=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@48=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@60=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_ReleasePerformanceConfigurationINTEL@104=_gfx75_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_ReleasePerformanceConfigurationINTEL=gfx75_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@4=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@8=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@12=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@16=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@20=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@24=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@28=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@32=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@36=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@40=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@44=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@48=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@60=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_ReleasePerformanceConfigurationINTEL@104=_gfx8_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_ReleasePerformanceConfigurationINTEL=gfx8_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@4=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@8=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@12=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@16=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@20=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@24=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@28=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@32=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@36=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@40=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@44=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@48=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@60=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_ReleasePerformanceConfigurationINTEL@104=_gfx9_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_ReleasePerformanceConfigurationINTEL=gfx9_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@4=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@8=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@12=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@16=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@20=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@24=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@28=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@32=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@36=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@40=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@44=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@48=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@60=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_ReleasePerformanceConfigurationINTEL@104=_gfx11_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_ReleasePerformanceConfigurationINTEL=gfx11_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@4=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@8=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@12=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@16=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@20=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@24=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@28=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@32=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@36=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@40=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@44=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@48=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@60=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_ReleasePerformanceConfigurationINTEL@104=_gfx12_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_ReleasePerformanceConfigurationINTEL=gfx12_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@4=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@8=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@12=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@16=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@20=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@24=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@28=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@32=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@36=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@40=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@44=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@48=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@60=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_ReleasePerformanceConfigurationINTEL@104=_gfx125_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_ReleasePerformanceConfigurationINTEL=gfx125_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@4=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@8=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@12=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@16=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@20=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@24=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@28=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@32=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@36=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@40=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@44=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@48=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@60=_anv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSetPerformanceConfigurationINTEL@104=_anv_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueSetPerformanceConfigurationINTEL=anv_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@4=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@8=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@12=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@16=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@20=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@24=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@28=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@32=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@36=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@40=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@44=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@48=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@60=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSetPerformanceConfigurationINTEL@104=_gfx7_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueSetPerformanceConfigurationINTEL=gfx7_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@4=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@8=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@12=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@16=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@20=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@24=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@28=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@32=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@36=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@40=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@44=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@48=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@60=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSetPerformanceConfigurationINTEL@104=_gfx75_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueSetPerformanceConfigurationINTEL=gfx75_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@4=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@8=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@12=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@16=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@20=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@24=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@28=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@32=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@36=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@40=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@44=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@48=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@60=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSetPerformanceConfigurationINTEL@104=_gfx8_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueSetPerformanceConfigurationINTEL=gfx8_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@4=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@8=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@12=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@16=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@20=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@24=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@28=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@32=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@36=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@40=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@44=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@48=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@60=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSetPerformanceConfigurationINTEL@104=_gfx9_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueSetPerformanceConfigurationINTEL=gfx9_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@4=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@8=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@12=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@16=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@20=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@24=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@28=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@32=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@36=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@40=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@44=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@48=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@60=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSetPerformanceConfigurationINTEL@104=_gfx11_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueSetPerformanceConfigurationINTEL=gfx11_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@4=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@8=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@12=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@16=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@20=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@24=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@28=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@32=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@36=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@40=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@44=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@48=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@60=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSetPerformanceConfigurationINTEL@104=_gfx12_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueSetPerformanceConfigurationINTEL=gfx12_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@4=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@8=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@12=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@16=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@20=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@24=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@28=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@32=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@36=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@40=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@44=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@48=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@60=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSetPerformanceConfigurationINTEL@104=_gfx125_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueSetPerformanceConfigurationINTEL=gfx125_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@4=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@8=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@12=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@16=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@20=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@24=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@28=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@32=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@36=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@40=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@44=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@48=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@60=_anv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPerformanceParameterINTEL@104=_anv_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPerformanceParameterINTEL=anv_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@4=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@8=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@12=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@16=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@20=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@24=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@28=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@32=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@36=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@40=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@44=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@48=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@60=_gfx7_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPerformanceParameterINTEL@104=_gfx7_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPerformanceParameterINTEL=gfx7_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@4=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@8=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@12=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@16=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@20=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@24=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@28=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@32=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@36=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@40=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@44=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@48=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@60=_gfx75_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPerformanceParameterINTEL@104=_gfx75_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPerformanceParameterINTEL=gfx75_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@4=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@8=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@12=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@16=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@20=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@24=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@28=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@32=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@36=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@40=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@44=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@48=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@60=_gfx8_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPerformanceParameterINTEL@104=_gfx8_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPerformanceParameterINTEL=gfx8_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@4=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@8=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@12=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@16=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@20=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@24=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@28=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@32=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@36=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@40=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@44=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@48=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@60=_gfx9_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPerformanceParameterINTEL@104=_gfx9_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPerformanceParameterINTEL=gfx9_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@4=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@8=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@12=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@16=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@20=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@24=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@28=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@32=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@36=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@40=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@44=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@48=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@60=_gfx11_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPerformanceParameterINTEL@104=_gfx11_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPerformanceParameterINTEL=gfx11_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@4=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@8=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@12=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@16=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@20=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@24=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@28=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@32=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@36=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@40=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@44=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@48=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@60=_gfx12_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPerformanceParameterINTEL@104=_gfx12_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPerformanceParameterINTEL=gfx12_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@4=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@8=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@12=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@16=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@20=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@24=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@28=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@32=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@36=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@40=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@44=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@48=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@60=_gfx125_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPerformanceParameterINTEL@104=_gfx125_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPerformanceParameterINTEL=gfx125_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*anv_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@4=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@8=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@12=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@16=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@20=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@24=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@28=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@32=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@36=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@40=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@44=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@48=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@60=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddress@104=_anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceMemoryOpaqueCaptureAddress=anv_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL anv_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceMemoryOpaqueCaptureAddress=gfx7_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx7_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceMemoryOpaqueCaptureAddress=gfx75_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx75_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceMemoryOpaqueCaptureAddress=gfx8_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx8_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceMemoryOpaqueCaptureAddress=gfx9_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx9_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceMemoryOpaqueCaptureAddress=gfx11_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx11_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceMemoryOpaqueCaptureAddress=gfx12_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx12_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@4=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@8=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@12=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@16=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@20=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@24=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@28=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@32=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@36=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@40=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@44=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@48=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@60=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddress@104=_gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceMemoryOpaqueCaptureAddress=gfx125_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx125_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeviceMemoryOpaqueCaptureAddressKHR=anv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL anv_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR=gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@4=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@8=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@12=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@16=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@20=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@24=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@28=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@32=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@36=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@40=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@44=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@48=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@60=_anv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutablePropertiesKHR@104=_anv_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPipelineExecutablePropertiesKHR=anv_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@4=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@8=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@12=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@16=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@20=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@24=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@28=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@32=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@36=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@40=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@44=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@48=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@60=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutablePropertiesKHR@104=_gfx7_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPipelineExecutablePropertiesKHR=gfx7_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@4=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@8=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@12=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@16=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@20=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@24=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@28=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@32=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@36=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@40=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@44=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@48=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@60=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutablePropertiesKHR@104=_gfx75_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPipelineExecutablePropertiesKHR=gfx75_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@4=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@8=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@12=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@16=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@20=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@24=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@28=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@32=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@36=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@40=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@44=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@48=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@60=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutablePropertiesKHR@104=_gfx8_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPipelineExecutablePropertiesKHR=gfx8_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@4=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@8=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@12=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@16=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@20=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@24=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@28=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@32=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@36=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@40=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@44=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@48=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@60=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutablePropertiesKHR@104=_gfx9_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPipelineExecutablePropertiesKHR=gfx9_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@4=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@8=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@12=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@16=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@20=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@24=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@28=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@32=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@36=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@40=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@44=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@48=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@60=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutablePropertiesKHR@104=_gfx11_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPipelineExecutablePropertiesKHR=gfx11_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@4=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@8=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@12=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@16=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@20=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@24=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@28=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@32=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@36=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@40=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@44=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@48=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@60=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutablePropertiesKHR@104=_gfx12_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPipelineExecutablePropertiesKHR=gfx12_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@4=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@8=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@12=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@16=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@20=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@24=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@28=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@32=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@36=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@40=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@44=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@48=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@60=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutablePropertiesKHR@104=_gfx125_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPipelineExecutablePropertiesKHR=gfx125_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@4=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@8=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@12=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@16=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@20=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@24=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@28=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@32=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@36=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@40=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@44=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@48=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@60=_anv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableStatisticsKHR@104=_anv_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPipelineExecutableStatisticsKHR=anv_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@4=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@8=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@12=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@16=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@20=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@24=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@28=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@32=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@36=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@40=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@44=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@48=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@60=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableStatisticsKHR@104=_gfx7_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPipelineExecutableStatisticsKHR=gfx7_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@4=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@8=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@12=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@16=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@20=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@24=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@28=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@32=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@36=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@40=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@44=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@48=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@60=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableStatisticsKHR@104=_gfx75_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPipelineExecutableStatisticsKHR=gfx75_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@4=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@8=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@12=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@16=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@20=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@24=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@28=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@32=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@36=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@40=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@44=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@48=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@60=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableStatisticsKHR@104=_gfx8_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPipelineExecutableStatisticsKHR=gfx8_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@4=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@8=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@12=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@16=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@20=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@24=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@28=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@32=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@36=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@40=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@44=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@48=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@60=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableStatisticsKHR@104=_gfx9_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPipelineExecutableStatisticsKHR=gfx9_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@4=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@8=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@12=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@16=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@20=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@24=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@28=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@32=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@36=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@40=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@44=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@48=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@60=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableStatisticsKHR@104=_gfx11_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPipelineExecutableStatisticsKHR=gfx11_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@4=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@8=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@12=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@16=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@20=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@24=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@28=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@32=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@36=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@40=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@44=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@48=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@60=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableStatisticsKHR@104=_gfx12_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPipelineExecutableStatisticsKHR=gfx12_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@4=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@8=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@12=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@16=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@20=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@24=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@28=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@32=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@36=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@40=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@44=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@48=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@60=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableStatisticsKHR@104=_gfx125_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPipelineExecutableStatisticsKHR=gfx125_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@4=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@8=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@12=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@16=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@20=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@24=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@28=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@32=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@36=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@40=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@44=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@48=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@60=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPipelineExecutableInternalRepresentationsKHR@104=_anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPipelineExecutableInternalRepresentationsKHR=anv_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPipelineExecutableInternalRepresentationsKHR=gfx7_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPipelineExecutableInternalRepresentationsKHR=gfx75_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPipelineExecutableInternalRepresentationsKHR=gfx8_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPipelineExecutableInternalRepresentationsKHR=gfx9_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPipelineExecutableInternalRepresentationsKHR=gfx11_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPipelineExecutableInternalRepresentationsKHR=gfx12_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@4=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@8=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@12=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@16=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@20=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@24=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@28=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@32=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@36=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@40=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@44=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@48=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@60=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPipelineExecutableInternalRepresentationsKHR@104=_gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPipelineExecutableInternalRepresentationsKHR=gfx125_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@4=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@8=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@12=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@16=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@20=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@24=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@28=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@32=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@36=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@40=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@44=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@48=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@60=_anv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLineStippleEXT@104=_anv_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetLineStippleEXT=anv_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@4=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@8=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@12=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@16=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@20=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@24=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@28=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@32=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@36=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@40=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@44=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@48=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@60=_gfx7_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLineStippleEXT@104=_gfx7_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetLineStippleEXT=gfx7_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@4=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@8=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@12=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@16=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@20=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@24=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@28=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@32=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@36=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@40=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@44=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@48=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@60=_gfx75_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLineStippleEXT@104=_gfx75_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetLineStippleEXT=gfx75_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@4=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@8=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@12=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@16=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@20=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@24=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@28=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@32=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@36=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@40=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@44=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@48=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@60=_gfx8_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLineStippleEXT@104=_gfx8_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetLineStippleEXT=gfx8_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@4=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@8=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@12=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@16=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@20=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@24=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@28=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@32=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@36=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@40=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@44=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@48=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@60=_gfx9_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLineStippleEXT@104=_gfx9_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetLineStippleEXT=gfx9_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@4=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@8=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@12=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@16=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@20=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@24=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@28=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@32=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@36=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@40=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@44=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@48=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@60=_gfx11_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLineStippleEXT@104=_gfx11_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetLineStippleEXT=gfx11_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@4=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@8=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@12=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@16=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@20=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@24=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@28=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@32=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@36=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@40=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@44=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@48=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@60=_gfx12_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLineStippleEXT@104=_gfx12_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetLineStippleEXT=gfx12_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@4=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@8=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@12=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@16=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@20=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@24=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@28=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@32=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@36=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@40=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@44=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@48=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@60=_gfx125_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLineStippleEXT@104=_gfx125_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetLineStippleEXT=gfx125_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@4=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@8=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@12=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@16=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@20=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@24=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@28=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@32=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@36=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@40=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@44=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@48=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@60=_anv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateAccelerationStructureKHR@104=_anv_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateAccelerationStructureKHR=anv_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@4=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@8=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@12=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@16=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@20=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@24=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@28=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@32=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@36=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@40=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@44=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@48=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@60=_gfx7_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateAccelerationStructureKHR@104=_gfx7_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateAccelerationStructureKHR=gfx7_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@4=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@8=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@12=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@16=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@20=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@24=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@28=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@32=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@36=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@40=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@44=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@48=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@60=_gfx75_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateAccelerationStructureKHR@104=_gfx75_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateAccelerationStructureKHR=gfx75_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@4=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@8=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@12=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@16=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@20=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@24=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@28=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@32=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@36=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@40=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@44=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@48=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@60=_gfx8_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateAccelerationStructureKHR@104=_gfx8_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateAccelerationStructureKHR=gfx8_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@4=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@8=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@12=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@16=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@20=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@24=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@28=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@32=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@36=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@40=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@44=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@48=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@60=_gfx9_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateAccelerationStructureKHR@104=_gfx9_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateAccelerationStructureKHR=gfx9_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@4=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@8=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@12=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@16=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@20=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@24=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@28=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@32=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@36=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@40=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@44=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@48=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@60=_gfx11_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateAccelerationStructureKHR@104=_gfx11_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateAccelerationStructureKHR=gfx11_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@4=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@8=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@12=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@16=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@20=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@24=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@28=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@32=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@36=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@40=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@44=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@48=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@60=_gfx12_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateAccelerationStructureKHR@104=_gfx12_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateAccelerationStructureKHR=gfx12_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@4=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@8=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@12=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@16=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@20=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@24=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@28=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@32=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@36=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@40=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@44=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@48=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@60=_gfx125_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateAccelerationStructureKHR@104=_gfx125_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateAccelerationStructureKHR=gfx125_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@4=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@8=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@12=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@16=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@20=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@24=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@28=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@32=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@36=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@40=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@44=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@48=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@60=_anv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresKHR@104=_anv_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBuildAccelerationStructuresKHR=anv_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@4=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@8=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@12=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@16=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@20=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@24=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@28=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@32=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@36=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@40=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@44=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@48=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@60=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresKHR@104=_gfx7_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBuildAccelerationStructuresKHR=gfx7_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@4=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@8=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@12=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@16=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@20=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@24=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@28=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@32=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@36=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@40=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@44=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@48=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@60=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresKHR@104=_gfx75_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBuildAccelerationStructuresKHR=gfx75_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@4=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@8=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@12=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@16=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@20=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@24=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@28=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@32=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@36=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@40=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@44=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@48=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@60=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresKHR@104=_gfx8_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBuildAccelerationStructuresKHR=gfx8_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@4=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@8=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@12=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@16=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@20=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@24=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@28=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@32=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@36=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@40=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@44=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@48=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@60=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresKHR@104=_gfx9_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBuildAccelerationStructuresKHR=gfx9_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@4=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@8=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@12=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@16=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@20=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@24=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@28=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@32=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@36=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@40=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@44=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@48=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@60=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresKHR@104=_gfx11_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBuildAccelerationStructuresKHR=gfx11_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@4=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@8=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@12=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@16=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@20=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@24=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@28=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@32=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@36=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@40=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@44=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@48=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@60=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresKHR@104=_gfx12_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBuildAccelerationStructuresKHR=gfx12_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@4=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@8=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@12=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@16=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@20=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@24=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@28=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@32=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@36=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@40=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@44=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@48=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@60=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresKHR@104=_gfx125_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBuildAccelerationStructuresKHR=gfx125_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@4=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@8=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@12=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@16=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@20=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@24=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@28=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@32=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@36=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@40=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@44=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@48=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@60=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBuildAccelerationStructuresIndirectKHR@104=_anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBuildAccelerationStructuresIndirectKHR=anv_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBuildAccelerationStructuresIndirectKHR=gfx7_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBuildAccelerationStructuresIndirectKHR=gfx75_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBuildAccelerationStructuresIndirectKHR=gfx8_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBuildAccelerationStructuresIndirectKHR=gfx9_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBuildAccelerationStructuresIndirectKHR=gfx11_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBuildAccelerationStructuresIndirectKHR=gfx12_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@4=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@8=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@12=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@16=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@20=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@24=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@28=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@32=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@36=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@40=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@44=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@48=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@60=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBuildAccelerationStructuresIndirectKHR@104=_gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBuildAccelerationStructuresIndirectKHR=gfx125_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@4=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@8=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@12=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@16=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@20=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@24=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@28=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@32=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@36=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@40=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@44=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@48=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@60=_anv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BuildAccelerationStructuresKHR@104=_anv_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BuildAccelerationStructuresKHR=anv_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@4=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@8=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@12=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@16=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@20=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@24=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@28=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@32=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@36=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@40=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@44=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@48=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@60=_gfx7_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BuildAccelerationStructuresKHR@104=_gfx7_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BuildAccelerationStructuresKHR=gfx7_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@4=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@8=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@12=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@16=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@20=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@24=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@28=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@32=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@36=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@40=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@44=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@48=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@60=_gfx75_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BuildAccelerationStructuresKHR@104=_gfx75_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BuildAccelerationStructuresKHR=gfx75_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@4=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@8=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@12=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@16=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@20=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@24=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@28=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@32=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@36=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@40=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@44=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@48=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@60=_gfx8_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BuildAccelerationStructuresKHR@104=_gfx8_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BuildAccelerationStructuresKHR=gfx8_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@4=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@8=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@12=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@16=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@20=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@24=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@28=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@32=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@36=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@40=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@44=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@48=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@60=_gfx9_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BuildAccelerationStructuresKHR@104=_gfx9_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BuildAccelerationStructuresKHR=gfx9_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@4=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@8=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@12=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@16=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@20=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@24=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@28=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@32=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@36=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@40=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@44=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@48=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@60=_gfx11_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BuildAccelerationStructuresKHR@104=_gfx11_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BuildAccelerationStructuresKHR=gfx11_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@4=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@8=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@12=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@16=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@20=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@24=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@28=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@32=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@36=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@40=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@44=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@48=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@60=_gfx12_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BuildAccelerationStructuresKHR@104=_gfx12_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BuildAccelerationStructuresKHR=gfx12_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@4=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@8=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@12=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@16=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@20=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@24=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@28=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@32=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@36=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@40=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@44=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@48=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@60=_gfx125_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BuildAccelerationStructuresKHR@104=_gfx125_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BuildAccelerationStructuresKHR=gfx125_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*anv_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@4=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@8=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@12=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@16=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@20=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@24=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@28=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@32=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@36=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@40=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@44=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@48=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@60=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureDeviceAddressKHR@104=_anv_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetAccelerationStructureDeviceAddressKHR=anv_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL anv_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx7_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@4=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@8=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@12=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@16=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@20=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@24=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@28=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@32=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@36=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@40=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@44=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@48=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@60=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureDeviceAddressKHR@104=_gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetAccelerationStructureDeviceAddressKHR=gfx7_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx7_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx75_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@4=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@8=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@12=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@16=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@20=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@24=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@28=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@32=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@36=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@40=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@44=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@48=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@60=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureDeviceAddressKHR@104=_gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetAccelerationStructureDeviceAddressKHR=gfx75_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx75_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx8_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@4=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@8=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@12=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@16=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@20=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@24=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@28=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@32=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@36=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@40=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@44=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@48=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@60=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureDeviceAddressKHR@104=_gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetAccelerationStructureDeviceAddressKHR=gfx8_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx8_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx9_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@4=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@8=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@12=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@16=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@20=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@24=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@28=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@32=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@36=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@40=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@44=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@48=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@60=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureDeviceAddressKHR@104=_gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetAccelerationStructureDeviceAddressKHR=gfx9_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx9_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx11_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@4=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@8=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@12=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@16=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@20=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@24=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@28=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@32=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@36=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@40=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@44=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@48=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@60=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureDeviceAddressKHR@104=_gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetAccelerationStructureDeviceAddressKHR=gfx11_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx11_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx12_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@4=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@8=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@12=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@16=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@20=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@24=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@28=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@32=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@36=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@40=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@44=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@48=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@60=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureDeviceAddressKHR@104=_gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetAccelerationStructureDeviceAddressKHR=gfx12_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx12_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*gfx125_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@4=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@8=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@12=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@16=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@20=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@24=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@28=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@32=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@36=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@40=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@44=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@48=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@60=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureDeviceAddressKHR@104=_gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetAccelerationStructureDeviceAddressKHR=gfx125_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL gfx125_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@4=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@8=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@12=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@16=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@20=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@24=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@28=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@32=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@36=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@40=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@44=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@48=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@60=_anv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateDeferredOperationKHR@104=_anv_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateDeferredOperationKHR=anv_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@4=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@8=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@12=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@16=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@20=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@24=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@28=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@32=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@36=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@40=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@44=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@48=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@60=_gfx7_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateDeferredOperationKHR@104=_gfx7_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateDeferredOperationKHR=gfx7_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@4=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@8=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@12=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@16=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@20=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@24=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@28=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@32=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@36=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@40=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@44=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@48=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@60=_gfx75_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateDeferredOperationKHR@104=_gfx75_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateDeferredOperationKHR=gfx75_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@4=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@8=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@12=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@16=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@20=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@24=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@28=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@32=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@36=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@40=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@44=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@48=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@60=_gfx8_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateDeferredOperationKHR@104=_gfx8_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateDeferredOperationKHR=gfx8_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@4=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@8=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@12=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@16=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@20=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@24=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@28=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@32=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@36=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@40=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@44=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@48=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@60=_gfx9_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateDeferredOperationKHR@104=_gfx9_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateDeferredOperationKHR=gfx9_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@4=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@8=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@12=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@16=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@20=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@24=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@28=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@32=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@36=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@40=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@44=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@48=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@60=_gfx11_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateDeferredOperationKHR@104=_gfx11_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateDeferredOperationKHR=gfx11_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@4=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@8=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@12=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@16=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@20=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@24=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@28=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@32=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@36=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@40=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@44=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@48=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@60=_gfx12_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateDeferredOperationKHR@104=_gfx12_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateDeferredOperationKHR=gfx12_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@4=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@8=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@12=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@16=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@20=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@24=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@28=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@32=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@36=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@40=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@44=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@48=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@60=_gfx125_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateDeferredOperationKHR@104=_gfx125_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateDeferredOperationKHR=gfx125_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@4=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@8=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@12=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@16=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@20=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@24=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@28=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@32=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@36=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@40=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@44=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@48=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@60=_anv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyDeferredOperationKHR@104=_anv_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyDeferredOperationKHR=anv_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@4=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@8=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@12=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@16=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@20=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@24=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@28=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@32=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@36=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@40=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@44=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@48=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@60=_gfx7_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyDeferredOperationKHR@104=_gfx7_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyDeferredOperationKHR=gfx7_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@4=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@8=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@12=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@16=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@20=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@24=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@28=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@32=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@36=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@40=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@44=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@48=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@60=_gfx75_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyDeferredOperationKHR@104=_gfx75_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyDeferredOperationKHR=gfx75_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@4=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@8=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@12=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@16=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@20=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@24=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@28=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@32=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@36=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@40=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@44=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@48=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@60=_gfx8_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyDeferredOperationKHR@104=_gfx8_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyDeferredOperationKHR=gfx8_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@4=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@8=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@12=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@16=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@20=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@24=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@28=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@32=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@36=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@40=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@44=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@48=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@60=_gfx9_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyDeferredOperationKHR@104=_gfx9_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyDeferredOperationKHR=gfx9_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@4=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@8=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@12=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@16=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@20=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@24=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@28=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@32=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@36=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@40=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@44=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@48=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@60=_gfx11_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyDeferredOperationKHR@104=_gfx11_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyDeferredOperationKHR=gfx11_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@4=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@8=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@12=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@16=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@20=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@24=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@28=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@32=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@36=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@40=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@44=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@48=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@60=_gfx12_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyDeferredOperationKHR@104=_gfx12_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyDeferredOperationKHR=gfx12_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@4=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@8=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@12=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@16=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@20=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@24=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@28=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@32=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@36=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@40=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@44=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@48=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@60=_gfx125_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyDeferredOperationKHR@104=_gfx125_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyDeferredOperationKHR=gfx125_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*anv_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@4=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@8=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@12=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@16=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@20=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@24=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@28=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@32=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@36=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@40=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@44=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@48=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@60=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationMaxConcurrencyKHR@104=_anv_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeferredOperationMaxConcurrencyKHR=anv_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL anv_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx7_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@4=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@8=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@12=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@16=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@20=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@24=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@28=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@32=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@36=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@40=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@44=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@48=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@60=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationMaxConcurrencyKHR@104=_gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeferredOperationMaxConcurrencyKHR=gfx7_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx7_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx75_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@4=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@8=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@12=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@16=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@20=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@24=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@28=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@32=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@36=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@40=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@44=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@48=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@60=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationMaxConcurrencyKHR@104=_gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeferredOperationMaxConcurrencyKHR=gfx75_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx75_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx8_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@4=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@8=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@12=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@16=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@20=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@24=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@28=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@32=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@36=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@40=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@44=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@48=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@60=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationMaxConcurrencyKHR@104=_gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeferredOperationMaxConcurrencyKHR=gfx8_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx8_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx9_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@4=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@8=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@12=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@16=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@20=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@24=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@28=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@32=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@36=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@40=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@44=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@48=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@60=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationMaxConcurrencyKHR@104=_gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeferredOperationMaxConcurrencyKHR=gfx9_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx9_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx11_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@4=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@8=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@12=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@16=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@20=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@24=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@28=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@32=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@36=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@40=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@44=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@48=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@60=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationMaxConcurrencyKHR@104=_gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeferredOperationMaxConcurrencyKHR=gfx11_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx11_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx12_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@4=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@8=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@12=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@16=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@20=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@24=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@28=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@32=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@36=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@40=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@44=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@48=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@60=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationMaxConcurrencyKHR@104=_gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeferredOperationMaxConcurrencyKHR=gfx12_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx12_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*gfx125_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@4=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@8=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@12=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@16=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@20=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@24=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@28=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@32=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@36=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@40=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@44=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@48=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@60=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationMaxConcurrencyKHR@104=_gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeferredOperationMaxConcurrencyKHR=gfx125_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL gfx125_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@4=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@8=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@12=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@16=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@20=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@24=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@28=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@32=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@36=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@40=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@44=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@48=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@60=_anv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetDeferredOperationResultKHR@104=_anv_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetDeferredOperationResultKHR=anv_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@4=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@8=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@12=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@16=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@20=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@24=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@28=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@32=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@36=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@40=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@44=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@48=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@60=_gfx7_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetDeferredOperationResultKHR@104=_gfx7_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetDeferredOperationResultKHR=gfx7_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@4=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@8=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@12=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@16=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@20=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@24=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@28=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@32=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@36=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@40=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@44=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@48=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@60=_gfx75_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetDeferredOperationResultKHR@104=_gfx75_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetDeferredOperationResultKHR=gfx75_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@4=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@8=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@12=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@16=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@20=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@24=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@28=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@32=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@36=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@40=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@44=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@48=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@60=_gfx8_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetDeferredOperationResultKHR@104=_gfx8_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetDeferredOperationResultKHR=gfx8_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@4=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@8=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@12=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@16=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@20=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@24=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@28=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@32=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@36=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@40=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@44=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@48=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@60=_gfx9_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetDeferredOperationResultKHR@104=_gfx9_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetDeferredOperationResultKHR=gfx9_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@4=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@8=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@12=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@16=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@20=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@24=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@28=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@32=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@36=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@40=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@44=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@48=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@60=_gfx11_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetDeferredOperationResultKHR@104=_gfx11_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetDeferredOperationResultKHR=gfx11_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@4=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@8=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@12=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@16=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@20=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@24=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@28=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@32=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@36=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@40=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@44=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@48=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@60=_gfx12_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetDeferredOperationResultKHR@104=_gfx12_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetDeferredOperationResultKHR=gfx12_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@4=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@8=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@12=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@16=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@20=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@24=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@28=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@32=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@36=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@40=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@44=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@48=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@60=_gfx125_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetDeferredOperationResultKHR@104=_gfx125_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetDeferredOperationResultKHR=gfx125_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@4=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@8=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@12=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@16=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@20=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@24=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@28=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@32=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@36=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@40=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@44=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@48=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@60=_anv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DeferredOperationJoinKHR@104=_anv_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DeferredOperationJoinKHR=anv_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@4=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@8=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@12=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@16=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@20=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@24=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@28=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@32=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@36=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@40=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@44=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@48=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@60=_gfx7_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DeferredOperationJoinKHR@104=_gfx7_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DeferredOperationJoinKHR=gfx7_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@4=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@8=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@12=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@16=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@20=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@24=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@28=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@32=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@36=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@40=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@44=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@48=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@60=_gfx75_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DeferredOperationJoinKHR@104=_gfx75_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DeferredOperationJoinKHR=gfx75_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@4=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@8=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@12=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@16=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@20=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@24=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@28=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@32=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@36=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@40=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@44=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@48=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@60=_gfx8_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DeferredOperationJoinKHR@104=_gfx8_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DeferredOperationJoinKHR=gfx8_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@4=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@8=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@12=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@16=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@20=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@24=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@28=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@32=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@36=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@40=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@44=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@48=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@60=_gfx9_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DeferredOperationJoinKHR@104=_gfx9_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DeferredOperationJoinKHR=gfx9_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@4=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@8=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@12=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@16=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@20=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@24=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@28=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@32=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@36=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@40=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@44=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@48=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@60=_gfx11_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DeferredOperationJoinKHR@104=_gfx11_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DeferredOperationJoinKHR=gfx11_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@4=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@8=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@12=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@16=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@20=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@24=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@28=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@32=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@36=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@40=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@44=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@48=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@60=_gfx12_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DeferredOperationJoinKHR@104=_gfx12_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DeferredOperationJoinKHR=gfx12_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@4=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@8=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@12=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@16=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@20=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@24=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@28=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@32=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@36=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@40=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@44=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@48=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@60=_gfx125_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DeferredOperationJoinKHR@104=_gfx125_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DeferredOperationJoinKHR=gfx125_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@4=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@8=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@12=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@16=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@20=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@24=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@28=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@32=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@36=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@40=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@44=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@48=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@60=_anv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetCullModeEXT@104=_anv_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetCullModeEXT=anv_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@4=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@8=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@12=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@16=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@20=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@24=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@28=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@32=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@36=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@40=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@44=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@48=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@60=_gfx7_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetCullModeEXT@104=_gfx7_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetCullModeEXT=gfx7_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@4=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@8=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@12=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@16=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@20=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@24=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@28=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@32=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@36=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@40=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@44=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@48=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@60=_gfx75_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetCullModeEXT@104=_gfx75_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetCullModeEXT=gfx75_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@4=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@8=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@12=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@16=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@20=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@24=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@28=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@32=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@36=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@40=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@44=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@48=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@60=_gfx8_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetCullModeEXT@104=_gfx8_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetCullModeEXT=gfx8_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@4=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@8=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@12=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@16=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@20=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@24=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@28=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@32=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@36=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@40=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@44=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@48=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@60=_gfx9_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetCullModeEXT@104=_gfx9_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetCullModeEXT=gfx9_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@4=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@8=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@12=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@16=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@20=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@24=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@28=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@32=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@36=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@40=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@44=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@48=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@60=_gfx11_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetCullModeEXT@104=_gfx11_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetCullModeEXT=gfx11_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@4=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@8=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@12=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@16=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@20=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@24=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@28=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@32=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@36=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@40=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@44=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@48=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@60=_gfx12_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetCullModeEXT@104=_gfx12_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetCullModeEXT=gfx12_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@4=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@8=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@12=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@16=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@20=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@24=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@28=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@32=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@36=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@40=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@44=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@48=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@60=_gfx125_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetCullModeEXT@104=_gfx125_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetCullModeEXT=gfx125_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@4=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@8=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@12=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@16=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@20=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@24=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@28=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@32=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@36=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@40=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@44=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@48=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@60=_anv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFrontFaceEXT@104=_anv_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetFrontFaceEXT=anv_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@4=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@8=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@12=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@16=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@20=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@24=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@28=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@32=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@36=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@40=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@44=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@48=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@60=_gfx7_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFrontFaceEXT@104=_gfx7_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetFrontFaceEXT=gfx7_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@4=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@8=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@12=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@16=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@20=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@24=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@28=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@32=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@36=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@40=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@44=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@48=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@60=_gfx75_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFrontFaceEXT@104=_gfx75_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetFrontFaceEXT=gfx75_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@4=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@8=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@12=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@16=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@20=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@24=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@28=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@32=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@36=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@40=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@44=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@48=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@60=_gfx8_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFrontFaceEXT@104=_gfx8_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetFrontFaceEXT=gfx8_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@4=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@8=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@12=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@16=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@20=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@24=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@28=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@32=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@36=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@40=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@44=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@48=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@60=_gfx9_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFrontFaceEXT@104=_gfx9_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetFrontFaceEXT=gfx9_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@4=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@8=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@12=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@16=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@20=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@24=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@28=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@32=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@36=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@40=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@44=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@48=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@60=_gfx11_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFrontFaceEXT@104=_gfx11_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetFrontFaceEXT=gfx11_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@4=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@8=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@12=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@16=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@20=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@24=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@28=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@32=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@36=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@40=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@44=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@48=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@60=_gfx12_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFrontFaceEXT@104=_gfx12_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetFrontFaceEXT=gfx12_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@4=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@8=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@12=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@16=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@20=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@24=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@28=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@32=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@36=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@40=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@44=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@48=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@60=_gfx125_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFrontFaceEXT@104=_gfx125_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetFrontFaceEXT=gfx125_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@4=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@8=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@12=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@16=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@20=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@24=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@28=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@32=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@36=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@40=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@44=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@48=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@60=_anv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveTopologyEXT@104=_anv_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetPrimitiveTopologyEXT=anv_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@4=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@8=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@12=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@16=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@20=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@24=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@28=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@32=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@36=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@40=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@44=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@48=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@60=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveTopologyEXT@104=_gfx7_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetPrimitiveTopologyEXT=gfx7_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@4=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@8=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@12=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@16=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@20=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@24=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@28=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@32=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@36=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@40=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@44=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@48=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@60=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveTopologyEXT@104=_gfx75_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetPrimitiveTopologyEXT=gfx75_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@4=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@8=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@12=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@16=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@20=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@24=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@28=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@32=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@36=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@40=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@44=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@48=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@60=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveTopologyEXT@104=_gfx8_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetPrimitiveTopologyEXT=gfx8_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@4=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@8=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@12=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@16=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@20=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@24=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@28=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@32=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@36=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@40=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@44=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@48=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@60=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveTopologyEXT@104=_gfx9_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetPrimitiveTopologyEXT=gfx9_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@4=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@8=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@12=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@16=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@20=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@24=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@28=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@32=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@36=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@40=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@44=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@48=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@60=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveTopologyEXT@104=_gfx11_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetPrimitiveTopologyEXT=gfx11_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@4=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@8=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@12=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@16=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@20=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@24=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@28=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@32=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@36=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@40=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@44=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@48=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@60=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveTopologyEXT@104=_gfx12_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetPrimitiveTopologyEXT=gfx12_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@4=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@8=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@12=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@16=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@20=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@24=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@28=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@32=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@36=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@40=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@44=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@48=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@60=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveTopologyEXT@104=_gfx125_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetPrimitiveTopologyEXT=gfx125_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@4=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@8=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@12=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@16=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@20=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@24=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@28=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@32=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@36=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@40=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@44=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@48=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@60=_anv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetViewportWithCountEXT@104=_anv_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetViewportWithCountEXT=anv_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@4=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@8=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@12=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@16=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@20=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@24=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@28=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@32=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@36=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@40=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@44=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@48=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@60=_gfx7_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetViewportWithCountEXT@104=_gfx7_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetViewportWithCountEXT=gfx7_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@4=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@8=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@12=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@16=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@20=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@24=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@28=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@32=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@36=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@40=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@44=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@48=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@60=_gfx75_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetViewportWithCountEXT@104=_gfx75_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetViewportWithCountEXT=gfx75_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@4=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@8=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@12=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@16=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@20=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@24=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@28=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@32=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@36=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@40=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@44=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@48=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@60=_gfx8_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetViewportWithCountEXT@104=_gfx8_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetViewportWithCountEXT=gfx8_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@4=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@8=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@12=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@16=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@20=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@24=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@28=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@32=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@36=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@40=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@44=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@48=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@60=_gfx9_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetViewportWithCountEXT@104=_gfx9_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetViewportWithCountEXT=gfx9_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@4=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@8=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@12=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@16=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@20=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@24=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@28=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@32=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@36=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@40=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@44=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@48=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@60=_gfx11_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetViewportWithCountEXT@104=_gfx11_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetViewportWithCountEXT=gfx11_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@4=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@8=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@12=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@16=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@20=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@24=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@28=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@32=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@36=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@40=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@44=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@48=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@60=_gfx12_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetViewportWithCountEXT@104=_gfx12_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetViewportWithCountEXT=gfx12_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@4=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@8=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@12=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@16=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@20=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@24=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@28=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@32=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@36=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@40=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@44=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@48=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@60=_gfx125_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetViewportWithCountEXT@104=_gfx125_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetViewportWithCountEXT=gfx125_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@4=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@8=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@12=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@16=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@20=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@24=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@28=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@32=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@36=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@40=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@44=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@48=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@60=_anv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetScissorWithCountEXT@104=_anv_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetScissorWithCountEXT=anv_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@4=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@8=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@12=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@16=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@20=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@24=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@28=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@32=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@36=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@40=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@44=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@48=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@60=_gfx7_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetScissorWithCountEXT@104=_gfx7_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetScissorWithCountEXT=gfx7_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@4=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@8=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@12=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@16=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@20=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@24=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@28=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@32=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@36=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@40=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@44=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@48=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@60=_gfx75_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetScissorWithCountEXT@104=_gfx75_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetScissorWithCountEXT=gfx75_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@4=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@8=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@12=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@16=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@20=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@24=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@28=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@32=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@36=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@40=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@44=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@48=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@60=_gfx8_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetScissorWithCountEXT@104=_gfx8_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetScissorWithCountEXT=gfx8_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@4=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@8=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@12=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@16=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@20=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@24=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@28=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@32=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@36=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@40=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@44=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@48=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@60=_gfx9_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetScissorWithCountEXT@104=_gfx9_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetScissorWithCountEXT=gfx9_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@4=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@8=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@12=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@16=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@20=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@24=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@28=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@32=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@36=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@40=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@44=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@48=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@60=_gfx11_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetScissorWithCountEXT@104=_gfx11_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetScissorWithCountEXT=gfx11_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@4=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@8=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@12=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@16=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@20=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@24=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@28=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@32=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@36=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@40=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@44=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@48=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@60=_gfx12_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetScissorWithCountEXT@104=_gfx12_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetScissorWithCountEXT=gfx12_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@4=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@8=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@12=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@16=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@20=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@24=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@28=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@32=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@36=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@40=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@44=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@48=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@60=_gfx125_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetScissorWithCountEXT@104=_gfx125_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetScissorWithCountEXT=gfx125_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@4=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@8=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@12=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@16=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@20=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@24=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@28=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@32=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@36=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@40=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@44=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@48=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@60=_anv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBindVertexBuffers2EXT@104=_anv_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBindVertexBuffers2EXT=anv_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@4=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@8=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@12=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@16=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@20=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@24=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@28=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@32=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@36=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@40=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@44=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@48=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@60=_gfx7_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBindVertexBuffers2EXT@104=_gfx7_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBindVertexBuffers2EXT=gfx7_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@4=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@8=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@12=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@16=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@20=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@24=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@28=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@32=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@36=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@40=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@44=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@48=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@60=_gfx75_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBindVertexBuffers2EXT@104=_gfx75_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBindVertexBuffers2EXT=gfx75_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@4=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@8=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@12=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@16=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@20=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@24=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@28=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@32=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@36=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@40=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@44=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@48=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@60=_gfx8_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBindVertexBuffers2EXT@104=_gfx8_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBindVertexBuffers2EXT=gfx8_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@4=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@8=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@12=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@16=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@20=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@24=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@28=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@32=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@36=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@40=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@44=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@48=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@60=_gfx9_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBindVertexBuffers2EXT@104=_gfx9_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBindVertexBuffers2EXT=gfx9_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@4=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@8=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@12=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@16=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@20=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@24=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@28=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@32=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@36=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@40=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@44=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@48=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@60=_gfx11_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBindVertexBuffers2EXT@104=_gfx11_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBindVertexBuffers2EXT=gfx11_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@4=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@8=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@12=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@16=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@20=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@24=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@28=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@32=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@36=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@40=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@44=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@48=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@60=_gfx12_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBindVertexBuffers2EXT@104=_gfx12_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBindVertexBuffers2EXT=gfx12_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@4=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@8=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@12=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@16=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@20=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@24=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@28=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@32=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@36=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@40=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@44=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@48=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@60=_gfx125_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBindVertexBuffers2EXT@104=_gfx125_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBindVertexBuffers2EXT=gfx125_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@4=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@8=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@12=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@16=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@20=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@24=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@28=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@32=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@36=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@40=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@44=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@48=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@60=_anv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthTestEnableEXT@104=_anv_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthTestEnableEXT=anv_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@4=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@8=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@12=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@16=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@20=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@24=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@28=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@32=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@36=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@40=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@44=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@48=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@60=_gfx7_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthTestEnableEXT@104=_gfx7_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthTestEnableEXT=gfx7_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@4=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@8=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@12=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@16=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@20=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@24=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@28=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@32=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@36=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@40=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@44=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@48=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@60=_gfx75_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthTestEnableEXT@104=_gfx75_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthTestEnableEXT=gfx75_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@4=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@8=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@12=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@16=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@20=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@24=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@28=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@32=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@36=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@40=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@44=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@48=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@60=_gfx8_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthTestEnableEXT@104=_gfx8_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthTestEnableEXT=gfx8_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@4=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@8=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@12=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@16=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@20=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@24=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@28=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@32=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@36=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@40=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@44=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@48=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@60=_gfx9_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthTestEnableEXT@104=_gfx9_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthTestEnableEXT=gfx9_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@4=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@8=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@12=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@16=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@20=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@24=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@28=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@32=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@36=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@40=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@44=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@48=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@60=_gfx11_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthTestEnableEXT@104=_gfx11_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthTestEnableEXT=gfx11_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@4=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@8=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@12=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@16=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@20=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@24=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@28=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@32=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@36=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@40=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@44=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@48=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@60=_gfx12_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthTestEnableEXT@104=_gfx12_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthTestEnableEXT=gfx12_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@4=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@8=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@12=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@16=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@20=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@24=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@28=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@32=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@36=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@40=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@44=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@48=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@60=_gfx125_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthTestEnableEXT@104=_gfx125_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthTestEnableEXT=gfx125_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@4=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@8=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@12=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@16=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@20=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@24=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@28=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@32=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@36=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@40=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@44=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@48=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@60=_anv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthWriteEnableEXT@104=_anv_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthWriteEnableEXT=anv_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@4=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@8=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@12=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@16=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@20=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@24=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@28=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@32=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@36=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@40=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@44=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@48=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@60=_gfx7_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthWriteEnableEXT@104=_gfx7_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthWriteEnableEXT=gfx7_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@4=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@8=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@12=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@16=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@20=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@24=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@28=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@32=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@36=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@40=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@44=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@48=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@60=_gfx75_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthWriteEnableEXT@104=_gfx75_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthWriteEnableEXT=gfx75_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@4=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@8=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@12=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@16=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@20=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@24=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@28=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@32=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@36=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@40=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@44=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@48=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@60=_gfx8_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthWriteEnableEXT@104=_gfx8_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthWriteEnableEXT=gfx8_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@4=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@8=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@12=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@16=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@20=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@24=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@28=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@32=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@36=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@40=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@44=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@48=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@60=_gfx9_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthWriteEnableEXT@104=_gfx9_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthWriteEnableEXT=gfx9_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@4=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@8=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@12=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@16=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@20=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@24=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@28=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@32=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@36=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@40=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@44=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@48=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@60=_gfx11_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthWriteEnableEXT@104=_gfx11_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthWriteEnableEXT=gfx11_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@4=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@8=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@12=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@16=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@20=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@24=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@28=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@32=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@36=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@40=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@44=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@48=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@60=_gfx12_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthWriteEnableEXT@104=_gfx12_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthWriteEnableEXT=gfx12_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@4=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@8=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@12=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@16=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@20=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@24=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@28=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@32=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@36=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@40=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@44=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@48=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@60=_gfx125_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthWriteEnableEXT@104=_gfx125_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthWriteEnableEXT=gfx125_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@4=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@8=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@12=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@16=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@20=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@24=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@28=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@32=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@36=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@40=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@44=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@48=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@60=_anv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthCompareOpEXT@104=_anv_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthCompareOpEXT=anv_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@4=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@8=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@12=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@16=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@20=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@24=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@28=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@32=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@36=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@40=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@44=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@48=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@60=_gfx7_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthCompareOpEXT@104=_gfx7_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthCompareOpEXT=gfx7_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@4=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@8=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@12=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@16=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@20=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@24=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@28=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@32=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@36=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@40=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@44=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@48=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@60=_gfx75_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthCompareOpEXT@104=_gfx75_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthCompareOpEXT=gfx75_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@4=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@8=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@12=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@16=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@20=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@24=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@28=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@32=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@36=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@40=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@44=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@48=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@60=_gfx8_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthCompareOpEXT@104=_gfx8_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthCompareOpEXT=gfx8_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@4=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@8=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@12=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@16=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@20=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@24=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@28=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@32=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@36=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@40=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@44=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@48=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@60=_gfx9_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthCompareOpEXT@104=_gfx9_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthCompareOpEXT=gfx9_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@4=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@8=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@12=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@16=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@20=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@24=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@28=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@32=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@36=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@40=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@44=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@48=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@60=_gfx11_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthCompareOpEXT@104=_gfx11_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthCompareOpEXT=gfx11_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@4=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@8=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@12=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@16=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@20=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@24=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@28=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@32=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@36=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@40=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@44=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@48=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@60=_gfx12_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthCompareOpEXT@104=_gfx12_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthCompareOpEXT=gfx12_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@4=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@8=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@12=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@16=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@20=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@24=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@28=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@32=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@36=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@40=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@44=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@48=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@60=_gfx125_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthCompareOpEXT@104=_gfx125_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthCompareOpEXT=gfx125_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@4=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@8=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@12=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@16=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@20=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@24=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@28=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@32=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@36=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@40=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@44=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@48=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@60=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBoundsTestEnableEXT@104=_anv_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthBoundsTestEnableEXT=anv_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@4=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@8=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@12=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@16=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@20=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@24=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@28=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@32=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@36=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@40=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@44=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@48=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@60=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBoundsTestEnableEXT@104=_gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthBoundsTestEnableEXT=gfx7_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@4=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@8=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@12=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@16=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@20=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@24=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@28=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@32=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@36=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@40=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@44=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@48=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@60=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBoundsTestEnableEXT@104=_gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthBoundsTestEnableEXT=gfx75_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@4=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@8=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@12=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@16=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@20=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@24=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@28=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@32=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@36=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@40=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@44=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@48=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@60=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBoundsTestEnableEXT@104=_gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthBoundsTestEnableEXT=gfx8_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@4=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@8=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@12=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@16=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@20=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@24=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@28=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@32=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@36=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@40=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@44=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@48=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@60=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBoundsTestEnableEXT@104=_gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthBoundsTestEnableEXT=gfx9_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@4=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@8=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@12=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@16=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@20=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@24=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@28=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@32=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@36=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@40=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@44=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@48=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@60=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBoundsTestEnableEXT@104=_gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthBoundsTestEnableEXT=gfx11_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@4=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@8=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@12=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@16=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@20=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@24=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@28=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@32=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@36=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@40=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@44=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@48=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@60=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBoundsTestEnableEXT@104=_gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthBoundsTestEnableEXT=gfx12_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@4=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@8=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@12=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@16=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@20=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@24=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@28=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@32=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@36=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@40=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@44=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@48=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@60=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBoundsTestEnableEXT@104=_gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthBoundsTestEnableEXT=gfx125_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@4=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@8=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@12=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@16=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@20=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@24=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@28=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@32=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@36=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@40=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@44=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@48=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@60=_anv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilTestEnableEXT@104=_anv_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetStencilTestEnableEXT=anv_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@4=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@8=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@12=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@16=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@20=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@24=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@28=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@32=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@36=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@40=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@44=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@48=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@60=_gfx7_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilTestEnableEXT@104=_gfx7_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetStencilTestEnableEXT=gfx7_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@4=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@8=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@12=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@16=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@20=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@24=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@28=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@32=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@36=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@40=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@44=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@48=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@60=_gfx75_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilTestEnableEXT@104=_gfx75_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetStencilTestEnableEXT=gfx75_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@4=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@8=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@12=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@16=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@20=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@24=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@28=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@32=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@36=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@40=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@44=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@48=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@60=_gfx8_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilTestEnableEXT@104=_gfx8_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetStencilTestEnableEXT=gfx8_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@4=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@8=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@12=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@16=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@20=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@24=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@28=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@32=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@36=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@40=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@44=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@48=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@60=_gfx9_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilTestEnableEXT@104=_gfx9_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetStencilTestEnableEXT=gfx9_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@4=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@8=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@12=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@16=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@20=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@24=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@28=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@32=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@36=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@40=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@44=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@48=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@60=_gfx11_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilTestEnableEXT@104=_gfx11_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetStencilTestEnableEXT=gfx11_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@4=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@8=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@12=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@16=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@20=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@24=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@28=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@32=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@36=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@40=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@44=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@48=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@60=_gfx12_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilTestEnableEXT@104=_gfx12_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetStencilTestEnableEXT=gfx12_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@4=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@8=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@12=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@16=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@20=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@24=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@28=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@32=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@36=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@40=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@44=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@48=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@60=_gfx125_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilTestEnableEXT@104=_gfx125_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetStencilTestEnableEXT=gfx125_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@4=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@8=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@12=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@16=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@20=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@24=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@28=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@32=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@36=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@40=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@44=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@48=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@60=_anv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetStencilOpEXT@104=_anv_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetStencilOpEXT=anv_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@4=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@8=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@12=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@16=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@20=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@24=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@28=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@32=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@36=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@40=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@44=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@48=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@60=_gfx7_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetStencilOpEXT@104=_gfx7_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetStencilOpEXT=gfx7_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@4=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@8=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@12=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@16=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@20=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@24=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@28=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@32=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@36=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@40=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@44=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@48=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@60=_gfx75_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetStencilOpEXT@104=_gfx75_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetStencilOpEXT=gfx75_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@4=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@8=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@12=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@16=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@20=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@24=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@28=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@32=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@36=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@40=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@44=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@48=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@60=_gfx8_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetStencilOpEXT@104=_gfx8_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetStencilOpEXT=gfx8_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@4=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@8=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@12=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@16=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@20=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@24=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@28=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@32=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@36=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@40=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@44=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@48=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@60=_gfx9_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetStencilOpEXT@104=_gfx9_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetStencilOpEXT=gfx9_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@4=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@8=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@12=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@16=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@20=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@24=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@28=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@32=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@36=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@40=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@44=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@48=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@60=_gfx11_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetStencilOpEXT@104=_gfx11_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetStencilOpEXT=gfx11_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@4=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@8=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@12=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@16=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@20=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@24=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@28=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@32=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@36=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@40=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@44=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@48=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@60=_gfx12_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetStencilOpEXT@104=_gfx12_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetStencilOpEXT=gfx12_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@4=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@8=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@12=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@16=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@20=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@24=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@28=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@32=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@36=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@40=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@44=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@48=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@60=_gfx125_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetStencilOpEXT@104=_gfx125_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetStencilOpEXT=gfx125_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@4=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@8=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@12=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@16=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@20=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@24=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@28=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@32=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@36=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@40=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@44=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@48=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@60=_anv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPatchControlPointsEXT@104=_anv_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetPatchControlPointsEXT=anv_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@4=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@8=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@12=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@16=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@20=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@24=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@28=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@32=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@36=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@40=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@44=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@48=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@60=_gfx7_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPatchControlPointsEXT@104=_gfx7_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetPatchControlPointsEXT=gfx7_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@4=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@8=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@12=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@16=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@20=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@24=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@28=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@32=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@36=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@40=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@44=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@48=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@60=_gfx75_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPatchControlPointsEXT@104=_gfx75_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetPatchControlPointsEXT=gfx75_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@4=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@8=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@12=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@16=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@20=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@24=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@28=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@32=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@36=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@40=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@44=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@48=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@60=_gfx8_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPatchControlPointsEXT@104=_gfx8_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetPatchControlPointsEXT=gfx8_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@4=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@8=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@12=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@16=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@20=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@24=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@28=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@32=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@36=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@40=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@44=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@48=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@60=_gfx9_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPatchControlPointsEXT@104=_gfx9_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetPatchControlPointsEXT=gfx9_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@4=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@8=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@12=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@16=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@20=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@24=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@28=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@32=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@36=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@40=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@44=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@48=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@60=_gfx11_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPatchControlPointsEXT@104=_gfx11_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetPatchControlPointsEXT=gfx11_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@4=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@8=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@12=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@16=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@20=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@24=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@28=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@32=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@36=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@40=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@44=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@48=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@60=_gfx12_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPatchControlPointsEXT@104=_gfx12_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetPatchControlPointsEXT=gfx12_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@4=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@8=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@12=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@16=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@20=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@24=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@28=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@32=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@36=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@40=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@44=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@48=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@60=_gfx125_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPatchControlPointsEXT@104=_gfx125_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetPatchControlPointsEXT=gfx125_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@4=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@8=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@12=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@16=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@20=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@24=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@28=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@32=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@36=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@40=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@44=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@48=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@60=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetRasterizerDiscardEnableEXT@104=_anv_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetRasterizerDiscardEnableEXT=anv_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@4=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@8=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@12=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@16=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@20=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@24=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@28=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@32=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@36=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@40=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@44=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@48=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@60=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetRasterizerDiscardEnableEXT@104=_gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetRasterizerDiscardEnableEXT=gfx7_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@4=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@8=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@12=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@16=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@20=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@24=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@28=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@32=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@36=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@40=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@44=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@48=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@60=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetRasterizerDiscardEnableEXT@104=_gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetRasterizerDiscardEnableEXT=gfx75_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@4=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@8=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@12=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@16=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@20=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@24=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@28=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@32=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@36=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@40=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@44=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@48=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@60=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetRasterizerDiscardEnableEXT@104=_gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetRasterizerDiscardEnableEXT=gfx8_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@4=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@8=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@12=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@16=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@20=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@24=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@28=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@32=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@36=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@40=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@44=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@48=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@60=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetRasterizerDiscardEnableEXT@104=_gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetRasterizerDiscardEnableEXT=gfx9_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@4=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@8=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@12=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@16=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@20=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@24=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@28=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@32=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@36=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@40=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@44=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@48=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@60=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetRasterizerDiscardEnableEXT@104=_gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetRasterizerDiscardEnableEXT=gfx11_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@4=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@8=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@12=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@16=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@20=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@24=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@28=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@32=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@36=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@40=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@44=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@48=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@60=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetRasterizerDiscardEnableEXT@104=_gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetRasterizerDiscardEnableEXT=gfx12_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@4=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@8=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@12=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@16=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@20=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@24=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@28=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@32=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@36=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@40=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@44=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@48=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@60=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetRasterizerDiscardEnableEXT@104=_gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetRasterizerDiscardEnableEXT=gfx125_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@4=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@8=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@12=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@16=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@20=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@24=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@28=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@32=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@36=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@40=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@44=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@48=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@60=_anv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetDepthBiasEnableEXT@104=_anv_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetDepthBiasEnableEXT=anv_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@4=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@8=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@12=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@16=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@20=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@24=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@28=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@32=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@36=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@40=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@44=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@48=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@60=_gfx7_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetDepthBiasEnableEXT@104=_gfx7_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetDepthBiasEnableEXT=gfx7_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@4=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@8=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@12=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@16=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@20=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@24=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@28=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@32=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@36=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@40=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@44=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@48=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@60=_gfx75_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetDepthBiasEnableEXT@104=_gfx75_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetDepthBiasEnableEXT=gfx75_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@4=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@8=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@12=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@16=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@20=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@24=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@28=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@32=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@36=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@40=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@44=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@48=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@60=_gfx8_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetDepthBiasEnableEXT@104=_gfx8_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetDepthBiasEnableEXT=gfx8_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@4=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@8=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@12=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@16=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@20=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@24=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@28=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@32=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@36=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@40=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@44=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@48=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@60=_gfx9_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetDepthBiasEnableEXT@104=_gfx9_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetDepthBiasEnableEXT=gfx9_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@4=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@8=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@12=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@16=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@20=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@24=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@28=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@32=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@36=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@40=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@44=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@48=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@60=_gfx11_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetDepthBiasEnableEXT@104=_gfx11_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetDepthBiasEnableEXT=gfx11_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@4=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@8=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@12=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@16=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@20=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@24=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@28=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@32=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@36=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@40=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@44=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@48=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@60=_gfx12_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetDepthBiasEnableEXT@104=_gfx12_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetDepthBiasEnableEXT=gfx12_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@4=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@8=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@12=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@16=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@20=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@24=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@28=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@32=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@36=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@40=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@44=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@48=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@60=_gfx125_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetDepthBiasEnableEXT@104=_gfx125_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetDepthBiasEnableEXT=gfx125_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@4=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@8=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@12=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@16=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@20=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@24=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@28=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@32=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@36=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@40=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@44=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@48=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@60=_anv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetLogicOpEXT@104=_anv_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetLogicOpEXT=anv_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@4=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@8=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@12=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@16=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@20=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@24=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@28=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@32=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@36=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@40=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@44=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@48=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@60=_gfx7_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetLogicOpEXT@104=_gfx7_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetLogicOpEXT=gfx7_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@4=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@8=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@12=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@16=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@20=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@24=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@28=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@32=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@36=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@40=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@44=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@48=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@60=_gfx75_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetLogicOpEXT@104=_gfx75_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetLogicOpEXT=gfx75_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@4=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@8=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@12=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@16=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@20=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@24=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@28=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@32=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@36=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@40=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@44=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@48=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@60=_gfx8_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetLogicOpEXT@104=_gfx8_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetLogicOpEXT=gfx8_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@4=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@8=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@12=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@16=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@20=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@24=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@28=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@32=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@36=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@40=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@44=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@48=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@60=_gfx9_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetLogicOpEXT@104=_gfx9_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetLogicOpEXT=gfx9_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@4=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@8=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@12=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@16=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@20=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@24=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@28=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@32=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@36=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@40=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@44=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@48=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@60=_gfx11_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetLogicOpEXT@104=_gfx11_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetLogicOpEXT=gfx11_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@4=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@8=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@12=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@16=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@20=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@24=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@28=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@32=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@36=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@40=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@44=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@48=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@60=_gfx12_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetLogicOpEXT@104=_gfx12_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetLogicOpEXT=gfx12_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@4=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@8=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@12=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@16=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@20=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@24=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@28=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@32=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@36=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@40=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@44=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@48=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@60=_gfx125_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetLogicOpEXT@104=_gfx125_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetLogicOpEXT=gfx125_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@4=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@8=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@12=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@16=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@20=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@24=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@28=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@32=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@36=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@40=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@44=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@48=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@60=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetPrimitiveRestartEnableEXT@104=_anv_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetPrimitiveRestartEnableEXT=anv_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@4=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@8=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@12=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@16=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@20=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@24=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@28=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@32=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@36=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@40=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@44=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@48=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@60=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetPrimitiveRestartEnableEXT@104=_gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetPrimitiveRestartEnableEXT=gfx7_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@4=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@8=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@12=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@16=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@20=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@24=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@28=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@32=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@36=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@40=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@44=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@48=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@60=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetPrimitiveRestartEnableEXT@104=_gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetPrimitiveRestartEnableEXT=gfx75_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@4=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@8=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@12=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@16=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@20=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@24=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@28=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@32=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@36=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@40=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@44=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@48=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@60=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetPrimitiveRestartEnableEXT@104=_gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetPrimitiveRestartEnableEXT=gfx8_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@4=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@8=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@12=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@16=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@20=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@24=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@28=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@32=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@36=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@40=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@44=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@48=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@60=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetPrimitiveRestartEnableEXT@104=_gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetPrimitiveRestartEnableEXT=gfx9_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@4=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@8=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@12=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@16=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@20=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@24=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@28=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@32=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@36=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@40=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@44=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@48=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@60=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetPrimitiveRestartEnableEXT@104=_gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetPrimitiveRestartEnableEXT=gfx11_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@4=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@8=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@12=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@16=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@20=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@24=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@28=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@32=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@36=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@40=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@44=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@48=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@60=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetPrimitiveRestartEnableEXT@104=_gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetPrimitiveRestartEnableEXT=gfx12_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@4=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@8=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@12=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@16=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@20=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@24=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@28=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@32=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@36=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@40=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@44=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@48=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@60=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetPrimitiveRestartEnableEXT@104=_gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetPrimitiveRestartEnableEXT=gfx125_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@4=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@8=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@12=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@16=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@20=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@24=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@28=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@32=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@36=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@40=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@44=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@48=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@60=_anv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CreatePrivateDataSlotEXT@104=_anv_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreatePrivateDataSlotEXT=anv_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@4=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@8=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@12=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@16=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@20=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@24=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@28=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@32=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@36=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@40=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@44=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@48=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@60=_gfx7_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreatePrivateDataSlotEXT@104=_gfx7_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreatePrivateDataSlotEXT=gfx7_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@4=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@8=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@12=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@16=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@20=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@24=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@28=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@32=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@36=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@40=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@44=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@48=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@60=_gfx75_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreatePrivateDataSlotEXT@104=_gfx75_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreatePrivateDataSlotEXT=gfx75_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@4=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@8=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@12=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@16=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@20=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@24=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@28=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@32=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@36=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@40=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@44=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@48=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@60=_gfx8_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreatePrivateDataSlotEXT@104=_gfx8_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreatePrivateDataSlotEXT=gfx8_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@4=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@8=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@12=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@16=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@20=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@24=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@28=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@32=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@36=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@40=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@44=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@48=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@60=_gfx9_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreatePrivateDataSlotEXT@104=_gfx9_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreatePrivateDataSlotEXT=gfx9_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@4=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@8=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@12=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@16=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@20=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@24=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@28=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@32=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@36=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@40=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@44=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@48=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@60=_gfx11_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreatePrivateDataSlotEXT@104=_gfx11_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreatePrivateDataSlotEXT=gfx11_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@4=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@8=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@12=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@16=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@20=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@24=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@28=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@32=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@36=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@40=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@44=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@48=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@60=_gfx12_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreatePrivateDataSlotEXT@104=_gfx12_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreatePrivateDataSlotEXT=gfx12_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@4=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@8=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@12=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@16=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@20=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@24=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@28=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@32=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@36=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@40=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@44=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@48=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@60=_gfx125_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreatePrivateDataSlotEXT@104=_gfx125_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreatePrivateDataSlotEXT=gfx125_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@4=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@8=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@12=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@16=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@20=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@24=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@28=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@32=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@36=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@40=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@44=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@48=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@60=_anv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyPrivateDataSlotEXT@104=_anv_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyPrivateDataSlotEXT=anv_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@4=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@8=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@12=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@16=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@20=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@24=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@28=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@32=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@36=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@40=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@44=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@48=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@60=_gfx7_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyPrivateDataSlotEXT@104=_gfx7_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyPrivateDataSlotEXT=gfx7_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@4=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@8=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@12=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@16=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@20=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@24=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@28=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@32=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@36=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@40=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@44=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@48=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@60=_gfx75_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyPrivateDataSlotEXT@104=_gfx75_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyPrivateDataSlotEXT=gfx75_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@4=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@8=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@12=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@16=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@20=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@24=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@28=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@32=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@36=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@40=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@44=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@48=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@60=_gfx8_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyPrivateDataSlotEXT@104=_gfx8_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyPrivateDataSlotEXT=gfx8_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@4=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@8=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@12=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@16=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@20=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@24=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@28=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@32=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@36=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@40=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@44=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@48=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@60=_gfx9_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyPrivateDataSlotEXT@104=_gfx9_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyPrivateDataSlotEXT=gfx9_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@4=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@8=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@12=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@16=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@20=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@24=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@28=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@32=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@36=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@40=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@44=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@48=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@60=_gfx11_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyPrivateDataSlotEXT@104=_gfx11_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyPrivateDataSlotEXT=gfx11_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@4=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@8=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@12=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@16=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@20=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@24=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@28=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@32=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@36=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@40=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@44=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@48=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@60=_gfx12_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyPrivateDataSlotEXT@104=_gfx12_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyPrivateDataSlotEXT=gfx12_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@4=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@8=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@12=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@16=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@20=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@24=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@28=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@32=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@36=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@40=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@44=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@48=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@60=_gfx125_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyPrivateDataSlotEXT@104=_gfx125_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyPrivateDataSlotEXT=gfx125_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@4=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@8=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@12=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@16=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@20=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@24=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@28=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@32=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@36=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@40=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@44=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@48=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@60=_anv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_SetPrivateDataEXT@104=_anv_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_SetPrivateDataEXT=anv_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@4=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@8=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@12=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@16=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@20=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@24=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@28=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@32=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@36=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@40=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@44=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@48=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@60=_gfx7_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_SetPrivateDataEXT@104=_gfx7_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_SetPrivateDataEXT=gfx7_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@4=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@8=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@12=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@16=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@20=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@24=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@28=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@32=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@36=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@40=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@44=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@48=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@60=_gfx75_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_SetPrivateDataEXT@104=_gfx75_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_SetPrivateDataEXT=gfx75_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@4=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@8=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@12=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@16=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@20=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@24=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@28=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@32=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@36=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@40=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@44=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@48=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@60=_gfx8_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_SetPrivateDataEXT@104=_gfx8_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_SetPrivateDataEXT=gfx8_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@4=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@8=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@12=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@16=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@20=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@24=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@28=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@32=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@36=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@40=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@44=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@48=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@60=_gfx9_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_SetPrivateDataEXT@104=_gfx9_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_SetPrivateDataEXT=gfx9_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@4=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@8=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@12=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@16=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@20=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@24=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@28=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@32=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@36=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@40=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@44=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@48=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@60=_gfx11_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_SetPrivateDataEXT@104=_gfx11_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_SetPrivateDataEXT=gfx11_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@4=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@8=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@12=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@16=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@20=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@24=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@28=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@32=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@36=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@40=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@44=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@48=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@60=_gfx12_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_SetPrivateDataEXT@104=_gfx12_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_SetPrivateDataEXT=gfx12_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@4=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@8=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@12=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@16=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@20=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@24=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@28=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@32=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@36=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@40=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@44=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@48=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@60=_gfx125_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_SetPrivateDataEXT@104=_gfx125_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_SetPrivateDataEXT=gfx125_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@4=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@8=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@12=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@16=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@20=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@24=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@28=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@32=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@36=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@40=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@44=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@48=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@60=_anv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_GetPrivateDataEXT@104=_anv_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetPrivateDataEXT=anv_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@4=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@8=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@12=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@16=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@20=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@24=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@28=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@32=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@36=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@40=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@44=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@48=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@60=_gfx7_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetPrivateDataEXT@104=_gfx7_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetPrivateDataEXT=gfx7_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@4=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@8=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@12=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@16=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@20=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@24=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@28=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@32=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@36=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@40=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@44=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@48=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@60=_gfx75_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetPrivateDataEXT@104=_gfx75_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetPrivateDataEXT=gfx75_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@4=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@8=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@12=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@16=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@20=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@24=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@28=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@32=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@36=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@40=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@44=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@48=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@60=_gfx8_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetPrivateDataEXT@104=_gfx8_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetPrivateDataEXT=gfx8_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@4=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@8=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@12=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@16=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@20=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@24=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@28=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@32=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@36=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@40=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@44=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@48=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@60=_gfx9_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetPrivateDataEXT@104=_gfx9_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetPrivateDataEXT=gfx9_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@4=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@8=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@12=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@16=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@20=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@24=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@28=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@32=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@36=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@40=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@44=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@48=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@60=_gfx11_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetPrivateDataEXT@104=_gfx11_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetPrivateDataEXT=gfx11_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@4=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@8=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@12=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@16=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@20=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@24=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@28=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@32=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@36=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@40=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@44=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@48=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@60=_gfx12_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetPrivateDataEXT@104=_gfx12_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetPrivateDataEXT=gfx12_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@4=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@8=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@12=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@16=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@20=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@24=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@28=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@32=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@36=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@40=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@44=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@48=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@60=_gfx125_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetPrivateDataEXT@104=_gfx125_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetPrivateDataEXT=gfx125_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@4=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@8=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@12=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@16=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@20=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@24=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@28=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@32=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@36=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@40=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@44=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@48=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@60=_anv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBuffer2KHR@104=_anv_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyBuffer2KHR=anv_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@4=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@8=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@12=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@16=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@20=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@24=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@28=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@32=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@36=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@40=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@44=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@48=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@60=_gfx7_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBuffer2KHR@104=_gfx7_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyBuffer2KHR=gfx7_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@4=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@8=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@12=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@16=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@20=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@24=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@28=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@32=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@36=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@40=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@44=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@48=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@60=_gfx75_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBuffer2KHR@104=_gfx75_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyBuffer2KHR=gfx75_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@4=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@8=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@12=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@16=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@20=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@24=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@28=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@32=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@36=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@40=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@44=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@48=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@60=_gfx8_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBuffer2KHR@104=_gfx8_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyBuffer2KHR=gfx8_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@4=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@8=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@12=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@16=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@20=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@24=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@28=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@32=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@36=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@40=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@44=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@48=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@60=_gfx9_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBuffer2KHR@104=_gfx9_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyBuffer2KHR=gfx9_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@4=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@8=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@12=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@16=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@20=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@24=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@28=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@32=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@36=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@40=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@44=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@48=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@60=_gfx11_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBuffer2KHR@104=_gfx11_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyBuffer2KHR=gfx11_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@4=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@8=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@12=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@16=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@20=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@24=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@28=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@32=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@36=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@40=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@44=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@48=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@60=_gfx12_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBuffer2KHR@104=_gfx12_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyBuffer2KHR=gfx12_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@4=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@8=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@12=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@16=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@20=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@24=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@28=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@32=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@36=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@40=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@44=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@48=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@60=_gfx125_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBuffer2KHR@104=_gfx125_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyBuffer2KHR=gfx125_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@4=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@8=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@12=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@16=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@20=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@24=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@28=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@32=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@36=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@40=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@44=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@48=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@60=_anv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImage2KHR@104=_anv_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyImage2KHR=anv_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@4=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@8=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@12=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@16=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@20=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@24=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@28=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@32=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@36=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@40=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@44=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@48=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@60=_gfx7_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImage2KHR@104=_gfx7_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyImage2KHR=gfx7_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@4=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@8=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@12=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@16=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@20=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@24=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@28=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@32=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@36=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@40=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@44=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@48=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@60=_gfx75_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImage2KHR@104=_gfx75_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyImage2KHR=gfx75_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@4=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@8=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@12=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@16=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@20=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@24=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@28=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@32=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@36=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@40=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@44=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@48=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@60=_gfx8_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImage2KHR@104=_gfx8_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyImage2KHR=gfx8_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@4=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@8=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@12=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@16=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@20=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@24=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@28=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@32=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@36=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@40=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@44=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@48=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@60=_gfx9_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImage2KHR@104=_gfx9_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyImage2KHR=gfx9_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@4=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@8=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@12=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@16=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@20=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@24=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@28=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@32=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@36=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@40=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@44=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@48=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@60=_gfx11_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImage2KHR@104=_gfx11_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyImage2KHR=gfx11_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@4=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@8=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@12=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@16=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@20=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@24=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@28=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@32=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@36=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@40=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@44=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@48=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@60=_gfx12_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImage2KHR@104=_gfx12_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyImage2KHR=gfx12_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@4=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@8=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@12=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@16=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@20=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@24=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@28=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@32=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@36=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@40=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@44=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@48=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@60=_gfx125_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImage2KHR@104=_gfx125_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyImage2KHR=gfx125_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@4=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@8=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@12=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@16=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@20=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@24=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@28=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@32=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@36=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@40=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@44=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@48=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@60=_anv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBlitImage2KHR@104=_anv_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBlitImage2KHR=anv_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@4=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@8=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@12=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@16=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@20=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@24=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@28=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@32=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@36=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@40=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@44=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@48=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@60=_gfx7_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBlitImage2KHR@104=_gfx7_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBlitImage2KHR=gfx7_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@4=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@8=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@12=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@16=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@20=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@24=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@28=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@32=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@36=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@40=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@44=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@48=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@60=_gfx75_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBlitImage2KHR@104=_gfx75_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBlitImage2KHR=gfx75_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@4=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@8=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@12=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@16=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@20=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@24=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@28=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@32=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@36=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@40=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@44=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@48=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@60=_gfx8_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBlitImage2KHR@104=_gfx8_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBlitImage2KHR=gfx8_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@4=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@8=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@12=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@16=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@20=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@24=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@28=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@32=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@36=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@40=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@44=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@48=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@60=_gfx9_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBlitImage2KHR@104=_gfx9_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBlitImage2KHR=gfx9_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@4=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@8=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@12=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@16=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@20=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@24=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@28=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@32=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@36=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@40=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@44=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@48=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@60=_gfx11_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBlitImage2KHR@104=_gfx11_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBlitImage2KHR=gfx11_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@4=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@8=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@12=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@16=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@20=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@24=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@28=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@32=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@36=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@40=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@44=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@48=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@60=_gfx12_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBlitImage2KHR@104=_gfx12_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBlitImage2KHR=gfx12_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@4=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@8=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@12=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@16=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@20=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@24=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@28=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@32=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@36=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@40=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@44=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@48=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@60=_gfx125_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBlitImage2KHR@104=_gfx125_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBlitImage2KHR=gfx125_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@4=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@8=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@12=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@16=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@20=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@24=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@28=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@32=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@36=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@40=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@44=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@48=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@60=_anv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyBufferToImage2KHR@104=_anv_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyBufferToImage2KHR=anv_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@4=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@8=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@12=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@16=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@20=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@24=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@28=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@32=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@36=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@40=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@44=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@48=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@60=_gfx7_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyBufferToImage2KHR@104=_gfx7_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyBufferToImage2KHR=gfx7_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@4=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@8=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@12=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@16=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@20=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@24=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@28=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@32=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@36=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@40=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@44=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@48=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@60=_gfx75_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyBufferToImage2KHR@104=_gfx75_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyBufferToImage2KHR=gfx75_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@4=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@8=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@12=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@16=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@20=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@24=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@28=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@32=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@36=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@40=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@44=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@48=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@60=_gfx8_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyBufferToImage2KHR@104=_gfx8_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyBufferToImage2KHR=gfx8_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@4=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@8=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@12=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@16=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@20=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@24=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@28=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@32=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@36=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@40=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@44=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@48=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@60=_gfx9_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyBufferToImage2KHR@104=_gfx9_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyBufferToImage2KHR=gfx9_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@4=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@8=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@12=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@16=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@20=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@24=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@28=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@32=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@36=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@40=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@44=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@48=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@60=_gfx11_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyBufferToImage2KHR@104=_gfx11_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyBufferToImage2KHR=gfx11_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@4=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@8=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@12=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@16=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@20=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@24=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@28=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@32=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@36=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@40=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@44=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@48=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@60=_gfx12_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyBufferToImage2KHR@104=_gfx12_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyBufferToImage2KHR=gfx12_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@4=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@8=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@12=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@16=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@20=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@24=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@28=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@32=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@36=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@40=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@44=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@48=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@60=_gfx125_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyBufferToImage2KHR@104=_gfx125_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyBufferToImage2KHR=gfx125_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@4=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@8=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@12=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@16=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@20=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@24=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@28=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@32=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@36=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@40=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@44=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@48=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@60=_anv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCopyImageToBuffer2KHR@104=_anv_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCopyImageToBuffer2KHR=anv_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@4=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@8=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@12=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@16=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@20=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@24=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@28=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@32=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@36=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@40=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@44=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@48=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@60=_gfx7_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCopyImageToBuffer2KHR@104=_gfx7_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCopyImageToBuffer2KHR=gfx7_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@4=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@8=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@12=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@16=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@20=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@24=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@28=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@32=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@36=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@40=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@44=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@48=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@60=_gfx75_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCopyImageToBuffer2KHR@104=_gfx75_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCopyImageToBuffer2KHR=gfx75_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@4=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@8=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@12=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@16=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@20=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@24=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@28=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@32=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@36=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@40=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@44=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@48=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@60=_gfx8_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCopyImageToBuffer2KHR@104=_gfx8_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCopyImageToBuffer2KHR=gfx8_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@4=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@8=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@12=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@16=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@20=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@24=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@28=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@32=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@36=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@40=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@44=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@48=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@60=_gfx9_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCopyImageToBuffer2KHR@104=_gfx9_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCopyImageToBuffer2KHR=gfx9_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@4=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@8=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@12=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@16=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@20=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@24=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@28=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@32=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@36=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@40=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@44=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@48=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@60=_gfx11_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCopyImageToBuffer2KHR@104=_gfx11_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCopyImageToBuffer2KHR=gfx11_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@4=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@8=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@12=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@16=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@20=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@24=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@28=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@32=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@36=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@40=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@44=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@48=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@60=_gfx12_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCopyImageToBuffer2KHR@104=_gfx12_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCopyImageToBuffer2KHR=gfx12_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@4=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@8=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@12=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@16=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@20=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@24=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@28=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@32=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@36=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@40=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@44=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@48=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@60=_gfx125_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCopyImageToBuffer2KHR@104=_gfx125_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCopyImageToBuffer2KHR=gfx125_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@4=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@8=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@12=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@16=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@20=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@24=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@28=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@32=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@36=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@40=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@44=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@48=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@60=_anv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResolveImage2KHR@104=_anv_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdResolveImage2KHR=anv_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@4=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@8=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@12=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@16=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@20=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@24=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@28=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@32=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@36=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@40=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@44=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@48=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@60=_gfx7_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResolveImage2KHR@104=_gfx7_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdResolveImage2KHR=gfx7_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@4=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@8=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@12=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@16=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@20=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@24=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@28=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@32=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@36=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@40=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@44=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@48=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@60=_gfx75_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResolveImage2KHR@104=_gfx75_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdResolveImage2KHR=gfx75_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@4=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@8=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@12=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@16=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@20=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@24=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@28=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@32=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@36=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@40=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@44=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@48=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@60=_gfx8_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResolveImage2KHR@104=_gfx8_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdResolveImage2KHR=gfx8_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@4=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@8=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@12=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@16=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@20=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@24=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@28=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@32=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@36=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@40=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@44=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@48=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@60=_gfx9_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResolveImage2KHR@104=_gfx9_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdResolveImage2KHR=gfx9_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@4=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@8=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@12=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@16=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@20=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@24=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@28=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@32=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@36=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@40=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@44=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@48=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@60=_gfx11_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResolveImage2KHR@104=_gfx11_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdResolveImage2KHR=gfx11_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@4=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@8=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@12=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@16=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@20=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@24=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@28=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@32=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@36=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@40=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@44=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@48=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@60=_gfx12_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResolveImage2KHR@104=_gfx12_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdResolveImage2KHR=gfx12_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@4=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@8=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@12=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@16=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@20=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@24=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@28=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@32=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@36=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@40=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@44=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@48=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@60=_gfx125_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResolveImage2KHR@104=_gfx125_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdResolveImage2KHR=gfx125_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@4=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@8=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@12=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@16=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@20=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@24=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@28=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@32=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@36=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@40=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@44=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@48=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@60=_anv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateKHR@104=_anv_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetFragmentShadingRateKHR=anv_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@4=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@8=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@12=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@16=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@20=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@24=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@28=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@32=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@36=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@40=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@44=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@48=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@60=_gfx7_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateKHR@104=_gfx7_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetFragmentShadingRateKHR=gfx7_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@4=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@8=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@12=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@16=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@20=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@24=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@28=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@32=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@36=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@40=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@44=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@48=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@60=_gfx75_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateKHR@104=_gfx75_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetFragmentShadingRateKHR=gfx75_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@4=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@8=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@12=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@16=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@20=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@24=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@28=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@32=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@36=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@40=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@44=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@48=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@60=_gfx8_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateKHR@104=_gfx8_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetFragmentShadingRateKHR=gfx8_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@4=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@8=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@12=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@16=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@20=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@24=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@28=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@32=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@36=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@40=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@44=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@48=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@60=_gfx9_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateKHR@104=_gfx9_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetFragmentShadingRateKHR=gfx9_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@4=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@8=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@12=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@16=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@20=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@24=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@28=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@32=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@36=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@40=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@44=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@48=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@60=_gfx11_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateKHR@104=_gfx11_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetFragmentShadingRateKHR=gfx11_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@4=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@8=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@12=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@16=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@20=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@24=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@28=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@32=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@36=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@40=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@44=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@48=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@60=_gfx12_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateKHR@104=_gfx12_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetFragmentShadingRateKHR=gfx12_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@4=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@8=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@12=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@16=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@20=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@24=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@28=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@32=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@36=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@40=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@44=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@48=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@60=_gfx125_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateKHR@104=_gfx125_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetFragmentShadingRateKHR=gfx125_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@4=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@8=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@12=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@16=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@20=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@24=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@28=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@32=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@36=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@40=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@44=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@48=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@60=_anv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetFragmentShadingRateEnumNV@104=_anv_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetFragmentShadingRateEnumNV=anv_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@4=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@8=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@12=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@16=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@20=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@24=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@28=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@32=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@36=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@40=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@44=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@48=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@60=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetFragmentShadingRateEnumNV@104=_gfx7_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetFragmentShadingRateEnumNV=gfx7_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@4=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@8=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@12=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@16=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@20=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@24=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@28=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@32=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@36=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@40=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@44=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@48=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@60=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetFragmentShadingRateEnumNV@104=_gfx75_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetFragmentShadingRateEnumNV=gfx75_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@4=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@8=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@12=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@16=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@20=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@24=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@28=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@32=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@36=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@40=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@44=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@48=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@60=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetFragmentShadingRateEnumNV@104=_gfx8_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetFragmentShadingRateEnumNV=gfx8_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@4=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@8=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@12=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@16=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@20=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@24=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@28=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@32=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@36=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@40=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@44=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@48=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@60=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetFragmentShadingRateEnumNV@104=_gfx9_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetFragmentShadingRateEnumNV=gfx9_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@4=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@8=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@12=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@16=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@20=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@24=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@28=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@32=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@36=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@40=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@44=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@48=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@60=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetFragmentShadingRateEnumNV@104=_gfx11_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetFragmentShadingRateEnumNV=gfx11_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@4=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@8=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@12=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@16=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@20=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@24=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@28=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@32=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@36=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@40=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@44=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@48=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@60=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetFragmentShadingRateEnumNV@104=_gfx12_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetFragmentShadingRateEnumNV=gfx12_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@4=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@8=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@12=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@16=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@20=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@24=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@28=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@32=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@36=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@40=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@44=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@48=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@60=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetFragmentShadingRateEnumNV@104=_gfx125_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetFragmentShadingRateEnumNV=gfx125_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@4=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@8=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@12=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@16=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@20=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@24=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@28=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@32=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@36=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@40=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@44=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@48=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@60=_anv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetAccelerationStructureBuildSizesKHR@104=_anv_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetAccelerationStructureBuildSizesKHR=anv_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@4=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@8=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@12=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@16=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@20=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@24=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@28=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@32=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@36=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@40=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@44=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@48=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@60=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetAccelerationStructureBuildSizesKHR@104=_gfx7_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetAccelerationStructureBuildSizesKHR=gfx7_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@4=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@8=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@12=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@16=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@20=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@24=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@28=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@32=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@36=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@40=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@44=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@48=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@60=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetAccelerationStructureBuildSizesKHR@104=_gfx75_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetAccelerationStructureBuildSizesKHR=gfx75_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@4=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@8=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@12=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@16=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@20=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@24=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@28=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@32=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@36=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@40=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@44=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@48=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@60=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetAccelerationStructureBuildSizesKHR@104=_gfx8_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetAccelerationStructureBuildSizesKHR=gfx8_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@4=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@8=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@12=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@16=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@20=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@24=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@28=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@32=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@36=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@40=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@44=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@48=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@60=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetAccelerationStructureBuildSizesKHR@104=_gfx9_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetAccelerationStructureBuildSizesKHR=gfx9_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@4=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@8=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@12=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@16=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@20=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@24=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@28=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@32=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@36=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@40=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@44=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@48=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@60=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetAccelerationStructureBuildSizesKHR@104=_gfx11_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetAccelerationStructureBuildSizesKHR=gfx11_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@4=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@8=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@12=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@16=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@20=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@24=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@28=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@32=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@36=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@40=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@44=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@48=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@60=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetAccelerationStructureBuildSizesKHR@104=_gfx12_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetAccelerationStructureBuildSizesKHR=gfx12_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@4=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@8=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@12=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@16=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@20=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@24=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@28=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@32=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@36=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@40=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@44=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@48=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@60=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetAccelerationStructureBuildSizesKHR@104=_gfx125_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetAccelerationStructureBuildSizesKHR=gfx125_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@4=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@8=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@12=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@16=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@20=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@24=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@28=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@32=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@36=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@40=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@44=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@48=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@60=_anv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetVertexInputEXT@104=_anv_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetVertexInputEXT=anv_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@4=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@8=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@12=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@16=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@20=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@24=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@28=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@32=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@36=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@40=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@44=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@48=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@60=_gfx7_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetVertexInputEXT@104=_gfx7_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetVertexInputEXT=gfx7_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@4=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@8=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@12=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@16=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@20=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@24=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@28=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@32=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@36=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@40=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@44=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@48=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@60=_gfx75_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetVertexInputEXT@104=_gfx75_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetVertexInputEXT=gfx75_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@4=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@8=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@12=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@16=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@20=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@24=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@28=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@32=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@36=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@40=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@44=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@48=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@60=_gfx8_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetVertexInputEXT@104=_gfx8_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetVertexInputEXT=gfx8_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@4=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@8=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@12=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@16=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@20=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@24=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@28=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@32=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@36=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@40=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@44=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@48=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@60=_gfx9_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetVertexInputEXT@104=_gfx9_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetVertexInputEXT=gfx9_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@4=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@8=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@12=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@16=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@20=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@24=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@28=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@32=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@36=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@40=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@44=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@48=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@60=_gfx11_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetVertexInputEXT@104=_gfx11_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetVertexInputEXT=gfx11_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@4=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@8=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@12=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@16=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@20=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@24=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@28=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@32=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@36=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@40=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@44=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@48=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@60=_gfx12_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetVertexInputEXT@104=_gfx12_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetVertexInputEXT=gfx12_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@4=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@8=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@12=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@16=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@20=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@24=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@28=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@32=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@36=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@40=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@44=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@48=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@60=_gfx125_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetVertexInputEXT@104=_gfx125_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetVertexInputEXT=gfx125_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@4=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@8=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@12=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@16=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@20=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@24=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@28=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@32=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@36=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@40=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@44=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@48=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@60=_anv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetColorWriteEnableEXT@104=_anv_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetColorWriteEnableEXT=anv_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@4=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@8=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@12=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@16=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@20=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@24=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@28=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@32=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@36=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@40=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@44=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@48=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@60=_gfx7_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetColorWriteEnableEXT@104=_gfx7_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetColorWriteEnableEXT=gfx7_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@4=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@8=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@12=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@16=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@20=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@24=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@28=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@32=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@36=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@40=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@44=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@48=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@60=_gfx75_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetColorWriteEnableEXT@104=_gfx75_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetColorWriteEnableEXT=gfx75_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@4=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@8=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@12=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@16=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@20=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@24=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@28=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@32=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@36=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@40=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@44=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@48=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@60=_gfx8_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetColorWriteEnableEXT@104=_gfx8_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetColorWriteEnableEXT=gfx8_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@4=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@8=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@12=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@16=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@20=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@24=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@28=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@32=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@36=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@40=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@44=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@48=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@60=_gfx9_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetColorWriteEnableEXT@104=_gfx9_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetColorWriteEnableEXT=gfx9_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@4=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@8=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@12=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@16=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@20=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@24=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@28=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@32=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@36=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@40=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@44=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@48=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@60=_gfx11_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetColorWriteEnableEXT@104=_gfx11_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetColorWriteEnableEXT=gfx11_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@4=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@8=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@12=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@16=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@20=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@24=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@28=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@32=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@36=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@40=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@44=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@48=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@60=_gfx12_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetColorWriteEnableEXT@104=_gfx12_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetColorWriteEnableEXT=gfx12_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@4=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@8=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@12=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@16=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@20=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@24=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@28=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@32=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@36=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@40=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@44=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@48=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@60=_gfx125_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetColorWriteEnableEXT@104=_gfx125_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetColorWriteEnableEXT=gfx125_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@4=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@8=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@12=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@16=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@20=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@24=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@28=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@32=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@36=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@40=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@44=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@48=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@60=_anv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdSetEvent2KHR@104=_anv_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdSetEvent2KHR=anv_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@4=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@8=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@12=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@16=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@20=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@24=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@28=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@32=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@36=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@40=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@44=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@48=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@60=_gfx7_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdSetEvent2KHR@104=_gfx7_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdSetEvent2KHR=gfx7_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@4=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@8=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@12=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@16=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@20=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@24=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@28=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@32=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@36=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@40=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@44=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@48=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@60=_gfx75_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdSetEvent2KHR@104=_gfx75_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdSetEvent2KHR=gfx75_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@4=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@8=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@12=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@16=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@20=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@24=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@28=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@32=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@36=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@40=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@44=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@48=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@60=_gfx8_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdSetEvent2KHR@104=_gfx8_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdSetEvent2KHR=gfx8_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@4=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@8=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@12=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@16=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@20=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@24=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@28=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@32=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@36=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@40=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@44=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@48=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@60=_gfx9_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdSetEvent2KHR@104=_gfx9_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdSetEvent2KHR=gfx9_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@4=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@8=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@12=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@16=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@20=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@24=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@28=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@32=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@36=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@40=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@44=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@48=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@60=_gfx11_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdSetEvent2KHR@104=_gfx11_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdSetEvent2KHR=gfx11_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@4=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@8=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@12=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@16=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@20=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@24=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@28=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@32=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@36=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@40=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@44=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@48=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@60=_gfx12_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdSetEvent2KHR@104=_gfx12_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdSetEvent2KHR=gfx12_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@4=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@8=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@12=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@16=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@20=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@24=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@28=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@32=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@36=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@40=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@44=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@48=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@60=_gfx125_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdSetEvent2KHR@104=_gfx125_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdSetEvent2KHR=gfx125_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@4=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@8=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@12=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@16=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@20=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@24=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@28=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@32=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@36=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@40=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@44=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@48=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@60=_anv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdResetEvent2KHR@104=_anv_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdResetEvent2KHR=anv_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@4=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@8=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@12=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@16=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@20=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@24=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@28=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@32=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@36=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@40=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@44=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@48=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@60=_gfx7_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdResetEvent2KHR@104=_gfx7_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdResetEvent2KHR=gfx7_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@4=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@8=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@12=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@16=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@20=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@24=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@28=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@32=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@36=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@40=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@44=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@48=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@60=_gfx75_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdResetEvent2KHR@104=_gfx75_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdResetEvent2KHR=gfx75_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@4=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@8=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@12=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@16=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@20=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@24=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@28=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@32=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@36=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@40=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@44=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@48=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@60=_gfx8_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdResetEvent2KHR@104=_gfx8_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdResetEvent2KHR=gfx8_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@4=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@8=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@12=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@16=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@20=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@24=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@28=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@32=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@36=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@40=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@44=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@48=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@60=_gfx9_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdResetEvent2KHR@104=_gfx9_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdResetEvent2KHR=gfx9_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@4=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@8=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@12=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@16=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@20=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@24=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@28=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@32=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@36=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@40=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@44=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@48=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@60=_gfx11_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdResetEvent2KHR@104=_gfx11_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdResetEvent2KHR=gfx11_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@4=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@8=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@12=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@16=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@20=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@24=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@28=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@32=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@36=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@40=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@44=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@48=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@60=_gfx12_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdResetEvent2KHR@104=_gfx12_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdResetEvent2KHR=gfx12_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@4=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@8=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@12=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@16=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@20=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@24=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@28=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@32=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@36=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@40=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@44=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@48=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@60=_gfx125_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdResetEvent2KHR@104=_gfx125_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdResetEvent2KHR=gfx125_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@4=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@8=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@12=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@16=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@20=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@24=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@28=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@32=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@36=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@40=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@44=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@48=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@60=_anv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWaitEvents2KHR@104=_anv_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWaitEvents2KHR=anv_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@4=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@8=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@12=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@16=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@20=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@24=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@28=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@32=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@36=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@40=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@44=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@48=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@60=_gfx7_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWaitEvents2KHR@104=_gfx7_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWaitEvents2KHR=gfx7_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@4=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@8=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@12=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@16=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@20=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@24=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@28=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@32=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@36=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@40=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@44=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@48=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@60=_gfx75_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWaitEvents2KHR@104=_gfx75_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWaitEvents2KHR=gfx75_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@4=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@8=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@12=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@16=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@20=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@24=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@28=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@32=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@36=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@40=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@44=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@48=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@60=_gfx8_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWaitEvents2KHR@104=_gfx8_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWaitEvents2KHR=gfx8_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@4=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@8=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@12=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@16=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@20=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@24=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@28=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@32=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@36=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@40=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@44=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@48=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@60=_gfx9_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWaitEvents2KHR@104=_gfx9_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWaitEvents2KHR=gfx9_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@4=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@8=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@12=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@16=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@20=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@24=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@28=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@32=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@36=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@40=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@44=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@48=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@60=_gfx11_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWaitEvents2KHR@104=_gfx11_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWaitEvents2KHR=gfx11_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@4=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@8=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@12=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@16=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@20=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@24=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@28=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@32=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@36=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@40=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@44=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@48=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@60=_gfx12_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWaitEvents2KHR@104=_gfx12_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWaitEvents2KHR=gfx12_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@4=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@8=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@12=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@16=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@20=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@24=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@28=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@32=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@36=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@40=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@44=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@48=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@60=_gfx125_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWaitEvents2KHR@104=_gfx125_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWaitEvents2KHR=gfx125_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@4=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@8=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@12=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@16=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@20=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@24=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@28=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@32=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@36=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@40=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@44=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@48=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@60=_anv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdPipelineBarrier2KHR@104=_anv_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdPipelineBarrier2KHR=anv_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@4=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@8=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@12=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@16=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@20=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@24=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@28=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@32=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@36=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@40=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@44=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@48=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@60=_gfx7_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdPipelineBarrier2KHR@104=_gfx7_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdPipelineBarrier2KHR=gfx7_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@4=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@8=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@12=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@16=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@20=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@24=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@28=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@32=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@36=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@40=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@44=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@48=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@60=_gfx75_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdPipelineBarrier2KHR@104=_gfx75_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdPipelineBarrier2KHR=gfx75_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@4=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@8=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@12=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@16=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@20=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@24=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@28=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@32=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@36=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@40=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@44=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@48=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@60=_gfx8_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdPipelineBarrier2KHR@104=_gfx8_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdPipelineBarrier2KHR=gfx8_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@4=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@8=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@12=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@16=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@20=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@24=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@28=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@32=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@36=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@40=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@44=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@48=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@60=_gfx9_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdPipelineBarrier2KHR@104=_gfx9_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdPipelineBarrier2KHR=gfx9_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@4=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@8=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@12=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@16=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@20=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@24=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@28=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@32=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@36=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@40=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@44=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@48=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@60=_gfx11_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdPipelineBarrier2KHR@104=_gfx11_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdPipelineBarrier2KHR=gfx11_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@4=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@8=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@12=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@16=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@20=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@24=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@28=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@32=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@36=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@40=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@44=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@48=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@60=_gfx12_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdPipelineBarrier2KHR@104=_gfx12_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdPipelineBarrier2KHR=gfx12_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@4=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@8=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@12=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@16=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@20=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@24=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@28=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@32=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@36=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@40=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@44=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@48=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@60=_gfx125_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdPipelineBarrier2KHR@104=_gfx125_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdPipelineBarrier2KHR=gfx125_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@4=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@8=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@12=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@16=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@20=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@24=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@28=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@32=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@36=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@40=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@44=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@48=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@60=_anv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_QueueSubmit2KHR@104=_anv_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_QueueSubmit2KHR=anv_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@4=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@8=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@12=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@16=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@20=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@24=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@28=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@32=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@36=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@40=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@44=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@48=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@60=_gfx7_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_QueueSubmit2KHR@104=_gfx7_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_QueueSubmit2KHR=gfx7_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@4=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@8=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@12=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@16=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@20=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@24=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@28=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@32=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@36=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@40=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@44=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@48=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@60=_gfx75_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_QueueSubmit2KHR@104=_gfx75_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_QueueSubmit2KHR=gfx75_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@4=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@8=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@12=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@16=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@20=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@24=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@28=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@32=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@36=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@40=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@44=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@48=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@60=_gfx8_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_QueueSubmit2KHR@104=_gfx8_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_QueueSubmit2KHR=gfx8_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@4=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@8=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@12=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@16=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@20=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@24=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@28=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@32=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@36=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@40=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@44=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@48=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@60=_gfx9_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_QueueSubmit2KHR@104=_gfx9_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_QueueSubmit2KHR=gfx9_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@4=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@8=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@12=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@16=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@20=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@24=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@28=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@32=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@36=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@40=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@44=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@48=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@60=_gfx11_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_QueueSubmit2KHR@104=_gfx11_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_QueueSubmit2KHR=gfx11_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@4=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@8=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@12=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@16=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@20=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@24=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@28=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@32=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@36=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@40=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@44=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@48=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@60=_gfx12_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_QueueSubmit2KHR@104=_gfx12_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_QueueSubmit2KHR=gfx12_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@4=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@8=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@12=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@16=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@20=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@24=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@28=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@32=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@36=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@40=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@44=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@48=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@60=_gfx125_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_QueueSubmit2KHR@104=_gfx125_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_QueueSubmit2KHR=gfx125_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@4=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@8=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@12=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@16=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@20=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@24=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@28=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@32=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@36=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@40=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@44=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@48=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@60=_anv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteTimestamp2KHR@104=_anv_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWriteTimestamp2KHR=anv_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@4=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@8=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@12=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@16=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@20=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@24=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@28=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@32=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@36=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@40=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@44=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@48=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@60=_gfx7_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteTimestamp2KHR@104=_gfx7_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWriteTimestamp2KHR=gfx7_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@4=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@8=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@12=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@16=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@20=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@24=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@28=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@32=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@36=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@40=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@44=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@48=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@60=_gfx75_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteTimestamp2KHR@104=_gfx75_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWriteTimestamp2KHR=gfx75_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@4=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@8=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@12=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@16=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@20=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@24=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@28=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@32=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@36=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@40=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@44=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@48=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@60=_gfx8_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteTimestamp2KHR@104=_gfx8_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWriteTimestamp2KHR=gfx8_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@4=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@8=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@12=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@16=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@20=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@24=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@28=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@32=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@36=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@40=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@44=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@48=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@60=_gfx9_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteTimestamp2KHR@104=_gfx9_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWriteTimestamp2KHR=gfx9_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@4=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@8=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@12=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@16=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@20=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@24=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@28=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@32=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@36=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@40=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@44=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@48=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@60=_gfx11_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteTimestamp2KHR@104=_gfx11_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWriteTimestamp2KHR=gfx11_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@4=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@8=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@12=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@16=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@20=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@24=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@28=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@32=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@36=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@40=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@44=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@48=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@60=_gfx12_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteTimestamp2KHR@104=_gfx12_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWriteTimestamp2KHR=gfx12_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@4=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@8=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@12=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@16=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@20=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@24=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@28=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@32=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@36=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@40=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@44=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@48=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@60=_gfx125_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteTimestamp2KHR@104=_gfx125_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWriteTimestamp2KHR=gfx125_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@4=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@8=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@12=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@16=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@20=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@24=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@28=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@32=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@36=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@40=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@44=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@48=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@60=_anv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdWriteBufferMarker2AMD@104=_anv_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdWriteBufferMarker2AMD=anv_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@4=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@8=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@12=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@16=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@20=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@24=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@28=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@32=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@36=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@40=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@44=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@48=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@60=_gfx7_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdWriteBufferMarker2AMD@104=_gfx7_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdWriteBufferMarker2AMD=gfx7_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@4=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@8=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@12=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@16=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@20=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@24=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@28=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@32=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@36=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@40=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@44=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@48=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@60=_gfx75_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdWriteBufferMarker2AMD@104=_gfx75_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdWriteBufferMarker2AMD=gfx75_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@4=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@8=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@12=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@16=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@20=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@24=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@28=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@32=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@36=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@40=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@44=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@48=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@60=_gfx8_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdWriteBufferMarker2AMD@104=_gfx8_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdWriteBufferMarker2AMD=gfx8_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@4=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@8=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@12=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@16=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@20=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@24=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@28=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@32=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@36=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@40=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@44=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@48=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@60=_gfx9_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdWriteBufferMarker2AMD@104=_gfx9_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdWriteBufferMarker2AMD=gfx9_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@4=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@8=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@12=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@16=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@20=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@24=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@28=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@32=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@36=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@40=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@44=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@48=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@60=_gfx11_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdWriteBufferMarker2AMD@104=_gfx11_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdWriteBufferMarker2AMD=gfx11_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@4=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@8=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@12=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@16=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@20=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@24=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@28=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@32=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@36=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@40=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@44=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@48=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@60=_gfx12_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdWriteBufferMarker2AMD@104=_gfx12_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdWriteBufferMarker2AMD=gfx12_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@4=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@8=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@12=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@16=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@20=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@24=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@28=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@32=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@36=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@40=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@44=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@48=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@60=_gfx125_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdWriteBufferMarker2AMD@104=_gfx125_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdWriteBufferMarker2AMD=gfx125_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@4=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@8=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@12=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@16=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@20=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@24=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@28=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@32=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@36=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@40=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@44=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@48=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@60=_anv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_anv_GetQueueCheckpointData2NV@104=_anv_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetQueueCheckpointData2NV=anv_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@4=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@8=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@12=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@16=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@20=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@24=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@28=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@32=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@36=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@40=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@44=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@48=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@60=_gfx7_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetQueueCheckpointData2NV@104=_gfx7_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetQueueCheckpointData2NV=gfx7_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@4=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@8=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@12=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@16=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@20=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@24=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@28=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@32=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@36=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@40=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@44=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@48=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@60=_gfx75_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetQueueCheckpointData2NV@104=_gfx75_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetQueueCheckpointData2NV=gfx75_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@4=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@8=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@12=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@16=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@20=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@24=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@28=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@32=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@36=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@40=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@44=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@48=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@60=_gfx8_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetQueueCheckpointData2NV@104=_gfx8_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetQueueCheckpointData2NV=gfx8_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@4=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@8=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@12=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@16=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@20=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@24=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@28=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@32=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@36=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@40=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@44=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@48=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@60=_gfx9_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetQueueCheckpointData2NV@104=_gfx9_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetQueueCheckpointData2NV=gfx9_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@4=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@8=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@12=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@16=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@20=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@24=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@28=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@32=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@36=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@40=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@44=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@48=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@60=_gfx11_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetQueueCheckpointData2NV@104=_gfx11_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetQueueCheckpointData2NV=gfx11_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@4=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@8=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@12=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@16=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@20=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@24=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@28=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@32=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@36=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@40=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@44=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@48=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@60=_gfx12_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetQueueCheckpointData2NV@104=_gfx12_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetQueueCheckpointData2NV=gfx12_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@4=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@8=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@12=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@16=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@20=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@24=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@28=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@32=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@36=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@40=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@44=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@48=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@60=_gfx125_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetQueueCheckpointData2NV@104=_gfx125_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetQueueCheckpointData2NV=gfx125_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@4=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@8=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@12=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@16=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@20=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@24=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@28=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@32=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@36=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@40=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@44=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@48=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@60=_anv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionKHR@104=_anv_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateVideoSessionKHR=anv_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@4=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@8=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@12=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@16=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@20=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@24=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@28=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@32=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@36=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@40=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@44=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@48=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@60=_gfx7_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionKHR@104=_gfx7_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateVideoSessionKHR=gfx7_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@4=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@8=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@12=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@16=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@20=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@24=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@28=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@32=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@36=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@40=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@44=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@48=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@60=_gfx75_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionKHR@104=_gfx75_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateVideoSessionKHR=gfx75_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@4=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@8=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@12=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@16=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@20=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@24=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@28=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@32=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@36=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@40=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@44=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@48=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@60=_gfx8_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionKHR@104=_gfx8_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateVideoSessionKHR=gfx8_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@4=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@8=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@12=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@16=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@20=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@24=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@28=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@32=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@36=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@40=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@44=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@48=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@60=_gfx9_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionKHR@104=_gfx9_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateVideoSessionKHR=gfx9_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@4=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@8=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@12=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@16=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@20=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@24=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@28=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@32=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@36=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@40=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@44=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@48=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@60=_gfx11_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionKHR@104=_gfx11_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateVideoSessionKHR=gfx11_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@4=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@8=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@12=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@16=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@20=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@24=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@28=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@32=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@36=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@40=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@44=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@48=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@60=_gfx12_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionKHR@104=_gfx12_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateVideoSessionKHR=gfx12_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@4=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@8=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@12=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@16=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@20=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@24=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@28=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@32=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@36=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@40=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@44=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@48=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@60=_gfx125_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionKHR@104=_gfx125_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateVideoSessionKHR=gfx125_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@4=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@8=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@12=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@16=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@20=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@24=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@28=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@32=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@36=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@40=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@44=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@48=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@60=_anv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionKHR@104=_anv_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyVideoSessionKHR=anv_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@4=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@8=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@12=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@16=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@20=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@24=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@28=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@32=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@36=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@40=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@44=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@48=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@60=_gfx7_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionKHR@104=_gfx7_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyVideoSessionKHR=gfx7_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@4=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@8=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@12=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@16=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@20=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@24=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@28=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@32=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@36=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@40=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@44=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@48=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@60=_gfx75_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionKHR@104=_gfx75_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyVideoSessionKHR=gfx75_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@4=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@8=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@12=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@16=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@20=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@24=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@28=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@32=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@36=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@40=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@44=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@48=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@60=_gfx8_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionKHR@104=_gfx8_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyVideoSessionKHR=gfx8_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@4=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@8=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@12=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@16=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@20=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@24=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@28=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@32=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@36=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@40=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@44=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@48=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@60=_gfx9_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionKHR@104=_gfx9_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyVideoSessionKHR=gfx9_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@4=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@8=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@12=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@16=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@20=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@24=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@28=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@32=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@36=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@40=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@44=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@48=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@60=_gfx11_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionKHR@104=_gfx11_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyVideoSessionKHR=gfx11_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@4=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@8=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@12=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@16=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@20=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@24=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@28=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@32=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@36=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@40=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@44=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@48=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@60=_gfx12_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionKHR@104=_gfx12_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyVideoSessionKHR=gfx12_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@4=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@8=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@12=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@16=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@20=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@24=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@28=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@32=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@36=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@40=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@44=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@48=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@60=_gfx125_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionKHR@104=_gfx125_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyVideoSessionKHR=gfx125_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@4=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@8=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@12=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@16=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@20=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@24=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@28=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@32=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@36=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@40=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@44=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@48=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@60=_anv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateVideoSessionParametersKHR@104=_anv_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateVideoSessionParametersKHR=anv_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@4=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@8=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@12=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@16=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@20=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@24=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@28=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@32=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@36=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@40=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@44=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@48=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@60=_gfx7_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateVideoSessionParametersKHR@104=_gfx7_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateVideoSessionParametersKHR=gfx7_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@4=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@8=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@12=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@16=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@20=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@24=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@28=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@32=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@36=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@40=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@44=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@48=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@60=_gfx75_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateVideoSessionParametersKHR@104=_gfx75_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateVideoSessionParametersKHR=gfx75_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@4=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@8=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@12=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@16=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@20=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@24=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@28=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@32=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@36=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@40=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@44=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@48=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@60=_gfx8_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateVideoSessionParametersKHR@104=_gfx8_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateVideoSessionParametersKHR=gfx8_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@4=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@8=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@12=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@16=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@20=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@24=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@28=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@32=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@36=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@40=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@44=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@48=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@60=_gfx9_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateVideoSessionParametersKHR@104=_gfx9_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateVideoSessionParametersKHR=gfx9_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@4=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@8=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@12=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@16=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@20=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@24=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@28=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@32=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@36=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@40=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@44=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@48=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@60=_gfx11_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateVideoSessionParametersKHR@104=_gfx11_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateVideoSessionParametersKHR=gfx11_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@4=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@8=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@12=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@16=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@20=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@24=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@28=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@32=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@36=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@40=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@44=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@48=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@60=_gfx12_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateVideoSessionParametersKHR@104=_gfx12_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateVideoSessionParametersKHR=gfx12_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@4=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@8=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@12=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@16=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@20=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@24=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@28=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@32=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@36=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@40=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@44=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@48=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@60=_gfx125_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateVideoSessionParametersKHR@104=_gfx125_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateVideoSessionParametersKHR=gfx125_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@4=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@8=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@12=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@16=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@20=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@24=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@28=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@32=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@36=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@40=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@44=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@48=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@60=_anv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_UpdateVideoSessionParametersKHR@104=_anv_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_UpdateVideoSessionParametersKHR=anv_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@4=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@8=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@12=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@16=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@20=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@24=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@28=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@32=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@36=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@40=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@44=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@48=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@60=_gfx7_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_UpdateVideoSessionParametersKHR@104=_gfx7_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_UpdateVideoSessionParametersKHR=gfx7_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@4=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@8=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@12=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@16=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@20=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@24=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@28=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@32=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@36=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@40=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@44=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@48=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@60=_gfx75_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_UpdateVideoSessionParametersKHR@104=_gfx75_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_UpdateVideoSessionParametersKHR=gfx75_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@4=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@8=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@12=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@16=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@20=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@24=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@28=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@32=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@36=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@40=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@44=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@48=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@60=_gfx8_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_UpdateVideoSessionParametersKHR@104=_gfx8_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_UpdateVideoSessionParametersKHR=gfx8_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@4=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@8=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@12=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@16=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@20=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@24=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@28=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@32=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@36=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@40=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@44=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@48=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@60=_gfx9_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_UpdateVideoSessionParametersKHR@104=_gfx9_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_UpdateVideoSessionParametersKHR=gfx9_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@4=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@8=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@12=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@16=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@20=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@24=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@28=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@32=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@36=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@40=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@44=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@48=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@60=_gfx11_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_UpdateVideoSessionParametersKHR@104=_gfx11_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_UpdateVideoSessionParametersKHR=gfx11_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@4=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@8=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@12=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@16=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@20=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@24=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@28=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@32=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@36=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@40=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@44=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@48=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@60=_gfx12_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_UpdateVideoSessionParametersKHR@104=_gfx12_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_UpdateVideoSessionParametersKHR=gfx12_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@4=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@8=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@12=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@16=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@20=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@24=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@28=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@32=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@36=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@40=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@44=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@48=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@60=_gfx125_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_UpdateVideoSessionParametersKHR@104=_gfx125_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_UpdateVideoSessionParametersKHR=gfx125_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@4=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@8=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@12=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@16=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@20=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@24=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@28=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@32=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@36=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@40=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@44=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@48=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@60=_anv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyVideoSessionParametersKHR@104=_anv_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyVideoSessionParametersKHR=anv_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@4=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@8=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@12=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@16=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@20=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@24=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@28=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@32=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@36=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@40=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@44=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@48=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@60=_gfx7_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyVideoSessionParametersKHR@104=_gfx7_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyVideoSessionParametersKHR=gfx7_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@4=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@8=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@12=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@16=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@20=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@24=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@28=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@32=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@36=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@40=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@44=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@48=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@60=_gfx75_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyVideoSessionParametersKHR@104=_gfx75_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyVideoSessionParametersKHR=gfx75_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@4=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@8=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@12=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@16=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@20=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@24=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@28=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@32=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@36=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@40=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@44=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@48=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@60=_gfx8_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyVideoSessionParametersKHR@104=_gfx8_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyVideoSessionParametersKHR=gfx8_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@4=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@8=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@12=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@16=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@20=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@24=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@28=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@32=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@36=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@40=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@44=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@48=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@60=_gfx9_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyVideoSessionParametersKHR@104=_gfx9_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyVideoSessionParametersKHR=gfx9_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@4=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@8=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@12=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@16=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@20=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@24=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@28=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@32=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@36=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@40=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@44=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@48=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@60=_gfx11_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyVideoSessionParametersKHR@104=_gfx11_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyVideoSessionParametersKHR=gfx11_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@4=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@8=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@12=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@16=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@20=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@24=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@28=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@32=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@36=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@40=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@44=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@48=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@60=_gfx12_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyVideoSessionParametersKHR@104=_gfx12_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyVideoSessionParametersKHR=gfx12_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@4=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@8=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@12=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@16=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@20=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@24=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@28=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@32=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@36=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@40=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@44=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@48=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@60=_gfx125_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyVideoSessionParametersKHR@104=_gfx125_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyVideoSessionParametersKHR=gfx125_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@4=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@8=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@12=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@16=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@20=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@24=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@28=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@32=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@36=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@40=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@44=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@48=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@60=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_GetVideoSessionMemoryRequirementsKHR@104=_anv_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_GetVideoSessionMemoryRequirementsKHR=anv_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@4=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@8=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@12=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@16=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@20=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@24=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@28=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@32=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@36=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@40=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@44=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@48=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@60=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_GetVideoSessionMemoryRequirementsKHR@104=_gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_GetVideoSessionMemoryRequirementsKHR=gfx7_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@4=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@8=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@12=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@16=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@20=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@24=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@28=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@32=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@36=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@40=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@44=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@48=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@60=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_GetVideoSessionMemoryRequirementsKHR@104=_gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_GetVideoSessionMemoryRequirementsKHR=gfx75_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@4=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@8=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@12=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@16=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@20=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@24=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@28=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@32=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@36=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@40=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@44=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@48=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@60=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_GetVideoSessionMemoryRequirementsKHR@104=_gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_GetVideoSessionMemoryRequirementsKHR=gfx8_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@4=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@8=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@12=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@16=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@20=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@24=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@28=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@32=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@36=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@40=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@44=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@48=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@60=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_GetVideoSessionMemoryRequirementsKHR@104=_gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_GetVideoSessionMemoryRequirementsKHR=gfx9_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@4=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@8=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@12=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@16=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@20=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@24=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@28=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@32=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@36=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@40=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@44=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@48=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@60=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_GetVideoSessionMemoryRequirementsKHR@104=_gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_GetVideoSessionMemoryRequirementsKHR=gfx11_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@4=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@8=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@12=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@16=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@20=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@24=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@28=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@32=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@36=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@40=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@44=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@48=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@60=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_GetVideoSessionMemoryRequirementsKHR@104=_gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_GetVideoSessionMemoryRequirementsKHR=gfx12_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@4=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@8=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@12=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@16=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@20=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@24=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@28=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@32=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@36=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@40=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@44=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@48=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@60=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_GetVideoSessionMemoryRequirementsKHR@104=_gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_GetVideoSessionMemoryRequirementsKHR=gfx125_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@4=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@8=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@12=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@16=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@20=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@24=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@28=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@32=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@36=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@40=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@44=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@48=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@60=_anv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_BindVideoSessionMemoryKHR@104=_anv_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_BindVideoSessionMemoryKHR=anv_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@4=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@8=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@12=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@16=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@20=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@24=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@28=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@32=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@36=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@40=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@44=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@48=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@60=_gfx7_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_BindVideoSessionMemoryKHR@104=_gfx7_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_BindVideoSessionMemoryKHR=gfx7_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@4=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@8=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@12=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@16=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@20=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@24=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@28=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@32=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@36=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@40=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@44=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@48=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@60=_gfx75_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_BindVideoSessionMemoryKHR@104=_gfx75_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_BindVideoSessionMemoryKHR=gfx75_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@4=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@8=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@12=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@16=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@20=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@24=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@28=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@32=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@36=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@40=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@44=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@48=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@60=_gfx8_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_BindVideoSessionMemoryKHR@104=_gfx8_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_BindVideoSessionMemoryKHR=gfx8_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@4=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@8=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@12=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@16=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@20=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@24=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@28=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@32=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@36=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@40=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@44=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@48=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@60=_gfx9_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_BindVideoSessionMemoryKHR@104=_gfx9_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_BindVideoSessionMemoryKHR=gfx9_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@4=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@8=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@12=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@16=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@20=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@24=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@28=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@32=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@36=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@40=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@44=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@48=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@60=_gfx11_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_BindVideoSessionMemoryKHR@104=_gfx11_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_BindVideoSessionMemoryKHR=gfx11_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@4=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@8=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@12=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@16=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@20=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@24=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@28=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@32=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@36=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@40=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@44=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@48=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@60=_gfx12_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_BindVideoSessionMemoryKHR@104=_gfx12_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_BindVideoSessionMemoryKHR=gfx12_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@4=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@8=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@12=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@16=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@20=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@24=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@28=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@32=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@36=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@40=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@44=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@48=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@60=_gfx125_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_BindVideoSessionMemoryKHR@104=_gfx125_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_BindVideoSessionMemoryKHR=gfx125_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@4=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@8=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@12=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@16=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@20=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@24=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@28=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@32=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@36=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@40=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@44=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@48=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@60=_anv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdDecodeVideoKHR@104=_anv_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdDecodeVideoKHR=anv_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@4=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@8=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@12=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@16=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@20=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@24=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@28=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@32=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@36=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@40=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@44=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@48=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@60=_gfx7_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdDecodeVideoKHR@104=_gfx7_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdDecodeVideoKHR=gfx7_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@4=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@8=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@12=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@16=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@20=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@24=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@28=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@32=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@36=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@40=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@44=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@48=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@60=_gfx75_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdDecodeVideoKHR@104=_gfx75_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdDecodeVideoKHR=gfx75_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@4=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@8=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@12=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@16=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@20=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@24=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@28=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@32=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@36=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@40=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@44=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@48=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@60=_gfx8_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdDecodeVideoKHR@104=_gfx8_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdDecodeVideoKHR=gfx8_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@4=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@8=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@12=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@16=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@20=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@24=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@28=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@32=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@36=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@40=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@44=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@48=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@60=_gfx9_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdDecodeVideoKHR@104=_gfx9_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdDecodeVideoKHR=gfx9_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@4=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@8=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@12=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@16=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@20=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@24=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@28=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@32=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@36=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@40=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@44=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@48=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@60=_gfx11_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdDecodeVideoKHR@104=_gfx11_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdDecodeVideoKHR=gfx11_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@4=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@8=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@12=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@16=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@20=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@24=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@28=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@32=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@36=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@40=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@44=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@48=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@60=_gfx12_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdDecodeVideoKHR@104=_gfx12_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdDecodeVideoKHR=gfx12_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@4=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@8=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@12=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@16=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@20=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@24=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@28=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@32=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@36=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@40=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@44=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@48=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@60=_gfx125_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdDecodeVideoKHR@104=_gfx125_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdDecodeVideoKHR=gfx125_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@4=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@8=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@12=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@16=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@20=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@24=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@28=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@32=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@36=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@40=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@44=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@48=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@60=_anv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdBeginVideoCodingKHR@104=_anv_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdBeginVideoCodingKHR=anv_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@4=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@8=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@12=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@16=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@20=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@24=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@28=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@32=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@36=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@40=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@44=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@48=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@60=_gfx7_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdBeginVideoCodingKHR@104=_gfx7_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdBeginVideoCodingKHR=gfx7_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@4=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@8=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@12=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@16=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@20=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@24=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@28=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@32=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@36=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@40=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@44=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@48=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@60=_gfx75_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdBeginVideoCodingKHR@104=_gfx75_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdBeginVideoCodingKHR=gfx75_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@4=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@8=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@12=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@16=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@20=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@24=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@28=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@32=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@36=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@40=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@44=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@48=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@60=_gfx8_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdBeginVideoCodingKHR@104=_gfx8_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdBeginVideoCodingKHR=gfx8_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@4=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@8=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@12=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@16=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@20=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@24=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@28=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@32=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@36=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@40=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@44=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@48=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@60=_gfx9_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdBeginVideoCodingKHR@104=_gfx9_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdBeginVideoCodingKHR=gfx9_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@4=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@8=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@12=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@16=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@20=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@24=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@28=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@32=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@36=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@40=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@44=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@48=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@60=_gfx11_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdBeginVideoCodingKHR@104=_gfx11_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdBeginVideoCodingKHR=gfx11_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@4=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@8=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@12=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@16=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@20=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@24=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@28=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@32=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@36=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@40=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@44=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@48=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@60=_gfx12_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdBeginVideoCodingKHR@104=_gfx12_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdBeginVideoCodingKHR=gfx12_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@4=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@8=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@12=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@16=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@20=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@24=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@28=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@32=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@36=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@40=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@44=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@48=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@60=_gfx125_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdBeginVideoCodingKHR@104=_gfx125_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdBeginVideoCodingKHR=gfx125_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@4=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@8=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@12=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@16=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@20=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@24=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@28=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@32=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@36=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@40=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@44=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@48=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@60=_anv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdControlVideoCodingKHR@104=_anv_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdControlVideoCodingKHR=anv_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@4=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@8=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@12=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@16=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@20=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@24=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@28=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@32=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@36=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@40=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@44=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@48=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@60=_gfx7_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdControlVideoCodingKHR@104=_gfx7_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdControlVideoCodingKHR=gfx7_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@4=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@8=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@12=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@16=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@20=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@24=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@28=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@32=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@36=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@40=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@44=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@48=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@60=_gfx75_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdControlVideoCodingKHR@104=_gfx75_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdControlVideoCodingKHR=gfx75_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@4=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@8=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@12=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@16=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@20=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@24=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@28=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@32=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@36=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@40=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@44=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@48=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@60=_gfx8_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdControlVideoCodingKHR@104=_gfx8_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdControlVideoCodingKHR=gfx8_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@4=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@8=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@12=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@16=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@20=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@24=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@28=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@32=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@36=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@40=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@44=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@48=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@60=_gfx9_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdControlVideoCodingKHR@104=_gfx9_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdControlVideoCodingKHR=gfx9_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@4=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@8=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@12=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@16=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@20=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@24=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@28=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@32=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@36=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@40=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@44=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@48=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@60=_gfx11_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdControlVideoCodingKHR@104=_gfx11_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdControlVideoCodingKHR=gfx11_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@4=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@8=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@12=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@16=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@20=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@24=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@28=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@32=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@36=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@40=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@44=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@48=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@60=_gfx12_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdControlVideoCodingKHR@104=_gfx12_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdControlVideoCodingKHR=gfx12_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@4=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@8=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@12=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@16=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@20=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@24=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@28=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@32=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@36=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@40=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@44=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@48=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@60=_gfx125_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdControlVideoCodingKHR@104=_gfx125_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdControlVideoCodingKHR=gfx125_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@4=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@8=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@12=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@16=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@20=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@24=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@28=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@32=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@36=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@40=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@44=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@48=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@60=_anv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEndVideoCodingKHR@104=_anv_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEndVideoCodingKHR=anv_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@4=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@8=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@12=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@16=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@20=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@24=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@28=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@32=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@36=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@40=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@44=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@48=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@60=_gfx7_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEndVideoCodingKHR@104=_gfx7_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEndVideoCodingKHR=gfx7_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@4=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@8=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@12=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@16=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@20=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@24=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@28=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@32=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@36=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@40=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@44=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@48=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@60=_gfx75_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEndVideoCodingKHR@104=_gfx75_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEndVideoCodingKHR=gfx75_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@4=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@8=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@12=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@16=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@20=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@24=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@28=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@32=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@36=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@40=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@44=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@48=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@60=_gfx8_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEndVideoCodingKHR@104=_gfx8_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEndVideoCodingKHR=gfx8_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@4=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@8=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@12=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@16=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@20=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@24=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@28=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@32=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@36=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@40=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@44=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@48=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@60=_gfx9_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEndVideoCodingKHR@104=_gfx9_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEndVideoCodingKHR=gfx9_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@4=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@8=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@12=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@16=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@20=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@24=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@28=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@32=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@36=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@40=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@44=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@48=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@60=_gfx11_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEndVideoCodingKHR@104=_gfx11_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEndVideoCodingKHR=gfx11_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@4=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@8=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@12=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@16=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@20=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@24=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@28=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@32=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@36=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@40=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@44=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@48=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@60=_gfx12_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEndVideoCodingKHR@104=_gfx12_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEndVideoCodingKHR=gfx12_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@4=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@8=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@12=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@16=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@20=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@24=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@28=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@32=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@36=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@40=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@44=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@48=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@60=_gfx125_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEndVideoCodingKHR@104=_gfx125_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEndVideoCodingKHR=gfx125_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*anv_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@4=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@8=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@12=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@16=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@20=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@24=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@28=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@32=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@36=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@40=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@44=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@48=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@60=_anv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdEncodeVideoKHR@104=_anv_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdEncodeVideoKHR=anv_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@4=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@8=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@12=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@16=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@20=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@24=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@28=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@32=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@36=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@40=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@44=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@48=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@60=_gfx7_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdEncodeVideoKHR@104=_gfx7_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdEncodeVideoKHR=gfx7_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@4=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@8=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@12=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@16=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@20=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@24=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@28=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@32=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@36=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@40=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@44=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@48=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@60=_gfx75_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdEncodeVideoKHR@104=_gfx75_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdEncodeVideoKHR=gfx75_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@4=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@8=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@12=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@16=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@20=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@24=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@28=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@32=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@36=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@40=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@44=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@48=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@60=_gfx8_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdEncodeVideoKHR@104=_gfx8_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdEncodeVideoKHR=gfx8_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@4=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@8=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@12=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@16=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@20=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@24=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@28=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@32=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@36=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@40=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@44=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@48=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@60=_gfx9_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdEncodeVideoKHR@104=_gfx9_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdEncodeVideoKHR=gfx9_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@4=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@8=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@12=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@16=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@20=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@24=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@28=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@32=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@36=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@40=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@44=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@48=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@60=_gfx11_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdEncodeVideoKHR@104=_gfx11_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdEncodeVideoKHR=gfx11_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@4=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@8=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@12=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@16=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@20=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@24=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@28=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@32=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@36=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@40=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@44=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@48=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@60=_gfx12_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdEncodeVideoKHR@104=_gfx12_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdEncodeVideoKHR=gfx12_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@4=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@8=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@12=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@16=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@20=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@24=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@28=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@32=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@36=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@40=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@44=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@48=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@60=_gfx125_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdEncodeVideoKHR@104=_gfx125_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdEncodeVideoKHR=gfx125_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*anv_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@4=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@8=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@12=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@16=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@20=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@24=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@28=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@32=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@36=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@40=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@44=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@48=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@60=_anv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuModuleNVX@104=_anv_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateCuModuleNVX=anv_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@4=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@8=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@12=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@16=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@20=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@24=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@28=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@32=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@36=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@40=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@44=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@48=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@60=_gfx7_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuModuleNVX@104=_gfx7_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateCuModuleNVX=gfx7_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@4=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@8=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@12=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@16=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@20=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@24=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@28=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@32=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@36=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@40=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@44=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@48=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@60=_gfx75_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuModuleNVX@104=_gfx75_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateCuModuleNVX=gfx75_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@4=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@8=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@12=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@16=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@20=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@24=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@28=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@32=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@36=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@40=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@44=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@48=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@60=_gfx8_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuModuleNVX@104=_gfx8_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateCuModuleNVX=gfx8_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@4=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@8=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@12=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@16=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@20=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@24=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@28=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@32=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@36=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@40=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@44=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@48=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@60=_gfx9_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuModuleNVX@104=_gfx9_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateCuModuleNVX=gfx9_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@4=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@8=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@12=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@16=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@20=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@24=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@28=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@32=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@36=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@40=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@44=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@48=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@60=_gfx11_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuModuleNVX@104=_gfx11_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateCuModuleNVX=gfx11_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@4=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@8=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@12=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@16=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@20=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@24=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@28=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@32=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@36=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@40=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@44=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@48=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@60=_gfx12_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuModuleNVX@104=_gfx12_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateCuModuleNVX=gfx12_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@4=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@8=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@12=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@16=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@20=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@24=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@28=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@32=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@36=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@40=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@44=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@48=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@60=_gfx125_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuModuleNVX@104=_gfx125_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateCuModuleNVX=gfx125_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*anv_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@4=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@8=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@12=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@16=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@20=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@24=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@28=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@32=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@36=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@40=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@44=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@48=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@60=_anv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CreateCuFunctionNVX@104=_anv_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CreateCuFunctionNVX=anv_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL anv_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx7_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@4=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@8=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@12=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@16=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@20=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@24=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@28=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@32=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@36=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@40=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@44=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@48=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@60=_gfx7_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CreateCuFunctionNVX@104=_gfx7_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CreateCuFunctionNVX=gfx7_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx7_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx75_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@4=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@8=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@12=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@16=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@20=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@24=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@28=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@32=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@36=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@40=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@44=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@48=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@60=_gfx75_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CreateCuFunctionNVX@104=_gfx75_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CreateCuFunctionNVX=gfx75_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx75_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx8_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@4=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@8=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@12=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@16=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@20=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@24=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@28=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@32=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@36=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@40=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@44=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@48=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@60=_gfx8_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CreateCuFunctionNVX@104=_gfx8_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CreateCuFunctionNVX=gfx8_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx8_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx9_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@4=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@8=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@12=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@16=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@20=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@24=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@28=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@32=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@36=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@40=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@44=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@48=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@60=_gfx9_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CreateCuFunctionNVX@104=_gfx9_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CreateCuFunctionNVX=gfx9_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx9_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx11_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@4=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@8=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@12=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@16=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@20=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@24=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@28=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@32=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@36=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@40=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@44=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@48=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@60=_gfx11_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CreateCuFunctionNVX@104=_gfx11_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CreateCuFunctionNVX=gfx11_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx11_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx12_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@4=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@8=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@12=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@16=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@20=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@24=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@28=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@32=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@36=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@40=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@44=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@48=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@60=_gfx12_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CreateCuFunctionNVX@104=_gfx12_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CreateCuFunctionNVX=gfx12_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx12_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*gfx125_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@4=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@8=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@12=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@16=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@20=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@24=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@28=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@32=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@36=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@40=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@44=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@48=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@60=_gfx125_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CreateCuFunctionNVX@104=_gfx125_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CreateCuFunctionNVX=gfx125_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL gfx125_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@4=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@8=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@12=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@16=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@20=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@24=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@28=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@32=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@36=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@40=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@44=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@48=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@60=_anv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuModuleNVX@104=_anv_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyCuModuleNVX=anv_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@4=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@8=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@12=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@16=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@20=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@24=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@28=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@32=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@36=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@40=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@44=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@48=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@60=_gfx7_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuModuleNVX@104=_gfx7_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyCuModuleNVX=gfx7_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@4=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@8=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@12=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@16=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@20=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@24=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@28=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@32=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@36=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@40=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@44=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@48=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@60=_gfx75_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuModuleNVX@104=_gfx75_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyCuModuleNVX=gfx75_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@4=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@8=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@12=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@16=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@20=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@24=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@28=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@32=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@36=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@40=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@44=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@48=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@60=_gfx8_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuModuleNVX@104=_gfx8_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyCuModuleNVX=gfx8_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@4=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@8=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@12=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@16=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@20=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@24=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@28=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@32=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@36=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@40=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@44=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@48=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@60=_gfx9_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuModuleNVX@104=_gfx9_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyCuModuleNVX=gfx9_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@4=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@8=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@12=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@16=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@20=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@24=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@28=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@32=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@36=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@40=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@44=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@48=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@60=_gfx11_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuModuleNVX@104=_gfx11_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyCuModuleNVX=gfx11_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@4=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@8=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@12=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@16=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@20=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@24=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@28=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@32=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@36=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@40=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@44=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@48=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@60=_gfx12_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuModuleNVX@104=_gfx12_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyCuModuleNVX=gfx12_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@4=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@8=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@12=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@16=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@20=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@24=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@28=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@32=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@36=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@40=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@44=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@48=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@60=_gfx125_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuModuleNVX@104=_gfx125_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyCuModuleNVX=gfx125_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@4=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@8=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@12=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@16=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@20=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@24=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@28=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@32=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@36=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@40=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@44=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@48=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@60=_anv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_DestroyCuFunctionNVX@104=_anv_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_DestroyCuFunctionNVX=anv_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@4=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@8=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@12=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@16=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@20=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@24=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@28=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@32=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@36=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@40=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@44=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@48=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@60=_gfx7_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_DestroyCuFunctionNVX@104=_gfx7_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_DestroyCuFunctionNVX=gfx7_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@4=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@8=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@12=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@16=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@20=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@24=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@28=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@32=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@36=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@40=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@44=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@48=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@60=_gfx75_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_DestroyCuFunctionNVX@104=_gfx75_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_DestroyCuFunctionNVX=gfx75_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@4=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@8=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@12=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@16=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@20=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@24=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@28=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@32=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@36=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@40=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@44=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@48=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@60=_gfx8_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_DestroyCuFunctionNVX@104=_gfx8_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_DestroyCuFunctionNVX=gfx8_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@4=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@8=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@12=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@16=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@20=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@24=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@28=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@32=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@36=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@40=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@44=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@48=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@60=_gfx9_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_DestroyCuFunctionNVX@104=_gfx9_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_DestroyCuFunctionNVX=gfx9_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@4=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@8=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@12=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@16=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@20=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@24=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@28=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@32=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@36=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@40=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@44=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@48=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@60=_gfx11_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_DestroyCuFunctionNVX@104=_gfx11_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_DestroyCuFunctionNVX=gfx11_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@4=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@8=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@12=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@16=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@20=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@24=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@28=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@32=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@36=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@40=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@44=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@48=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@60=_gfx12_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_DestroyCuFunctionNVX@104=_gfx12_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_DestroyCuFunctionNVX=gfx12_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@4=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@8=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@12=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@16=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@20=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@24=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@28=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@32=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@36=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@40=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@44=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@48=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@60=_gfx125_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_DestroyCuFunctionNVX@104=_gfx125_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_DestroyCuFunctionNVX=gfx125_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*anv_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@4=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@8=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@12=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@16=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@20=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@24=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@28=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@32=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@36=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@40=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@44=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@48=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@60=_anv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_anv_CmdCuLaunchKernelNVX@104=_anv_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:anv_CmdCuLaunchKernelNVX=anv_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL anv_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx7_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@4=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@8=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@12=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@16=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@20=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@24=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@28=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@32=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@36=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@40=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@44=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@48=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@60=_gfx7_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx7_CmdCuLaunchKernelNVX@104=_gfx7_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx7_CmdCuLaunchKernelNVX=gfx7_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx7_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx75_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@4=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@8=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@12=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@16=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@20=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@24=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@28=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@32=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@36=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@40=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@44=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@48=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@60=_gfx75_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx75_CmdCuLaunchKernelNVX@104=_gfx75_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx75_CmdCuLaunchKernelNVX=gfx75_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx75_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx8_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@4=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@8=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@12=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@16=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@20=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@24=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@28=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@32=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@36=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@40=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@44=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@48=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@60=_gfx8_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx8_CmdCuLaunchKernelNVX@104=_gfx8_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx8_CmdCuLaunchKernelNVX=gfx8_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx8_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx9_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@4=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@8=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@12=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@16=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@20=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@24=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@28=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@32=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@36=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@40=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@44=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@48=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@60=_gfx9_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx9_CmdCuLaunchKernelNVX@104=_gfx9_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx9_CmdCuLaunchKernelNVX=gfx9_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx9_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx11_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@4=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@8=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@12=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@16=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@20=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@24=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@28=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@32=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@36=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@40=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@44=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@48=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@60=_gfx11_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx11_CmdCuLaunchKernelNVX@104=_gfx11_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx11_CmdCuLaunchKernelNVX=gfx11_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx11_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx12_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@4=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@8=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@12=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@16=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@20=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@24=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@28=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@32=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@36=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@40=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@44=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@48=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@60=_gfx12_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx12_CmdCuLaunchKernelNVX@104=_gfx12_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx12_CmdCuLaunchKernelNVX=gfx12_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx12_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*gfx125_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@4=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@8=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@12=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@16=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@20=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@24=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@28=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@32=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@36=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@40=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@44=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@48=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@60=_gfx125_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_gfx125_CmdCuLaunchKernelNVX@104=_gfx125_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:gfx125_CmdCuLaunchKernelNVX=gfx125_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL gfx125_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif

const struct vk_device_entrypoint_table anv_device_entrypoints = {
    .GetDeviceProcAddr = anv_GetDeviceProcAddr,
    .DestroyDevice = anv_DestroyDevice,
    .GetDeviceQueue = anv_GetDeviceQueue,
    .QueueSubmit = anv_QueueSubmit,
    .QueueWaitIdle = anv_QueueWaitIdle,
    .DeviceWaitIdle = anv_DeviceWaitIdle,
    .AllocateMemory = anv_AllocateMemory,
    .FreeMemory = anv_FreeMemory,
    .MapMemory = anv_MapMemory,
    .UnmapMemory = anv_UnmapMemory,
    .FlushMappedMemoryRanges = anv_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = anv_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = anv_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = anv_GetBufferMemoryRequirements,
    .BindBufferMemory = anv_BindBufferMemory,
    .GetImageMemoryRequirements = anv_GetImageMemoryRequirements,
    .BindImageMemory = anv_BindImageMemory,
    .GetImageSparseMemoryRequirements = anv_GetImageSparseMemoryRequirements,
    .QueueBindSparse = anv_QueueBindSparse,
    .CreateFence = anv_CreateFence,
    .DestroyFence = anv_DestroyFence,
    .ResetFences = anv_ResetFences,
    .GetFenceStatus = anv_GetFenceStatus,
    .WaitForFences = anv_WaitForFences,
    .CreateSemaphore = anv_CreateSemaphore,
    .DestroySemaphore = anv_DestroySemaphore,
    .CreateEvent = anv_CreateEvent,
    .DestroyEvent = anv_DestroyEvent,
    .GetEventStatus = anv_GetEventStatus,
    .SetEvent = anv_SetEvent,
    .ResetEvent = anv_ResetEvent,
    .CreateQueryPool = anv_CreateQueryPool,
    .DestroyQueryPool = anv_DestroyQueryPool,
    .GetQueryPoolResults = anv_GetQueryPoolResults,
    .ResetQueryPool = anv_ResetQueryPool,
    .ResetQueryPoolEXT = anv_ResetQueryPoolEXT,
    .CreateBuffer = anv_CreateBuffer,
    .DestroyBuffer = anv_DestroyBuffer,
    .CreateBufferView = anv_CreateBufferView,
    .DestroyBufferView = anv_DestroyBufferView,
    .CreateImage = anv_CreateImage,
    .DestroyImage = anv_DestroyImage,
    .GetImageSubresourceLayout = anv_GetImageSubresourceLayout,
    .CreateImageView = anv_CreateImageView,
    .DestroyImageView = anv_DestroyImageView,
    .CreateShaderModule = anv_CreateShaderModule,
    .DestroyShaderModule = anv_DestroyShaderModule,
    .CreatePipelineCache = anv_CreatePipelineCache,
    .DestroyPipelineCache = anv_DestroyPipelineCache,
    .GetPipelineCacheData = anv_GetPipelineCacheData,
    .MergePipelineCaches = anv_MergePipelineCaches,
    .CreateGraphicsPipelines = anv_CreateGraphicsPipelines,
    .CreateComputePipelines = anv_CreateComputePipelines,
    .DestroyPipeline = anv_DestroyPipeline,
    .CreatePipelineLayout = anv_CreatePipelineLayout,
    .DestroyPipelineLayout = anv_DestroyPipelineLayout,
    .CreateSampler = anv_CreateSampler,
    .DestroySampler = anv_DestroySampler,
    .CreateDescriptorSetLayout = anv_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = anv_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = anv_CreateDescriptorPool,
    .DestroyDescriptorPool = anv_DestroyDescriptorPool,
    .ResetDescriptorPool = anv_ResetDescriptorPool,
    .AllocateDescriptorSets = anv_AllocateDescriptorSets,
    .FreeDescriptorSets = anv_FreeDescriptorSets,
    .UpdateDescriptorSets = anv_UpdateDescriptorSets,
    .CreateFramebuffer = anv_CreateFramebuffer,
    .DestroyFramebuffer = anv_DestroyFramebuffer,
    .CreateRenderPass = anv_CreateRenderPass,
    .DestroyRenderPass = anv_DestroyRenderPass,
    .GetRenderAreaGranularity = anv_GetRenderAreaGranularity,
    .CreateCommandPool = anv_CreateCommandPool,
    .DestroyCommandPool = anv_DestroyCommandPool,
    .ResetCommandPool = anv_ResetCommandPool,
    .AllocateCommandBuffers = anv_AllocateCommandBuffers,
    .FreeCommandBuffers = anv_FreeCommandBuffers,
    .BeginCommandBuffer = anv_BeginCommandBuffer,
    .EndCommandBuffer = anv_EndCommandBuffer,
    .ResetCommandBuffer = anv_ResetCommandBuffer,
    .CmdBindPipeline = anv_CmdBindPipeline,
    .CmdSetViewport = anv_CmdSetViewport,
    .CmdSetScissor = anv_CmdSetScissor,
    .CmdSetLineWidth = anv_CmdSetLineWidth,
    .CmdSetDepthBias = anv_CmdSetDepthBias,
    .CmdSetBlendConstants = anv_CmdSetBlendConstants,
    .CmdSetDepthBounds = anv_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = anv_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = anv_CmdSetStencilWriteMask,
    .CmdSetStencilReference = anv_CmdSetStencilReference,
    .CmdBindDescriptorSets = anv_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = anv_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = anv_CmdBindVertexBuffers,
    .CmdDraw = anv_CmdDraw,
    .CmdDrawIndexed = anv_CmdDrawIndexed,
    .CmdDrawMultiEXT = anv_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = anv_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = anv_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = anv_CmdDrawIndexedIndirect,
    .CmdDispatch = anv_CmdDispatch,
    .CmdDispatchIndirect = anv_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = anv_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = anv_CmdCopyBuffer,
    .CmdCopyImage = anv_CmdCopyImage,
    .CmdBlitImage = anv_CmdBlitImage,
    .CmdCopyBufferToImage = anv_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = anv_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = anv_CmdUpdateBuffer,
    .CmdFillBuffer = anv_CmdFillBuffer,
    .CmdClearColorImage = anv_CmdClearColorImage,
    .CmdClearDepthStencilImage = anv_CmdClearDepthStencilImage,
    .CmdClearAttachments = anv_CmdClearAttachments,
    .CmdResolveImage = anv_CmdResolveImage,
    .CmdSetEvent = anv_CmdSetEvent,
    .CmdResetEvent = anv_CmdResetEvent,
    .CmdWaitEvents = anv_CmdWaitEvents,
    .CmdPipelineBarrier = anv_CmdPipelineBarrier,
    .CmdBeginQuery = anv_CmdBeginQuery,
    .CmdEndQuery = anv_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = anv_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = anv_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = anv_CmdResetQueryPool,
    .CmdWriteTimestamp = anv_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = anv_CmdCopyQueryPoolResults,
    .CmdPushConstants = anv_CmdPushConstants,
    .CmdBeginRenderPass = anv_CmdBeginRenderPass,
    .CmdNextSubpass = anv_CmdNextSubpass,
    .CmdEndRenderPass = anv_CmdEndRenderPass,
    .CmdExecuteCommands = anv_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = anv_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = anv_CreateSwapchainKHR,
    .DestroySwapchainKHR = anv_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = anv_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = anv_AcquireNextImageKHR,
    .QueuePresentKHR = anv_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = anv_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = anv_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = anv_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = anv_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = anv_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = anv_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = anv_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = anv_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = anv_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = anv_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = anv_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = anv_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = anv_CmdPushDescriptorSetKHR,
    .TrimCommandPool = anv_TrimCommandPool,
    .TrimCommandPoolKHR = anv_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = anv_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = anv_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = anv_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = anv_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = anv_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = anv_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = anv_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = anv_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = anv_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = anv_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = anv_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = anv_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = anv_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = anv_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = anv_GetFenceFdKHR,
    .ImportFenceFdKHR = anv_ImportFenceFdKHR,
    .DisplayPowerControlEXT = anv_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = anv_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = anv_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = anv_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = anv_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = anv_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = anv_BindBufferMemory2,
    .BindBufferMemory2KHR = anv_BindBufferMemory2KHR,
    .BindImageMemory2 = anv_BindImageMemory2,
    .BindImageMemory2KHR = anv_BindImageMemory2KHR,
    .CmdSetDeviceMask = anv_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = anv_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = anv_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = anv_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = anv_AcquireNextImage2KHR,
    .CmdDispatchBase = anv_CmdDispatchBase,
    .CmdDispatchBaseKHR = anv_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = anv_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = anv_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = anv_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = anv_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = anv_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = anv_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = anv_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = anv_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = anv_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = anv_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = anv_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = anv_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = anv_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = anv_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = anv_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = anv_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = anv_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = anv_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = anv_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = anv_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = anv_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = anv_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = anv_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = anv_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = anv_GetDeviceQueue2,
    .CreateValidationCacheEXT = anv_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = anv_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = anv_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = anv_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = anv_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = anv_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = anv_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = anv_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = anv_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = anv_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = anv_GetShaderInfoAMD,
    .SetLocalDimmingAMD = anv_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = anv_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = anv_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = anv_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = anv_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = anv_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = anv_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = anv_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = anv_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = anv_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = anv_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = anv_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = anv_CreateRenderPass2,
    .CreateRenderPass2KHR = anv_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = anv_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = anv_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = anv_CmdNextSubpass2,
    .CmdNextSubpass2KHR = anv_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = anv_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = anv_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = anv_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = anv_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = anv_WaitSemaphores,
    .WaitSemaphoresKHR = anv_WaitSemaphoresKHR,
    .SignalSemaphore = anv_SignalSemaphore,
    .SignalSemaphoreKHR = anv_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = anv_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = anv_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = anv_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = anv_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = anv_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = anv_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = anv_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = anv_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = anv_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = anv_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = anv_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = anv_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = anv_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = anv_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = anv_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = anv_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = anv_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = anv_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = anv_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = anv_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = anv_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = anv_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = anv_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = anv_CompileDeferredNV,
    .CreateAccelerationStructureNV = anv_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = anv_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = anv_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = anv_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = anv_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = anv_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = anv_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = anv_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = anv_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = anv_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = anv_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = anv_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = anv_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = anv_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = anv_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = anv_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = anv_CmdTraceRaysKHR,
    .CmdTraceRaysNV = anv_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = anv_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = anv_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = anv_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = anv_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = anv_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = anv_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = anv_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = anv_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = anv_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = anv_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = anv_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = anv_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = anv_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = anv_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = anv_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = anv_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = anv_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = anv_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = anv_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = anv_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = anv_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = anv_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = anv_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = anv_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = anv_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = anv_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = anv_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = anv_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = anv_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = anv_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = anv_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = anv_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = anv_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = anv_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = anv_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = anv_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = anv_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = anv_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = anv_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = anv_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = anv_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = anv_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = anv_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = anv_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = anv_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = anv_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = anv_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = anv_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = anv_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = anv_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = anv_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = anv_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = anv_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = anv_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = anv_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = anv_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = anv_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = anv_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = anv_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = anv_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = anv_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = anv_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = anv_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = anv_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = anv_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = anv_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = anv_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = anv_SetPrivateDataEXT,
    .GetPrivateDataEXT = anv_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = anv_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = anv_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = anv_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = anv_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = anv_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = anv_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = anv_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = anv_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = anv_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = anv_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = anv_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = anv_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = anv_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = anv_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = anv_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = anv_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = anv_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = anv_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = anv_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = anv_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = anv_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = anv_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = anv_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = anv_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = anv_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = anv_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = anv_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = anv_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = anv_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = anv_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = anv_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = anv_CreateCuModuleNVX,
    .CreateCuFunctionNVX = anv_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = anv_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = anv_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = anv_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx7_device_entrypoints = {
    .GetDeviceProcAddr = gfx7_GetDeviceProcAddr,
    .DestroyDevice = gfx7_DestroyDevice,
    .GetDeviceQueue = gfx7_GetDeviceQueue,
    .QueueSubmit = gfx7_QueueSubmit,
    .QueueWaitIdle = gfx7_QueueWaitIdle,
    .DeviceWaitIdle = gfx7_DeviceWaitIdle,
    .AllocateMemory = gfx7_AllocateMemory,
    .FreeMemory = gfx7_FreeMemory,
    .MapMemory = gfx7_MapMemory,
    .UnmapMemory = gfx7_UnmapMemory,
    .FlushMappedMemoryRanges = gfx7_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx7_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx7_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx7_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx7_BindBufferMemory,
    .GetImageMemoryRequirements = gfx7_GetImageMemoryRequirements,
    .BindImageMemory = gfx7_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx7_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx7_QueueBindSparse,
    .CreateFence = gfx7_CreateFence,
    .DestroyFence = gfx7_DestroyFence,
    .ResetFences = gfx7_ResetFences,
    .GetFenceStatus = gfx7_GetFenceStatus,
    .WaitForFences = gfx7_WaitForFences,
    .CreateSemaphore = gfx7_CreateSemaphore,
    .DestroySemaphore = gfx7_DestroySemaphore,
    .CreateEvent = gfx7_CreateEvent,
    .DestroyEvent = gfx7_DestroyEvent,
    .GetEventStatus = gfx7_GetEventStatus,
    .SetEvent = gfx7_SetEvent,
    .ResetEvent = gfx7_ResetEvent,
    .CreateQueryPool = gfx7_CreateQueryPool,
    .DestroyQueryPool = gfx7_DestroyQueryPool,
    .GetQueryPoolResults = gfx7_GetQueryPoolResults,
    .ResetQueryPool = gfx7_ResetQueryPool,
    .ResetQueryPoolEXT = gfx7_ResetQueryPoolEXT,
    .CreateBuffer = gfx7_CreateBuffer,
    .DestroyBuffer = gfx7_DestroyBuffer,
    .CreateBufferView = gfx7_CreateBufferView,
    .DestroyBufferView = gfx7_DestroyBufferView,
    .CreateImage = gfx7_CreateImage,
    .DestroyImage = gfx7_DestroyImage,
    .GetImageSubresourceLayout = gfx7_GetImageSubresourceLayout,
    .CreateImageView = gfx7_CreateImageView,
    .DestroyImageView = gfx7_DestroyImageView,
    .CreateShaderModule = gfx7_CreateShaderModule,
    .DestroyShaderModule = gfx7_DestroyShaderModule,
    .CreatePipelineCache = gfx7_CreatePipelineCache,
    .DestroyPipelineCache = gfx7_DestroyPipelineCache,
    .GetPipelineCacheData = gfx7_GetPipelineCacheData,
    .MergePipelineCaches = gfx7_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx7_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx7_CreateComputePipelines,
    .DestroyPipeline = gfx7_DestroyPipeline,
    .CreatePipelineLayout = gfx7_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx7_DestroyPipelineLayout,
    .CreateSampler = gfx7_CreateSampler,
    .DestroySampler = gfx7_DestroySampler,
    .CreateDescriptorSetLayout = gfx7_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx7_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx7_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx7_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx7_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx7_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx7_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx7_UpdateDescriptorSets,
    .CreateFramebuffer = gfx7_CreateFramebuffer,
    .DestroyFramebuffer = gfx7_DestroyFramebuffer,
    .CreateRenderPass = gfx7_CreateRenderPass,
    .DestroyRenderPass = gfx7_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx7_GetRenderAreaGranularity,
    .CreateCommandPool = gfx7_CreateCommandPool,
    .DestroyCommandPool = gfx7_DestroyCommandPool,
    .ResetCommandPool = gfx7_ResetCommandPool,
    .AllocateCommandBuffers = gfx7_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx7_FreeCommandBuffers,
    .BeginCommandBuffer = gfx7_BeginCommandBuffer,
    .EndCommandBuffer = gfx7_EndCommandBuffer,
    .ResetCommandBuffer = gfx7_ResetCommandBuffer,
    .CmdBindPipeline = gfx7_CmdBindPipeline,
    .CmdSetViewport = gfx7_CmdSetViewport,
    .CmdSetScissor = gfx7_CmdSetScissor,
    .CmdSetLineWidth = gfx7_CmdSetLineWidth,
    .CmdSetDepthBias = gfx7_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx7_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx7_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx7_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx7_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx7_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx7_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx7_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx7_CmdBindVertexBuffers,
    .CmdDraw = gfx7_CmdDraw,
    .CmdDrawIndexed = gfx7_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx7_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx7_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx7_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx7_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx7_CmdDispatch,
    .CmdDispatchIndirect = gfx7_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx7_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx7_CmdCopyBuffer,
    .CmdCopyImage = gfx7_CmdCopyImage,
    .CmdBlitImage = gfx7_CmdBlitImage,
    .CmdCopyBufferToImage = gfx7_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx7_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx7_CmdUpdateBuffer,
    .CmdFillBuffer = gfx7_CmdFillBuffer,
    .CmdClearColorImage = gfx7_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx7_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx7_CmdClearAttachments,
    .CmdResolveImage = gfx7_CmdResolveImage,
    .CmdSetEvent = gfx7_CmdSetEvent,
    .CmdResetEvent = gfx7_CmdResetEvent,
    .CmdWaitEvents = gfx7_CmdWaitEvents,
    .CmdPipelineBarrier = gfx7_CmdPipelineBarrier,
    .CmdBeginQuery = gfx7_CmdBeginQuery,
    .CmdEndQuery = gfx7_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx7_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx7_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx7_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx7_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx7_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx7_CmdPushConstants,
    .CmdBeginRenderPass = gfx7_CmdBeginRenderPass,
    .CmdNextSubpass = gfx7_CmdNextSubpass,
    .CmdEndRenderPass = gfx7_CmdEndRenderPass,
    .CmdExecuteCommands = gfx7_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx7_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx7_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx7_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx7_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx7_AcquireNextImageKHR,
    .QueuePresentKHR = gfx7_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx7_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx7_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx7_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx7_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx7_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx7_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx7_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx7_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx7_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx7_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx7_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx7_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx7_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx7_TrimCommandPool,
    .TrimCommandPoolKHR = gfx7_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx7_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx7_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx7_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx7_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx7_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx7_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx7_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx7_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx7_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx7_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx7_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx7_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx7_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx7_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx7_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx7_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx7_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx7_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx7_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx7_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx7_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx7_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx7_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx7_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx7_BindImageMemory2,
    .BindImageMemory2KHR = gfx7_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx7_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx7_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx7_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx7_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx7_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx7_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx7_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx7_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx7_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx7_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx7_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx7_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx7_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx7_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx7_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx7_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx7_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx7_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx7_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx7_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx7_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx7_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx7_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx7_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx7_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx7_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx7_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx7_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx7_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx7_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx7_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx7_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx7_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx7_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx7_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx7_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx7_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx7_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx7_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx7_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx7_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx7_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx7_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx7_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx7_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx7_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx7_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx7_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx7_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx7_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx7_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx7_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx7_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx7_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx7_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx7_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx7_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx7_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx7_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx7_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx7_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx7_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx7_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx7_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx7_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx7_WaitSemaphores,
    .WaitSemaphoresKHR = gfx7_WaitSemaphoresKHR,
    .SignalSemaphore = gfx7_SignalSemaphore,
    .SignalSemaphoreKHR = gfx7_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx7_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx7_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx7_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx7_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx7_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx7_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx7_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx7_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx7_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx7_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx7_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx7_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx7_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx7_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx7_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx7_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx7_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx7_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx7_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx7_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx7_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx7_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx7_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx7_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx7_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx7_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx7_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx7_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx7_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx7_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx7_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx7_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx7_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx7_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx7_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx7_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx7_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx7_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx7_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx7_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx7_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx7_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx7_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx7_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx7_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx7_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx7_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx7_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx7_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx7_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx7_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx7_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx7_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx7_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx7_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx7_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx7_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx7_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx7_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx7_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx7_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx7_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx7_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx7_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx7_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx7_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx7_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx7_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx7_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx7_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx7_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx7_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx7_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx7_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx7_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx7_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx7_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx7_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx7_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx7_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx7_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx7_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx7_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx7_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx7_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx7_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx7_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx7_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx7_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx7_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx7_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx7_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx7_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx7_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx7_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx7_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx7_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx7_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx7_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx7_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx7_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx7_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx7_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx7_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx7_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx7_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx7_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx7_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx7_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx7_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx7_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx7_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx7_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx7_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx7_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx7_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx7_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx7_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx7_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx7_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx7_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx7_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx7_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx7_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx7_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx7_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx7_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx7_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx7_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx7_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx7_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx7_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx7_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx7_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx7_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx7_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx7_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx7_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx7_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx7_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx7_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx7_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx7_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx7_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx7_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx7_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx7_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx75_device_entrypoints = {
    .GetDeviceProcAddr = gfx75_GetDeviceProcAddr,
    .DestroyDevice = gfx75_DestroyDevice,
    .GetDeviceQueue = gfx75_GetDeviceQueue,
    .QueueSubmit = gfx75_QueueSubmit,
    .QueueWaitIdle = gfx75_QueueWaitIdle,
    .DeviceWaitIdle = gfx75_DeviceWaitIdle,
    .AllocateMemory = gfx75_AllocateMemory,
    .FreeMemory = gfx75_FreeMemory,
    .MapMemory = gfx75_MapMemory,
    .UnmapMemory = gfx75_UnmapMemory,
    .FlushMappedMemoryRanges = gfx75_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx75_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx75_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx75_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx75_BindBufferMemory,
    .GetImageMemoryRequirements = gfx75_GetImageMemoryRequirements,
    .BindImageMemory = gfx75_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx75_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx75_QueueBindSparse,
    .CreateFence = gfx75_CreateFence,
    .DestroyFence = gfx75_DestroyFence,
    .ResetFences = gfx75_ResetFences,
    .GetFenceStatus = gfx75_GetFenceStatus,
    .WaitForFences = gfx75_WaitForFences,
    .CreateSemaphore = gfx75_CreateSemaphore,
    .DestroySemaphore = gfx75_DestroySemaphore,
    .CreateEvent = gfx75_CreateEvent,
    .DestroyEvent = gfx75_DestroyEvent,
    .GetEventStatus = gfx75_GetEventStatus,
    .SetEvent = gfx75_SetEvent,
    .ResetEvent = gfx75_ResetEvent,
    .CreateQueryPool = gfx75_CreateQueryPool,
    .DestroyQueryPool = gfx75_DestroyQueryPool,
    .GetQueryPoolResults = gfx75_GetQueryPoolResults,
    .ResetQueryPool = gfx75_ResetQueryPool,
    .ResetQueryPoolEXT = gfx75_ResetQueryPoolEXT,
    .CreateBuffer = gfx75_CreateBuffer,
    .DestroyBuffer = gfx75_DestroyBuffer,
    .CreateBufferView = gfx75_CreateBufferView,
    .DestroyBufferView = gfx75_DestroyBufferView,
    .CreateImage = gfx75_CreateImage,
    .DestroyImage = gfx75_DestroyImage,
    .GetImageSubresourceLayout = gfx75_GetImageSubresourceLayout,
    .CreateImageView = gfx75_CreateImageView,
    .DestroyImageView = gfx75_DestroyImageView,
    .CreateShaderModule = gfx75_CreateShaderModule,
    .DestroyShaderModule = gfx75_DestroyShaderModule,
    .CreatePipelineCache = gfx75_CreatePipelineCache,
    .DestroyPipelineCache = gfx75_DestroyPipelineCache,
    .GetPipelineCacheData = gfx75_GetPipelineCacheData,
    .MergePipelineCaches = gfx75_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx75_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx75_CreateComputePipelines,
    .DestroyPipeline = gfx75_DestroyPipeline,
    .CreatePipelineLayout = gfx75_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx75_DestroyPipelineLayout,
    .CreateSampler = gfx75_CreateSampler,
    .DestroySampler = gfx75_DestroySampler,
    .CreateDescriptorSetLayout = gfx75_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx75_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx75_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx75_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx75_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx75_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx75_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx75_UpdateDescriptorSets,
    .CreateFramebuffer = gfx75_CreateFramebuffer,
    .DestroyFramebuffer = gfx75_DestroyFramebuffer,
    .CreateRenderPass = gfx75_CreateRenderPass,
    .DestroyRenderPass = gfx75_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx75_GetRenderAreaGranularity,
    .CreateCommandPool = gfx75_CreateCommandPool,
    .DestroyCommandPool = gfx75_DestroyCommandPool,
    .ResetCommandPool = gfx75_ResetCommandPool,
    .AllocateCommandBuffers = gfx75_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx75_FreeCommandBuffers,
    .BeginCommandBuffer = gfx75_BeginCommandBuffer,
    .EndCommandBuffer = gfx75_EndCommandBuffer,
    .ResetCommandBuffer = gfx75_ResetCommandBuffer,
    .CmdBindPipeline = gfx75_CmdBindPipeline,
    .CmdSetViewport = gfx75_CmdSetViewport,
    .CmdSetScissor = gfx75_CmdSetScissor,
    .CmdSetLineWidth = gfx75_CmdSetLineWidth,
    .CmdSetDepthBias = gfx75_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx75_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx75_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx75_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx75_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx75_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx75_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx75_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx75_CmdBindVertexBuffers,
    .CmdDraw = gfx75_CmdDraw,
    .CmdDrawIndexed = gfx75_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx75_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx75_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx75_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx75_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx75_CmdDispatch,
    .CmdDispatchIndirect = gfx75_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx75_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx75_CmdCopyBuffer,
    .CmdCopyImage = gfx75_CmdCopyImage,
    .CmdBlitImage = gfx75_CmdBlitImage,
    .CmdCopyBufferToImage = gfx75_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx75_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx75_CmdUpdateBuffer,
    .CmdFillBuffer = gfx75_CmdFillBuffer,
    .CmdClearColorImage = gfx75_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx75_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx75_CmdClearAttachments,
    .CmdResolveImage = gfx75_CmdResolveImage,
    .CmdSetEvent = gfx75_CmdSetEvent,
    .CmdResetEvent = gfx75_CmdResetEvent,
    .CmdWaitEvents = gfx75_CmdWaitEvents,
    .CmdPipelineBarrier = gfx75_CmdPipelineBarrier,
    .CmdBeginQuery = gfx75_CmdBeginQuery,
    .CmdEndQuery = gfx75_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx75_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx75_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx75_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx75_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx75_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx75_CmdPushConstants,
    .CmdBeginRenderPass = gfx75_CmdBeginRenderPass,
    .CmdNextSubpass = gfx75_CmdNextSubpass,
    .CmdEndRenderPass = gfx75_CmdEndRenderPass,
    .CmdExecuteCommands = gfx75_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx75_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx75_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx75_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx75_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx75_AcquireNextImageKHR,
    .QueuePresentKHR = gfx75_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx75_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx75_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx75_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx75_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx75_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx75_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx75_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx75_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx75_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx75_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx75_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx75_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx75_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx75_TrimCommandPool,
    .TrimCommandPoolKHR = gfx75_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx75_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx75_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx75_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx75_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx75_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx75_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx75_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx75_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx75_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx75_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx75_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx75_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx75_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx75_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx75_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx75_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx75_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx75_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx75_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx75_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx75_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx75_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx75_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx75_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx75_BindImageMemory2,
    .BindImageMemory2KHR = gfx75_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx75_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx75_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx75_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx75_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx75_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx75_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx75_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx75_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx75_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx75_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx75_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx75_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx75_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx75_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx75_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx75_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx75_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx75_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx75_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx75_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx75_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx75_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx75_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx75_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx75_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx75_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx75_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx75_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx75_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx75_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx75_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx75_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx75_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx75_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx75_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx75_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx75_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx75_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx75_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx75_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx75_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx75_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx75_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx75_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx75_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx75_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx75_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx75_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx75_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx75_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx75_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx75_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx75_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx75_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx75_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx75_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx75_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx75_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx75_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx75_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx75_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx75_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx75_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx75_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx75_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx75_WaitSemaphores,
    .WaitSemaphoresKHR = gfx75_WaitSemaphoresKHR,
    .SignalSemaphore = gfx75_SignalSemaphore,
    .SignalSemaphoreKHR = gfx75_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx75_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx75_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx75_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx75_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx75_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx75_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx75_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx75_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx75_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx75_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx75_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx75_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx75_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx75_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx75_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx75_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx75_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx75_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx75_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx75_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx75_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx75_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx75_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx75_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx75_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx75_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx75_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx75_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx75_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx75_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx75_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx75_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx75_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx75_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx75_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx75_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx75_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx75_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx75_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx75_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx75_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx75_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx75_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx75_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx75_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx75_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx75_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx75_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx75_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx75_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx75_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx75_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx75_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx75_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx75_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx75_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx75_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx75_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx75_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx75_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx75_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx75_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx75_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx75_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx75_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx75_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx75_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx75_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx75_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx75_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx75_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx75_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx75_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx75_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx75_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx75_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx75_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx75_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx75_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx75_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx75_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx75_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx75_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx75_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx75_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx75_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx75_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx75_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx75_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx75_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx75_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx75_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx75_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx75_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx75_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx75_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx75_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx75_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx75_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx75_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx75_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx75_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx75_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx75_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx75_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx75_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx75_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx75_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx75_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx75_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx75_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx75_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx75_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx75_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx75_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx75_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx75_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx75_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx75_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx75_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx75_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx75_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx75_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx75_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx75_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx75_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx75_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx75_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx75_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx75_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx75_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx75_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx75_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx75_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx75_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx75_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx75_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx75_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx75_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx75_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx75_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx75_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx75_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx75_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx75_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx75_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx75_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx8_device_entrypoints = {
    .GetDeviceProcAddr = gfx8_GetDeviceProcAddr,
    .DestroyDevice = gfx8_DestroyDevice,
    .GetDeviceQueue = gfx8_GetDeviceQueue,
    .QueueSubmit = gfx8_QueueSubmit,
    .QueueWaitIdle = gfx8_QueueWaitIdle,
    .DeviceWaitIdle = gfx8_DeviceWaitIdle,
    .AllocateMemory = gfx8_AllocateMemory,
    .FreeMemory = gfx8_FreeMemory,
    .MapMemory = gfx8_MapMemory,
    .UnmapMemory = gfx8_UnmapMemory,
    .FlushMappedMemoryRanges = gfx8_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx8_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx8_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx8_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx8_BindBufferMemory,
    .GetImageMemoryRequirements = gfx8_GetImageMemoryRequirements,
    .BindImageMemory = gfx8_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx8_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx8_QueueBindSparse,
    .CreateFence = gfx8_CreateFence,
    .DestroyFence = gfx8_DestroyFence,
    .ResetFences = gfx8_ResetFences,
    .GetFenceStatus = gfx8_GetFenceStatus,
    .WaitForFences = gfx8_WaitForFences,
    .CreateSemaphore = gfx8_CreateSemaphore,
    .DestroySemaphore = gfx8_DestroySemaphore,
    .CreateEvent = gfx8_CreateEvent,
    .DestroyEvent = gfx8_DestroyEvent,
    .GetEventStatus = gfx8_GetEventStatus,
    .SetEvent = gfx8_SetEvent,
    .ResetEvent = gfx8_ResetEvent,
    .CreateQueryPool = gfx8_CreateQueryPool,
    .DestroyQueryPool = gfx8_DestroyQueryPool,
    .GetQueryPoolResults = gfx8_GetQueryPoolResults,
    .ResetQueryPool = gfx8_ResetQueryPool,
    .ResetQueryPoolEXT = gfx8_ResetQueryPoolEXT,
    .CreateBuffer = gfx8_CreateBuffer,
    .DestroyBuffer = gfx8_DestroyBuffer,
    .CreateBufferView = gfx8_CreateBufferView,
    .DestroyBufferView = gfx8_DestroyBufferView,
    .CreateImage = gfx8_CreateImage,
    .DestroyImage = gfx8_DestroyImage,
    .GetImageSubresourceLayout = gfx8_GetImageSubresourceLayout,
    .CreateImageView = gfx8_CreateImageView,
    .DestroyImageView = gfx8_DestroyImageView,
    .CreateShaderModule = gfx8_CreateShaderModule,
    .DestroyShaderModule = gfx8_DestroyShaderModule,
    .CreatePipelineCache = gfx8_CreatePipelineCache,
    .DestroyPipelineCache = gfx8_DestroyPipelineCache,
    .GetPipelineCacheData = gfx8_GetPipelineCacheData,
    .MergePipelineCaches = gfx8_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx8_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx8_CreateComputePipelines,
    .DestroyPipeline = gfx8_DestroyPipeline,
    .CreatePipelineLayout = gfx8_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx8_DestroyPipelineLayout,
    .CreateSampler = gfx8_CreateSampler,
    .DestroySampler = gfx8_DestroySampler,
    .CreateDescriptorSetLayout = gfx8_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx8_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx8_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx8_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx8_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx8_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx8_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx8_UpdateDescriptorSets,
    .CreateFramebuffer = gfx8_CreateFramebuffer,
    .DestroyFramebuffer = gfx8_DestroyFramebuffer,
    .CreateRenderPass = gfx8_CreateRenderPass,
    .DestroyRenderPass = gfx8_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx8_GetRenderAreaGranularity,
    .CreateCommandPool = gfx8_CreateCommandPool,
    .DestroyCommandPool = gfx8_DestroyCommandPool,
    .ResetCommandPool = gfx8_ResetCommandPool,
    .AllocateCommandBuffers = gfx8_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx8_FreeCommandBuffers,
    .BeginCommandBuffer = gfx8_BeginCommandBuffer,
    .EndCommandBuffer = gfx8_EndCommandBuffer,
    .ResetCommandBuffer = gfx8_ResetCommandBuffer,
    .CmdBindPipeline = gfx8_CmdBindPipeline,
    .CmdSetViewport = gfx8_CmdSetViewport,
    .CmdSetScissor = gfx8_CmdSetScissor,
    .CmdSetLineWidth = gfx8_CmdSetLineWidth,
    .CmdSetDepthBias = gfx8_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx8_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx8_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx8_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx8_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx8_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx8_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx8_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx8_CmdBindVertexBuffers,
    .CmdDraw = gfx8_CmdDraw,
    .CmdDrawIndexed = gfx8_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx8_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx8_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx8_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx8_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx8_CmdDispatch,
    .CmdDispatchIndirect = gfx8_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx8_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx8_CmdCopyBuffer,
    .CmdCopyImage = gfx8_CmdCopyImage,
    .CmdBlitImage = gfx8_CmdBlitImage,
    .CmdCopyBufferToImage = gfx8_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx8_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx8_CmdUpdateBuffer,
    .CmdFillBuffer = gfx8_CmdFillBuffer,
    .CmdClearColorImage = gfx8_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx8_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx8_CmdClearAttachments,
    .CmdResolveImage = gfx8_CmdResolveImage,
    .CmdSetEvent = gfx8_CmdSetEvent,
    .CmdResetEvent = gfx8_CmdResetEvent,
    .CmdWaitEvents = gfx8_CmdWaitEvents,
    .CmdPipelineBarrier = gfx8_CmdPipelineBarrier,
    .CmdBeginQuery = gfx8_CmdBeginQuery,
    .CmdEndQuery = gfx8_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx8_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx8_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx8_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx8_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx8_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx8_CmdPushConstants,
    .CmdBeginRenderPass = gfx8_CmdBeginRenderPass,
    .CmdNextSubpass = gfx8_CmdNextSubpass,
    .CmdEndRenderPass = gfx8_CmdEndRenderPass,
    .CmdExecuteCommands = gfx8_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx8_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx8_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx8_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx8_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx8_AcquireNextImageKHR,
    .QueuePresentKHR = gfx8_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx8_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx8_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx8_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx8_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx8_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx8_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx8_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx8_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx8_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx8_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx8_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx8_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx8_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx8_TrimCommandPool,
    .TrimCommandPoolKHR = gfx8_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx8_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx8_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx8_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx8_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx8_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx8_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx8_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx8_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx8_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx8_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx8_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx8_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx8_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx8_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx8_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx8_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx8_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx8_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx8_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx8_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx8_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx8_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx8_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx8_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx8_BindImageMemory2,
    .BindImageMemory2KHR = gfx8_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx8_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx8_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx8_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx8_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx8_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx8_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx8_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx8_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx8_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx8_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx8_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx8_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx8_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx8_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx8_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx8_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx8_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx8_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx8_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx8_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx8_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx8_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx8_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx8_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx8_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx8_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx8_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx8_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx8_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx8_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx8_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx8_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx8_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx8_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx8_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx8_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx8_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx8_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx8_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx8_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx8_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx8_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx8_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx8_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx8_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx8_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx8_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx8_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx8_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx8_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx8_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx8_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx8_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx8_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx8_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx8_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx8_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx8_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx8_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx8_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx8_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx8_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx8_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx8_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx8_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx8_WaitSemaphores,
    .WaitSemaphoresKHR = gfx8_WaitSemaphoresKHR,
    .SignalSemaphore = gfx8_SignalSemaphore,
    .SignalSemaphoreKHR = gfx8_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx8_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx8_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx8_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx8_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx8_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx8_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx8_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx8_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx8_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx8_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx8_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx8_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx8_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx8_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx8_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx8_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx8_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx8_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx8_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx8_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx8_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx8_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx8_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx8_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx8_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx8_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx8_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx8_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx8_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx8_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx8_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx8_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx8_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx8_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx8_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx8_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx8_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx8_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx8_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx8_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx8_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx8_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx8_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx8_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx8_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx8_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx8_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx8_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx8_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx8_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx8_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx8_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx8_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx8_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx8_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx8_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx8_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx8_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx8_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx8_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx8_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx8_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx8_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx8_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx8_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx8_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx8_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx8_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx8_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx8_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx8_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx8_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx8_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx8_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx8_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx8_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx8_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx8_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx8_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx8_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx8_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx8_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx8_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx8_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx8_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx8_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx8_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx8_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx8_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx8_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx8_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx8_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx8_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx8_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx8_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx8_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx8_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx8_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx8_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx8_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx8_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx8_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx8_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx8_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx8_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx8_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx8_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx8_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx8_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx8_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx8_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx8_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx8_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx8_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx8_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx8_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx8_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx8_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx8_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx8_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx8_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx8_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx8_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx8_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx8_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx8_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx8_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx8_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx8_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx8_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx8_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx8_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx8_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx8_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx8_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx8_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx8_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx8_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx8_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx8_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx8_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx8_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx8_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx8_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx8_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx8_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx8_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx9_device_entrypoints = {
    .GetDeviceProcAddr = gfx9_GetDeviceProcAddr,
    .DestroyDevice = gfx9_DestroyDevice,
    .GetDeviceQueue = gfx9_GetDeviceQueue,
    .QueueSubmit = gfx9_QueueSubmit,
    .QueueWaitIdle = gfx9_QueueWaitIdle,
    .DeviceWaitIdle = gfx9_DeviceWaitIdle,
    .AllocateMemory = gfx9_AllocateMemory,
    .FreeMemory = gfx9_FreeMemory,
    .MapMemory = gfx9_MapMemory,
    .UnmapMemory = gfx9_UnmapMemory,
    .FlushMappedMemoryRanges = gfx9_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx9_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx9_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx9_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx9_BindBufferMemory,
    .GetImageMemoryRequirements = gfx9_GetImageMemoryRequirements,
    .BindImageMemory = gfx9_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx9_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx9_QueueBindSparse,
    .CreateFence = gfx9_CreateFence,
    .DestroyFence = gfx9_DestroyFence,
    .ResetFences = gfx9_ResetFences,
    .GetFenceStatus = gfx9_GetFenceStatus,
    .WaitForFences = gfx9_WaitForFences,
    .CreateSemaphore = gfx9_CreateSemaphore,
    .DestroySemaphore = gfx9_DestroySemaphore,
    .CreateEvent = gfx9_CreateEvent,
    .DestroyEvent = gfx9_DestroyEvent,
    .GetEventStatus = gfx9_GetEventStatus,
    .SetEvent = gfx9_SetEvent,
    .ResetEvent = gfx9_ResetEvent,
    .CreateQueryPool = gfx9_CreateQueryPool,
    .DestroyQueryPool = gfx9_DestroyQueryPool,
    .GetQueryPoolResults = gfx9_GetQueryPoolResults,
    .ResetQueryPool = gfx9_ResetQueryPool,
    .ResetQueryPoolEXT = gfx9_ResetQueryPoolEXT,
    .CreateBuffer = gfx9_CreateBuffer,
    .DestroyBuffer = gfx9_DestroyBuffer,
    .CreateBufferView = gfx9_CreateBufferView,
    .DestroyBufferView = gfx9_DestroyBufferView,
    .CreateImage = gfx9_CreateImage,
    .DestroyImage = gfx9_DestroyImage,
    .GetImageSubresourceLayout = gfx9_GetImageSubresourceLayout,
    .CreateImageView = gfx9_CreateImageView,
    .DestroyImageView = gfx9_DestroyImageView,
    .CreateShaderModule = gfx9_CreateShaderModule,
    .DestroyShaderModule = gfx9_DestroyShaderModule,
    .CreatePipelineCache = gfx9_CreatePipelineCache,
    .DestroyPipelineCache = gfx9_DestroyPipelineCache,
    .GetPipelineCacheData = gfx9_GetPipelineCacheData,
    .MergePipelineCaches = gfx9_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx9_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx9_CreateComputePipelines,
    .DestroyPipeline = gfx9_DestroyPipeline,
    .CreatePipelineLayout = gfx9_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx9_DestroyPipelineLayout,
    .CreateSampler = gfx9_CreateSampler,
    .DestroySampler = gfx9_DestroySampler,
    .CreateDescriptorSetLayout = gfx9_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx9_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx9_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx9_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx9_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx9_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx9_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx9_UpdateDescriptorSets,
    .CreateFramebuffer = gfx9_CreateFramebuffer,
    .DestroyFramebuffer = gfx9_DestroyFramebuffer,
    .CreateRenderPass = gfx9_CreateRenderPass,
    .DestroyRenderPass = gfx9_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx9_GetRenderAreaGranularity,
    .CreateCommandPool = gfx9_CreateCommandPool,
    .DestroyCommandPool = gfx9_DestroyCommandPool,
    .ResetCommandPool = gfx9_ResetCommandPool,
    .AllocateCommandBuffers = gfx9_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx9_FreeCommandBuffers,
    .BeginCommandBuffer = gfx9_BeginCommandBuffer,
    .EndCommandBuffer = gfx9_EndCommandBuffer,
    .ResetCommandBuffer = gfx9_ResetCommandBuffer,
    .CmdBindPipeline = gfx9_CmdBindPipeline,
    .CmdSetViewport = gfx9_CmdSetViewport,
    .CmdSetScissor = gfx9_CmdSetScissor,
    .CmdSetLineWidth = gfx9_CmdSetLineWidth,
    .CmdSetDepthBias = gfx9_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx9_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx9_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx9_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx9_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx9_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx9_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx9_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx9_CmdBindVertexBuffers,
    .CmdDraw = gfx9_CmdDraw,
    .CmdDrawIndexed = gfx9_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx9_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx9_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx9_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx9_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx9_CmdDispatch,
    .CmdDispatchIndirect = gfx9_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx9_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx9_CmdCopyBuffer,
    .CmdCopyImage = gfx9_CmdCopyImage,
    .CmdBlitImage = gfx9_CmdBlitImage,
    .CmdCopyBufferToImage = gfx9_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx9_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx9_CmdUpdateBuffer,
    .CmdFillBuffer = gfx9_CmdFillBuffer,
    .CmdClearColorImage = gfx9_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx9_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx9_CmdClearAttachments,
    .CmdResolveImage = gfx9_CmdResolveImage,
    .CmdSetEvent = gfx9_CmdSetEvent,
    .CmdResetEvent = gfx9_CmdResetEvent,
    .CmdWaitEvents = gfx9_CmdWaitEvents,
    .CmdPipelineBarrier = gfx9_CmdPipelineBarrier,
    .CmdBeginQuery = gfx9_CmdBeginQuery,
    .CmdEndQuery = gfx9_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx9_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx9_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx9_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx9_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx9_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx9_CmdPushConstants,
    .CmdBeginRenderPass = gfx9_CmdBeginRenderPass,
    .CmdNextSubpass = gfx9_CmdNextSubpass,
    .CmdEndRenderPass = gfx9_CmdEndRenderPass,
    .CmdExecuteCommands = gfx9_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx9_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx9_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx9_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx9_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx9_AcquireNextImageKHR,
    .QueuePresentKHR = gfx9_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx9_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx9_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx9_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx9_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx9_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx9_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx9_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx9_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx9_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx9_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx9_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx9_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx9_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx9_TrimCommandPool,
    .TrimCommandPoolKHR = gfx9_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx9_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx9_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx9_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx9_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx9_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx9_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx9_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx9_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx9_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx9_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx9_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx9_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx9_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx9_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx9_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx9_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx9_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx9_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx9_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx9_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx9_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx9_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx9_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx9_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx9_BindImageMemory2,
    .BindImageMemory2KHR = gfx9_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx9_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx9_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx9_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx9_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx9_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx9_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx9_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx9_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx9_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx9_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx9_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx9_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx9_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx9_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx9_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx9_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx9_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx9_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx9_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx9_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx9_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx9_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx9_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx9_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx9_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx9_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx9_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx9_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx9_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx9_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx9_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx9_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx9_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx9_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx9_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx9_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx9_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx9_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx9_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx9_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx9_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx9_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx9_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx9_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx9_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx9_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx9_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx9_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx9_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx9_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx9_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx9_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx9_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx9_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx9_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx9_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx9_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx9_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx9_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx9_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx9_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx9_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx9_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx9_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx9_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx9_WaitSemaphores,
    .WaitSemaphoresKHR = gfx9_WaitSemaphoresKHR,
    .SignalSemaphore = gfx9_SignalSemaphore,
    .SignalSemaphoreKHR = gfx9_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx9_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx9_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx9_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx9_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx9_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx9_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx9_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx9_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx9_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx9_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx9_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx9_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx9_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx9_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx9_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx9_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx9_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx9_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx9_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx9_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx9_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx9_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx9_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx9_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx9_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx9_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx9_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx9_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx9_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx9_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx9_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx9_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx9_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx9_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx9_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx9_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx9_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx9_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx9_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx9_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx9_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx9_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx9_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx9_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx9_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx9_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx9_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx9_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx9_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx9_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx9_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx9_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx9_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx9_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx9_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx9_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx9_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx9_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx9_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx9_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx9_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx9_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx9_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx9_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx9_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx9_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx9_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx9_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx9_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx9_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx9_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx9_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx9_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx9_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx9_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx9_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx9_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx9_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx9_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx9_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx9_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx9_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx9_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx9_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx9_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx9_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx9_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx9_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx9_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx9_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx9_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx9_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx9_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx9_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx9_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx9_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx9_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx9_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx9_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx9_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx9_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx9_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx9_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx9_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx9_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx9_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx9_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx9_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx9_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx9_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx9_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx9_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx9_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx9_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx9_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx9_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx9_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx9_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx9_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx9_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx9_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx9_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx9_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx9_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx9_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx9_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx9_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx9_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx9_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx9_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx9_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx9_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx9_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx9_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx9_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx9_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx9_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx9_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx9_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx9_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx9_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx9_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx9_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx9_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx9_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx9_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx9_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx11_device_entrypoints = {
    .GetDeviceProcAddr = gfx11_GetDeviceProcAddr,
    .DestroyDevice = gfx11_DestroyDevice,
    .GetDeviceQueue = gfx11_GetDeviceQueue,
    .QueueSubmit = gfx11_QueueSubmit,
    .QueueWaitIdle = gfx11_QueueWaitIdle,
    .DeviceWaitIdle = gfx11_DeviceWaitIdle,
    .AllocateMemory = gfx11_AllocateMemory,
    .FreeMemory = gfx11_FreeMemory,
    .MapMemory = gfx11_MapMemory,
    .UnmapMemory = gfx11_UnmapMemory,
    .FlushMappedMemoryRanges = gfx11_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx11_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx11_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx11_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx11_BindBufferMemory,
    .GetImageMemoryRequirements = gfx11_GetImageMemoryRequirements,
    .BindImageMemory = gfx11_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx11_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx11_QueueBindSparse,
    .CreateFence = gfx11_CreateFence,
    .DestroyFence = gfx11_DestroyFence,
    .ResetFences = gfx11_ResetFences,
    .GetFenceStatus = gfx11_GetFenceStatus,
    .WaitForFences = gfx11_WaitForFences,
    .CreateSemaphore = gfx11_CreateSemaphore,
    .DestroySemaphore = gfx11_DestroySemaphore,
    .CreateEvent = gfx11_CreateEvent,
    .DestroyEvent = gfx11_DestroyEvent,
    .GetEventStatus = gfx11_GetEventStatus,
    .SetEvent = gfx11_SetEvent,
    .ResetEvent = gfx11_ResetEvent,
    .CreateQueryPool = gfx11_CreateQueryPool,
    .DestroyQueryPool = gfx11_DestroyQueryPool,
    .GetQueryPoolResults = gfx11_GetQueryPoolResults,
    .ResetQueryPool = gfx11_ResetQueryPool,
    .ResetQueryPoolEXT = gfx11_ResetQueryPoolEXT,
    .CreateBuffer = gfx11_CreateBuffer,
    .DestroyBuffer = gfx11_DestroyBuffer,
    .CreateBufferView = gfx11_CreateBufferView,
    .DestroyBufferView = gfx11_DestroyBufferView,
    .CreateImage = gfx11_CreateImage,
    .DestroyImage = gfx11_DestroyImage,
    .GetImageSubresourceLayout = gfx11_GetImageSubresourceLayout,
    .CreateImageView = gfx11_CreateImageView,
    .DestroyImageView = gfx11_DestroyImageView,
    .CreateShaderModule = gfx11_CreateShaderModule,
    .DestroyShaderModule = gfx11_DestroyShaderModule,
    .CreatePipelineCache = gfx11_CreatePipelineCache,
    .DestroyPipelineCache = gfx11_DestroyPipelineCache,
    .GetPipelineCacheData = gfx11_GetPipelineCacheData,
    .MergePipelineCaches = gfx11_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx11_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx11_CreateComputePipelines,
    .DestroyPipeline = gfx11_DestroyPipeline,
    .CreatePipelineLayout = gfx11_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx11_DestroyPipelineLayout,
    .CreateSampler = gfx11_CreateSampler,
    .DestroySampler = gfx11_DestroySampler,
    .CreateDescriptorSetLayout = gfx11_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx11_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx11_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx11_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx11_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx11_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx11_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx11_UpdateDescriptorSets,
    .CreateFramebuffer = gfx11_CreateFramebuffer,
    .DestroyFramebuffer = gfx11_DestroyFramebuffer,
    .CreateRenderPass = gfx11_CreateRenderPass,
    .DestroyRenderPass = gfx11_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx11_GetRenderAreaGranularity,
    .CreateCommandPool = gfx11_CreateCommandPool,
    .DestroyCommandPool = gfx11_DestroyCommandPool,
    .ResetCommandPool = gfx11_ResetCommandPool,
    .AllocateCommandBuffers = gfx11_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx11_FreeCommandBuffers,
    .BeginCommandBuffer = gfx11_BeginCommandBuffer,
    .EndCommandBuffer = gfx11_EndCommandBuffer,
    .ResetCommandBuffer = gfx11_ResetCommandBuffer,
    .CmdBindPipeline = gfx11_CmdBindPipeline,
    .CmdSetViewport = gfx11_CmdSetViewport,
    .CmdSetScissor = gfx11_CmdSetScissor,
    .CmdSetLineWidth = gfx11_CmdSetLineWidth,
    .CmdSetDepthBias = gfx11_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx11_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx11_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx11_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx11_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx11_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx11_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx11_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx11_CmdBindVertexBuffers,
    .CmdDraw = gfx11_CmdDraw,
    .CmdDrawIndexed = gfx11_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx11_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx11_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx11_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx11_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx11_CmdDispatch,
    .CmdDispatchIndirect = gfx11_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx11_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx11_CmdCopyBuffer,
    .CmdCopyImage = gfx11_CmdCopyImage,
    .CmdBlitImage = gfx11_CmdBlitImage,
    .CmdCopyBufferToImage = gfx11_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx11_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx11_CmdUpdateBuffer,
    .CmdFillBuffer = gfx11_CmdFillBuffer,
    .CmdClearColorImage = gfx11_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx11_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx11_CmdClearAttachments,
    .CmdResolveImage = gfx11_CmdResolveImage,
    .CmdSetEvent = gfx11_CmdSetEvent,
    .CmdResetEvent = gfx11_CmdResetEvent,
    .CmdWaitEvents = gfx11_CmdWaitEvents,
    .CmdPipelineBarrier = gfx11_CmdPipelineBarrier,
    .CmdBeginQuery = gfx11_CmdBeginQuery,
    .CmdEndQuery = gfx11_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx11_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx11_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx11_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx11_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx11_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx11_CmdPushConstants,
    .CmdBeginRenderPass = gfx11_CmdBeginRenderPass,
    .CmdNextSubpass = gfx11_CmdNextSubpass,
    .CmdEndRenderPass = gfx11_CmdEndRenderPass,
    .CmdExecuteCommands = gfx11_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx11_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx11_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx11_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx11_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx11_AcquireNextImageKHR,
    .QueuePresentKHR = gfx11_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx11_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx11_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx11_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx11_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx11_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx11_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx11_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx11_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx11_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx11_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx11_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx11_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx11_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx11_TrimCommandPool,
    .TrimCommandPoolKHR = gfx11_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx11_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx11_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx11_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx11_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx11_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx11_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx11_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx11_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx11_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx11_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx11_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx11_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx11_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx11_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx11_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx11_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx11_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx11_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx11_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx11_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx11_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx11_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx11_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx11_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx11_BindImageMemory2,
    .BindImageMemory2KHR = gfx11_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx11_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx11_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx11_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx11_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx11_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx11_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx11_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx11_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx11_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx11_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx11_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx11_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx11_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx11_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx11_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx11_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx11_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx11_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx11_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx11_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx11_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx11_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx11_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx11_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx11_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx11_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx11_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx11_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx11_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx11_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx11_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx11_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx11_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx11_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx11_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx11_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx11_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx11_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx11_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx11_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx11_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx11_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx11_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx11_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx11_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx11_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx11_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx11_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx11_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx11_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx11_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx11_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx11_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx11_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx11_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx11_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx11_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx11_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx11_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx11_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx11_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx11_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx11_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx11_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx11_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx11_WaitSemaphores,
    .WaitSemaphoresKHR = gfx11_WaitSemaphoresKHR,
    .SignalSemaphore = gfx11_SignalSemaphore,
    .SignalSemaphoreKHR = gfx11_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx11_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx11_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx11_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx11_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx11_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx11_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx11_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx11_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx11_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx11_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx11_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx11_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx11_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx11_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx11_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx11_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx11_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx11_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx11_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx11_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx11_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx11_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx11_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx11_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx11_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx11_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx11_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx11_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx11_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx11_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx11_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx11_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx11_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx11_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx11_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx11_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx11_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx11_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx11_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx11_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx11_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx11_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx11_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx11_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx11_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx11_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx11_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx11_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx11_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx11_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx11_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx11_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx11_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx11_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx11_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx11_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx11_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx11_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx11_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx11_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx11_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx11_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx11_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx11_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx11_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx11_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx11_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx11_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx11_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx11_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx11_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx11_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx11_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx11_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx11_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx11_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx11_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx11_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx11_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx11_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx11_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx11_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx11_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx11_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx11_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx11_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx11_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx11_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx11_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx11_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx11_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx11_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx11_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx11_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx11_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx11_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx11_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx11_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx11_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx11_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx11_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx11_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx11_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx11_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx11_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx11_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx11_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx11_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx11_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx11_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx11_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx11_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx11_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx11_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx11_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx11_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx11_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx11_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx11_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx11_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx11_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx11_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx11_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx11_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx11_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx11_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx11_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx11_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx11_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx11_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx11_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx11_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx11_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx11_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx11_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx11_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx11_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx11_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx11_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx11_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx11_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx11_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx11_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx11_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx11_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx11_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx11_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx12_device_entrypoints = {
    .GetDeviceProcAddr = gfx12_GetDeviceProcAddr,
    .DestroyDevice = gfx12_DestroyDevice,
    .GetDeviceQueue = gfx12_GetDeviceQueue,
    .QueueSubmit = gfx12_QueueSubmit,
    .QueueWaitIdle = gfx12_QueueWaitIdle,
    .DeviceWaitIdle = gfx12_DeviceWaitIdle,
    .AllocateMemory = gfx12_AllocateMemory,
    .FreeMemory = gfx12_FreeMemory,
    .MapMemory = gfx12_MapMemory,
    .UnmapMemory = gfx12_UnmapMemory,
    .FlushMappedMemoryRanges = gfx12_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx12_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx12_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx12_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx12_BindBufferMemory,
    .GetImageMemoryRequirements = gfx12_GetImageMemoryRequirements,
    .BindImageMemory = gfx12_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx12_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx12_QueueBindSparse,
    .CreateFence = gfx12_CreateFence,
    .DestroyFence = gfx12_DestroyFence,
    .ResetFences = gfx12_ResetFences,
    .GetFenceStatus = gfx12_GetFenceStatus,
    .WaitForFences = gfx12_WaitForFences,
    .CreateSemaphore = gfx12_CreateSemaphore,
    .DestroySemaphore = gfx12_DestroySemaphore,
    .CreateEvent = gfx12_CreateEvent,
    .DestroyEvent = gfx12_DestroyEvent,
    .GetEventStatus = gfx12_GetEventStatus,
    .SetEvent = gfx12_SetEvent,
    .ResetEvent = gfx12_ResetEvent,
    .CreateQueryPool = gfx12_CreateQueryPool,
    .DestroyQueryPool = gfx12_DestroyQueryPool,
    .GetQueryPoolResults = gfx12_GetQueryPoolResults,
    .ResetQueryPool = gfx12_ResetQueryPool,
    .ResetQueryPoolEXT = gfx12_ResetQueryPoolEXT,
    .CreateBuffer = gfx12_CreateBuffer,
    .DestroyBuffer = gfx12_DestroyBuffer,
    .CreateBufferView = gfx12_CreateBufferView,
    .DestroyBufferView = gfx12_DestroyBufferView,
    .CreateImage = gfx12_CreateImage,
    .DestroyImage = gfx12_DestroyImage,
    .GetImageSubresourceLayout = gfx12_GetImageSubresourceLayout,
    .CreateImageView = gfx12_CreateImageView,
    .DestroyImageView = gfx12_DestroyImageView,
    .CreateShaderModule = gfx12_CreateShaderModule,
    .DestroyShaderModule = gfx12_DestroyShaderModule,
    .CreatePipelineCache = gfx12_CreatePipelineCache,
    .DestroyPipelineCache = gfx12_DestroyPipelineCache,
    .GetPipelineCacheData = gfx12_GetPipelineCacheData,
    .MergePipelineCaches = gfx12_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx12_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx12_CreateComputePipelines,
    .DestroyPipeline = gfx12_DestroyPipeline,
    .CreatePipelineLayout = gfx12_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx12_DestroyPipelineLayout,
    .CreateSampler = gfx12_CreateSampler,
    .DestroySampler = gfx12_DestroySampler,
    .CreateDescriptorSetLayout = gfx12_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx12_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx12_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx12_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx12_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx12_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx12_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx12_UpdateDescriptorSets,
    .CreateFramebuffer = gfx12_CreateFramebuffer,
    .DestroyFramebuffer = gfx12_DestroyFramebuffer,
    .CreateRenderPass = gfx12_CreateRenderPass,
    .DestroyRenderPass = gfx12_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx12_GetRenderAreaGranularity,
    .CreateCommandPool = gfx12_CreateCommandPool,
    .DestroyCommandPool = gfx12_DestroyCommandPool,
    .ResetCommandPool = gfx12_ResetCommandPool,
    .AllocateCommandBuffers = gfx12_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx12_FreeCommandBuffers,
    .BeginCommandBuffer = gfx12_BeginCommandBuffer,
    .EndCommandBuffer = gfx12_EndCommandBuffer,
    .ResetCommandBuffer = gfx12_ResetCommandBuffer,
    .CmdBindPipeline = gfx12_CmdBindPipeline,
    .CmdSetViewport = gfx12_CmdSetViewport,
    .CmdSetScissor = gfx12_CmdSetScissor,
    .CmdSetLineWidth = gfx12_CmdSetLineWidth,
    .CmdSetDepthBias = gfx12_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx12_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx12_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx12_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx12_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx12_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx12_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx12_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx12_CmdBindVertexBuffers,
    .CmdDraw = gfx12_CmdDraw,
    .CmdDrawIndexed = gfx12_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx12_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx12_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx12_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx12_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx12_CmdDispatch,
    .CmdDispatchIndirect = gfx12_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx12_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx12_CmdCopyBuffer,
    .CmdCopyImage = gfx12_CmdCopyImage,
    .CmdBlitImage = gfx12_CmdBlitImage,
    .CmdCopyBufferToImage = gfx12_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx12_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx12_CmdUpdateBuffer,
    .CmdFillBuffer = gfx12_CmdFillBuffer,
    .CmdClearColorImage = gfx12_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx12_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx12_CmdClearAttachments,
    .CmdResolveImage = gfx12_CmdResolveImage,
    .CmdSetEvent = gfx12_CmdSetEvent,
    .CmdResetEvent = gfx12_CmdResetEvent,
    .CmdWaitEvents = gfx12_CmdWaitEvents,
    .CmdPipelineBarrier = gfx12_CmdPipelineBarrier,
    .CmdBeginQuery = gfx12_CmdBeginQuery,
    .CmdEndQuery = gfx12_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx12_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx12_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx12_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx12_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx12_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx12_CmdPushConstants,
    .CmdBeginRenderPass = gfx12_CmdBeginRenderPass,
    .CmdNextSubpass = gfx12_CmdNextSubpass,
    .CmdEndRenderPass = gfx12_CmdEndRenderPass,
    .CmdExecuteCommands = gfx12_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx12_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx12_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx12_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx12_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx12_AcquireNextImageKHR,
    .QueuePresentKHR = gfx12_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx12_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx12_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx12_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx12_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx12_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx12_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx12_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx12_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx12_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx12_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx12_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx12_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx12_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx12_TrimCommandPool,
    .TrimCommandPoolKHR = gfx12_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx12_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx12_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx12_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx12_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx12_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx12_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx12_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx12_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx12_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx12_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx12_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx12_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx12_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx12_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx12_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx12_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx12_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx12_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx12_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx12_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx12_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx12_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx12_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx12_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx12_BindImageMemory2,
    .BindImageMemory2KHR = gfx12_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx12_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx12_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx12_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx12_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx12_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx12_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx12_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx12_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx12_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx12_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx12_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx12_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx12_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx12_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx12_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx12_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx12_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx12_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx12_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx12_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx12_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx12_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx12_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx12_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx12_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx12_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx12_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx12_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx12_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx12_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx12_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx12_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx12_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx12_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx12_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx12_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx12_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx12_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx12_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx12_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx12_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx12_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx12_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx12_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx12_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx12_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx12_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx12_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx12_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx12_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx12_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx12_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx12_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx12_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx12_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx12_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx12_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx12_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx12_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx12_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx12_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx12_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx12_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx12_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx12_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx12_WaitSemaphores,
    .WaitSemaphoresKHR = gfx12_WaitSemaphoresKHR,
    .SignalSemaphore = gfx12_SignalSemaphore,
    .SignalSemaphoreKHR = gfx12_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx12_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx12_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx12_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx12_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx12_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx12_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx12_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx12_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx12_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx12_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx12_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx12_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx12_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx12_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx12_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx12_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx12_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx12_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx12_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx12_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx12_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx12_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx12_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx12_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx12_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx12_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx12_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx12_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx12_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx12_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx12_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx12_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx12_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx12_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx12_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx12_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx12_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx12_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx12_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx12_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx12_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx12_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx12_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx12_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx12_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx12_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx12_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx12_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx12_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx12_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx12_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx12_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx12_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx12_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx12_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx12_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx12_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx12_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx12_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx12_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx12_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx12_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx12_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx12_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx12_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx12_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx12_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx12_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx12_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx12_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx12_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx12_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx12_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx12_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx12_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx12_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx12_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx12_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx12_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx12_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx12_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx12_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx12_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx12_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx12_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx12_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx12_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx12_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx12_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx12_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx12_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx12_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx12_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx12_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx12_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx12_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx12_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx12_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx12_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx12_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx12_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx12_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx12_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx12_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx12_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx12_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx12_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx12_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx12_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx12_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx12_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx12_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx12_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx12_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx12_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx12_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx12_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx12_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx12_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx12_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx12_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx12_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx12_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx12_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx12_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx12_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx12_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx12_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx12_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx12_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx12_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx12_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx12_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx12_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx12_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx12_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx12_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx12_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx12_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx12_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx12_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx12_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx12_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx12_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx12_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx12_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx12_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table gfx125_device_entrypoints = {
    .GetDeviceProcAddr = gfx125_GetDeviceProcAddr,
    .DestroyDevice = gfx125_DestroyDevice,
    .GetDeviceQueue = gfx125_GetDeviceQueue,
    .QueueSubmit = gfx125_QueueSubmit,
    .QueueWaitIdle = gfx125_QueueWaitIdle,
    .DeviceWaitIdle = gfx125_DeviceWaitIdle,
    .AllocateMemory = gfx125_AllocateMemory,
    .FreeMemory = gfx125_FreeMemory,
    .MapMemory = gfx125_MapMemory,
    .UnmapMemory = gfx125_UnmapMemory,
    .FlushMappedMemoryRanges = gfx125_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = gfx125_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = gfx125_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = gfx125_GetBufferMemoryRequirements,
    .BindBufferMemory = gfx125_BindBufferMemory,
    .GetImageMemoryRequirements = gfx125_GetImageMemoryRequirements,
    .BindImageMemory = gfx125_BindImageMemory,
    .GetImageSparseMemoryRequirements = gfx125_GetImageSparseMemoryRequirements,
    .QueueBindSparse = gfx125_QueueBindSparse,
    .CreateFence = gfx125_CreateFence,
    .DestroyFence = gfx125_DestroyFence,
    .ResetFences = gfx125_ResetFences,
    .GetFenceStatus = gfx125_GetFenceStatus,
    .WaitForFences = gfx125_WaitForFences,
    .CreateSemaphore = gfx125_CreateSemaphore,
    .DestroySemaphore = gfx125_DestroySemaphore,
    .CreateEvent = gfx125_CreateEvent,
    .DestroyEvent = gfx125_DestroyEvent,
    .GetEventStatus = gfx125_GetEventStatus,
    .SetEvent = gfx125_SetEvent,
    .ResetEvent = gfx125_ResetEvent,
    .CreateQueryPool = gfx125_CreateQueryPool,
    .DestroyQueryPool = gfx125_DestroyQueryPool,
    .GetQueryPoolResults = gfx125_GetQueryPoolResults,
    .ResetQueryPool = gfx125_ResetQueryPool,
    .ResetQueryPoolEXT = gfx125_ResetQueryPoolEXT,
    .CreateBuffer = gfx125_CreateBuffer,
    .DestroyBuffer = gfx125_DestroyBuffer,
    .CreateBufferView = gfx125_CreateBufferView,
    .DestroyBufferView = gfx125_DestroyBufferView,
    .CreateImage = gfx125_CreateImage,
    .DestroyImage = gfx125_DestroyImage,
    .GetImageSubresourceLayout = gfx125_GetImageSubresourceLayout,
    .CreateImageView = gfx125_CreateImageView,
    .DestroyImageView = gfx125_DestroyImageView,
    .CreateShaderModule = gfx125_CreateShaderModule,
    .DestroyShaderModule = gfx125_DestroyShaderModule,
    .CreatePipelineCache = gfx125_CreatePipelineCache,
    .DestroyPipelineCache = gfx125_DestroyPipelineCache,
    .GetPipelineCacheData = gfx125_GetPipelineCacheData,
    .MergePipelineCaches = gfx125_MergePipelineCaches,
    .CreateGraphicsPipelines = gfx125_CreateGraphicsPipelines,
    .CreateComputePipelines = gfx125_CreateComputePipelines,
    .DestroyPipeline = gfx125_DestroyPipeline,
    .CreatePipelineLayout = gfx125_CreatePipelineLayout,
    .DestroyPipelineLayout = gfx125_DestroyPipelineLayout,
    .CreateSampler = gfx125_CreateSampler,
    .DestroySampler = gfx125_DestroySampler,
    .CreateDescriptorSetLayout = gfx125_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = gfx125_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = gfx125_CreateDescriptorPool,
    .DestroyDescriptorPool = gfx125_DestroyDescriptorPool,
    .ResetDescriptorPool = gfx125_ResetDescriptorPool,
    .AllocateDescriptorSets = gfx125_AllocateDescriptorSets,
    .FreeDescriptorSets = gfx125_FreeDescriptorSets,
    .UpdateDescriptorSets = gfx125_UpdateDescriptorSets,
    .CreateFramebuffer = gfx125_CreateFramebuffer,
    .DestroyFramebuffer = gfx125_DestroyFramebuffer,
    .CreateRenderPass = gfx125_CreateRenderPass,
    .DestroyRenderPass = gfx125_DestroyRenderPass,
    .GetRenderAreaGranularity = gfx125_GetRenderAreaGranularity,
    .CreateCommandPool = gfx125_CreateCommandPool,
    .DestroyCommandPool = gfx125_DestroyCommandPool,
    .ResetCommandPool = gfx125_ResetCommandPool,
    .AllocateCommandBuffers = gfx125_AllocateCommandBuffers,
    .FreeCommandBuffers = gfx125_FreeCommandBuffers,
    .BeginCommandBuffer = gfx125_BeginCommandBuffer,
    .EndCommandBuffer = gfx125_EndCommandBuffer,
    .ResetCommandBuffer = gfx125_ResetCommandBuffer,
    .CmdBindPipeline = gfx125_CmdBindPipeline,
    .CmdSetViewport = gfx125_CmdSetViewport,
    .CmdSetScissor = gfx125_CmdSetScissor,
    .CmdSetLineWidth = gfx125_CmdSetLineWidth,
    .CmdSetDepthBias = gfx125_CmdSetDepthBias,
    .CmdSetBlendConstants = gfx125_CmdSetBlendConstants,
    .CmdSetDepthBounds = gfx125_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = gfx125_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = gfx125_CmdSetStencilWriteMask,
    .CmdSetStencilReference = gfx125_CmdSetStencilReference,
    .CmdBindDescriptorSets = gfx125_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = gfx125_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = gfx125_CmdBindVertexBuffers,
    .CmdDraw = gfx125_CmdDraw,
    .CmdDrawIndexed = gfx125_CmdDrawIndexed,
    .CmdDrawMultiEXT = gfx125_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = gfx125_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = gfx125_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = gfx125_CmdDrawIndexedIndirect,
    .CmdDispatch = gfx125_CmdDispatch,
    .CmdDispatchIndirect = gfx125_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = gfx125_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = gfx125_CmdCopyBuffer,
    .CmdCopyImage = gfx125_CmdCopyImage,
    .CmdBlitImage = gfx125_CmdBlitImage,
    .CmdCopyBufferToImage = gfx125_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = gfx125_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = gfx125_CmdUpdateBuffer,
    .CmdFillBuffer = gfx125_CmdFillBuffer,
    .CmdClearColorImage = gfx125_CmdClearColorImage,
    .CmdClearDepthStencilImage = gfx125_CmdClearDepthStencilImage,
    .CmdClearAttachments = gfx125_CmdClearAttachments,
    .CmdResolveImage = gfx125_CmdResolveImage,
    .CmdSetEvent = gfx125_CmdSetEvent,
    .CmdResetEvent = gfx125_CmdResetEvent,
    .CmdWaitEvents = gfx125_CmdWaitEvents,
    .CmdPipelineBarrier = gfx125_CmdPipelineBarrier,
    .CmdBeginQuery = gfx125_CmdBeginQuery,
    .CmdEndQuery = gfx125_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = gfx125_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = gfx125_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = gfx125_CmdResetQueryPool,
    .CmdWriteTimestamp = gfx125_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = gfx125_CmdCopyQueryPoolResults,
    .CmdPushConstants = gfx125_CmdPushConstants,
    .CmdBeginRenderPass = gfx125_CmdBeginRenderPass,
    .CmdNextSubpass = gfx125_CmdNextSubpass,
    .CmdEndRenderPass = gfx125_CmdEndRenderPass,
    .CmdExecuteCommands = gfx125_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = gfx125_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = gfx125_CreateSwapchainKHR,
    .DestroySwapchainKHR = gfx125_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = gfx125_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = gfx125_AcquireNextImageKHR,
    .QueuePresentKHR = gfx125_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = gfx125_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = gfx125_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = gfx125_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = gfx125_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = gfx125_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = gfx125_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = gfx125_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = gfx125_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = gfx125_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = gfx125_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = gfx125_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = gfx125_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = gfx125_CmdPushDescriptorSetKHR,
    .TrimCommandPool = gfx125_TrimCommandPool,
    .TrimCommandPoolKHR = gfx125_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = gfx125_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = gfx125_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = gfx125_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = gfx125_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = gfx125_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = gfx125_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = gfx125_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = gfx125_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = gfx125_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = gfx125_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = gfx125_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = gfx125_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = gfx125_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = gfx125_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = gfx125_GetFenceFdKHR,
    .ImportFenceFdKHR = gfx125_ImportFenceFdKHR,
    .DisplayPowerControlEXT = gfx125_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = gfx125_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = gfx125_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = gfx125_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = gfx125_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = gfx125_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = gfx125_BindBufferMemory2,
    .BindBufferMemory2KHR = gfx125_BindBufferMemory2KHR,
    .BindImageMemory2 = gfx125_BindImageMemory2,
    .BindImageMemory2KHR = gfx125_BindImageMemory2KHR,
    .CmdSetDeviceMask = gfx125_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = gfx125_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = gfx125_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = gfx125_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = gfx125_AcquireNextImage2KHR,
    .CmdDispatchBase = gfx125_CmdDispatchBase,
    .CmdDispatchBaseKHR = gfx125_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = gfx125_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = gfx125_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = gfx125_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = gfx125_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = gfx125_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = gfx125_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = gfx125_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = gfx125_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = gfx125_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = gfx125_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = gfx125_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = gfx125_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = gfx125_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = gfx125_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = gfx125_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = gfx125_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = gfx125_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = gfx125_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = gfx125_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = gfx125_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = gfx125_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = gfx125_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = gfx125_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = gfx125_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = gfx125_GetDeviceQueue2,
    .CreateValidationCacheEXT = gfx125_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = gfx125_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = gfx125_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = gfx125_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = gfx125_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = gfx125_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = gfx125_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = gfx125_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = gfx125_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = gfx125_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = gfx125_GetShaderInfoAMD,
    .SetLocalDimmingAMD = gfx125_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = gfx125_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = gfx125_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = gfx125_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = gfx125_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = gfx125_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = gfx125_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = gfx125_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = gfx125_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = gfx125_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = gfx125_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = gfx125_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = gfx125_CreateRenderPass2,
    .CreateRenderPass2KHR = gfx125_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = gfx125_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = gfx125_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = gfx125_CmdNextSubpass2,
    .CmdNextSubpass2KHR = gfx125_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = gfx125_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = gfx125_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = gfx125_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = gfx125_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = gfx125_WaitSemaphores,
    .WaitSemaphoresKHR = gfx125_WaitSemaphoresKHR,
    .SignalSemaphore = gfx125_SignalSemaphore,
    .SignalSemaphoreKHR = gfx125_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = gfx125_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = gfx125_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = gfx125_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = gfx125_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = gfx125_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = gfx125_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = gfx125_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = gfx125_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = gfx125_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = gfx125_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = gfx125_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = gfx125_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = gfx125_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = gfx125_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = gfx125_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = gfx125_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = gfx125_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = gfx125_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = gfx125_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = gfx125_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = gfx125_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = gfx125_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = gfx125_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = gfx125_CompileDeferredNV,
    .CreateAccelerationStructureNV = gfx125_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = gfx125_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = gfx125_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = gfx125_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = gfx125_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = gfx125_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = gfx125_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = gfx125_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = gfx125_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = gfx125_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = gfx125_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = gfx125_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = gfx125_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = gfx125_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = gfx125_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = gfx125_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = gfx125_CmdTraceRaysKHR,
    .CmdTraceRaysNV = gfx125_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = gfx125_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = gfx125_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = gfx125_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = gfx125_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = gfx125_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = gfx125_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = gfx125_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = gfx125_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = gfx125_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = gfx125_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = gfx125_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = gfx125_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = gfx125_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = gfx125_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = gfx125_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = gfx125_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = gfx125_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = gfx125_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = gfx125_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = gfx125_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = gfx125_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = gfx125_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = gfx125_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = gfx125_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = gfx125_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = gfx125_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = gfx125_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = gfx125_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = gfx125_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = gfx125_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = gfx125_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = gfx125_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = gfx125_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = gfx125_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = gfx125_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = gfx125_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = gfx125_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = gfx125_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = gfx125_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = gfx125_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = gfx125_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = gfx125_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = gfx125_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = gfx125_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = gfx125_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = gfx125_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = gfx125_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = gfx125_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = gfx125_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = gfx125_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = gfx125_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = gfx125_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = gfx125_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = gfx125_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = gfx125_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = gfx125_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = gfx125_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = gfx125_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = gfx125_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = gfx125_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = gfx125_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = gfx125_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = gfx125_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = gfx125_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = gfx125_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = gfx125_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = gfx125_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = gfx125_SetPrivateDataEXT,
    .GetPrivateDataEXT = gfx125_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = gfx125_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = gfx125_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = gfx125_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = gfx125_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = gfx125_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = gfx125_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = gfx125_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = gfx125_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = gfx125_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = gfx125_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = gfx125_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = gfx125_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = gfx125_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = gfx125_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = gfx125_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = gfx125_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = gfx125_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = gfx125_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = gfx125_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = gfx125_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = gfx125_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = gfx125_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = gfx125_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = gfx125_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = gfx125_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = gfx125_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = gfx125_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = gfx125_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = gfx125_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = gfx125_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = gfx125_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = gfx125_CreateCuModuleNVX,
    .CreateCuFunctionNVX = gfx125_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = gfx125_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = gfx125_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = gfx125_CmdCuLaunchKernelNVX,
};

